<?php
// @codingStandardsIgnoreFile
/**
 * @file
 * A database agnostic dump for testing purposes.
 *
 * This file was generated by the Drupal 8.0 db-tools.php script.
 */

use Drupal\Core\Database\Database;

$connection = Database::getConnection();

$connection->schema()->createTable('access', array(
  'fields' => array(
    'aid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'mask' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'status' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'aid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('actions', array(
  'fields' => array(
    'aid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '0',
    ),
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'callback' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'parameters' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'big',
    ),
    'description' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'aid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('actions')
->fields(array(
  'aid',
  'type',
  'callback',
  'parameters',
  'description',
))
->values(array(
  'aid' => 'comment_publish_action',
  'type' => 'comment',
  'callback' => 'comment_publish_action',
  'parameters' => '',
  'description' => 'Publish comment',
))
->values(array(
  'aid' => 'comment_unpublish_action',
  'type' => 'comment',
  'callback' => 'comment_unpublish_action',
  'parameters' => '',
  'description' => 'Unpublish comment',
))
->values(array(
  'aid' => 'imagecache_flush_action',
  'type' => 'node',
  'callback' => 'imagecache_flush_action',
  'parameters' => '',
  'description' => "ImageCache: Flush ALL presets for this node's filefield images",
))
->values(array(
  'aid' => 'imagecache_generate_all_action',
  'type' => 'node',
  'callback' => 'imagecache_generate_all_action',
  'parameters' => '',
  'description' => "ImageCache: Generate ALL presets for this node's filefield images",
))
->values(array(
  'aid' => 'node_make_sticky_action',
  'type' => 'node',
  'callback' => 'node_make_sticky_action',
  'parameters' => '',
  'description' => 'Make post sticky',
))
->values(array(
  'aid' => 'node_make_unsticky_action',
  'type' => 'node',
  'callback' => 'node_make_unsticky_action',
  'parameters' => '',
  'description' => 'Make post unsticky',
))
->values(array(
  'aid' => 'node_promote_action',
  'type' => 'node',
  'callback' => 'node_promote_action',
  'parameters' => '',
  'description' => 'Promote post to front page',
))
->values(array(
  'aid' => 'node_publish_action',
  'type' => 'node',
  'callback' => 'node_publish_action',
  'parameters' => '',
  'description' => 'Publish post',
))
->values(array(
  'aid' => 'node_save_action',
  'type' => 'node',
  'callback' => 'node_save_action',
  'parameters' => '',
  'description' => 'Save post',
))
->values(array(
  'aid' => 'node_unpromote_action',
  'type' => 'node',
  'callback' => 'node_unpromote_action',
  'parameters' => '',
  'description' => 'Remove post from front page',
))
->values(array(
  'aid' => 'node_unpublish_action',
  'type' => 'node',
  'callback' => 'node_unpublish_action',
  'parameters' => '',
  'description' => 'Unpublish post',
))
->values(array(
  'aid' => 'user_block_ip_action',
  'type' => 'user',
  'callback' => 'user_block_ip_action',
  'parameters' => '',
  'description' => 'Ban IP address of current user',
))
->values(array(
  'aid' => 'user_block_user_action',
  'type' => 'user',
  'callback' => 'user_block_user_action',
  'parameters' => '',
  'description' => 'Block current user',
))
->execute();

$connection->schema()->createTable('actions_aid', array(
  'fields' => array(
    'aid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'aid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('authmap', array(
  'fields' => array(
    'aid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'authname' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'module' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'aid',
  ),
  'unique keys' => array(
    'authname' => array(
      'authname',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('batch', array(
  'fields' => array(
    'bid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'token' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
    ),
    'timestamp' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'batch' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
  ),
  'primary key' => array(
    'bid',
  ),
  'indexes' => array(
    'token' => array(
      'token',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('blocks', array(
  'fields' => array(
    'bid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'module' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
    'delta' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '0',
    ),
    'theme' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
    'status' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'region' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
    'custom' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'throttle' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'visibility' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'pages' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
    'cache' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '1',
    ),
  ),
  'primary key' => array(
    'bid',
  ),
  'unique keys' => array(
    'tmd' => array(
      'theme',
      'module',
      'delta',
    ),
  ),
  'indexes' => array(
    'list' => array(
      'theme',
      'status',
      'region',
      'weight',
      'module',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('blocks')
->fields(array(
  'bid',
  'module',
  'delta',
  'theme',
  'status',
  'weight',
  'region',
  'custom',
  'throttle',
  'visibility',
  'pages',
  'title',
  'cache',
))
->values(array(
  'bid' => '1',
  'module' => 'user',
  'delta' => '0',
  'theme' => 'garland',
  'status' => '1',
  'weight' => '0',
  'region' => 'left',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
  'cache' => '-1',
))
->values(array(
  'bid' => '2',
  'module' => 'user',
  'delta' => '1',
  'theme' => 'garland',
  'status' => '1',
  'weight' => '0',
  'region' => 'left',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
  'cache' => '-1',
))
->values(array(
  'bid' => '3',
  'module' => 'system',
  'delta' => '0',
  'theme' => 'garland',
  'status' => '1',
  'weight' => '10',
  'region' => 'footer',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
  'cache' => '-1',
))
->values(array(
  'bid' => '4',
  'module' => 'comment',
  'delta' => '0',
  'theme' => 'garland',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
  'cache' => '1',
))
->values(array(
  'bid' => '5',
  'module' => 'menu',
  'delta' => 'primary-links',
  'theme' => 'garland',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
  'cache' => '-1',
))
->values(array(
  'bid' => '6',
  'module' => 'menu',
  'delta' => 'secondary-links',
  'theme' => 'garland',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
  'cache' => '-1',
))
->values(array(
  'bid' => '7',
  'module' => 'node',
  'delta' => '0',
  'theme' => 'garland',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
  'cache' => '-1',
))
->values(array(
  'bid' => '8',
  'module' => 'user',
  'delta' => '2',
  'theme' => 'garland',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
  'cache' => '1',
))
->values(array(
  'bid' => '9',
  'module' => 'user',
  'delta' => '3',
  'theme' => 'garland',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
  'cache' => '-1',
))
->values(array(
  'bid' => '10',
  'module' => 'uc_cart',
  'delta' => '0',
  'theme' => 'garland',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
  'cache' => '-1',
))
->values(array(
  'bid' => '11',
  'module' => 'uc_catalog',
  'delta' => '0',
  'theme' => 'garland',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
  'cache' => '4',
))
->values(array(
  'bid' => '12',
  'module' => 'locale',
  'delta' => '0',
  'theme' => 'garland',
  'status' => '0',
  'weight' => '0',
  'region' => '',
  'custom' => '0',
  'throttle' => '0',
  'visibility' => '0',
  'pages' => '',
  'title' => '',
  'cache' => '-1',
))
->execute();

$connection->schema()->createTable('blocks_roles', array(
  'fields' => array(
    'module' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
    ),
    'delta' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
    ),
    'rid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'module',
    'delta',
    'rid',
  ),
  'indexes' => array(
    'rid' => array(
      'rid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('boxes', array(
  'fields' => array(
    'bid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'body' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'info' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'format' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'bid',
  ),
  'unique keys' => array(
    'info' => array(
      'info',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('ca_predicates', array(
  'fields' => array(
    'pid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'description' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'class' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'status' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'ca_trigger' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'conditions' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'actions' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'modified' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'pid',
  ),
  'indexes' => array(
    'ca_predicates_class' => array(
      array(
        'class',
        '191',
      ),
    ),
    'ca_predicates_status' => array(
      'status',
    ),
    'ca_predicates_ca_trigger' => array(
      array(
        'ca_trigger',
        '191',
      ),
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('ca_predicates')
->fields(array(
  'pid',
  'title',
  'description',
  'class',
  'status',
  'weight',
  'uid',
  'ca_trigger',
  'conditions',
  'actions',
  'created',
  'modified',
))
->values(array(
  'pid' => 'uc_flatrate_get_quote_1',
  'title' => 'Shipping quote via Fluff Ltd',
  'description' => '',
  'class' => 'uc_flatrate',
  'status' => '1',
  'weight' => '0',
  'uid' => '0',
  'ca_trigger' => 'get_quote_from_flatrate_1',
  'conditions' => 'a:2:{s:9:"#operator";s:3:"AND";s:11:"#conditions";a:1:{i:0;a:2:{s:9:"#operator";s:3:"AND";s:11:"#conditions";a:1:{i:0;a:4:{s:5:"#name";s:34:"uc_payment_condition_order_balance";s:6:"#title";s:23:"Check the order balance";s:13:"#argument_map";a:1:{s:5:"order";s:5:"order";}s:9:"#settings";a:3:{s:6:"negate";i:0;s:18:"balance_comparison";s:7:"greater";s:22:"include_authorizations";i:0;}}}}}}',
  'actions' => 'a:1:{i:0;a:3:{s:5:"#name";s:25:"uc_quote_action_get_quote";s:6:"#title";s:32:"Fetch a flatrate shipping quote.";s:13:"#argument_map";a:2:{s:5:"order";s:5:"order";s:6:"method";s:6:"method";}}}',
  'created' => '1523577915',
  'modified' => '1523577939',
))
->values(array(
  'pid' => 'uc_flatrate_get_quote_2',
  'title' => 'Shipping quote via Joopleberry Co.',
  'description' => '',
  'class' => 'uc_flatrate',
  'status' => '1',
  'weight' => '0',
  'uid' => '0',
  'ca_trigger' => 'get_quote_from_flatrate_2',
  'conditions' => 'a:2:{s:9:"#operator";s:3:"AND";s:11:"#conditions";a:1:{i:0;a:2:{s:9:"#operator";s:3:"AND";s:11:"#conditions";a:1:{i:0;a:4:{s:5:"#name";s:34:"uc_payment_condition_order_balance";s:6:"#title";s:23:"Check the order balance";s:13:"#argument_map";a:1:{s:5:"order";s:5:"order";}s:9:"#settings";a:3:{s:6:"negate";i:0;s:18:"balance_comparison";s:7:"greater";s:22:"include_authorizations";i:0;}}}}}}',
  'actions' => 'a:1:{i:0;a:3:{s:5:"#name";s:25:"uc_quote_action_get_quote";s:6:"#title";s:32:"Fetch a flatrate shipping quote.";s:13:"#argument_map";a:2:{s:5:"order";s:5:"order";s:6:"method";s:6:"method";}}}',
  'created' => '1523577977',
  'modified' => '1523578002',
))
->values(array(
  'pid' => 'uc_taxes_1',
  'title' => 'Handling',
  'description' => '',
  'class' => 'taxes',
  'status' => '1',
  'weight' => '0',
  'uid' => '0',
  'ca_trigger' => 'calculate_taxes',
  'conditions' => 'a:2:{s:9:"#operator";s:3:"AND";s:11:"#conditions";a:1:{i:0;a:2:{s:9:"#operator";s:3:"AND";s:11:"#conditions";a:0:{}}}}',
  'actions' => 'a:1:{i:0;a:4:{s:5:"#name";s:27:"uc_taxes_action_apply_tax_1";s:6:"#title";s:14:"Apply Handling";s:13:"#argument_map";a:2:{s:5:"order";s:5:"order";s:3:"tax";s:3:"tax";}s:9:"#settings";a:0:{}}}',
  'created' => '1534122647',
  'modified' => '1534122859',
))
->execute();

$connection->schema()->createTable('cache', array(
  'fields' => array(
    'cid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'data' => array(
      'type' => 'blob',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'expire' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'headers' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'serialized' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'cid',
  ),
  'indexes' => array(
    'expire' => array(
      'expire',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('cache_block', array(
  'fields' => array(
    'cid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'data' => array(
      'type' => 'blob',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'expire' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'headers' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'serialized' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'cid',
  ),
  'indexes' => array(
    'expire' => array(
      'expire',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('cache_content', array(
  'fields' => array(
    'cid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'data' => array(
      'type' => 'blob',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'expire' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'headers' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'serialized' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'cid',
  ),
  'indexes' => array(
    'expire' => array(
      'expire',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('cache_filter', array(
  'fields' => array(
    'cid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'data' => array(
      'type' => 'blob',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'expire' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'headers' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'serialized' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'cid',
  ),
  'indexes' => array(
    'expire' => array(
      'expire',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('cache_form', array(
  'fields' => array(
    'cid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'data' => array(
      'type' => 'blob',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'expire' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'headers' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'serialized' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'cid',
  ),
  'indexes' => array(
    'expire' => array(
      'expire',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('cache_menu', array(
  'fields' => array(
    'cid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'data' => array(
      'type' => 'blob',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'expire' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'headers' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'serialized' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'cid',
  ),
  'indexes' => array(
    'expire' => array(
      'expire',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('cache_page', array(
  'fields' => array(
    'cid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'data' => array(
      'type' => 'blob',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'expire' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'headers' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'serialized' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'cid',
  ),
  'indexes' => array(
    'expire' => array(
      'expire',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('cache_views', array(
  'fields' => array(
    'cid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'data' => array(
      'type' => 'blob',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'expire' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'headers' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'serialized' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'cid',
  ),
  'indexes' => array(
    'expire' => array(
      'expire',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('cache_views_data', array(
  'fields' => array(
    'cid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'data' => array(
      'type' => 'blob',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'expire' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'headers' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'serialized' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '1',
    ),
  ),
  'primary key' => array(
    'cid',
  ),
  'indexes' => array(
    'expire' => array(
      'expire',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('comments', array(
  'fields' => array(
    'cid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'pid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'subject' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
    'comment' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'big',
    ),
    'hostname' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'timestamp' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'status' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'format' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'thread' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '60',
    ),
    'mail' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '64',
    ),
    'homepage' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '255',
    ),
  ),
  'primary key' => array(
    'cid',
  ),
  'indexes' => array(
    'pid' => array(
      'pid',
    ),
    'nid' => array(
      'nid',
    ),
    'comment_uid' => array(
      'uid',
    ),
    'status' => array(
      'status',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('content_field_image_cache', array(
  'fields' => array(
    'vid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'delta' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'field_image_cache_fid' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'field_image_cache_list' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'tiny',
    ),
    'field_image_cache_data' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'vid',
    'delta',
  ),
  'indexes' => array(
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('content_field_image_cache')
->fields(array(
  'vid',
  'nid',
  'delta',
  'field_image_cache_fid',
  'field_image_cache_list',
  'field_image_cache_data',
))
->values(array(
  'vid' => '1',
  'nid' => '1',
  'delta' => '0',
  'field_image_cache_fid' => NULL,
  'field_image_cache_list' => NULL,
  'field_image_cache_data' => NULL,
))
->values(array(
  'vid' => '2',
  'nid' => '2',
  'delta' => '0',
  'field_image_cache_fid' => NULL,
  'field_image_cache_list' => NULL,
  'field_image_cache_data' => NULL,
))
->values(array(
  'vid' => '3',
  'nid' => '3',
  'delta' => '0',
  'field_image_cache_fid' => NULL,
  'field_image_cache_list' => NULL,
  'field_image_cache_data' => NULL,
))
->values(array(
  'vid' => '4',
  'nid' => '4',
  'delta' => '0',
  'field_image_cache_fid' => NULL,
  'field_image_cache_list' => NULL,
  'field_image_cache_data' => NULL,
))
->values(array(
  'vid' => '5',
  'nid' => '5',
  'delta' => '0',
  'field_image_cache_fid' => NULL,
  'field_image_cache_list' => NULL,
  'field_image_cache_data' => NULL,
))
->execute();

$connection->schema()->createTable('content_field_integer', array(
  'fields' => array(
    'vid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'field_integer_value' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'vid',
  ),
  'indexes' => array(
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('content_field_integer')
->fields(array(
  'vid',
  'nid',
  'field_integer_value',
))
->values(array(
  'vid' => '6',
  'nid' => '6',
  'field_integer_value' => NULL,
))
->execute();

$connection->schema()->createTable('content_node_field', array(
  'fields' => array(
    'field_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '127',
      'default' => '',
    ),
    'global_settings' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'medium',
    ),
    'required' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'multiple' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'db_storage' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '1',
    ),
    'module' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '127',
      'default' => '',
    ),
    'db_columns' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'medium',
    ),
    'active' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'locked' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'field_name',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('content_node_field')
->fields(array(
  'field_name',
  'type',
  'global_settings',
  'required',
  'multiple',
  'db_storage',
  'module',
  'db_columns',
  'active',
  'locked',
))
->values(array(
  'field_name' => 'field_engine',
  'type' => 'text',
  'global_settings' => 'a:4:{s:15:"text_processing";s:1:"0";s:10:"max_length";s:0:"";s:14:"allowed_values";s:0:"";s:18:"allowed_values_php";s:0:"";}',
  'required' => '0',
  'multiple' => '0',
  'db_storage' => '1',
  'module' => 'text',
  'db_columns' => 'a:1:{s:5:"value";a:5:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;s:8:"sortable";b:1;s:5:"views";b:1;}}',
  'active' => '1',
  'locked' => '0',
))
->values(array(
  'field_name' => 'field_image_cache',
  'type' => 'filefield',
  'global_settings' => 'a:3:{s:10:"list_field";s:1:"0";s:12:"list_default";i:1;s:17:"description_field";s:1:"0";}',
  'required' => '0',
  'multiple' => '1',
  'db_storage' => '0',
  'module' => 'filefield',
  'db_columns' => 'a:3:{s:3:"fid";a:3:{s:4:"type";s:3:"int";s:8:"not null";b:0;s:5:"views";b:1;}s:4:"list";a:4:{s:4:"type";s:3:"int";s:4:"size";s:4:"tiny";s:8:"not null";b:0;s:5:"views";b:1;}s:4:"data";a:3:{s:4:"type";s:4:"text";s:9:"serialize";b:1;s:5:"views";b:1;}}',
  'active' => '1',
  'locked' => '0',
))
->values(array(
  'field_name' => 'field_integer',
  'type' => 'number_integer',
  'global_settings' => 'a:6:{s:6:"prefix";s:0:"";s:6:"suffix";s:0:"";s:3:"min";s:0:"";s:3:"max";s:0:"";s:14:"allowed_values";s:0:"";s:18:"allowed_values_php";s:0:"";}',
  'required' => '0',
  'multiple' => '0',
  'db_storage' => '0',
  'module' => 'number',
  'db_columns' => 'a:1:{s:5:"value";a:3:{s:4:"type";s:3:"int";s:8:"not null";b:0;s:8:"sortable";b:1;}}',
  'active' => '1',
  'locked' => '0',
))
->values(array(
  'field_name' => 'field_sustain',
  'type' => 'text',
  'global_settings' => 'a:4:{s:15:"text_processing";s:0:"";s:10:"max_length";s:0:"";s:14:"allowed_values";s:0:"";s:18:"allowed_values_php";s:0:"";}',
  'required' => '0',
  'multiple' => '0',
  'db_storage' => '1',
  'module' => 'text',
  'db_columns' => 'a:1:{s:5:"value";a:5:{s:4:"type";s:4:"text";s:4:"size";s:3:"big";s:8:"not null";b:0;s:8:"sortable";b:1;s:5:"views";b:1;}}',
  'active' => '1',
  'locked' => '0',
))
->execute();

$connection->schema()->createTable('content_node_field_instance', array(
  'fields' => array(
    'field_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'type_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'label' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'widget_type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'widget_settings' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'medium',
    ),
    'display_settings' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'medium',
    ),
    'description' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'medium',
    ),
    'widget_module' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '127',
      'default' => '',
    ),
    'widget_active' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'field_name',
    'type_name',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('content_node_field_instance')
->fields(array(
  'field_name',
  'type_name',
  'weight',
  'label',
  'widget_type',
  'widget_settings',
  'display_settings',
  'description',
  'widget_module',
  'widget_active',
))
->values(array(
  'field_name' => 'field_engine',
  'type_name' => 'ship',
  'weight' => '31',
  'label' => 'Engine Specifications',
  'widget_type' => 'text_textarea',
  'widget_settings' => 'a:4:{s:4:"rows";s:1:"5";s:4:"size";i:60;s:13:"default_value";a:1:{i:0;a:2:{s:5:"value";s:0:"";s:14:"_error_element";s:44:"default_value_widget][field_engine][0][value";}}s:17:"default_value_php";N;}',
  'display_settings' => 'a:5:{s:5:"label";a:2:{s:6:"format";s:5:"above";s:7:"exclude";i:0;}s:6:"teaser";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}s:4:"full";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}i:4;a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}s:5:"token";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}}',
  'description' => '',
  'widget_module' => 'text',
  'widget_active' => '1',
))
->values(array(
  'field_name' => 'field_image_cache',
  'type_name' => 'product',
  'weight' => '-2',
  'label' => 'Image',
  'widget_type' => 'imagefield_widget',
  'widget_settings' => 'a:14:{s:15:"file_extensions";s:11:"gif jpg png";s:9:"file_path";N;s:18:"progress_indicator";N;s:21:"max_filesize_per_file";N;s:21:"max_filesize_per_node";N;s:14:"max_resolution";N;s:14:"min_resolution";N;s:3:"alt";N;s:10:"custom_alt";i:1;s:5:"title";N;s:12:"custom_title";i:1;s:10:"title_type";N;s:13:"default_image";N;s:17:"use_default_image";N;}',
  'display_settings' => 'a:4:{s:5:"label";a:1:{s:6:"format";s:6:"hidden";}s:6:"teaser";a:1:{s:6:"format";s:6:"hidden";}s:4:"full";a:1:{s:6:"format";s:6:"hidden";}i:4;a:1:{s:6:"format";s:6:"hidden";}}',
  'description' => '',
  'widget_module' => 'imagefield',
  'widget_active' => '1',
))
->values(array(
  'field_name' => 'field_image_cache',
  'type_name' => 'product_kit',
  'weight' => '-2',
  'label' => 'Image',
  'widget_type' => 'imagefield_widget',
  'widget_settings' => 'a:14:{s:15:"file_extensions";s:11:"gif jpg png";s:9:"file_path";N;s:18:"progress_indicator";N;s:21:"max_filesize_per_file";N;s:21:"max_filesize_per_node";N;s:14:"max_resolution";N;s:14:"min_resolution";N;s:3:"alt";N;s:10:"custom_alt";i:1;s:5:"title";N;s:12:"custom_title";i:1;s:10:"title_type";N;s:13:"default_image";N;s:17:"use_default_image";N;}',
  'display_settings' => 'a:4:{s:5:"label";a:1:{s:6:"format";s:6:"hidden";}s:6:"teaser";a:1:{s:6:"format";s:6:"hidden";}s:4:"full";a:1:{s:6:"format";s:6:"hidden";}i:4;a:1:{s:6:"format";s:6:"hidden";}}',
  'description' => '',
  'widget_module' => 'imagefield',
  'widget_active' => '1',
))
->values(array(
  'field_name' => 'field_image_cache',
  'type_name' => 'ship',
  'weight' => '-2',
  'label' => 'Image',
  'widget_type' => 'imagefield_widget',
  'widget_settings' => 'a:14:{s:15:"file_extensions";s:11:"gif jpg png";s:9:"file_path";N;s:18:"progress_indicator";N;s:21:"max_filesize_per_file";N;s:21:"max_filesize_per_node";N;s:14:"max_resolution";N;s:14:"min_resolution";N;s:3:"alt";N;s:10:"custom_alt";i:1;s:5:"title";N;s:12:"custom_title";i:1;s:10:"title_type";N;s:13:"default_image";N;s:17:"use_default_image";N;}',
  'display_settings' => 'a:4:{s:5:"label";a:1:{s:6:"format";s:6:"hidden";}s:6:"teaser";a:1:{s:6:"format";s:6:"hidden";}s:4:"full";a:1:{s:6:"format";s:6:"hidden";}i:4;a:1:{s:6:"format";s:6:"hidden";}}',
  'description' => '',
  'widget_module' => 'imagefield',
  'widget_active' => '1',
))
->values(array(
  'field_name' => 'field_integer',
  'type_name' => 'page',
  'weight' => '31',
  'label' => 'Number',
  'widget_type' => 'number',
  'widget_settings' => 'a:2:{s:13:"default_value";a:1:{i:0;a:2:{s:5:"value";s:0:"";s:14:"_error_element";s:45:"default_value_widget][field_integer][0][value";}}s:17:"default_value_php";N;}',
  'display_settings' => 'a:5:{s:5:"label";a:2:{s:6:"format";s:5:"above";s:7:"exclude";i:0;}s:6:"teaser";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}s:4:"full";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}i:4;a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}s:5:"token";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}}',
  'description' => '',
  'widget_module' => 'number',
  'widget_active' => '1',
))
->values(array(
  'field_name' => 'field_integer',
  'type_name' => 'product',
  'weight' => '33',
  'label' => 'Number',
  'widget_type' => 'number',
  'widget_settings' => 'a:2:{s:13:"default_value";a:1:{i:0;a:2:{s:5:"value";s:0:"";s:14:"_error_element";s:45:"default_value_widget][field_integer][0][value";}}s:17:"default_value_php";N;}',
  'display_settings' => 'a:5:{s:5:"label";a:2:{s:6:"format";s:5:"above";s:7:"exclude";i:0;}s:6:"teaser";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}s:4:"full";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}i:4;a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}s:5:"token";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}}',
  'description' => '',
  'widget_module' => 'number',
  'widget_active' => '1',
))
->values(array(
  'field_name' => 'field_integer',
  'type_name' => 'ship',
  'weight' => '33',
  'label' => 'Number',
  'widget_type' => 'number',
  'widget_settings' => 'a:2:{s:13:"default_value";a:1:{i:0;a:2:{s:5:"value";s:0:"";s:14:"_error_element";s:45:"default_value_widget][field_integer][0][value";}}s:17:"default_value_php";N;}',
  'display_settings' => 'a:5:{s:5:"label";a:2:{s:6:"format";s:5:"above";s:7:"exclude";i:0;}s:6:"teaser";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}s:4:"full";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}i:4;a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}s:5:"token";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}}',
  'description' => '',
  'widget_module' => 'number',
  'widget_active' => '1',
))
->values(array(
  'field_name' => 'field_sustain',
  'type_name' => 'product',
  'weight' => '31',
  'label' => 'Sustainability',
  'widget_type' => 'text_textarea',
  'widget_settings' => 'a:2:{s:4:"rows";N;s:4:"size";N;}',
  'display_settings' => 'a:5:{s:5:"label";a:2:{s:6:"format";s:5:"above";s:7:"exclude";i:0;}s:6:"teaser";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}s:4:"full";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}i:4;a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}s:5:"token";a:2:{s:6:"format";s:7:"default";s:7:"exclude";i:0;}}',
  'description' => '',
  'widget_module' => 'text',
  'widget_active' => '1',
))
->execute();

$connection->schema()->createTable('content_type_page', array(
  'fields' => array(
    'vid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'vid',
  ),
  'indexes' => array(
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('content_type_page')
->fields(array(
  'vid',
  'nid',
))
->values(array(
  'vid' => '6',
  'nid' => '6',
))
->execute();

$connection->schema()->createTable('content_type_product', array(
  'fields' => array(
    'vid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'field_sustain_value' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
  ),
  'primary key' => array(
    'vid',
  ),
  'indexes' => array(
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('content_type_product')
->fields(array(
  'vid',
  'nid',
  'field_sustain_value',
))
->values(array(
  'vid' => '1',
  'nid' => '1',
  'field_sustain_value' => NULL,
))
->values(array(
  'vid' => '2',
  'nid' => '2',
  'field_sustain_value' => NULL,
))
->values(array(
  'vid' => '3',
  'nid' => '3',
  'field_sustain_value' => NULL,
))
->values(array(
  'vid' => '4',
  'nid' => '4',
  'field_sustain_value' => NULL,
))
->values(array(
  'vid' => '5',
  'nid' => '5',
  'field_sustain_value' => NULL,
))
->execute();

$connection->schema()->createTable('content_type_product_kit', array(
  'fields' => array(
    'vid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'vid',
  ),
  'indexes' => array(
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('content_type_ship', array(
  'fields' => array(
    'vid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'field_engine_value' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
  ),
  'primary key' => array(
    'vid',
  ),
  'indexes' => array(
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('content_type_ship')
->fields(array(
  'vid',
  'nid',
  'field_engine_value',
))
->values(array(
  'vid' => '4',
  'nid' => '4',
  'field_engine_value' => NULL,
))
->values(array(
  'vid' => '5',
  'nid' => '5',
  'field_engine_value' => NULL,
))
->execute();

$connection->schema()->createTable('date_format_locale', array(
  'fields' => array(
    'format' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '100',
      'binary' => TRUE,
    ),
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '200',
    ),
    'language' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '12',
    ),
  ),
  'primary key' => array(
    'type',
    'language',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('date_format_types', array(
  'fields' => array(
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '200',
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
    ),
    'locked' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'type',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('date_format_types')
->fields(array(
  'type',
  'title',
  'locked',
))
->values(array(
  'type' => 'long',
  'title' => 'Long',
  'locked' => '1',
))
->values(array(
  'type' => 'medium',
  'title' => 'Medium',
  'locked' => '1',
))
->values(array(
  'type' => 'short',
  'title' => 'Short',
  'locked' => '1',
))
->execute();

$connection->schema()->createTable('date_formats', array(
  'fields' => array(
    'dfid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'format' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '100',
      'binary' => TRUE,
    ),
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '200',
    ),
    'locked' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'dfid',
  ),
  'unique keys' => array(
    'formats' => array(
      'format',
      'type',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('date_formats')
->fields(array(
  'dfid',
  'format',
  'type',
  'locked',
))
->values(array(
  'dfid' => '1',
  'format' => 'Y-m-d H:i',
  'type' => 'short',
  'locked' => '1',
))
->values(array(
  'dfid' => '2',
  'format' => 'm/d/Y - H:i',
  'type' => 'short',
  'locked' => '1',
))
->values(array(
  'dfid' => '3',
  'format' => 'd/m/Y - H:i',
  'type' => 'short',
  'locked' => '1',
))
->values(array(
  'dfid' => '4',
  'format' => 'Y/m/d - H:i',
  'type' => 'short',
  'locked' => '1',
))
->values(array(
  'dfid' => '5',
  'format' => 'd.m.Y - H:i',
  'type' => 'short',
  'locked' => '1',
))
->values(array(
  'dfid' => '6',
  'format' => 'm/d/Y - g:ia',
  'type' => 'short',
  'locked' => '1',
))
->values(array(
  'dfid' => '7',
  'format' => 'd/m/Y - g:ia',
  'type' => 'short',
  'locked' => '1',
))
->values(array(
  'dfid' => '8',
  'format' => 'Y/m/d - g:ia',
  'type' => 'short',
  'locked' => '1',
))
->values(array(
  'dfid' => '9',
  'format' => 'M j Y - H:i',
  'type' => 'short',
  'locked' => '1',
))
->values(array(
  'dfid' => '10',
  'format' => 'j M Y - H:i',
  'type' => 'short',
  'locked' => '1',
))
->values(array(
  'dfid' => '11',
  'format' => 'Y M j - H:i',
  'type' => 'short',
  'locked' => '1',
))
->values(array(
  'dfid' => '12',
  'format' => 'M j Y - g:ia',
  'type' => 'short',
  'locked' => '1',
))
->values(array(
  'dfid' => '13',
  'format' => 'j M Y - g:ia',
  'type' => 'short',
  'locked' => '1',
))
->values(array(
  'dfid' => '14',
  'format' => 'Y M j - g:ia',
  'type' => 'short',
  'locked' => '1',
))
->values(array(
  'dfid' => '15',
  'format' => 'D, Y-m-d H:i',
  'type' => 'medium',
  'locked' => '1',
))
->values(array(
  'dfid' => '16',
  'format' => 'D, m/d/Y - H:i',
  'type' => 'medium',
  'locked' => '1',
))
->values(array(
  'dfid' => '17',
  'format' => 'D, d/m/Y - H:i',
  'type' => 'medium',
  'locked' => '1',
))
->values(array(
  'dfid' => '18',
  'format' => 'D, Y/m/d - H:i',
  'type' => 'medium',
  'locked' => '1',
))
->values(array(
  'dfid' => '19',
  'format' => 'F j, Y - H:i',
  'type' => 'medium',
  'locked' => '1',
))
->values(array(
  'dfid' => '20',
  'format' => 'j F, Y - H:i',
  'type' => 'medium',
  'locked' => '1',
))
->values(array(
  'dfid' => '21',
  'format' => 'Y, F j - H:i',
  'type' => 'medium',
  'locked' => '1',
))
->values(array(
  'dfid' => '22',
  'format' => 'D, m/d/Y - g:ia',
  'type' => 'medium',
  'locked' => '1',
))
->values(array(
  'dfid' => '23',
  'format' => 'D, d/m/Y - g:ia',
  'type' => 'medium',
  'locked' => '1',
))
->values(array(
  'dfid' => '24',
  'format' => 'D, Y/m/d - g:ia',
  'type' => 'medium',
  'locked' => '1',
))
->values(array(
  'dfid' => '25',
  'format' => 'F j, Y - g:ia',
  'type' => 'medium',
  'locked' => '1',
))
->values(array(
  'dfid' => '26',
  'format' => 'j F Y - g:ia',
  'type' => 'medium',
  'locked' => '1',
))
->values(array(
  'dfid' => '27',
  'format' => 'Y, F j - g:ia',
  'type' => 'medium',
  'locked' => '1',
))
->values(array(
  'dfid' => '28',
  'format' => 'j. F Y - G:i',
  'type' => 'medium',
  'locked' => '1',
))
->values(array(
  'dfid' => '29',
  'format' => 'l, F j, Y - H:i',
  'type' => 'long',
  'locked' => '1',
))
->values(array(
  'dfid' => '30',
  'format' => 'l, j F, Y - H:i',
  'type' => 'long',
  'locked' => '1',
))
->values(array(
  'dfid' => '31',
  'format' => 'l, Y,  F j - H:i',
  'type' => 'long',
  'locked' => '1',
))
->values(array(
  'dfid' => '32',
  'format' => 'l, F j, Y - g:ia',
  'type' => 'long',
  'locked' => '1',
))
->values(array(
  'dfid' => '33',
  'format' => 'l, j F Y - g:ia',
  'type' => 'long',
  'locked' => '1',
))
->values(array(
  'dfid' => '34',
  'format' => 'l, Y,  F j - g:ia',
  'type' => 'long',
  'locked' => '1',
))
->values(array(
  'dfid' => '35',
  'format' => 'l, j. F Y - G:i',
  'type' => 'long',
  'locked' => '1',
))
->execute();

$connection->schema()->createTable('files', array(
  'fields' => array(
    'fid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'filename' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'filepath' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'filemime' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'filesize' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'status' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'timestamp' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'fid',
  ),
  'indexes' => array(
    'uid' => array(
      'uid',
    ),
    'status' => array(
      'status',
    ),
    'timestamp' => array(
      'timestamp',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('filter_formats', array(
  'fields' => array(
    'format' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'roles' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'cache' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'format',
  ),
  'unique keys' => array(
    'name' => array(
      'name',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('filter_formats')
->fields(array(
  'format',
  'name',
  'roles',
  'cache',
))
->values(array(
  'format' => '1',
  'name' => 'Filtered HTML',
  'roles' => ',1,2,',
  'cache' => '1',
))
->values(array(
  'format' => '2',
  'name' => 'Full HTML',
  'roles' => '',
  'cache' => '1',
))
->execute();

$connection->schema()->createTable('filters', array(
  'fields' => array(
    'fid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'format' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'module' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
    'delta' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'fid',
  ),
  'unique keys' => array(
    'fmd' => array(
      'format',
      'module',
      'delta',
    ),
  ),
  'indexes' => array(
    'list' => array(
      'format',
      'weight',
      'module',
      'delta',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('filters')
->fields(array(
  'fid',
  'format',
  'module',
  'delta',
  'weight',
))
->values(array(
  'fid' => '1',
  'format' => '1',
  'module' => 'filter',
  'delta' => '2',
  'weight' => '0',
))
->values(array(
  'fid' => '2',
  'format' => '1',
  'module' => 'filter',
  'delta' => '0',
  'weight' => '1',
))
->values(array(
  'fid' => '3',
  'format' => '1',
  'module' => 'filter',
  'delta' => '1',
  'weight' => '2',
))
->values(array(
  'fid' => '4',
  'format' => '1',
  'module' => 'filter',
  'delta' => '3',
  'weight' => '10',
))
->values(array(
  'fid' => '5',
  'format' => '2',
  'module' => 'filter',
  'delta' => '2',
  'weight' => '0',
))
->values(array(
  'fid' => '6',
  'format' => '2',
  'module' => 'filter',
  'delta' => '1',
  'weight' => '1',
))
->values(array(
  'fid' => '7',
  'format' => '2',
  'module' => 'filter',
  'delta' => '3',
  'weight' => '10',
))
->execute();

$connection->schema()->createTable('flood', array(
  'fields' => array(
    'fid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'event' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
    'hostname' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'timestamp' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'fid',
  ),
  'indexes' => array(
    'allow' => array(
      'event',
      'hostname',
      'timestamp',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('history', array(
  'fields' => array(
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'timestamp' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'uid',
    'nid',
  ),
  'indexes' => array(
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('history')
->fields(array(
  'uid',
  'nid',
  'timestamp',
))
->values(array(
  'uid' => '1',
  'nid' => '1',
  'timestamp' => '1502996271',
))
->values(array(
  'uid' => '1',
  'nid' => '2',
  'timestamp' => '1493080297',
))
->values(array(
  'uid' => '1',
  'nid' => '3',
  'timestamp' => '1502997083',
))
->values(array(
  'uid' => '1',
  'nid' => '4',
  'timestamp' => '1502997067',
))
->values(array(
  'uid' => '1',
  'nid' => '5',
  'timestamp' => '1502996617',
))
->values(array(
  'uid' => '1',
  'nid' => '6',
  'timestamp' => '1507956360',
))
->values(array(
  'uid' => '1',
  'nid' => '7',
  'timestamp' => '1507957362',
))
->values(array(
  'uid' => '1',
  'nid' => '8',
  'timestamp' => '1512256702',
))
->execute();

$connection->schema()->createTable('i18n_strings', array(
  'fields' => array(
    'lid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'objectid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'property' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'objectindex' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'format' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'lid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('i18n_strings')
->fields(array(
  'lid',
  'objectid',
  'type',
  'property',
  'objectindex',
  'format',
))
->values(array(
  'lid' => '1',
  'objectid' => 'product',
  'type' => 'type',
  'property' => 'name',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '2',
  'objectid' => 'product',
  'type' => 'type',
  'property' => 'title',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '3',
  'objectid' => 'product',
  'type' => 'type',
  'property' => 'body',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '4',
  'objectid' => 'product',
  'type' => 'type',
  'property' => 'description',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '5',
  'objectid' => 'page',
  'type' => 'type',
  'property' => 'name',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '6',
  'objectid' => 'page',
  'type' => 'type',
  'property' => 'title',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '7',
  'objectid' => 'page',
  'type' => 'type',
  'property' => 'body',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '8',
  'objectid' => 'page',
  'type' => 'type',
  'property' => 'description',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '9',
  'objectid' => 'story',
  'type' => 'type',
  'property' => 'name',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '10',
  'objectid' => 'story',
  'type' => 'type',
  'property' => 'title',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '11',
  'objectid' => 'story',
  'type' => 'type',
  'property' => 'body',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '12',
  'objectid' => 'story',
  'type' => 'type',
  'property' => 'description',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '13',
  'objectid' => '1',
  'type' => 'vocabulary',
  'property' => 'name',
  'objectindex' => '1',
  'format' => '0',
))
->values(array(
  'lid' => '14',
  'objectid' => '1',
  'type' => 'vocabulary',
  'property' => 'help',
  'objectindex' => '1',
  'format' => '0',
))
->values(array(
  'lid' => '15',
  'objectid' => 'product-field_image_cache',
  'type' => 'field',
  'property' => 'widget_label',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '20',
  'objectid' => 'product_kit',
  'type' => 'type',
  'property' => 'name',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '21',
  'objectid' => 'product_kit',
  'type' => 'type',
  'property' => 'title',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '22',
  'objectid' => 'product_kit',
  'type' => 'type',
  'property' => 'body',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '23',
  'objectid' => 'product_kit',
  'type' => 'type',
  'property' => 'description',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '216',
  'objectid' => 'product_kit-field_image_cache',
  'type' => 'field',
  'property' => 'widget_label',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '217',
  'objectid' => '1',
  'type' => 'attribute',
  'property' => 'name',
  'objectindex' => '1',
  'format' => '0',
))
->values(array(
  'lid' => '218',
  'objectid' => '1',
  'type' => 'attribute',
  'property' => 'label',
  'objectindex' => '1',
  'format' => '0',
))
->values(array(
  'lid' => '219',
  'objectid' => '1',
  'type' => 'attribute',
  'property' => 'description',
  'objectindex' => '1',
  'format' => '0',
))
->values(array(
  'lid' => '220',
  'objectid' => '1',
  'type' => 'option',
  'property' => 'name',
  'objectindex' => '1',
  'format' => '0',
))
->values(array(
  'lid' => '221',
  'objectid' => '2',
  'type' => 'option',
  'property' => 'name',
  'objectindex' => '2',
  'format' => '0',
))
->values(array(
  'lid' => '222',
  'objectid' => '3',
  'type' => 'option',
  'property' => 'name',
  'objectindex' => '3',
  'format' => '0',
))
->values(array(
  'lid' => '223',
  'objectid' => '2',
  'type' => 'attribute',
  'property' => 'name',
  'objectindex' => '2',
  'format' => '0',
))
->values(array(
  'lid' => '224',
  'objectid' => '2',
  'type' => 'attribute',
  'property' => 'label',
  'objectindex' => '2',
  'format' => '0',
))
->values(array(
  'lid' => '225',
  'objectid' => '2',
  'type' => 'attribute',
  'property' => 'description',
  'objectindex' => '2',
  'format' => '0',
))
->values(array(
  'lid' => '226',
  'objectid' => '4',
  'type' => 'option',
  'property' => 'name',
  'objectindex' => '4',
  'format' => '0',
))
->values(array(
  'lid' => '227',
  'objectid' => '5',
  'type' => 'option',
  'property' => 'name',
  'objectindex' => '5',
  'format' => '0',
))
->values(array(
  'lid' => '228',
  'objectid' => '3',
  'type' => 'attribute',
  'property' => 'name',
  'objectindex' => '3',
  'format' => '0',
))
->values(array(
  'lid' => '229',
  'objectid' => '3',
  'type' => 'attribute',
  'property' => 'label',
  'objectindex' => '3',
  'format' => '0',
))
->values(array(
  'lid' => '230',
  'objectid' => '3',
  'type' => 'attribute',
  'property' => 'description',
  'objectindex' => '3',
  'format' => '0',
))
->values(array(
  'lid' => '231',
  'objectid' => '6',
  'type' => 'option',
  'property' => 'name',
  'objectindex' => '6',
  'format' => '0',
))
->values(array(
  'lid' => '232',
  'objectid' => '7',
  'type' => 'option',
  'property' => 'name',
  'objectindex' => '7',
  'format' => '0',
))
->values(array(
  'lid' => '233',
  'objectid' => '4',
  'type' => 'attribute',
  'property' => 'name',
  'objectindex' => '4',
  'format' => '0',
))
->values(array(
  'lid' => '234',
  'objectid' => '4',
  'type' => 'attribute',
  'property' => 'label',
  'objectindex' => '4',
  'format' => '0',
))
->values(array(
  'lid' => '235',
  'objectid' => '4',
  'type' => 'attribute',
  'property' => 'description',
  'objectindex' => '4',
  'format' => '0',
))
->values(array(
  'lid' => '236',
  'objectid' => '3',
  'type' => 'term',
  'property' => 'name',
  'objectindex' => '3',
  'format' => '0',
))
->values(array(
  'lid' => '237',
  'objectid' => '3',
  'type' => 'term',
  'property' => 'description',
  'objectindex' => '3',
  'format' => '0',
))
->values(array(
  'lid' => '238',
  'objectid' => '1',
  'type' => 'term',
  'property' => 'name',
  'objectindex' => '1',
  'format' => '0',
))
->values(array(
  'lid' => '239',
  'objectid' => '2',
  'type' => 'term',
  'property' => 'name',
  'objectindex' => '2',
  'format' => '0',
))
->values(array(
  'lid' => '1463',
  'objectid' => 'ship',
  'type' => 'type',
  'property' => 'name',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '1464',
  'objectid' => 'ship',
  'type' => 'type',
  'property' => 'title',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '1465',
  'objectid' => 'ship',
  'type' => 'type',
  'property' => 'body',
  'objectindex' => '0',
  'format' => '0',
))
->values(array(
  'lid' => '1466',
  'objectid' => 'ship',
  'type' => 'type',
  'property' => 'description',
  'objectindex' => '0',
  'format' => '0',
))
->execute();

$connection->schema()->createTable('i18n_variable', array(
  'fields' => array(
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'language' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '12',
      'default' => '',
    ),
    'value' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'big',
    ),
  ),
  'primary key' => array(
    'name',
    'language',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('imagecache_action', array(
  'fields' => array(
    'actionid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'presetid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'module' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
    ),
    'action' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
    ),
    'data' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'big',
    ),
  ),
  'primary key' => array(
    'actionid',
  ),
  'indexes' => array(
    'presetid' => array(
      'presetid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('imagecache_preset', array(
  'fields' => array(
    'presetid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'presetname' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
    ),
  ),
  'primary key' => array(
    'presetid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('languages', array(
  'fields' => array(
    'language' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '12',
      'default' => '',
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
    'native' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
    'direction' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'enabled' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'plurals' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'formula' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'domain' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'prefix' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'javascript' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'language',
  ),
  'indexes' => array(
    'list' => array(
      'weight',
      'name',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('languages')
->fields(array(
  'language',
  'name',
  'native',
  'direction',
  'enabled',
  'plurals',
  'formula',
  'domain',
  'prefix',
  'weight',
  'javascript',
))
->values(array(
  'language' => 'en',
  'name' => 'English',
  'native' => 'English',
  'direction' => '0',
  'enabled' => '1',
  'plurals' => '0',
  'formula' => '',
  'domain' => '',
  'prefix' => '',
  'weight' => '0',
  'javascript' => '',
))
->values(array(
  'language' => 'es',
  'name' => 'Spanish',
  'native' => 'Español',
  'direction' => '0',
  'enabled' => '1',
  'plurals' => '2',
  'formula' => '($n!=1)',
  'domain' => '',
  'prefix' => 'es',
  'weight' => '0',
  'javascript' => '',
))
->execute();

$connection->schema()->createTable('locales_source', array(
  'fields' => array(
    'lid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'location' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'textgroup' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => 'default',
    ),
    'source' => array(
      'type' => 'blob',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'version' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '20',
      'default' => 'none',
    ),
  ),
  'primary key' => array(
    'lid',
  ),
  'indexes' => array(
    'source' => array(
      array(
        'source',
        '30',
      ),
    ),
    'textgroup_location' => array(
      array(
        'textgroup',
        '30',
      ),
      array(
        'location',
        '191',
      ),
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('locales_source')
->fields(array(
  'lid',
  'location',
  'textgroup',
  'source',
  'version',
))
->values(array(
  'lid' => '1',
  'location' => 'type:product:name',
  'textgroup' => 'nodetype',
  'source' => 'Product',
  'version' => '1',
))
->values(array(
  'lid' => '2',
  'location' => 'type:product:title',
  'textgroup' => 'nodetype',
  'source' => 'Name',
  'version' => '1',
))
->values(array(
  'lid' => '3',
  'location' => 'type:product:body',
  'textgroup' => 'nodetype',
  'source' => 'Description',
  'version' => '1',
))
->values(array(
  'lid' => '4',
  'location' => 'type:product:description',
  'textgroup' => 'nodetype',
  'source' => 'This node displays the representation of a product for sale on the website. It includes all the unique information that can be attributed to a specific model number.',
  'version' => '1',
))
->values(array(
  'lid' => '5',
  'location' => 'type:page:name',
  'textgroup' => 'nodetype',
  'source' => 'Page',
  'version' => '1',
))
->values(array(
  'lid' => '6',
  'location' => 'type:page:title',
  'textgroup' => 'nodetype',
  'source' => 'Title',
  'version' => '1',
))
->values(array(
  'lid' => '7',
  'location' => 'type:page:body',
  'textgroup' => 'nodetype',
  'source' => 'Body',
  'version' => '1',
))
->values(array(
  'lid' => '8',
  'location' => 'type:page:description',
  'textgroup' => 'nodetype',
  'source' => "A <em>page</em>, similar in form to a <em>story</em>, is a simple method for creating and displaying information that rarely changes, such as an \"About us\" section of a website. By default, a <em>page</em> entry does not allow visitor comments and is not featured on the site's initial home page.",
  'version' => '1',
))
->values(array(
  'lid' => '9',
  'location' => 'type:story:name',
  'textgroup' => 'nodetype',
  'source' => 'Story',
  'version' => '1',
))
->values(array(
  'lid' => '10',
  'location' => 'type:story:title',
  'textgroup' => 'nodetype',
  'source' => 'Title',
  'version' => '1',
))
->values(array(
  'lid' => '11',
  'location' => 'type:story:body',
  'textgroup' => 'nodetype',
  'source' => 'Body',
  'version' => '1',
))
->values(array(
  'lid' => '12',
  'location' => 'type:story:description',
  'textgroup' => 'nodetype',
  'source' => "A <em>story</em>, similar in form to a <em>page</em>, is ideal for creating and displaying content that informs or engages website visitors. Press releases, site announcements, and informal blog-like entries may all be created with a <em>story</em> entry. By default, a <em>story</em> entry is automatically featured on the site's initial home page, and provides the ability to post comments.",
  'version' => '1',
))
->values(array(
  'lid' => '13',
  'location' => 'vocabulary:1:name',
  'textgroup' => 'taxonomy',
  'source' => 'Catalog',
  'version' => '1',
))
->values(array(
  'lid' => '14',
  'location' => 'vocabulary:1:help',
  'textgroup' => 'taxonomy',
  'source' => 'Hold Ctrl while clicking to select multiple categories.',
  'version' => '1',
))
->values(array(
  'lid' => '15',
  'location' => 'field:product-field_image_cache:widget_label',
  'textgroup' => 'cck',
  'source' => 'Image',
  'version' => '1',
))
->values(array(
  'lid' => '16',
  'location' => 'misc/drupal.js',
  'textgroup' => 'default',
  'source' => 'Unspecified error',
  'version' => 'none',
))
->values(array(
  'lid' => '17',
  'location' => 'misc/drupal.js',
  'textgroup' => 'default',
  'source' => 'An error occurred. \n@uri\n@text',
  'version' => 'none',
))
->values(array(
  'lid' => '18',
  'location' => 'misc/drupal.js',
  'textgroup' => 'default',
  'source' => 'An error occurred. \n@uri\n(no information available).',
  'version' => 'none',
))
->values(array(
  'lid' => '19',
  'location' => 'misc/drupal.js',
  'textgroup' => 'default',
  'source' => 'An HTTP error @status occurred. \n@uri',
  'version' => 'none',
))
->values(array(
  'lid' => '20',
  'location' => 'type:product_kit:name',
  'textgroup' => 'nodetype',
  'source' => 'Product kit',
  'version' => '1',
))
->values(array(
  'lid' => '21',
  'location' => 'type:product_kit:title',
  'textgroup' => 'nodetype',
  'source' => 'Name',
  'version' => '1',
))
->values(array(
  'lid' => '22',
  'location' => 'type:product_kit:body',
  'textgroup' => 'nodetype',
  'source' => 'Description',
  'version' => '1',
))
->values(array(
  'lid' => '23',
  'location' => 'type:product_kit:description',
  'textgroup' => 'nodetype',
  'source' => 'This node represents two or more products that have been listed together. This presents a logical and convenient grouping of items to the customer.',
  'version' => '1',
))
->values(array(
  'lid' => '24',
  'location' => 'misc/tableselect.js',
  'textgroup' => 'default',
  'source' => 'Select all rows in this table',
  'version' => 'none',
))
->values(array(
  'lid' => '25',
  'location' => 'misc/tableselect.js',
  'textgroup' => 'default',
  'source' => 'Deselect all rows in this table',
  'version' => 'none',
))
->values(array(
  'lid' => '26',
  'location' => 'misc/tabledrag.js',
  'textgroup' => 'default',
  'source' => 'Drag to re-order',
  'version' => 'none',
))
->values(array(
  'lid' => '27',
  'location' => 'misc/tabledrag.js',
  'textgroup' => 'default',
  'source' => 'Changes made in this table will not be saved until the form is submitted.',
  'version' => 'none',
))
->values(array(
  'lid' => '28',
  'location' => 'sites/all/modules/filefield/filefield.js',
  'textgroup' => 'default',
  'source' => 'The selected file %filename cannot be uploaded. Only files with the following extensions are allowed: %extensions.',
  'version' => 'none',
))
->values(array(
  'lid' => '29',
  'location' => 'misc/teaser.js',
  'textgroup' => 'default',
  'source' => 'Split summary at cursor',
  'version' => 'none',
))
->values(array(
  'lid' => '30',
  'location' => 'misc/teaser.js',
  'textgroup' => 'default',
  'source' => 'Join summary',
  'version' => 'none',
))
->values(array(
  'lid' => '31',
  'location' => 'field.php:77,  text.module:44',
  'textgroup' => 'default',
  'source' => 'Maximum length',
  'version' => 'none',
))
->values(array(
  'lid' => '32',
  'location' => 'field.php:80,  text.module:47',
  'textgroup' => 'default',
  'source' => 'The maximum length of the field in characters. Leave blank for an unlimited size.',
  'version' => 'none',
))
->values(array(
  'lid' => '33',
  'location' => 'field.php:102,  number.module:82,  text.module:80',
  'textgroup' => 'default',
  'source' => 'is equal to',
  'version' => 'none',
))
->values(array(
  'lid' => '34',
  'location' => 'field.php:103,  number.module:83,  text.module:81',
  'textgroup' => 'default',
  'source' => 'is not equal to',
  'version' => 'none',
))
->values(array(
  'lid' => '35',
  'location' => 'field.php:104,  text.module:82',
  'textgroup' => 'default',
  'source' => 'matches the pattern',
  'version' => 'none',
))
->values(array(
  'lid' => '36',
  'location' => 'field.php:180;190,  number.module:119,  text.module:107',
  'textgroup' => 'default',
  'source' => 'Illegal value for %name.',
  'version' => 'none',
))
->values(array(
  'lid' => '37',
  'location' => 'field.php:265,  text.module:159',
  'textgroup' => 'default',
  'source' => 'Rows',
  'version' => 'none',
))
->values(array(
  'lid' => '38',
  'location' => 'field.php:273,  text.module:167',
  'textgroup' => 'default',
  'source' => '"Rows" must be a positive integer.',
  'version' => 'none',
))
->values(array(
  'lid' => '39',
  'location' => 'content_admin.inc:25,  content.module:119',
  'textgroup' => 'default',
  'source' => 'duplicate',
  'version' => 'none',
))
->values(array(
  'lid' => '40',
  'location' => 'number.module:48,  text.module:51',
  'textgroup' => 'default',
  'source' => 'Allowed values',
  'version' => 'none',
))
->values(array(
  'lid' => '41',
  'location' => 'number.module:52,  text.module:55',
  'textgroup' => 'default',
  'source' => 'The possible values this field can contain. Any other values will result in an error. Enter one value per line.',
  'version' => 'none',
))
->values(array(
  'lid' => '42',
  'location' => 'content.module:18',
  'textgroup' => 'default',
  'source' => 'Allows administrators to define new content types.',
  'version' => 'none',
))
->values(array(
  'lid' => '43',
  'location' => 'content.module:73',
  'textgroup' => 'default',
  'source' => 'add content type',
  'version' => 'none',
))
->values(array(
  'lid' => '44',
  'location' => 'content.module:80',
  'textgroup' => 'default',
  'source' => 'fields',
  'version' => 'none',
))
->values(array(
  'lid' => '45',
  'location' => 'content.module:135',
  'textgroup' => 'default',
  'source' => 'manage fields',
  'version' => 'none',
))
->values(array(
  'lid' => '46',
  'location' => 'content.module:164',
  'textgroup' => 'default',
  'source' => 'remove field',
  'version' => 'none',
))
->values(array(
  'lid' => '47',
  'location' => 'nodereference.module:15',
  'textgroup' => 'default',
  'source' => 'Defines a field type for referencing one node from another. <em>Note: Requires content.module.</em>',
  'version' => 'none',
))
->values(array(
  'lid' => '48',
  'location' => 'nodereference.module:26',
  'textgroup' => 'default',
  'source' => 'node reference autocomplete',
  'version' => 'none',
))
->values(array(
  'lid' => '49',
  'location' => 'nodereference.module:51',
  'textgroup' => 'default',
  'source' => 'Content types that can be referenced',
  'version' => 'none',
))
->values(array(
  'lid' => '50',
  'location' => 'nodereference.module:204',
  'textgroup' => 'default',
  'source' => 'No post with that title exists.',
  'version' => 'none',
))
->values(array(
  'lid' => '51',
  'location' => 'nodereference.module:0',
  'textgroup' => 'default',
  'source' => 'nodereference',
  'version' => 'none',
))
->values(array(
  'lid' => '52',
  'location' => 'number.module:15',
  'textgroup' => 'default',
  'source' => 'Defines numeric field types. <em>Note: Requires content.module.</em>',
  'version' => 'none',
))
->values(array(
  'lid' => '53',
  'location' => 'number.module:38',
  'textgroup' => 'default',
  'source' => 'Minimum',
  'version' => 'none',
))
->values(array(
  'lid' => '54',
  'location' => 'number.module:43',
  'textgroup' => 'default',
  'source' => 'Maximum',
  'version' => 'none',
))
->values(array(
  'lid' => '55',
  'location' => 'number.module:58',
  'textgroup' => 'default',
  'source' => '"Minimum" must be a number.',
  'version' => 'none',
))
->values(array(
  'lid' => '56',
  'location' => 'number.module:61',
  'textgroup' => 'default',
  'source' => '"Maximum" must be a number.',
  'version' => 'none',
))
->values(array(
  'lid' => '57',
  'location' => 'number.module:113',
  'textgroup' => 'default',
  'source' => 'The value of %name may be no smaller than %min.',
  'version' => 'none',
))
->values(array(
  'lid' => '58',
  'location' => 'number.module:116',
  'textgroup' => 'default',
  'source' => 'The value of %name may be no larger than %max.',
  'version' => 'none',
))
->values(array(
  'lid' => '59',
  'location' => 'number.module:0',
  'textgroup' => 'default',
  'source' => 'number',
  'version' => 'none',
))
->values(array(
  'lid' => '60',
  'location' => 'optionwidgets.module:15',
  'textgroup' => 'default',
  'source' => 'Defines selection, check box and radio button widgets for text and numeric fields. <em>Note: Requires content.module, text.module and number.module.</em>',
  'version' => 'none',
))
->values(array(
  'lid' => '61',
  'location' => 'optionwidgets.module:0',
  'textgroup' => 'default',
  'source' => 'optionwidgets',
  'version' => 'none',
))
->values(array(
  'lid' => '62',
  'location' => 'text.module:15',
  'textgroup' => 'default',
  'source' => 'Defines simple text field types. <em>Note: Requires content.module.</em>',
  'version' => 'none',
))
->values(array(
  'lid' => '63',
  'location' => 'text.module:35',
  'textgroup' => 'default',
  'source' => 'Plain text',
  'version' => '6.38',
))
->values(array(
  'lid' => '64',
  'location' => 'text.module:35',
  'textgroup' => 'default',
  'source' => 'Filtered text (user selects input format)',
  'version' => 'none',
))
->values(array(
  'lid' => '65',
  'location' => 'text.module:38',
  'textgroup' => 'default',
  'source' => 'Text processing',
  'version' => 'none',
))
->values(array(
  'lid' => '66',
  'location' => 'text.module:0',
  'textgroup' => 'default',
  'source' => 'text',
  'version' => 'none',
))
->values(array(
  'lid' => '67',
  'location' => 'userreference.module:15',
  'textgroup' => 'default',
  'source' => 'Defines a field type for referencing a user from a node. <em>Note: Requires content.module.</em>',
  'version' => 'none',
))
->values(array(
  'lid' => '68',
  'location' => 'userreference.module:176',
  'textgroup' => 'default',
  'source' => 'Invalid user name.',
  'version' => 'none',
))
->values(array(
  'lid' => '69',
  'location' => 'userreference.module:0',
  'textgroup' => 'default',
  'source' => 'userreference',
  'version' => 'none',
))
->values(array(
  'lid' => '70',
  'location' => 'weburl.module:15',
  'textgroup' => 'default',
  'source' => 'Defines simple weburl field types. <em>Note: Requires content.module.</em>',
  'version' => 'none',
))
->values(array(
  'lid' => '71',
  'location' => 'weburl.module:164;172',
  'textgroup' => 'default',
  'source' => 'Not a valid Web URL.',
  'version' => 'none',
))
->values(array(
  'lid' => '72',
  'location' => 'weburl.module:0',
  'textgroup' => 'default',
  'source' => 'weburl',
  'version' => 'none',
))
->values(array(
  'lid' => '73',
  'location' => 'content_admin.inc:16;87;232;310;533',
  'textgroup' => 'default',
  'source' => 'Label',
  'version' => '6.38',
))
->values(array(
  'lid' => '74',
  'location' => 'content_admin.inc:42',
  'textgroup' => 'default',
  'source' => 'Content types',
  'version' => '6.38',
))
->values(array(
  'lid' => '75',
  'location' => 'content_admin.inc:90',
  'textgroup' => 'default',
  'source' => 'The human-readable name of this content type.',
  'version' => 'none',
))
->values(array(
  'lid' => '76',
  'location' => 'content_admin.inc:98',
  'textgroup' => 'default',
  'source' => 'A brief description of the content type.',
  'version' => 'none',
))
->values(array(
  'lid' => '77',
  'location' => 'content_admin.inc:106',
  'textgroup' => 'default',
  'source' => 'Instructions to present to the user when adding new content of this type.',
  'version' => 'none',
))
->values(array(
  'lid' => '78',
  'location' => 'content_admin.inc:110',
  'textgroup' => 'default',
  'source' => 'Title field label',
  'version' => 'none',
))
->values(array(
  'lid' => '79',
  'location' => 'content_admin.inc:113',
  'textgroup' => 'default',
  'source' => 'The label for the title field.',
  'version' => 'none',
))
->values(array(
  'lid' => '80',
  'location' => 'content_admin.inc:118',
  'textgroup' => 'default',
  'source' => 'Save content type',
  'version' => 'none',
))
->values(array(
  'lid' => '81',
  'location' => 'content_admin.inc:182',
  'textgroup' => 'default',
  'source' => 'Saved content type %type.',
  'version' => 'none',
))
->values(array(
  'lid' => '82',
  'location' => 'content_admin.inc:198',
  'textgroup' => 'default',
  'source' => 'Are you sure you want to delete the content type %type?',
  'version' => 'none',
))
->values(array(
  'lid' => '83',
  'location' => 'content_admin.inc:198',
  'textgroup' => 'default',
  'source' => 'If you have any content left in this content type, it will be permanently deleted. This action cannot be undone.',
  'version' => 'none',
))
->values(array(
  'lid' => '84',
  'location' => 'content_admin.inc:218',
  'textgroup' => 'default',
  'source' => 'Deleted content type %type.',
  'version' => 'none',
))
->values(array(
  'lid' => '85',
  'location' => 'content_admin.inc:248',
  'textgroup' => 'default',
  'source' => 'remove',
  'version' => 'none',
))
->values(array(
  'lid' => '86',
  'location' => 'content_admin.inc:277',
  'textgroup' => 'default',
  'source' => 'Add existing field',
  'version' => 'none',
))
->values(array(
  'lid' => '87',
  'location' => 'content_admin.inc:286',
  'textgroup' => 'default',
  'source' => 'Add field',
  'version' => 'none',
))
->values(array(
  'lid' => '88',
  'location' => 'content_admin.inc:307',
  'textgroup' => 'default',
  'source' => 'Create new field',
  'version' => 'none',
))
->values(array(
  'lid' => '89',
  'location' => 'content_admin.inc:313',
  'textgroup' => 'default',
  'source' => 'The human-readable name of this field.',
  'version' => 'none',
))
->values(array(
  'lid' => '90',
  'location' => 'content_admin.inc:318',
  'textgroup' => 'default',
  'source' => 'Field type',
  'version' => 'none',
))
->values(array(
  'lid' => '91',
  'location' => 'content_admin.inc:326',
  'textgroup' => 'default',
  'source' => 'Create field',
  'version' => 'none',
))
->values(array(
  'lid' => '92',
  'location' => 'content_admin.inc:335',
  'textgroup' => 'default',
  'source' => 'No field modules are enabled. You need to <a href="%modules_url">enable one</a>, such as text.module, before you can add new fields.',
  'version' => 'none',
))
->values(array(
  'lid' => '93',
  'location' => 'content_admin.inc:389',
  'textgroup' => 'default',
  'source' => 'Added field %label.',
  'version' => 'none',
))
->values(array(
  'lid' => '94',
  'location' => 'content_admin.inc:432',
  'textgroup' => 'default',
  'source' => 'Created field %label.',
  'version' => 'none',
))
->values(array(
  'lid' => '95',
  'location' => 'content_admin.inc:452',
  'textgroup' => 'default',
  'source' => 'Are you sure you want to remove the field %field?',
  'version' => 'none',
))
->values(array(
  'lid' => '96',
  'location' => 'content_admin.inc:452',
  'textgroup' => 'default',
  'source' => 'If you have any content left in this field, it will be lost. This action cannot be undone.',
  'version' => 'none',
))
->values(array(
  'lid' => '97',
  'location' => 'content_admin.inc:452',
  'textgroup' => 'default',
  'source' => 'Remove',
  'version' => '6.38',
))
->values(array(
  'lid' => '98',
  'location' => 'content_admin.inc:468',
  'textgroup' => 'default',
  'source' => 'Removed field %field from %type.',
  'version' => 'none',
))
->values(array(
  'lid' => '99',
  'location' => 'content_admin.inc:487',
  'textgroup' => 'default',
  'source' => 'The field %field no longer exists in any content type, so it was deleted.',
  'version' => 'none',
))
->values(array(
  'lid' => '100',
  'location' => 'content_admin.inc:511',
  'textgroup' => 'default',
  'source' => 'Widget settings',
  'version' => 'none',
))
->values(array(
  'lid' => '101',
  'location' => 'content_admin.inc:512',
  'textgroup' => 'default',
  'source' => 'These settings apply only to the %field field as it appears in the %type content type.',
  'version' => 'none',
))
->values(array(
  'lid' => '102',
  'location' => 'content_admin.inc:526',
  'textgroup' => 'default',
  'source' => 'Widget',
  'version' => 'none',
))
->values(array(
  'lid' => '103',
  'location' => 'content_admin.inc:541',
  'textgroup' => 'default',
  'source' => 'In the node editing form, the heavier fields will sink and the lighter fields will be positioned nearer the top.',
  'version' => 'none',
))
->values(array(
  'lid' => '104',
  'location' => 'content_admin.inc:552',
  'textgroup' => 'default',
  'source' => 'Instructions to present to the user below this field on the editing form.',
  'version' => 'none',
))
->values(array(
  'lid' => '105',
  'location' => 'content_admin.inc:558',
  'textgroup' => 'default',
  'source' => 'Data settings',
  'version' => 'none',
))
->values(array(
  'lid' => '106',
  'location' => 'content_admin.inc:559',
  'textgroup' => 'default',
  'source' => 'These settings apply to the %field field in every content type in which it appears.',
  'version' => 'none',
))
->values(array(
  'lid' => '107',
  'location' => 'content_admin.inc:568',
  'textgroup' => 'default',
  'source' => 'Multiple values',
  'version' => 'none',
))
->values(array(
  'lid' => '108',
  'location' => 'content_admin.inc:579',
  'textgroup' => 'default',
  'source' => 'Save field settings',
  'version' => 'none',
))
->values(array(
  'lid' => '109',
  'location' => 'content_admin.inc:652',
  'textgroup' => 'default',
  'source' => 'Saved field %field.',
  'version' => 'none',
))
->values(array(
  'lid' => '110',
  'location' => 'content_admin.inc:882;971',
  'textgroup' => 'default',
  'source' => 'No PostgreSQL mapping found for %type data type.',
  'version' => 'none',
))
->values(array(
  'lid' => '111',
  'location' => 'content_admin.inc:882;971',
  'textgroup' => 'default',
  'source' => 'database',
  'version' => 'none',
))
->values(array(
  'lid' => '112',
  'location' => 'date.module:15',
  'textgroup' => 'default',
  'source' => 'Defines a date/time field type. <em>Note: Requires content.module.</em>',
  'version' => 'none',
))
->values(array(
  'lid' => '113',
  'location' => 'date.module:36',
  'textgroup' => 'default',
  'source' => 'Year',
  'version' => 'none',
))
->values(array(
  'lid' => '114',
  'location' => 'date.module:37',
  'textgroup' => 'default',
  'source' => 'Year and month',
  'version' => 'none',
))
->values(array(
  'lid' => '115',
  'location' => 'date.module:39',
  'textgroup' => 'default',
  'source' => 'Date and time',
  'version' => '6.38',
))
->values(array(
  'lid' => '116',
  'location' => 'date.module:40',
  'textgroup' => 'default',
  'source' => 'Time only',
  'version' => 'none',
))
->values(array(
  'lid' => '117',
  'location' => 'date.module:44',
  'textgroup' => 'default',
  'source' => 'Granularity',
  'version' => 'none',
))
->values(array(
  'lid' => '118',
  'location' => 'date.module:102',
  'textgroup' => 'default',
  'source' => "Times are entered and displayed with site's time zone",
  'version' => 'none',
))
->values(array(
  'lid' => '119',
  'location' => 'date.module:103',
  'textgroup' => 'default',
  'source' => "Times are entered and displayed with user's time zone",
  'version' => 'none',
))
->values(array(
  'lid' => '120',
  'location' => 'date.module:107',
  'textgroup' => 'default',
  'source' => 'Time zone handling',
  'version' => 'none',
))
->values(array(
  'lid' => '121',
  'location' => 'date.module:153',
  'textgroup' => 'default',
  'source' => '%name must be entered in ISO 8601 format (YYYYMMDDThh:mm:ss).',
  'version' => 'none',
))
->values(array(
  'lid' => '122',
  'location' => 'i18n.inc:92 ;99;111',
  'textgroup' => 'default',
  'source' => 'translation',
  'version' => '6.38',
))
->values(array(
  'lid' => '123',
  'location' => 'i18n.inc:126 ;129',
  'textgroup' => 'default',
  'source' => 'Languages',
  'version' => '6.38',
))
->values(array(
  'lid' => '124',
  'location' => 'i18n.inc:282 ;284',
  'textgroup' => 'default',
  'source' => 'Preview',
  'version' => '6.38',
))
->values(array(
  'lid' => '125',
  'location' => 'i18n.inc:287 ;288;517;518;657',
  'textgroup' => 'default',
  'source' => 'Submit',
  'version' => '6.38',
))
->values(array(
  'lid' => '126',
  'location' => 'i18n.inc:292 ;293;523',
  'textgroup' => 'default',
  'source' => 'Delete',
  'version' => '6.38',
))
->values(array(
  'lid' => '127',
  'location' => 'i18n.inc:335',
  'textgroup' => 'default',
  'source' => 'edit',
  'version' => '6.38',
))
->values(array(
  'lid' => '128',
  'location' => 'i18n.inc:337',
  'textgroup' => 'default',
  'source' => 'Translations of ',
  'version' => 'none',
))
->values(array(
  'lid' => '129',
  'location' => 'i18n.inc:341',
  'textgroup' => 'default',
  'source' => 'Not translated',
  'version' => 'none',
))
->values(array(
  'lid' => '130',
  'location' => 'i18n.inc:341',
  'textgroup' => 'default',
  'source' => 'create translation',
  'version' => 'none',
))
->values(array(
  'lid' => '131',
  'location' => 'i18n.inc:344 ;417;419;652;680;693;695;699;711',
  'textgroup' => 'default',
  'source' => 'Language',
  'version' => '6.38',
))
->values(array(
  'lid' => '132',
  'location' => 'imagefield_widget.inc:146',
  'textgroup' => 'default',
  'source' => 'Title',
  'version' => '6.38',
))
->values(array(
  'lid' => '133',
  'location' => 'i18n.inc:344',
  'textgroup' => 'default',
  'source' => 'Actions',
  'version' => '6.38',
))
->values(array(
  'lid' => '134',
  'location' => 'i18n.inc:345',
  'textgroup' => 'default',
  'source' => '<h2>Translation Status</h2>',
  'version' => 'none',
))
->values(array(
  'lid' => '135',
  'location' => 'i18n.inc:417',
  'textgroup' => 'default',
  'source' => 'If you change the Language, you must click on <i>Preview</i> to get the right Categories &amp; Terms for that language.',
  'version' => 'none',
))
->values(array(
  'lid' => '136',
  'location' => 'i18n.inc:420',
  'textgroup' => 'default',
  'source' => 'translations',
  'version' => 'none',
))
->values(array(
  'lid' => '137',
  'location' => 'i18n.inc:514 ;520;528',
  'textgroup' => 'default',
  'source' => 'Term Translations',
  'version' => 'none',
))
->values(array(
  'lid' => '138',
  'location' => 'i18n.inc:546',
  'textgroup' => 'default',
  'source' => 'new translation',
  'version' => 'none',
))
->values(array(
  'lid' => '139',
  'location' => 'i18n.inc:579',
  'textgroup' => 'default',
  'source' => 'edit translations',
  'version' => 'none',
))
->values(array(
  'lid' => '140',
  'location' => 'i18n.inc:616',
  'textgroup' => 'default',
  'source' => 'Term translations have been updated',
  'version' => 'none',
))
->values(array(
  'lid' => '141',
  'location' => 'i18n.inc:652',
  'textgroup' => 'default',
  'source' => 'current translation',
  'version' => 'none',
))
->values(array(
  'lid' => '142',
  'location' => 'i18n.inc:652',
  'textgroup' => 'default',
  'source' => 'change translation',
  'version' => 'none',
))
->values(array(
  'lid' => '143',
  'location' => 'i18n.inc:654',
  'textgroup' => 'default',
  'source' => 'Vocabulary',
  'version' => 'none',
))
->values(array(
  'lid' => '144',
  'location' => 'i18n.inc:680',
  'textgroup' => 'default',
  'source' => 'The vocabulary already has a language.',
  'version' => 'none',
))
->values(array(
  'lid' => '145',
  'location' => 'i18n.inc:695',
  'textgroup' => 'default',
  'source' => 'translated term',
  'version' => 'none',
))
->values(array(
  'lid' => '146',
  'location' => 'i18n.inc:696',
  'textgroup' => 'default',
  'source' => 'term translations',
  'version' => 'none',
))
->values(array(
  'lid' => '147',
  'location' => 'i18n.inc:711',
  'textgroup' => 'default',
  'source' => 'This language will be set for all terms in this vocabulary',
  'version' => 'none',
))
->values(array(
  'lid' => '148',
  'location' => 'i18n.inc:824',
  'textgroup' => 'default',
  'source' => 'Removed translation info from term',
  'version' => 'none',
))
->values(array(
  'lid' => '149',
  'location' => 'i18n.module:67',
  'textgroup' => 'default',
  'source' => "\n        <p>This module provides support for internationalization of Drupal sites:</p>\n        <ul>\n        <li>Translation of the user interface for anonymous users (combined with locale)</li>\n        <li>Multi-language for content. Adds a language field for nodes and taxonomy vocabularies and terms</li>\n        <li>Basic translation management</li>\n        <li>Browser language detection</li>\n        <li>Keeps the language setting accross consecutive requests using URL rewriting</li>\n        <li>Provides a block for language selection and two theme functions: <i>i18n_flags</i> and <i>i18n_links</i></li>\n        <li>Support for long locale names</li>\n        </ul>\n        <p><small>Module developed by Jose A. Reyero, <a href=\"http://www.reyero.net\">www.reyero.net</a></small></p>",
  'version' => 'none',
))
->values(array(
  'lid' => '150',
  'location' => 'i18n.module:81',
  'textgroup' => 'default',
  'source' => 'Enables multilingual content. <b>Requires locale module for interface translation</b>',
  'version' => 'none',
))
->values(array(
  'lid' => '151',
  'location' => 'i18n.module:95',
  'textgroup' => 'default',
  'source' => 'Supported languages',
  'version' => 'none',
))
->values(array(
  'lid' => '152',
  'location' => 'i18n.module:97',
  'textgroup' => 'default',
  'source' => 'Defined by the locale module',
  'version' => 'none',
))
->values(array(
  'lid' => '153',
  'location' => 'i18n.module:98',
  'textgroup' => 'default',
  'source' => 'Defined in the configuration file (%config_languages)',
  'version' => 'none',
))
->values(array(
  'lid' => '154',
  'location' => 'i18n.module:99',
  'textgroup' => 'default',
  'source' => 'Where to get the list of supported languages from',
  'version' => 'none',
))
->values(array(
  'lid' => '155',
  'location' => 'i18n.module:100',
  'textgroup' => 'default',
  'source' => 'Browser language detection',
  'version' => 'none',
))
->values(array(
  'lid' => '156',
  'location' => 'i18n.module:100 ;128',
  'textgroup' => 'default',
  'source' => 'Disabled',
  'version' => '6.38',
))
->values(array(
  'lid' => '157',
  'location' => 'i18n.module:100 ;128',
  'textgroup' => 'default',
  'source' => 'Enabled',
  'version' => '6.38',
))
->values(array(
  'lid' => '158',
  'location' => 'i18n.module:101',
  'textgroup' => 'default',
  'source' => 'Front page',
  'version' => 'none',
))
->values(array(
  'lid' => '159',
  'location' => 'i18n.module:101',
  'textgroup' => 'default',
  'source' => 'Default',
  'version' => '6.38',
))
->values(array(
  'lid' => '160',
  'location' => 'i18n.module:101',
  'textgroup' => 'default',
  'source' => 'Language dependent',
  'version' => 'none',
))
->values(array(
  'lid' => '161',
  'location' => 'i18n.module:101',
  'textgroup' => 'default',
  'source' => " If 'language dependent' is selected, default front page will be prepended with language code, i.e. 'en/node'",
  'version' => 'none',
))
->values(array(
  'lid' => '162',
  'location' => 'i18n.module:106',
  'textgroup' => 'default',
  'source' => 'Language icons path',
  'version' => 'none',
))
->values(array(
  'lid' => '163',
  'location' => 'i18n.module:107',
  'textgroup' => 'default',
  'source' => "Path for language icons, relative to Drupal installation. '*' is a placeholder for language code.",
  'version' => 'none',
))
->values(array(
  'lid' => '164',
  'location' => 'i18n.module:108',
  'textgroup' => 'default',
  'source' => 'Language icons size',
  'version' => 'none',
))
->values(array(
  'lid' => '165',
  'location' => 'i18n.module:109',
  'textgroup' => 'default',
  'source' => 'Image size for language icons, in the form "width x height".',
  'version' => 'none',
))
->values(array(
  'lid' => '166',
  'location' => 'i18n.module:111',
  'textgroup' => 'default',
  'source' => '<h2>Multilingual content</h2>',
  'version' => 'none',
))
->values(array(
  'lid' => '167',
  'location' => 'i18n.module:115',
  'textgroup' => 'default',
  'source' => 'Nodes',
  'version' => 'none',
))
->values(array(
  'lid' => '168',
  'location' => 'i18n.module:115',
  'textgroup' => 'default',
  'source' => 'Select node types to be translated.',
  'version' => 'none',
))
->values(array(
  'lid' => '169',
  'location' => 'i18n.module:117',
  'textgroup' => 'default',
  'source' => '<h2>Advanced Features</h2>',
  'version' => 'none',
))
->values(array(
  'lid' => '170',
  'location' => 'i18n.module:118',
  'textgroup' => 'default',
  'source' => '<p>These are intended only for advanced users. Some changes to the database are required. Please, do read the INSTALL.txt and README.txt files before enabling these options</p>',
  'version' => 'none',
))
->values(array(
  'lid' => '171',
  'location' => 'i18n.module:124',
  'textgroup' => 'default',
  'source' => 'Current language dependent tables are: ',
  'version' => 'none',
))
->values(array(
  'lid' => '172',
  'location' => 'i18n.module:126',
  'textgroup' => 'default',
  'source' => "Check the module's SETUP.txt file.",
  'version' => 'none',
))
->values(array(
  'lid' => '173',
  'location' => 'i18n.module:128',
  'textgroup' => 'default',
  'source' => 'Language dependent tables',
  'version' => 'none',
))
->values(array(
  'lid' => '174',
  'location' => 'i18n.module:128',
  'textgroup' => 'default',
  'source' => 'If enabled, different tables for each language will be used. They must be defined in the configuration file.',
  'version' => 'none',
))
->values(array(
  'lid' => '175',
  'location' => 'i18n.module:0',
  'textgroup' => 'default',
  'source' => 'i18n',
  'version' => '6.38',
))
->values(array(
  'lid' => '176',
  'location' => 'imagefield_field.inc:17',
  'textgroup' => 'default',
  'source' => 'Default image',
  'version' => 'none',
))
->values(array(
  'lid' => '177',
  'location' => 'imagefield_field.inc:23',
  'textgroup' => 'default',
  'source' => 'Use default image',
  'version' => 'none',
))
->values(array(
  'lid' => '178',
  'location' => 'imagefield_field.inc:25',
  'textgroup' => 'default',
  'source' => 'Check here if you want to use a image as default.',
  'version' => 'none',
))
->values(array(
  'lid' => '179',
  'location' => 'imagefield_field.inc:35',
  'textgroup' => 'default',
  'source' => 'Upload image',
  'version' => 'none',
))
->values(array(
  'lid' => '180',
  'location' => 'imagefield_field.inc:36',
  'textgroup' => 'default',
  'source' => 'Choose a image that will be used as default.',
  'version' => 'none',
))
->values(array(
  'lid' => '181',
  'location' => 'imagefield_field.inc:62',
  'textgroup' => 'default',
  'source' => 'Has Image',
  'version' => 'none',
))
->values(array(
  'lid' => '182',
  'location' => 'imagefield_field.inc:80',
  'textgroup' => 'default',
  'source' => 'The default image could not be uploaded. The destination(%d) does not exist or is not writable by the webserver.',
  'version' => 'none',
))
->values(array(
  'lid' => '183',
  'location' => 'imagefield_widget.inc:25',
  'textgroup' => 'default',
  'source' => 'Maximum resolution for Images',
  'version' => 'none',
))
->values(array(
  'lid' => '184',
  'location' => 'imagefield_widget.inc:30',
  'textgroup' => 'default',
  'source' => 'The maximum allowed image size expressed as WIDTHxHEIGHT (e.g. 640x480). Set to 0 for no restriction. If a larger image is uploaded, it will be resized to reflect the given width and height.',
  'version' => 'none',
))
->values(array(
  'lid' => '185',
  'location' => 'imagefield_widget.inc:35',
  'textgroup' => 'default',
  'source' => 'Minimum resolution for Images',
  'version' => 'none',
))
->values(array(
  'lid' => '186',
  'location' => 'imagefield_widget.inc:40',
  'textgroup' => 'default',
  'source' => 'The minimum allowed image size expressed as WIDTHxHEIGHT (e.g. 640x480). Set to 0 for no restriction. If an image that is smaller than these dimensions is uploaded it will be rejected.',
  'version' => 'none',
))
->values(array(
  'lid' => '187',
  'location' => 'imagefield_widget.inc:46',
  'textgroup' => 'default',
  'source' => 'Permitted upload file extensions.',
  'version' => 'none',
))
->values(array(
  'lid' => '188',
  'location' => 'imagefield_widget.inc:50',
  'textgroup' => 'default',
  'source' => 'Extensions a user can upload to this field. Seperate extensions with a space and do not include the leading dot.',
  'version' => 'none',
))
->values(array(
  'lid' => '189',
  'location' => 'imagefield_widget.inc:56',
  'textgroup' => 'default',
  'source' => 'ALT text settings',
  'version' => 'none',
))
->values(array(
  'lid' => '190',
  'location' => 'imagefield_widget.inc:63',
  'textgroup' => 'default',
  'source' => 'Enable custom alternate text',
  'version' => 'none',
))
->values(array(
  'lid' => '191',
  'location' => 'imagefield_widget.inc:65',
  'textgroup' => 'default',
  'source' => 'Enable user input alternate text for images.',
  'version' => 'none',
))
->values(array(
  'lid' => '192',
  'location' => 'imagefield_widget.inc:70',
  'textgroup' => 'default',
  'source' => 'Default ALT text',
  'version' => 'none',
))
->values(array(
  'lid' => '193',
  'location' => 'imagefield_widget.inc:72',
  'textgroup' => 'default',
  'source' => 'This value will be used for alternate text by default.',
  'version' => 'none',
))
->values(array(
  'lid' => '194',
  'location' => 'imagefield_widget.inc:78',
  'textgroup' => 'default',
  'source' => 'Title text settings',
  'version' => 'none',
))
->values(array(
  'lid' => '195',
  'location' => 'imagefield_widget.inc:85',
  'textgroup' => 'default',
  'source' => 'Enable custom title text',
  'version' => 'none',
))
->values(array(
  'lid' => '196',
  'location' => 'imagefield_widget.inc:87',
  'textgroup' => 'default',
  'source' => 'Enable user input title text for images.',
  'version' => 'none',
))
->values(array(
  'lid' => '197',
  'location' => 'imagefield_widget.inc:93',
  'textgroup' => 'default',
  'source' => 'Default Title text',
  'version' => 'none',
))
->values(array(
  'lid' => '198',
  'location' => 'imagefield_widget.inc:95',
  'textgroup' => 'default',
  'source' => 'This value will be used as the image title by default.',
  'version' => 'none',
))
->values(array(
  'lid' => '199',
  'location' => 'imagefield_widget.inc:135',
  'textgroup' => 'default',
  'source' => 'Alternate Text',
  'version' => '6.38',
))
->values(array(
  'lid' => '200',
  'location' => 'imagefield.module:103',
  'textgroup' => 'default',
  'source' => 'Changes made to the attachments are not permanent until you save this post.',
  'version' => 'none',
))
->values(array(
  'lid' => '201',
  'location' => 'imagefield.module:120;162;228',
  'textgroup' => 'default',
  'source' => 'Image',
  'version' => '6.38',
))
->values(array(
  'lid' => '202',
  'location' => 'imagefield.module:121',
  'textgroup' => 'default',
  'source' => 'Store an image file and optionally text for alt and title tags.',
  'version' => 'none',
))
->values(array(
  'lid' => '203',
  'location' => 'imagefield.module:170',
  'textgroup' => 'default',
  'source' => 'An edit widget for image files, including a preview of the image.',
  'version' => '6.38',
))
->values(array(
  'lid' => '204',
  'location' => 'imagefield.module:232;239;246;253;260',
  'textgroup' => 'default',
  'source' => 'Displays image files in their original size.',
  'version' => '6.38',
))
->values(array(
  'lid' => '205',
  'location' => 'imagefield.module:235',
  'textgroup' => 'default',
  'source' => 'Image linked to node',
  'version' => '6.38',
))
->values(array(
  'lid' => '206',
  'location' => 'imagefield.module:242',
  'textgroup' => 'default',
  'source' => 'Image linked to file',
  'version' => '6.38',
))
->values(array(
  'lid' => '207',
  'location' => 'imagefield.module:249',
  'textgroup' => 'default',
  'source' => 'Path to file',
  'version' => '6.38',
))
->values(array(
  'lid' => '208',
  'location' => 'imagefield.module:256',
  'textgroup' => 'default',
  'source' => 'URL to file',
  'version' => '6.38',
))
->values(array(
  'lid' => '209',
  'location' => 'imagefield.module:342',
  'textgroup' => 'default',
  'source' => 'The image %filename was resized to fit within the maximum allowed resolution of %resolution pixels',
  'version' => 'none',
))
->values(array(
  'lid' => '210',
  'location' => 'imagefield.module:24',
  'textgroup' => 'default',
  'source' => 'view imagefield uploads',
  'version' => 'none',
))
->values(array(
  'lid' => '211',
  'location' => 'imagefield.module:0',
  'textgroup' => 'default',
  'source' => 'imagefield',
  'version' => 'none',
))
->values(array(
  'lid' => '212',
  'location' => 'imagefield.install:164',
  'textgroup' => 'default',
  'source' => 'Migrating filefield values',
  'version' => 'none',
))
->values(array(
  'lid' => '213',
  'location' => 'imagefield.info:0',
  'textgroup' => 'default',
  'source' => 'ImageField',
  'version' => 'none',
))
->values(array(
  'lid' => '214',
  'location' => 'imagefield.info:0',
  'textgroup' => 'default',
  'source' => 'Defines an image field type.',
  'version' => 'none',
))
->values(array(
  'lid' => '215',
  'location' => 'imagefield.info:0',
  'textgroup' => 'default',
  'source' => 'CCK',
  'version' => 'none',
))
->values(array(
  'lid' => '216',
  'location' => 'field:product_kit-field_image_cache:widget_label',
  'textgroup' => 'cck',
  'source' => 'Image',
  'version' => '1',
))
->values(array(
  'lid' => '217',
  'location' => 'attribute:1:name',
  'textgroup' => 'uc_attribute',
  'source' => 'Design',
  'version' => '1',
))
->values(array(
  'lid' => '218',
  'location' => 'attribute:1:label',
  'textgroup' => 'uc_attribute',
  'source' => 'Cool Designs for your towel',
  'version' => '1',
))
->values(array(
  'lid' => '219',
  'location' => 'attribute:1:description',
  'textgroup' => 'uc_attribute',
  'source' => 'Select a design',
  'version' => '1',
))
->values(array(
  'lid' => '220',
  'location' => 'option:1:name',
  'textgroup' => 'uc_attribute',
  'source' => 'Heart of Gold',
  'version' => '1',
))
->values(array(
  'lid' => '221',
  'location' => 'option:2:name',
  'textgroup' => 'uc_attribute',
  'source' => 'Trillian',
  'version' => '1',
))
->values(array(
  'lid' => '222',
  'location' => 'option:3:name',
  'textgroup' => 'uc_attribute',
  'source' => 'Pan Galactic Gargle Blaster',
  'version' => '1',
))
->values(array(
  'lid' => '223',
  'location' => 'attribute:2:name',
  'textgroup' => 'uc_attribute',
  'source' => 'Color',
  'version' => '1',
))
->values(array(
  'lid' => '224',
  'location' => 'attribute:2:label',
  'textgroup' => 'uc_attribute',
  'source' => 'Color',
  'version' => '1',
))
->values(array(
  'lid' => '225',
  'location' => 'attribute:2:description',
  'textgroup' => 'uc_attribute',
  'source' => 'Available towel colors',
  'version' => '1',
))
->values(array(
  'lid' => '226',
  'location' => 'option:4:name',
  'textgroup' => 'uc_attribute',
  'source' => 'White',
  'version' => '1',
))
->values(array(
  'lid' => '227',
  'location' => 'option:5:name',
  'textgroup' => 'uc_attribute',
  'source' => 'Gold',
  'version' => '1',
))
->values(array(
  'lid' => '228',
  'location' => 'attribute:3:name',
  'textgroup' => 'uc_attribute',
  'source' => 'model size',
  'version' => '1',
))
->values(array(
  'lid' => '229',
  'location' => 'attribute:3:label',
  'textgroup' => 'uc_attribute',
  'source' => 'Model size',
  'version' => '1',
))
->values(array(
  'lid' => '230',
  'location' => 'attribute:3:description',
  'textgroup' => 'uc_attribute',
  'source' => 'Select your starship model size.',
  'version' => '1',
))
->values(array(
  'lid' => '231',
  'location' => 'option:6:name',
  'textgroup' => 'uc_attribute',
  'source' => 'Keychain',
  'version' => '1',
))
->values(array(
  'lid' => '232',
  'location' => 'option:7:name',
  'textgroup' => 'uc_attribute',
  'source' => 'Desk',
  'version' => '1',
))
->values(array(
  'lid' => '233',
  'location' => 'attribute:4:name',
  'textgroup' => 'uc_attribute',
  'source' => 'Name',
  'version' => '1',
))
->values(array(
  'lid' => '234',
  'location' => 'attribute:4:label',
  'textgroup' => 'uc_attribute',
  'source' => 'Name',
  'version' => '1',
))
->values(array(
  'lid' => '235',
  'location' => 'attribute:4:description',
  'textgroup' => 'uc_attribute',
  'source' => 'Enter a name to be written on the cake.',
  'version' => '1',
))
->values(array(
  'lid' => '236',
  'location' => 'term:3:name',
  'textgroup' => 'taxonomy',
  'source' => 'Ingredients',
  'version' => '1',
))
->values(array(
  'lid' => '237',
  'location' => 'term:3:description',
  'textgroup' => 'taxonomy',
  'source' => 'One of the substances present in a mixture, especially food.',
  'version' => '1',
))
->values(array(
  'lid' => '238',
  'location' => 'term:1:name',
  'textgroup' => 'taxonomy',
  'source' => 'Linen',
  'version' => '1',
))
->values(array(
  'lid' => '239',
  'location' => 'term:2:name',
  'textgroup' => 'taxonomy',
  'source' => 'Travel',
  'version' => '1',
))
->values(array(
  'lid' => '240',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Content',
  'version' => '6.38',
))
->values(array(
  'lid' => '241',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Name',
  'version' => '6.38',
))
->values(array(
  'lid' => '242',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Description',
  'version' => '6.38',
))
->values(array(
  'lid' => '243',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Product',
  'version' => '6.38',
))
->values(array(
  'lid' => '244',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'This node displays the representation of a product for sale on the website. It includes all the unique information that can be attributed to a specific model number.',
  'version' => '6.38',
))
->values(array(
  'lid' => '245',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Product kit',
  'version' => '6.38',
))
->values(array(
  'lid' => '246',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'This node represents two or more products that have been listed together. This presents a logical and convenient grouping of items to the customer.',
  'version' => '6.38',
))
->values(array(
  'lid' => '247',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Node reference',
  'version' => '6.38',
))
->values(array(
  'lid' => '248',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Store the ID of a related node as an integer value.',
  'version' => '6.38',
))
->values(array(
  'lid' => '249',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Integer',
  'version' => '6.38',
))
->values(array(
  'lid' => '250',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Store a number in the database as an integer.',
  'version' => '6.38',
))
->values(array(
  'lid' => '251',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Decimal',
  'version' => '6.38',
))
->values(array(
  'lid' => '252',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Store a number in the database in a fixed decimal format.',
  'version' => '6.38',
))
->values(array(
  'lid' => '253',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Float',
  'version' => '6.38',
))
->values(array(
  'lid' => '254',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Store a number in the database in a floating point format.',
  'version' => '6.38',
))
->values(array(
  'lid' => '255',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Text',
  'version' => '6.38',
))
->values(array(
  'lid' => '256',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Store text in the database.',
  'version' => '6.38',
))
->values(array(
  'lid' => '257',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'File',
  'version' => '6.38',
))
->values(array(
  'lid' => '258',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Store an arbitrary file.',
  'version' => '6.38',
))
->values(array(
  'lid' => '259',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Link',
  'version' => '6.38',
))
->values(array(
  'lid' => '260',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Store a title, href, and attributes in the database to assemble a link.',
  'version' => '6.38',
))
->values(array(
  'lid' => '261',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - France',
  'version' => '6.38',
))
->values(array(
  'lid' => '262',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Belgium',
  'version' => '6.38',
))
->values(array(
  'lid' => '263',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Italy',
  'version' => '6.38',
))
->values(array(
  'lid' => '264',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Greece',
  'version' => '6.38',
))
->values(array(
  'lid' => '265',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Switzerland',
  'version' => '6.38',
))
->values(array(
  'lid' => '266',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - US & Canada',
  'version' => '6.38',
))
->values(array(
  'lid' => '267',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Costa Rica',
  'version' => '6.38',
))
->values(array(
  'lid' => '268',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Panama',
  'version' => '6.38',
))
->values(array(
  'lid' => '269',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Great Britain - United Kingdom',
  'version' => '6.38',
))
->values(array(
  'lid' => '270',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Russia',
  'version' => '6.38',
))
->values(array(
  'lid' => '271',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Ukraine',
  'version' => '6.38',
))
->values(array(
  'lid' => '272',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Spain',
  'version' => '6.38',
))
->values(array(
  'lid' => '273',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Australia',
  'version' => '6.38',
))
->values(array(
  'lid' => '274',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Czech Republic',
  'version' => '6.38',
))
->values(array(
  'lid' => '275',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Hungary',
  'version' => '6.38',
))
->values(array(
  'lid' => '276',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Poland - mobiles only',
  'version' => '6.38',
))
->values(array(
  'lid' => '277',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Netherland',
  'version' => '6.38',
))
->values(array(
  'lid' => '278',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Sweden',
  'version' => '6.38',
))
->values(array(
  'lid' => '279',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - South Africa',
  'version' => '6.38',
))
->values(array(
  'lid' => '280',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Israel',
  'version' => '6.38',
))
->values(array(
  'lid' => '281',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - New Zealand',
  'version' => '6.38',
))
->values(array(
  'lid' => '282',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Brazil',
  'version' => '6.38',
))
->values(array(
  'lid' => '283',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Chile',
  'version' => '6.38',
))
->values(array(
  'lid' => '284',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - China',
  'version' => '6.38',
))
->values(array(
  'lid' => '285',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Hong-Kong',
  'version' => '6.38',
))
->values(array(
  'lid' => '286',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Macao',
  'version' => '6.38',
))
->values(array(
  'lid' => '287',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - The Philippines',
  'version' => '6.38',
))
->values(array(
  'lid' => '288',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Singapore',
  'version' => '6.38',
))
->values(array(
  'lid' => '289',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Jordan',
  'version' => '6.38',
))
->values(array(
  'lid' => '290',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Egypt',
  'version' => '6.38',
))
->values(array(
  'lid' => '291',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - Pakistan',
  'version' => '6.38',
))
->values(array(
  'lid' => '292',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Phone Numbers - International Phone Numbers per E.123',
  'version' => '6.38',
))
->values(array(
  'lid' => '293',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Select list',
  'version' => '6.38',
))
->values(array(
  'lid' => '294',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Check boxes/radio buttons',
  'version' => '6.38',
))
->values(array(
  'lid' => '295',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Autocomplete text field',
  'version' => '6.38',
))
->values(array(
  'lid' => '296',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Title (link)',
  'version' => '6.38',
))
->values(array(
  'lid' => '297',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Title (no link)',
  'version' => '6.38',
))
->values(array(
  'lid' => '298',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Full node',
  'version' => '6.38',
))
->values(array(
  'lid' => '299',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Teaser',
  'version' => '6.38',
))
->values(array(
  'lid' => '300',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Text field',
  'version' => '6.38',
))
->values(array(
  'lid' => '301',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'unformatted',
  'version' => '6.38',
))
->values(array(
  'lid' => '302',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Single on/off checkbox',
  'version' => '6.38',
))
->values(array(
  'lid' => '303',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Text area (multiple rows)',
  'version' => '6.38',
))
->values(array(
  'lid' => '304',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Trimmed',
  'version' => '6.38',
))
->values(array(
  'lid' => '305',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Default email link',
  'version' => '6.38',
))
->values(array(
  'lid' => '306',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Email contact form',
  'version' => '6.38',
))
->values(array(
  'lid' => '307',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Email plain text',
  'version' => '6.38',
))
->values(array(
  'lid' => '308',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'File Upload',
  'version' => '6.38',
))
->values(array(
  'lid' => '309',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'A plain file upload widget.',
  'version' => '6.38',
))
->values(array(
  'lid' => '310',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Generic files',
  'version' => '6.38',
))
->values(array(
  'lid' => '311',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Displays all kinds of files with an icon and a linked file description.',
  'version' => '6.38',
))
->values(array(
  'lid' => '312',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Displays the file system path to the file.',
  'version' => '6.38',
))
->values(array(
  'lid' => '313',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Displays a full URL to the file.',
  'version' => '6.38',
))
->values(array(
  'lid' => '314',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => '@preset image',
  'version' => '6.38',
))
->values(array(
  'lid' => '315',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => '@preset image linked to node',
  'version' => '6.38',
))
->values(array(
  'lid' => '316',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => '@preset image linked to image',
  'version' => '6.38',
))
->values(array(
  'lid' => '317',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => '@preset file path',
  'version' => '6.38',
))
->values(array(
  'lid' => '318',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => '@preset URL',
  'version' => '6.38',
))
->values(array(
  'lid' => '319',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Title, as link (default)',
  'version' => '6.38',
))
->values(array(
  'lid' => '320',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'URL, as link',
  'version' => '6.38',
))
->values(array(
  'lid' => '321',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'URL, as plain text',
  'version' => '6.38',
))
->values(array(
  'lid' => '322',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Short, as link with title "Link"',
  'version' => '6.38',
))
->values(array(
  'lid' => '323',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Label, as link with label as title',
  'version' => '6.38',
))
->values(array(
  'lid' => '324',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Separate title and URL',
  'version' => '6.38',
))
->values(array(
  'lid' => '325',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Textfield',
  'version' => '6.38',
))
->values(array(
  'lid' => '326',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Node module form.',
  'version' => '6.38',
))
->values(array(
  'lid' => '327',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Revision information',
  'version' => '6.38',
))
->values(array(
  'lid' => '328',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Authoring information',
  'version' => '6.38',
))
->values(array(
  'lid' => '329',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Publishing options',
  'version' => '6.38',
))
->values(array(
  'lid' => '330',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Comment settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '331',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Comment module form.',
  'version' => '6.38',
))
->values(array(
  'lid' => '332',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Locale module form.',
  'version' => '6.38',
))
->values(array(
  'lid' => '333',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Translation settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '334',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Translation module form.',
  'version' => '6.38',
))
->values(array(
  'lid' => '335',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Menu settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '336',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Menu module form.',
  'version' => '6.38',
))
->values(array(
  'lid' => '337',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Taxonomy',
  'version' => '6.38',
))
->values(array(
  'lid' => '338',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Taxonomy module form.',
  'version' => '6.38',
))
->values(array(
  'lid' => '339',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Path settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '340',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Path module form.',
  'version' => '6.38',
))
->values(array(
  'lid' => '341',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Shipping',
  'version' => '6.38',
))
->values(array(
  'lid' => '342',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Shipping settings form.',
  'version' => '6.38',
))
->values(array(
  'lid' => '343',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Product information',
  'version' => '6.38',
))
->values(array(
  'lid' => '344',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Product module form.',
  'version' => '6.38',
))
->values(array(
  'lid' => '345',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Node description. (View tab)',
  'version' => '6.38',
))
->values(array(
  'lid' => '346',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Default price handler',
  'version' => '6.38',
))
->values(array(
  'lid' => '347',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'The default handler alterer is simply responsible for prefixing various product prices for display.',
  'version' => '6.38',
))
->values(array(
  'lid' => '348',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'The default handler formatter passes prices through a single currency formatter based on the store currency display settings.',
  'version' => '6.38',
))
->values(array(
  'lid' => '349',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Price: ',
  'version' => '6.38',
))
->values(array(
  'lid' => '350',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Quantity',
  'version' => '6.38',
))
->values(array(
  'lid' => '351',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Add to cart',
  'version' => '6.38',
))
->values(array(
  'lid' => '352',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => '!title: !required',
  'version' => '6.38',
))
->values(array(
  'lid' => '353',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'This field is required.',
  'version' => '6.38',
))
->values(array(
  'lid' => '354',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Add new comment',
  'version' => '6.38',
))
->values(array(
  'lid' => '355',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Add a new comment to this page.',
  'version' => '6.38',
))
->values(array(
  'lid' => '356',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'English',
  'version' => '6.38',
))
->values(array(
  'lid' => '357',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Spanish',
  'version' => '6.38',
))
->values(array(
  'lid' => '358',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Thu',
  'version' => '6.38',
))
->values(array(
  'lid' => '359',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'View user profile.',
  'version' => '6.38',
))
->values(array(
  'lid' => '360',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => '!datetime — !username',
  'version' => '6.38',
))
->values(array(
  'lid' => '361',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'HTML filter',
  'version' => '6.38',
))
->values(array(
  'lid' => '362',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Line break converter',
  'version' => '6.38',
))
->values(array(
  'lid' => '363',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'URL filter',
  'version' => '6.38',
))
->values(array(
  'lid' => '364',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'HTML corrector',
  'version' => '6.38',
))
->values(array(
  'lid' => '365',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Sun',
  'version' => '6.38',
))
->values(array(
  'lid' => '366',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'RSS',
  'version' => '6.38',
))
->values(array(
  'lid' => '367',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Syndicate content',
  'version' => '6.38',
))
->values(array(
  'lid' => '368',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => '« first',
  'version' => '6.38',
))
->values(array(
  'lid' => '369',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => '‹ previous',
  'version' => '6.38',
))
->values(array(
  'lid' => '370',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'next ›',
  'version' => '6.38',
))
->values(array(
  'lid' => '371',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'last »',
  'version' => '6.38',
))
->values(array(
  'lid' => '372',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Left sidebar',
  'version' => '6.38',
))
->values(array(
  'lid' => '373',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Right sidebar',
  'version' => '6.38',
))
->values(array(
  'lid' => '374',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Header',
  'version' => '6.38',
))
->values(array(
  'lid' => '375',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Footer',
  'version' => '6.38',
))
->values(array(
  'lid' => '376',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => '',
  'version' => '6.38',
))
->values(array(
  'lid' => '377',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Administer',
  'version' => '6.38',
))
->values(array(
  'lid' => '378',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Log out',
  'version' => '6.38',
))
->values(array(
  'lid' => '379',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'RSS feed',
  'version' => '6.38',
))
->values(array(
  'lid' => '380',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'User account',
  'version' => '6.38',
))
->values(array(
  'lid' => '381',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Compose tips',
  'version' => '6.38',
))
->values(array(
  'lid' => '382',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Create content',
  'version' => '6.38',
))
->values(array(
  'lid' => '383',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Delete comment',
  'version' => '6.38',
))
->values(array(
  'lid' => '384',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Edit comment',
  'version' => '6.38',
))
->values(array(
  'lid' => '385',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'File download',
  'version' => '6.38',
))
->values(array(
  'lid' => '386',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'User autocomplete',
  'version' => '6.38',
))
->values(array(
  'lid' => '387',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'My account',
  'version' => '6.38',
))
->values(array(
  'lid' => '388',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Autocomplete taxonomy',
  'version' => '6.38',
))
->values(array(
  'lid' => '389',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Shopping cart',
  'version' => '6.38',
))
->values(array(
  'lid' => '390',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'View/modify the contents of your shopping cart or proceed to checkout.',
  'version' => '6.38',
))
->values(array(
  'lid' => '391',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Checkout',
  'version' => '6.38',
))
->values(array(
  'lid' => '392',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Purchase the items in your shopping cart.',
  'version' => '6.38',
))
->values(array(
  'lid' => '393',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Order complete',
  'version' => '6.38',
))
->values(array(
  'lid' => '394',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Display information upon completion of an order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '395',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Review order',
  'version' => '6.38',
))
->values(array(
  'lid' => '396',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Review an order before final submission.',
  'version' => '6.38',
))
->values(array(
  'lid' => '397',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Views',
  'version' => '6.38',
))
->values(array(
  'lid' => '398',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Ajax callback for view loading.',
  'version' => '6.38',
))
->values(array(
  'lid' => '399',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Return order totals',
  'version' => '6.38',
))
->values(array(
  'lid' => '400',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Save string',
  'version' => '6.38',
))
->values(array(
  'lid' => '401',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Node title autocomplete',
  'version' => '6.38',
))
->values(array(
  'lid' => '402',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Remove field',
  'version' => '6.38',
))
->values(array(
  'lid' => '403',
  'location' => '/es',
  'textgroup' => 'default',
  'source' => 'Powered by Drupal, an open source content management system',
  'version' => '6.38',
))
->values(array(
  'lid' => '404',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => 'SKU: @sku',
  'version' => '6.38',
))
->values(array(
  'lid' => '405',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => 'List Price: ',
  'version' => '6.38',
))
->values(array(
  'lid' => '406',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => 'Cost: ',
  'version' => '6.38',
))
->values(array(
  'lid' => '407',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => 'Weight: !weight',
  'version' => '6.38',
))
->values(array(
  'lid' => '408',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => 'Dimensions: !length × !width × !height',
  'version' => '6.38',
))
->values(array(
  'lid' => '409',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => 'Home',
  'version' => '6.38',
))
->values(array(
  'lid' => '410',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => 'Catalog',
  'version' => '6.38',
))
->values(array(
  'lid' => '411',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => 'Share your thoughts and opinions related to this posting.',
  'version' => '6.38',
))
->values(array(
  'lid' => '412',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => 'View',
  'version' => '6.38',
))
->values(array(
  'lid' => '413',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => 'Attributes',
  'version' => '6.38',
))
->values(array(
  'lid' => '414',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => 'Edit',
  'version' => '6.38',
))
->values(array(
  'lid' => '415',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => 'Options',
  'version' => '6.38',
))
->values(array(
  'lid' => '416',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => 'Translate',
  'version' => '6.38',
))
->values(array(
  'lid' => '417',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => 'Adjustments',
  'version' => '6.38',
))
->values(array(
  'lid' => '418',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => 'Features',
  'version' => '6.38',
))
->values(array(
  'lid' => '419',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => '<a href="!url">Powered by Ubercart</a>',
  'version' => '6.38',
))
->values(array(
  'lid' => '420',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => '<a href="!url">Drupal e-commerce</a> provided by Ubercart.',
  'version' => '6.38',
))
->values(array(
  'lid' => '421',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => 'Supported by Ubercart, an <a href="!url">open source e-commerce suite</a>.',
  'version' => '6.38',
))
->values(array(
  'lid' => '422',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => 'Powered by Ubercart, the <a href="!url">free shopping cart software</a>.',
  'version' => '6.38',
))
->values(array(
  'lid' => '423',
  'location' => '/es/node/5',
  'textgroup' => 'default',
  'source' => '(Do not display a message in the footer.)',
  'version' => '6.38',
))
->values(array(
  'lid' => '424',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'GD library',
  'version' => '6.38',
))
->values(array(
  'lid' => '425',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Drupal',
  'version' => '6.38',
))
->values(array(
  'lid' => '426',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Web server',
  'version' => '6.38',
))
->values(array(
  'lid' => '427',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'PHP',
  'version' => '6.38',
))
->values(array(
  'lid' => '428',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'PHP register globals',
  'version' => '6.38',
))
->values(array(
  'lid' => '429',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'PHP memory limit',
  'version' => '6.38',
))
->values(array(
  'lid' => '430',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'MySQL database',
  'version' => '6.38',
))
->values(array(
  'lid' => '431',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Protected',
  'version' => '6.38',
))
->values(array(
  'lid' => '432',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Configuration file',
  'version' => '6.38',
))
->values(array(
  'lid' => '433',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Files directory',
  'version' => '6.38',
))
->values(array(
  'lid' => '434',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Temporary files directory',
  'version' => '6.38',
))
->values(array(
  'lid' => '435',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'For more information, see the online handbook entry for <a href="@cron-handbook">configuring cron jobs</a>.',
  'version' => '6.38',
))
->values(array(
  'lid' => '436',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Never run',
  'version' => '6.38',
))
->values(array(
  'lid' => '437',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Cron has not run.',
  'version' => '6.38',
))
->values(array(
  'lid' => '438',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Cron maintenance tasks',
  'version' => '6.38',
))
->values(array(
  'lid' => '439',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'You can <a href="@cron">run cron manually</a>.',
  'version' => '6.38',
))
->values(array(
  'lid' => '440',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'File system',
  'version' => '6.38',
))
->values(array(
  'lid' => '441',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Writable (<em>public</em> download method)',
  'version' => '6.38',
))
->values(array(
  'lid' => '442',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Database updates',
  'version' => '6.38',
))
->values(array(
  'lid' => '443',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Up to date',
  'version' => '6.38',
))
->values(array(
  'lid' => '444',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Access to update.php',
  'version' => '6.38',
))
->values(array(
  'lid' => '445',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Standard PHP',
  'version' => '6.38',
))
->values(array(
  'lid' => '446',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'PHP Mbstring Extension',
  'version' => '6.38',
))
->values(array(
  'lid' => '447',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Error',
  'version' => '6.38',
))
->values(array(
  'lid' => '448',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Unicode library',
  'version' => '6.38',
))
->values(array(
  'lid' => '449',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Not enabled',
  'version' => '6.38',
))
->values(array(
  'lid' => '450',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Update notifications are not enabled. It is <strong>highly recommended</strong> that you enable the update status module from the <a href="@module">module administration page</a> in order to stay up-to-date on new releases. For more information please read the <a href="@update">Update status handbook page</a>.',
  'version' => '6.38',
))
->values(array(
  'lid' => '451',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Update notifications',
  'version' => '6.38',
))
->values(array(
  'lid' => '452',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Your server is capable of displaying file upload progress, but does not have the required libraries. It is recommended to install the <a href="http://pecl.php.net/package/uploadprogress">PECL uploadprogress library</a> (preferred) or to install <a href="http://us2.php.net/apc">APC</a>.',
  'version' => '6.38',
))
->values(array(
  'lid' => '453',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Upload progress',
  'version' => '6.38',
))
->values(array(
  'lid' => '454',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Catalog vocabulary',
  'version' => '6.38',
))
->values(array(
  'lid' => '455',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Vocabulary !name has been identified as the Ubercart catalog.',
  'version' => '6.38',
))
->values(array(
  'lid' => '456',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'File Downloads',
  'version' => '6.38',
))
->values(array(
  'lid' => '457',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The file downloads directory is not valid or set. Set a valid directory in the <a href="!url">product feature settings</a> under the file download settings fieldset.',
  'version' => '6.38',
))
->values(array(
  'lid' => '458',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Product image support has been automatically configured by Ubercart.',
  'version' => '6.38',
))
->values(array(
  'lid' => '459',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Images',
  'version' => '6.38',
))
->values(array(
  'lid' => '460',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'authenticated user',
  'version' => '6.38',
))
->values(array(
  'lid' => '461',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Roles',
  'version' => '6.38',
))
->values(array(
  'lid' => '462',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The role(s) %roles are set to be used with the Role Assignment product feature.',
  'version' => '6.38',
))
->values(array(
  'lid' => '463',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Canada',
  'version' => '6.38',
))
->values(array(
  'lid' => '464',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'United States',
  'version' => '6.38',
))
->values(array(
  'lid' => '465',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Countries',
  'version' => '6.38',
))
->values(array(
  'lid' => '466',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Country definitions are up-to-date.',
  'version' => '6.38',
))
->values(array(
  'lid' => '467',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Store settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '468',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Store e-mail address is set.',
  'version' => '6.38',
))
->values(array(
  'lid' => '469',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The unique ID of the comment.',
  'version' => '6.38',
))
->values(array(
  'lid' => '470',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The unique ID of the node the comment was posted to.',
  'version' => '6.38',
))
->values(array(
  'lid' => '471',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The title of the comment.',
  'version' => '6.38',
))
->values(array(
  'lid' => '472',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The formatted content of the comment itself.',
  'version' => '6.38',
))
->values(array(
  'lid' => '473',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The unique ID of the author of the comment.',
  'version' => '6.38',
))
->values(array(
  'lid' => '474',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The name left by the comment author.',
  'version' => '6.38',
))
->values(array(
  'lid' => '475',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The home page URL left by the comment author.',
  'version' => '6.38',
))
->values(array(
  'lid' => '476',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The email address left by the comment author.',
  'version' => '6.38',
))
->values(array(
  'lid' => '477',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Comment creation',
  'version' => '6.38',
))
->values(array(
  'lid' => '478',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "!description date in 'small' format. (%date)",
  'version' => '6.38',
))
->values(array(
  'lid' => '479',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => '!description year (four digit)',
  'version' => '6.38',
))
->values(array(
  'lid' => '480',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => '!description year (two digit)',
  'version' => '6.38',
))
->values(array(
  'lid' => '481',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => '!description month (full word)',
  'version' => '6.38',
))
->values(array(
  'lid' => '482',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => '!description month (abbreviated)',
  'version' => '6.38',
))
->values(array(
  'lid' => '483',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => '!description month (two digits with leading zeros)',
  'version' => '6.38',
))
->values(array(
  'lid' => '484',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => '!description month (one or two digits without leading zeros)',
  'version' => '6.38',
))
->values(array(
  'lid' => '485',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => '!description week (two digits with leading zeros)',
  'version' => '6.38',
))
->values(array(
  'lid' => '486',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => '!description date (numeric representation of the day of the week)',
  'version' => '6.38',
))
->values(array(
  'lid' => '487',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => '!description day (full word)',
  'version' => '6.38',
))
->values(array(
  'lid' => '488',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => '!description day (abbreviation)',
  'version' => '6.38',
))
->values(array(
  'lid' => '489',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => '!description day (two digits with leading zeros)',
  'version' => '6.38',
))
->values(array(
  'lid' => '490',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => '!description day (one or two digits without leading zeros)',
  'version' => '6.38',
))
->values(array(
  'lid' => '491',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => '!description in UNIX timestamp format (%date)',
  'version' => '6.38',
))
->values(array(
  'lid' => '492',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => '@count years',
  'version' => '6.38',
))
->values(array(
  'lid' => '493',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => '@count weeks',
  'version' => '6.38',
))
->values(array(
  'lid' => '494',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "!description in 'time-since' format. (%date)",
  'version' => '6.38',
))
->values(array(
  'lid' => '495',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The title of the node the comment was posted to.',
  'version' => '6.38',
))
->values(array(
  'lid' => '496',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The name of the menu the node belongs to.',
  'version' => '6.38',
))
->values(array(
  'lid' => '497',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The menu path (as reflected in the breadcrumb), not including Home or [menu]. Separated by /.',
  'version' => '6.38',
))
->values(array(
  'lid' => '498',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The unfiltered menu path (as reflected in the breadcrumb), not including Home or [menu]. Separated by /.',
  'version' => '6.38',
))
->values(array(
  'lid' => '499',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The text used in the menu as link text for this item.',
  'version' => '6.38',
))
->values(array(
  'lid' => '500',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The unfiltered text used in the menu as link text for this item.',
  'version' => '6.38',
))
->values(array(
  'lid' => '501',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The unique ID of the node's menu link.",
  'version' => '6.38',
))
->values(array(
  'lid' => '502',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The unique ID of the node's menu link parent.",
  'version' => '6.38',
))
->values(array(
  'lid' => '503',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The URL alias of the parent menu link of the node.',
  'version' => '6.38',
))
->values(array(
  'lid' => '504',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The unique ID of the content item, or "node".',
  'version' => '6.38',
))
->values(array(
  'lid' => '505',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The type of the node.',
  'version' => '6.38',
))
->values(array(
  'lid' => '506',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The human-readable name of the node type.',
  'version' => '6.38',
))
->values(array(
  'lid' => '507',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The language the node is written in.',
  'version' => '6.38',
))
->values(array(
  'lid' => '508',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The title of the node.',
  'version' => '6.38',
))
->values(array(
  'lid' => '509',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The URL alias of the node.',
  'version' => '6.38',
))
->values(array(
  'lid' => '510',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The URL of the node.',
  'version' => '6.38',
))
->values(array(
  'lid' => '511',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The unique ID of the author of the node.',
  'version' => '6.38',
))
->values(array(
  'lid' => '512',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The login name of the author of the node.',
  'version' => '6.38',
))
->values(array(
  'lid' => '513',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The email address of the author of the node.',
  'version' => '6.38',
))
->values(array(
  'lid' => '514',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The explanation of the most recent changes made to the node.',
  'version' => '6.38',
))
->values(array(
  'lid' => '515',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Node creation',
  'version' => '6.38',
))
->values(array(
  'lid' => '516',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Node modification',
  'version' => '6.38',
))
->values(array(
  'lid' => '517',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The number of comments posted on a node.',
  'version' => '6.38',
))
->values(array(
  'lid' => '518',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The number of comments posted on a node since the reader last viewed it.',
  'version' => '6.38',
))
->values(array(
  'lid' => '519',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Name of top taxonomy term',
  'version' => '6.38',
))
->values(array(
  'lid' => '520',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Unfiltered name of top taxonomy term.',
  'version' => '6.38',
))
->values(array(
  'lid' => '521',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'ID of top taxonomy term',
  'version' => '6.38',
))
->values(array(
  'lid' => '522',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "Name of top term's vocabulary",
  'version' => '6.38',
))
->values(array(
  'lid' => '523',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "Unfiltered name of top term's vocabulary.",
  'version' => '6.38',
))
->values(array(
  'lid' => '524',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "ID of top term's vocabulary",
  'version' => '6.38',
))
->values(array(
  'lid' => '525',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The unique ID of the taxonomy term.',
  'version' => '6.38',
))
->values(array(
  'lid' => '526',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The name of the taxonomy term.',
  'version' => '6.38',
))
->values(array(
  'lid' => '527',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The optional description of the taxonomy term.',
  'version' => '6.38',
))
->values(array(
  'lid' => '528',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The unique ID of the taxonomy vocabulary the taxonomy term belongs to.',
  'version' => '6.38',
))
->values(array(
  'lid' => '529',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The name of the taxonomy vocabulary the taxonomy term belongs to.',
  'version' => '6.38',
))
->values(array(
  'lid' => '530',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The optional description of the taxonomy vocabulary the taxonomy term belongs to.',
  'version' => '6.38',
))
->values(array(
  'lid' => '531',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The unique ID of the taxonomy vocabulary.',
  'version' => '6.38',
))
->values(array(
  'lid' => '532',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The name of the taxonomy vocabulary.',
  'version' => '6.38',
))
->values(array(
  'lid' => '533',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The optional description of the taxonomy vocabulary.',
  'version' => '6.38',
))
->values(array(
  'lid' => '534',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The login name of the user account.',
  'version' => '6.38',
))
->values(array(
  'lid' => '535',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The unique ID of the user account.',
  'version' => '6.38',
))
->values(array(
  'lid' => '536',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The email address of the user account.',
  'version' => '6.38',
))
->values(array(
  'lid' => '537',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "User's registration",
  'version' => '6.38',
))
->values(array(
  'lid' => '538',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "User's last login",
  'version' => '6.38',
))
->values(array(
  'lid' => '539',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The current date in the user's timezone.",
  'version' => '6.38',
))
->values(array(
  'lid' => '540',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The URL of the account profile page.',
  'version' => '6.38',
))
->values(array(
  'lid' => '541',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The URL of the account edit page.',
  'version' => '6.38',
))
->values(array(
  'lid' => '542',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'File ID',
  'version' => '6.38',
))
->values(array(
  'lid' => '543',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'File description',
  'version' => '6.38',
))
->values(array(
  'lid' => '544',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'File name',
  'version' => '6.38',
))
->values(array(
  'lid' => '545',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'File path',
  'version' => '6.38',
))
->values(array(
  'lid' => '546',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'File URL',
  'version' => '6.38',
))
->values(array(
  'lid' => '547',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'File MIME type',
  'version' => '6.38',
))
->values(array(
  'lid' => '548',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'File size (in bytes)',
  'version' => '6.38',
))
->values(array(
  'lid' => '549',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'File size (pretty printed)',
  'version' => '6.38',
))
->values(array(
  'lid' => '550',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Fully formatted HTML file tag',
  'version' => '6.38',
))
->values(array(
  'lid' => '551',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'File name without extension',
  'version' => '6.38',
))
->values(array(
  'lid' => '552',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'File extension',
  'version' => '6.38',
))
->values(array(
  'lid' => '553',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Referenced node ID',
  'version' => '6.38',
))
->values(array(
  'lid' => '554',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Referenced node title',
  'version' => '6.38',
))
->values(array(
  'lid' => '555',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Referenced node unfiltered title. WARNING - raw user input.',
  'version' => '6.38',
))
->values(array(
  'lid' => '556',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Formatted html link to the referenced node.',
  'version' => '6.38',
))
->values(array(
  'lid' => '557',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Relative path alias to the referenced node.',
  'version' => '6.38',
))
->values(array(
  'lid' => '558',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Absolute path alias to the referenced node.',
  'version' => '6.38',
))
->values(array(
  'lid' => '559',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Raw number value',
  'version' => '6.38',
))
->values(array(
  'lid' => '560',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Formatted number value',
  'version' => '6.38',
))
->values(array(
  'lid' => '561',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Raw, unfiltered text',
  'version' => '6.38',
))
->values(array(
  'lid' => '562',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Formatted and filtered text',
  'version' => '6.38',
))
->values(array(
  'lid' => '563',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Raw email address',
  'version' => '6.38',
))
->values(array(
  'lid' => '564',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Formatted email address',
  'version' => '6.38',
))
->values(array(
  'lid' => '565',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Link URL',
  'version' => '6.38',
))
->values(array(
  'lid' => '566',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Link title',
  'version' => '6.38',
))
->values(array(
  'lid' => '567',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Formatted html link',
  'version' => '6.38',
))
->values(array(
  'lid' => '568',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Raw phone numbers',
  'version' => '6.38',
))
->values(array(
  'lid' => '569',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Formatted phone numbers',
  'version' => '6.38',
))
->values(array(
  'lid' => '570',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The payment method of the order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '571',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The payment balance of the order',
  'version' => '6.38',
))
->values(array(
  'lid' => '572',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The list of file download links (if any) associated with an order',
  'version' => '6.38',
))
->values(array(
  'lid' => '573',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'New username associated with an order if applicable.',
  'version' => '6.38',
))
->values(array(
  'lid' => '574',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'New password associated with an order if applicable.',
  'version' => '6.38',
))
->values(array(
  'lid' => '575',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The order ID.',
  'version' => '6.38',
))
->values(array(
  'lid' => '576',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The user ID of the order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '577',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The URL to the order',
  'version' => '6.38',
))
->values(array(
  'lid' => '578',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'A link to the order using the order ID.',
  'version' => '6.38',
))
->values(array(
  'lid' => '579',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The URL to the admin view page using the order ID.',
  'version' => '6.38',
))
->values(array(
  'lid' => '580',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'A link to the order admin view page using the order ID.',
  'version' => '6.38',
))
->values(array(
  'lid' => '581',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The formatted subtotal of products on an order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '582',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The numerical subtotal of products on an order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '583',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The formatted order total.',
  'version' => '6.38',
))
->values(array(
  'lid' => '584',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The numerical order total.',
  'version' => '6.38',
))
->values(array(
  'lid' => '585',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The formatted primary e-mail address of the order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '586',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The primary e-mail address of the order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '587',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The order shipping address.',
  'version' => '6.38',
))
->values(array(
  'lid' => '588',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The phone number for the shipping address.',
  'version' => '6.38',
))
->values(array(
  'lid' => '589',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The order billing address.',
  'version' => '6.38',
))
->values(array(
  'lid' => '590',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The phone number for the billing address.',
  'version' => '6.38',
))
->values(array(
  'lid' => '591',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The title of the first shipping line item.',
  'version' => '6.38',
))
->values(array(
  'lid' => '592',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The first name associated with the order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '593',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The last name associated with the order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '594',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Comments left by the customer.',
  'version' => '6.38',
))
->values(array(
  'lid' => '595',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Last order comment left by an administrator (not counting the order admin comments).',
  'version' => '6.38',
))
->values(array(
  'lid' => '596',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Last order comment left by an administrator (not counting the order admin comments).  Use with caution: this is unescaped raw input.',
  'version' => '6.38',
))
->values(array(
  'lid' => '597',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The current order status.',
  'version' => '6.38',
))
->values(array(
  'lid' => '598',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The date and time when the order was created.',
  'version' => '6.38',
))
->values(array(
  'lid' => '599',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The date and time when the order was last modified.',
  'version' => '6.38',
))
->values(array(
  'lid' => '600',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The product's model number.",
  'version' => '6.38',
))
->values(array(
  'lid' => '601',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The product's list price.",
  'version' => '6.38',
))
->values(array(
  'lid' => '602',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The product's cost.",
  'version' => '6.38',
))
->values(array(
  'lid' => '603',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The product's sell price.",
  'version' => '6.38',
))
->values(array(
  'lid' => '604',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The unit of measurement for the product's weight.",
  'version' => '6.38',
))
->values(array(
  'lid' => '605',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The numerical value of the product's weight.",
  'version' => '6.38',
))
->values(array(
  'lid' => '606',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The product's formatted weight.",
  'version' => '6.38',
))
->values(array(
  'lid' => '607',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The unit of measurement for the product's length, width, and height.",
  'version' => '6.38',
))
->values(array(
  'lid' => '608',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The numerical value of the product's length.",
  'version' => '6.38',
))
->values(array(
  'lid' => '609',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The product's formatted length.",
  'version' => '6.38',
))
->values(array(
  'lid' => '610',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The numerical value of the product's width.",
  'version' => '6.38',
))
->values(array(
  'lid' => '611',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The product's formatted width.",
  'version' => '6.38',
))
->values(array(
  'lid' => '612',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The numerical value of the product's height.",
  'version' => '6.38',
))
->values(array(
  'lid' => '613',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The product's formatted height.",
  'version' => '6.38',
))
->values(array(
  'lid' => '614',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The role expiration date in long format',
  'version' => '6.38',
))
->values(array(
  'lid' => '615',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The role expiration date in medium format',
  'version' => '6.38',
))
->values(array(
  'lid' => '616',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The role expiration date in short format',
  'version' => '6.38',
))
->values(array(
  'lid' => '617',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The associated role name',
  'version' => '6.38',
))
->values(array(
  'lid' => '618',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'A link to the site login page.',
  'version' => '6.38',
))
->values(array(
  'lid' => '619',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The URL for the site logo.',
  'version' => '6.38',
))
->values(array(
  'lid' => '620',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The Ubercart store name.',
  'version' => '6.38',
))
->values(array(
  'lid' => '621',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The Ubercart store URL.',
  'version' => '6.38',
))
->values(array(
  'lid' => '622',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'A link to the Ubercart store using the store name.',
  'version' => '6.38',
))
->values(array(
  'lid' => '623',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The Ubercart store owner.',
  'version' => '6.38',
))
->values(array(
  'lid' => '624',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The Ubercart store e-mail address.',
  'version' => '6.38',
))
->values(array(
  'lid' => '625',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The Ubercart store phone number.',
  'version' => '6.38',
))
->values(array(
  'lid' => '626',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The Ubercart store fax number.',
  'version' => '6.38',
))
->values(array(
  'lid' => '627',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The Ubercart store mailing address.',
  'version' => '6.38',
))
->values(array(
  'lid' => '628',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The URL to the store help page.',
  'version' => '6.38',
))
->values(array(
  'lid' => '629',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Unescaped term name translated using i18n',
  'version' => '6.38',
))
->values(array(
  'lid' => '630',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Escaped term name translated using i18n',
  'version' => '6.38',
))
->values(array(
  'lid' => '631',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The name of the currently logged in user.',
  'version' => '6.38',
))
->values(array(
  'lid' => '632',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The user ID of the currently logged in user.',
  'version' => '6.38',
))
->values(array(
  'lid' => '633',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The email address of the currently logged in user.',
  'version' => '6.38',
))
->values(array(
  'lid' => '634',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The URL of the site's front page.",
  'version' => '6.38',
))
->values(array(
  'lid' => '635',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The name of the site.',
  'version' => '6.38',
))
->values(array(
  'lid' => '636',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The slogan of the site.',
  'version' => '6.38',
))
->values(array(
  'lid' => '637',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "The optional 'mission' of the site.",
  'version' => '6.38',
))
->values(array(
  'lid' => '638',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The administrative email address for the site.',
  'version' => '6.38',
))
->values(array(
  'lid' => '639',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The current',
  'version' => '6.38',
))
->values(array(
  'lid' => '640',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The title of the current page.',
  'version' => '6.38',
))
->values(array(
  'lid' => '641',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The URL alias of the current page.',
  'version' => '6.38',
))
->values(array(
  'lid' => '642',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The URL of the current page.',
  'version' => '6.38',
))
->values(array(
  'lid' => '643',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'The page number of the current page when viewing paged lists.',
  'version' => '6.38',
))
->values(array(
  'lid' => '644',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'One or more problems were detected with your Drupal installation. Check the <a href="@status">status report</a> for more information.',
  'version' => '6.38',
))
->values(array(
  'lid' => '645',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Content management',
  'version' => '6.38',
))
->values(array(
  'lid' => '646',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "Manage your site's content.",
  'version' => '6.38',
))
->values(array(
  'lid' => '647',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Comments',
  'version' => '6.38',
))
->values(array(
  'lid' => '648',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'List and edit site comments and the comment moderation queue.',
  'version' => '6.38',
))
->values(array(
  'lid' => '649',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "View, edit, and delete your site's content.",
  'version' => '6.38',
))
->values(array(
  'lid' => '650',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Manage posts by content type, including default status, front page promotion, etc.',
  'version' => '6.38',
))
->values(array(
  'lid' => '651',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Post settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '652',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Control posting behavior, such as teaser length, requiring previews before posting, and the number of posts on the front page.',
  'version' => '6.38',
))
->values(array(
  'lid' => '653',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'RSS publishing',
  'version' => '6.38',
))
->values(array(
  'lid' => '654',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Configure the number of items per feed and whether feeds should be titles/teasers/full-text.',
  'version' => '6.38',
))
->values(array(
  'lid' => '655',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Manage tagging, categorization, and classification of your content.',
  'version' => '6.38',
))
->values(array(
  'lid' => '656',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Reports',
  'version' => '6.38',
))
->values(array(
  'lid' => '657',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'View reports from system logs and other status information.',
  'version' => '6.38',
))
->values(array(
  'lid' => '658',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Status report',
  'version' => '6.38',
))
->values(array(
  'lid' => '659',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "Get a status report about your site's operation and any detected problems.",
  'version' => '6.38',
))
->values(array(
  'lid' => '660',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Recent log entries',
  'version' => '6.38',
))
->values(array(
  'lid' => '661',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'View events that have recently been logged.',
  'version' => '6.38',
))
->values(array(
  'lid' => '662',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "Top 'access denied' errors",
  'version' => '6.38',
))
->values(array(
  'lid' => '663',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "View 'access denied' errors (403s).",
  'version' => '6.38',
))
->values(array(
  'lid' => '664',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "Top 'page not found' errors",
  'version' => '6.38',
))
->values(array(
  'lid' => '665',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "View 'page not found' errors (404s).",
  'version' => '6.38',
))
->values(array(
  'lid' => '666',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Site building',
  'version' => '6.38',
))
->values(array(
  'lid' => '667',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Control how your site looks and feels.',
  'version' => '6.38',
))
->values(array(
  'lid' => '668',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Blocks',
  'version' => '6.38',
))
->values(array(
  'lid' => '669',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "Configure what block content appears in your site's sidebars and other regions.",
  'version' => '6.38',
))
->values(array(
  'lid' => '670',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Modules',
  'version' => '6.38',
))
->values(array(
  'lid' => '671',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Enable or disable add-on modules for your site.',
  'version' => '6.38',
))
->values(array(
  'lid' => '672',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Themes',
  'version' => '6.38',
))
->values(array(
  'lid' => '673',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Change which theme your site uses or allows users to set.',
  'version' => '6.38',
))
->values(array(
  'lid' => '674',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'URL aliases',
  'version' => '6.38',
))
->values(array(
  'lid' => '675',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "Change your site's URL paths by aliasing them.",
  'version' => '6.38',
))
->values(array(
  'lid' => '676',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Translate interface',
  'version' => '6.38',
))
->values(array(
  'lid' => '677',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Translate the built in interface and optionally other text.',
  'version' => '6.38',
))
->values(array(
  'lid' => '678',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Menus',
  'version' => '6.38',
))
->values(array(
  'lid' => '679',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "Control your site's navigation menu, primary links and secondary links, as well as rename and reorganize menu items.",
  'version' => '6.38',
))
->values(array(
  'lid' => '680',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Site configuration',
  'version' => '6.38',
))
->values(array(
  'lid' => '681',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Adjust basic site configuration options.',
  'version' => '6.38',
))
->values(array(
  'lid' => '682',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Manage the actions defined for your site.',
  'version' => '6.38',
))
->values(array(
  'lid' => '683',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Administration theme',
  'version' => '6.38',
))
->values(array(
  'lid' => '684',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Settings for how your administrative pages should look.',
  'version' => '6.38',
))
->values(array(
  'lid' => '685',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Clean URLs',
  'version' => '6.38',
))
->values(array(
  'lid' => '686',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Enable or disable clean URLs for your site.',
  'version' => '6.38',
))
->values(array(
  'lid' => '687',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "Settings for how Drupal displays date and time, as well as the system's default timezone.",
  'version' => '6.38',
))
->values(array(
  'lid' => '688',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Error reporting',
  'version' => '6.38',
))
->values(array(
  'lid' => '689',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Control how Drupal deals with errors including 403/404 errors as well as PHP error reporting.',
  'version' => '6.38',
))
->values(array(
  'lid' => '690',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Tell Drupal where to store uploaded files and how they are accessed.',
  'version' => '6.38',
))
->values(array(
  'lid' => '691',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Image toolkit',
  'version' => '6.38',
))
->values(array(
  'lid' => '692',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Choose which image toolkit to use if you have installed optional toolkits.',
  'version' => '6.38',
))
->values(array(
  'lid' => '693',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Input formats',
  'version' => '6.38',
))
->values(array(
  'lid' => '694',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.',
  'version' => '6.38',
))
->values(array(
  'lid' => '695',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Performance',
  'version' => '6.38',
))
->values(array(
  'lid' => '696',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.',
  'version' => '6.38',
))
->values(array(
  'lid' => '697',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Site information',
  'version' => '6.38',
))
->values(array(
  'lid' => '698',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Change basic site information, such as the site name, slogan, e-mail address, mission, front page and more.',
  'version' => '6.38',
))
->values(array(
  'lid' => '699',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Site maintenance',
  'version' => '6.38',
))
->values(array(
  'lid' => '700',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Take the site off-line for maintenance or bring it back online.',
  'version' => '6.38',
))
->values(array(
  'lid' => '701',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'CCK Email Contact Form Settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '702',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Administer flood control settings for email contact forms',
  'version' => '6.38',
))
->values(array(
  'lid' => '703',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'ImageAPI',
  'version' => '6.38',
))
->values(array(
  'lid' => '704',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Configure ImageAPI.',
  'version' => '6.38',
))
->values(array(
  'lid' => '705',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Configure languages for content and the user interface.',
  'version' => '6.38',
))
->values(array(
  'lid' => '706',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Logging and alerts',
  'version' => '6.38',
))
->values(array(
  'lid' => '707',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "Settings for logging and alerts modules. Various modules can route Drupal's system events to different destination, such as syslog, database, email, ...etc.",
  'version' => '6.38',
))
->values(array(
  'lid' => '708',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'User management',
  'version' => '6.38',
))
->values(array(
  'lid' => '709',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => "Manage your site's users, groups and access to site features.",
  'version' => '6.38',
))
->values(array(
  'lid' => '710',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Access rules',
  'version' => '6.38',
))
->values(array(
  'lid' => '711',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'List and create rules to disallow usernames, e-mail addresses, and IP addresses.',
  'version' => '6.38',
))
->values(array(
  'lid' => '712',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Permissions',
  'version' => '6.38',
))
->values(array(
  'lid' => '713',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Determine access to features by selecting permissions for roles.',
  'version' => '6.38',
))
->values(array(
  'lid' => '714',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'List, edit, or add user roles.',
  'version' => '6.38',
))
->values(array(
  'lid' => '715',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'User settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '716',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Configure default behavior of users, including registration requirements, e-mails, and user pictures.',
  'version' => '6.38',
))
->values(array(
  'lid' => '717',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Users',
  'version' => '6.38',
))
->values(array(
  'lid' => '718',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'List, add, and edit users.',
  'version' => '6.38',
))
->values(array(
  'lid' => '719',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Store administration',
  'version' => '6.38',
))
->values(array(
  'lid' => '720',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Administer store settings, products, orders, and more.',
  'version' => '6.38',
))
->values(array(
  'lid' => '721',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Conditional actions',
  'version' => '6.38',
))
->values(array(
  'lid' => '722',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Administer the predicates setup to automate your store.',
  'version' => '6.38',
))
->values(array(
  'lid' => '723',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Create and edit attributes and options.',
  'version' => '6.38',
))
->values(array(
  'lid' => '724',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Configuration',
  'version' => '6.38',
))
->values(array(
  'lid' => '725',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Adjust configuration settings for Ubercart.',
  'version' => '6.38',
))
->values(array(
  'lid' => '726',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Customers',
  'version' => '6.38',
))
->values(array(
  'lid' => '727',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'View and modify customer information and orders.',
  'version' => '6.38',
))
->values(array(
  'lid' => '728',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Help',
  'version' => '6.38',
))
->values(array(
  'lid' => '729',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Links to get help!',
  'version' => '6.38',
))
->values(array(
  'lid' => '730',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Orders',
  'version' => '6.38',
))
->values(array(
  'lid' => '731',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'View and process orders.',
  'version' => '6.38',
))
->values(array(
  'lid' => '732',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Products',
  'version' => '6.38',
))
->values(array(
  'lid' => '733',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Administer products, classes, and more.',
  'version' => '6.38',
))
->values(array(
  'lid' => '734',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Browse various store reports.',
  'version' => '6.38',
))
->values(array(
  'lid' => '735',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Hide descriptions',
  'version' => '6.38',
))
->values(array(
  'lid' => '736',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Compress layout by hiding descriptions.',
  'version' => '6.38',
))
->values(array(
  'lid' => '737',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Compact mode',
  'version' => '6.38',
))
->values(array(
  'lid' => '738',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'By task',
  'version' => '6.38',
))
->values(array(
  'lid' => '739',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'By module',
  'version' => '6.38',
))
->values(array(
  'lid' => '740',
  'location' => '/es/admin',
  'textgroup' => 'default',
  'source' => 'Welcome to the administration section. Here you may control how your site functions.',
  'version' => '6.38',
))
->values(array(
  'lid' => '741',
  'location' => '/es/admin/store/products',
  'textgroup' => 'default',
  'source' => 'Price',
  'version' => '6.38',
))
->values(array(
  'lid' => '742',
  'location' => '/es/admin/store/products',
  'textgroup' => 'default',
  'source' => 'n/a',
  'version' => '6.38',
))
->values(array(
  'lid' => '743',
  'location' => '/es/admin/store/products',
  'textgroup' => 'default',
  'source' => 'sort by @s',
  'version' => '6.38',
))
->values(array(
  'lid' => '744',
  'location' => '/es/admin/store/products',
  'textgroup' => 'default',
  'source' => 'Manage classes',
  'version' => '6.38',
))
->values(array(
  'lid' => '745',
  'location' => '/es/admin/store/products',
  'textgroup' => 'default',
  'source' => 'Create and edit product node types.',
  'version' => '6.38',
))
->values(array(
  'lid' => '746',
  'location' => '/es/admin/store/products',
  'textgroup' => 'default',
  'source' => 'View products',
  'version' => '6.38',
))
->values(array(
  'lid' => '747',
  'location' => '/es/admin/store/products',
  'textgroup' => 'default',
  'source' => 'Build and view a list of product nodes.',
  'version' => '6.38',
))
->values(array(
  'lid' => '748',
  'location' => '/es/admin/store/products',
  'textgroup' => 'default',
  'source' => 'Find orphaned products',
  'version' => '6.38',
))
->values(array(
  'lid' => '749',
  'location' => '/es/admin/store/products',
  'textgroup' => 'default',
  'source' => 'Find products that have not been categorized.',
  'version' => '6.38',
))
->values(array(
  'lid' => '750',
  'location' => '/es/admin/store/products',
  'textgroup' => 'default',
  'source' => 'View file downloads',
  'version' => '6.38',
))
->values(array(
  'lid' => '751',
  'location' => '/es/admin/store/products',
  'textgroup' => 'default',
  'source' => 'View all file download features on products.',
  'version' => '6.38',
))
->values(array(
  'lid' => '752',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Cart settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '753',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Configure the cart settings.',
  'version' => '6.38',
))
->values(array(
  'lid' => '754',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Checkout settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '755',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Configure the checkout settings.',
  'version' => '6.38',
))
->values(array(
  'lid' => '756',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Country settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '757',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Configure country specific settings.',
  'version' => '6.38',
))
->values(array(
  'lid' => '758',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Order settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '759',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Configure the order settings.',
  'version' => '6.38',
))
->values(array(
  'lid' => '760',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Price handler settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '761',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Select which price handlers to use for your store.',
  'version' => '6.38',
))
->values(array(
  'lid' => '762',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Product settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '763',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Configure product settings.',
  'version' => '6.38',
))
->values(array(
  'lid' => '764',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Payment settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '765',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Configure the payment settings.',
  'version' => '6.38',
))
->values(array(
  'lid' => '766',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Report settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '767',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'View the report settings.',
  'version' => '6.38',
))
->values(array(
  'lid' => '768',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Shipping quote settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '769',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Configure the shipping quote settings.',
  'version' => '6.38',
))
->values(array(
  'lid' => '770',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Tax rates and settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '771',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Configure the tax rates and settings.',
  'version' => '6.38',
))
->values(array(
  'lid' => '772',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Attribute settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '773',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Configure the attribute settings.',
  'version' => '6.38',
))
->values(array(
  'lid' => '774',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Catalog settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '775',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Configure the catalog settings.',
  'version' => '6.38',
))
->values(array(
  'lid' => '776',
  'location' => '/es/admin/store/settings',
  'textgroup' => 'default',
  'source' => 'Configure the main store settings.',
  'version' => '6.38',
))
->values(array(
  'lid' => '777',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'No image widgets installed.',
  'version' => '6.38',
))
->values(array(
  'lid' => '778',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Product image widget',
  'version' => '6.38',
))
->values(array(
  'lid' => '779',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'The selected widget will be used to display a zoomed version of product images when they are clicked.',
  'version' => '6.38',
))
->values(array(
  'lid' => '780',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Display an optional quantity field in the <em>Add to Cart</em> form.',
  'version' => '6.38',
))
->values(array(
  'lid' => '781',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'The Quantity field in the <em>Add to Cart</em> form is enabled.',
  'version' => '6.38',
))
->values(array(
  'lid' => '782',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'The Quantity field in the <em>Add to Cart</em> form is disabled.',
  'version' => '6.38',
))
->values(array(
  'lid' => '783',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Enable <em>Add to cart</em> forms in product node teasers.',
  'version' => '6.38',
))
->values(array(
  'lid' => '784',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'The <em>Add to Cart</em> form is enabled in product teasers.',
  'version' => '6.38',
))
->values(array(
  'lid' => '785',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'The <em>Add to Cart</em> form is disabled in product teasers.',
  'version' => '6.38',
))
->values(array(
  'lid' => '786',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => '<em>Add to cart</em> button text',
  'version' => '6.38',
))
->values(array(
  'lid' => '787',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Use the textboxes to adjust the text of the submit button for <em>Add to Cart</em> forms in various places on the site.',
  'version' => '6.38',
))
->values(array(
  'lid' => '788',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Teaser forms',
  'version' => '6.38',
))
->values(array(
  'lid' => '789',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'For the form displayed on teasers and catalog pages.',
  'version' => '6.38',
))
->values(array(
  'lid' => '790',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Teaser and catalog pages: %text',
  'version' => '6.38',
))
->values(array(
  'lid' => '791',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Product view',
  'version' => '6.38',
))
->values(array(
  'lid' => '792',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'For the form displayed on the product view page.',
  'version' => '6.38',
))
->values(array(
  'lid' => '793',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Product view pages: %text',
  'version' => '6.38',
))
->values(array(
  'lid' => '794',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Save configuration',
  'version' => '6.38',
))
->values(array(
  'lid' => '795',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Reset to defaults',
  'version' => '6.38',
))
->values(array(
  'lid' => '796',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'This is a multilingual variable.',
  'version' => '6.38',
))
->values(array(
  'lid' => '797',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Product fields',
  'version' => '6.38',
))
->values(array(
  'lid' => '798',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'SKU',
  'version' => '6.38',
))
->values(array(
  'lid' => '799',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Display price',
  'version' => '6.38',
))
->values(array(
  'lid' => '800',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'List price',
  'version' => '6.38',
))
->values(array(
  'lid' => '801',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => "Cost (seen only by 'administer products' permission)",
  'version' => '6.38',
))
->values(array(
  'lid' => '802',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Sell price',
  'version' => '6.38',
))
->values(array(
  'lid' => '803',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Weight',
  'version' => '6.38',
))
->values(array(
  'lid' => '804',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Dimensions',
  'version' => '6.38',
))
->values(array(
  'lid' => '805',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Displayed product fields:',
  'version' => '6.38',
))
->values(array(
  'lid' => '806',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Product features',
  'version' => '6.38',
))
->values(array(
  'lid' => '807',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Role assignment',
  'version' => '6.38',
))
->values(array(
  'lid' => '808',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'The following product features are enabled',
  'version' => '6.38',
))
->values(array(
  'lid' => '809',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => '!feature settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '810',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Payment received',
  'version' => '6.38',
))
->values(array(
  'lid' => '811',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Canceled',
  'version' => '6.38',
))
->values(array(
  'lid' => '812',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'In checkout',
  'version' => '6.38',
))
->values(array(
  'lid' => '813',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Post checkout',
  'version' => '6.38',
))
->values(array(
  'lid' => '814',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Completed',
  'version' => '6.38',
))
->values(array(
  'lid' => '815',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Files path',
  'version' => '6.38',
))
->values(array(
  'lid' => '816',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'The absolute path (or relative to Drupal root) where files used for file downloads are located. For security reasons, it is recommended to choose a path outside the web root.',
  'version' => '6.38',
))
->values(array(
  'lid' => '817',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Warn about purchasing duplicate files',
  'version' => '6.38',
))
->values(array(
  'lid' => '818',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'If a customer attempts to purchase a product containing a file download, warn them and notify them that the download limits will be added onto their current limits.',
  'version' => '6.38',
))
->values(array(
  'lid' => '819',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Download limits',
  'version' => '6.38',
))
->values(array(
  'lid' => '820',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Downloads',
  'version' => '6.38',
))
->values(array(
  'lid' => '821',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'The number of times a file can be downloaded. Leave empty to set no limit.',
  'version' => '6.38',
))
->values(array(
  'lid' => '822',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'IP addresses',
  'version' => '6.38',
))
->values(array(
  'lid' => '823',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'The number of unique IPs that a file can be downloaded from. Leave empty to set no limit.',
  'version' => '6.38',
))
->values(array(
  'lid' => '824',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Time',
  'version' => '6.38',
))
->values(array(
  'lid' => '825',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'never',
  'version' => '6.38',
))
->values(array(
  'lid' => '826',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'day(s)',
  'version' => '6.38',
))
->values(array(
  'lid' => '827',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'week(s)',
  'version' => '6.38',
))
->values(array(
  'lid' => '828',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'month(s)',
  'version' => '6.38',
))
->values(array(
  'lid' => '829',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'year(s)',
  'version' => '6.38',
))
->values(array(
  'lid' => '830',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'How long after a product has been purchased until its file download expires.',
  'version' => '6.38',
))
->values(array(
  'lid' => '831',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Default role',
  'version' => '6.38',
))
->values(array(
  'lid' => '832',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'The default role Ubercart grants on specified products.',
  'version' => '6.38',
))
->values(array(
  'lid' => '833',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Product roles',
  'version' => '6.38',
))
->values(array(
  'lid' => '834',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'These are roles that Ubercart can grant to customers who purchase specified products. If you leave all roles unchecked, they will all be eligible for adding to a product.',
  'version' => '6.38',
))
->values(array(
  'lid' => '835',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Expiration period',
  'version' => '6.38',
))
->values(array(
  'lid' => '836',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'End',
  'version' => '6.38',
))
->values(array(
  'lid' => '837',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Relative from activation time',
  'version' => '6.38',
))
->values(array(
  'lid' => '838',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Absolute role ending',
  'version' => '6.38',
))
->values(array(
  'lid' => '839',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Default expiration',
  'version' => '6.38',
))
->values(array(
  'lid' => '840',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'The default amount of time a granted Ubercart role will last until it expires.',
  'version' => '6.38',
))
->values(array(
  'lid' => '841',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'When this expiration period will end.',
  'version' => '6.38',
))
->values(array(
  'lid' => '842',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Multiply by quantity',
  'version' => '6.38',
))
->values(array(
  'lid' => '843',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Check if the role duration should be multiplied by the quantity purchased.',
  'version' => '6.38',
))
->values(array(
  'lid' => '844',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Time before reminder',
  'version' => '6.38',
))
->values(array(
  'lid' => '845',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'The amount of time before a role expiration takes place that a customer is notified of its expiration.',
  'version' => '6.38',
))
->values(array(
  'lid' => '846',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Expiration display',
  'version' => '6.38',
))
->values(array(
  'lid' => '847',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Show expirations on user page',
  'version' => '6.38',
))
->values(array(
  'lid' => '848',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'If users have any role expirations they will be displayed on their account page.',
  'version' => '6.38',
))
->values(array(
  'lid' => '849',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => "Your order is almost complete. Please review the details below and click 'Submit order' if all the information is correct.  You may use the 'Back' button to make changes to your order if necessary.",
  'version' => '6.38',
))
->values(array(
  'lid' => '850',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Your order is complete! Your order number is [order-id].',
  'version' => '6.38',
))
->values(array(
  'lid' => '851',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Thank you for shopping at [store-name]. While logged in, you may continue shopping or <a href="[order-url]">view your current order status</a> and order history.',
  'version' => '6.38',
))
->values(array(
  'lid' => '852',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => "Thank you for shopping at [store-name]. Your current order has been attached to the account we found matching your e-mail address.\n\n<a href=\"!user_url\">Login</a> to view your current order status and order history. Remember to login when you make your next purchase for a faster checkout experience!",
  'version' => '6.38',
))
->values(array(
  'lid' => '853',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => "Thank you for shopping at [store-name]. A new account has been created for you here that you may use to view your current order status.\n\n<a href=\"!user_url\">Login</a> to your new account using the following information:\n\n<strong>Username:</strong> !new_username\n<strong>Password:</strong> !new_password",
  'version' => '6.38',
))
->values(array(
  'lid' => '854',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => "Thank you for shopping at [store-name]. A new account has been created for you here that you may use to view your current order status.\n\nYour password and further instructions have been sent to your e-mail address.\n\nFor your convenience, you are already logged in with your newly created account.",
  'version' => '6.38',
))
->values(array(
  'lid' => '855',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => '<a href="[site-url]">Return to the front page.</a>',
  'version' => '6.38',
))
->values(array(
  'lid' => '856',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => "[order-first-name] [order-last-name],\n\nYour order number [order-link] at [store-name] has been updated.\n\nOrder status: [order-status]\n\nOrder comment:\n[order-last-comment]\n\nBrowse to the following page to login to your account and view your order details:\n[site-login]\n\n\nThanks again,\n\n[store-name]\n[site-slogan]",
  'version' => '6.38',
))
->values(array(
  'lid' => '857',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => '[store-name]: [role-name] role granted',
  'version' => '6.38',
))
->values(array(
  'lid' => '858',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => "[order-first-name] [order-last-name], \n\nThanks to your order, [order-link], at [store-name] you now have a new role, [role-name].\n\nThanks again, \n\n[store-name]\n[site-slogan]",
  'version' => '6.38',
))
->values(array(
  'lid' => '859',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => '[store-name]: [role-name] role expired',
  'version' => '6.38',
))
->values(array(
  'lid' => '860',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => "The role, [role-name], you acquired by purchasing a product at our store has expired. Any special access or privileges that came with it are now gone. You can purchase it again by going to [store-link]\n\nThanks again, \n\n[store-name]\n[site-slogan]",
  'version' => '6.38',
))
->values(array(
  'lid' => '861',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => '[store-name]: [role-name] role renewed',
  'version' => '6.38',
))
->values(array(
  'lid' => '862',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => "[order-first-name] [order-last-name], \n\nThanks to your order, [order-link], at [store-name] you have renewed the role, [role-name]. It is now set to expire on [role-expiration-short].\n\nThanks again, \n\n[store-name]\n[site-slogan]",
  'version' => '6.38',
))
->values(array(
  'lid' => '863',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => '[store-name]: [role-name] role expiration notice',
  'version' => '6.38',
))
->values(array(
  'lid' => '864',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => "This message is to remind you that the role, [role-name], you acquired by making a purchase at our store will expire at [role-expiration-short]. You may visit [store-link] to renew this role before it expires.\n\nThanks again, \n\n[store-name]\n[site-slogan]",
  'version' => '6.38',
))
->values(array(
  'lid' => '865',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Expiring roles',
  'version' => '6.38',
))
->values(array(
  'lid' => '866',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => '!role_name',
  'version' => '6.38',
))
->values(array(
  'lid' => '867',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'This role will expire on !date',
  'version' => '6.38',
))
->values(array(
  'lid' => '868',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Message',
  'version' => '6.38',
))
->values(array(
  'lid' => '869',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'The message, with its accompanying title, and the header displayed above all role expirations. In the <strong>Title</strong> & <strong>Message</strong> fields "!role_name" and "!date" will translate to the corresponding Drupal role name and role expiration date.',
  'version' => '6.38',
))
->values(array(
  'lid' => '870',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'The following features are enabled:',
  'version' => '6.38',
))
->values(array(
  'lid' => '871',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Product kits',
  'version' => '6.38',
))
->values(array(
  'lid' => '872',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Configure the product kit settings.',
  'version' => '6.38',
))
->values(array(
  'lid' => '873',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Product kit cart display',
  'version' => '6.38',
))
->values(array(
  'lid' => '874',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'As a unit. Customers may only change how many kits they are buying. Do not list component products.',
  'version' => '6.38',
))
->values(array(
  'lid' => '875',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'As a unit. Customers may only change how many kits they are buying. List component products.',
  'version' => '6.38',
))
->values(array(
  'lid' => '876',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'As individual products. Customers may add or remove kit components at will. Discounts entered below are not applied to the kit price',
  'version' => '6.38',
))
->values(array(
  'lid' => '877',
  'location' => '/es/admin/store/settings/products',
  'textgroup' => 'default',
  'source' => 'Overview',
  'version' => '6.38',
))
->values(array(
  'lid' => '878',
  'location' => '/es/admin/store/settings/products/edit/fields',
  'textgroup' => 'default',
  'source' => 'Enable',
  'version' => '6.38',
))
->values(array(
  'lid' => '879',
  'location' => '/es/admin/store/settings/products/edit/fields',
  'textgroup' => 'default',
  'source' => 'Product field',
  'version' => '6.38',
))
->values(array(
  'lid' => '880',
  'location' => '/es/admin/store/settings/products/edit/fields',
  'textgroup' => 'default',
  'source' => 'List position',
  'version' => '6.38',
))
->values(array(
  'lid' => '881',
  'location' => '/es/admin/store/settings/products/edit/fields',
  'textgroup' => 'default',
  'source' => 'These settings control which fields are displayed and the position they are displayed in when viewing product nodes.',
  'version' => '6.38',
))
->values(array(
  'lid' => '882',
  'location' => '/es/admin/store/settings/products/edit/features',
  'textgroup' => 'default',
  'source' => 'Jan',
  'version' => '6.38',
))
->values(array(
  'lid' => '883',
  'location' => '/es/admin/store/settings/products/edit/features',
  'textgroup' => 'default',
  'source' => 'Feb',
  'version' => '6.38',
))
->values(array(
  'lid' => '884',
  'location' => '/es/admin/store/settings/products/edit/features',
  'textgroup' => 'default',
  'source' => 'Mar',
  'version' => '6.38',
))
->values(array(
  'lid' => '885',
  'location' => '/es/admin/store/settings/products/edit/features',
  'textgroup' => 'default',
  'source' => 'Apr',
  'version' => '6.38',
))
->values(array(
  'lid' => '886',
  'location' => '/es/admin/store/settings/products/edit/features',
  'textgroup' => 'default',
  'source' => 'May',
  'version' => '6.38',
))
->values(array(
  'lid' => '887',
  'location' => '/es/admin/store/settings/products/edit/features',
  'textgroup' => 'default',
  'source' => 'Jun',
  'version' => '6.38',
))
->values(array(
  'lid' => '888',
  'location' => '/es/admin/store/settings/products/edit/features',
  'textgroup' => 'default',
  'source' => 'Jul',
  'version' => '6.38',
))
->values(array(
  'lid' => '889',
  'location' => '/es/admin/store/settings/products/edit/features',
  'textgroup' => 'default',
  'source' => 'Aug',
  'version' => '6.38',
))
->values(array(
  'lid' => '890',
  'location' => '/es/admin/store/settings/products/edit/features',
  'textgroup' => 'default',
  'source' => 'Sep',
  'version' => '6.38',
))
->values(array(
  'lid' => '891',
  'location' => '/es/admin/store/settings/products/edit/features',
  'textgroup' => 'default',
  'source' => 'Oct',
  'version' => '6.38',
))
->values(array(
  'lid' => '892',
  'location' => '/es/admin/store/settings/products/edit/features',
  'textgroup' => 'default',
  'source' => 'Nov',
  'version' => '6.38',
))
->values(array(
  'lid' => '893',
  'location' => '/es/admin/store/settings/products/edit/features',
  'textgroup' => 'default',
  'source' => 'Dec',
  'version' => '6.38',
))
->values(array(
  'lid' => '894',
  'location' => '/es/admin/store/settings/attributes',
  'textgroup' => 'default',
  'source' => 'Option price format',
  'version' => '6.38',
))
->values(array(
  'lid' => '895',
  'location' => '/es/admin/store/settings/attributes',
  'textgroup' => 'default',
  'source' => 'Do not display',
  'version' => '6.38',
))
->values(array(
  'lid' => '896',
  'location' => '/es/admin/store/settings/attributes',
  'textgroup' => 'default',
  'source' => 'Display price adjustment',
  'version' => '6.38',
))
->values(array(
  'lid' => '897',
  'location' => '/es/admin/store/settings/attributes',
  'textgroup' => 'default',
  'source' => 'Display total price',
  'version' => '6.38',
))
->values(array(
  'lid' => '898',
  'location' => '/es/admin/store/settings/attributes',
  'textgroup' => 'default',
  'source' => 'Determines how price variations are displayed to the customer.  Prices may be displayed directly next to each attribute option in the attribute selection form either as a total price for the product with that option or as an adjustment (+ or -) showing how that option affects the product base price.  However, the total price will not be displayed if a product has more than one attribute that can affect the price.',
  'version' => '6.38',
))
->values(array(
  'lid' => '899',
  'location' => '/es/admin/store/settings/price-handlers',
  'textgroup' => 'default',
  'source' => 'Prices will be altered by enabled price alterers in their order in the table above.',
  'version' => '6.38',
))
->values(array(
  'lid' => '900',
  'location' => '/es/admin/store/settings/price-handlers',
  'textgroup' => 'default',
  'source' => 'Price formatter',
  'version' => '6.38',
))
->values(array(
  'lid' => '901',
  'location' => '/es/admin/store/settings/price-handlers',
  'textgroup' => 'default',
  'source' => 'Cancel changes',
  'version' => '6.38',
))
->values(array(
  'lid' => '902',
  'location' => '/es/admin/store/settings/price-handlers',
  'textgroup' => 'default',
  'source' => 'Price alterers',
  'version' => '6.38',
))
->values(array(
  'lid' => '903',
  'location' => '/es/admin/store/attributes',
  'textgroup' => 'default',
  'source' => 'Required',
  'version' => '6.38',
))
->values(array(
  'lid' => '904',
  'location' => '/es/admin/store/attributes',
  'textgroup' => 'default',
  'source' => 'Number of options',
  'version' => '6.38',
))
->values(array(
  'lid' => '905',
  'location' => '/es/admin/store/attributes',
  'textgroup' => 'default',
  'source' => 'Display type',
  'version' => '6.38',
))
->values(array(
  'lid' => '906',
  'location' => '/es/admin/store/attributes',
  'textgroup' => 'default',
  'source' => 'Operations',
  'version' => '6.38',
))
->values(array(
  'lid' => '907',
  'location' => '/es/admin/store/attributes',
  'textgroup' => 'default',
  'source' => 'Select box',
  'version' => '6.38',
))
->values(array(
  'lid' => '908',
  'location' => '/es/admin/store/attributes',
  'textgroup' => 'default',
  'source' => 'Radio buttons',
  'version' => '6.38',
))
->values(array(
  'lid' => '909',
  'location' => '/es/admin/store/attributes',
  'textgroup' => 'default',
  'source' => 'Checkboxes',
  'version' => '6.38',
))
->values(array(
  'lid' => '910',
  'location' => '/es/admin/store/attributes',
  'textgroup' => 'default',
  'source' => 'options',
  'version' => '6.38',
))
->values(array(
  'lid' => '911',
  'location' => '/es/admin/store/attributes',
  'textgroup' => 'default',
  'source' => 'delete',
  'version' => '6.38',
))
->values(array(
  'lid' => '912',
  'location' => '/es/admin/store/attributes',
  'textgroup' => 'default',
  'source' => 'Yes',
  'version' => '6.38',
))
->values(array(
  'lid' => '913',
  'location' => '/es/admin/store/attributes',
  'textgroup' => 'default',
  'source' => 'No',
  'version' => '6.38',
))
->values(array(
  'lid' => '914',
  'location' => '/es/admin/store/attributes',
  'textgroup' => 'default',
  'source' => 'sort icon',
  'version' => '6.38',
))
->values(array(
  'lid' => '915',
  'location' => '/es/admin/store/attributes',
  'textgroup' => 'default',
  'source' => 'sort descending',
  'version' => '6.38',
))
->values(array(
  'lid' => '916',
  'location' => '/es/admin/store/attributes',
  'textgroup' => 'default',
  'source' => 'Add an attribute',
  'version' => '6.38',
))
->values(array(
  'lid' => '917',
  'location' => '/es/admin/store/attributes/2/edit',
  'textgroup' => 'default',
  'source' => 'Edit attribute',
  'version' => '6.38',
))
->values(array(
  'lid' => '918',
  'location' => '/es/admin/store/attributes/2/edit',
  'textgroup' => 'default',
  'source' => 'Edit attribute: %name',
  'version' => '6.38',
))
->values(array(
  'lid' => '919',
  'location' => '/es/admin/store/attributes/2/edit',
  'textgroup' => 'default',
  'source' => 'The name of the attribute used in administrative forms',
  'version' => '6.38',
))
->values(array(
  'lid' => '920',
  'location' => '/es/admin/store/attributes/2/edit',
  'textgroup' => 'default',
  'source' => "Enter a label that customers will see instead of the attribute name. Use &lt;none&gt; if you don't want a title to appear at all.",
  'version' => '6.38',
))
->values(array(
  'lid' => '921',
  'location' => '/es/admin/store/attributes/2/edit',
  'textgroup' => 'default',
  'source' => 'Help text',
  'version' => '6.38',
))
->values(array(
  'lid' => '922',
  'location' => '/es/admin/store/attributes/2/edit',
  'textgroup' => 'default',
  'source' => '<b>Optional.</b> Enter the help text that will display beneath the attribute on product add to cart forms.',
  'version' => '6.38',
))
->values(array(
  'lid' => '923',
  'location' => '/es/admin/store/attributes/2/edit',
  'textgroup' => 'default',
  'source' => 'Make this attribute required, forcing the customer to choose an option.',
  'version' => '6.38',
))
->values(array(
  'lid' => '924',
  'location' => '/es/admin/store/attributes/2/edit',
  'textgroup' => 'default',
  'source' => 'Selecting this for an attribute will disregard any default option you specify.<br />May be overridden at the product level.',
  'version' => '6.38',
))
->values(array(
  'lid' => '925',
  'location' => '/es/admin/store/attributes/2/edit',
  'textgroup' => 'default',
  'source' => 'This specifies how the options for this attribute will be presented.<br />May be overridden at the product level.',
  'version' => '6.38',
))
->values(array(
  'lid' => '926',
  'location' => '/es/admin/store/attributes/2/edit',
  'textgroup' => 'default',
  'source' => 'Multiple attributes on an add to cart form are sorted by this value and then by their name.<br />May be overridden at the product level.',
  'version' => '6.38',
))
->values(array(
  'lid' => '927',
  'location' => '/es/admin/store/attributes/2/edit',
  'textgroup' => 'default',
  'source' => 'Cancel',
  'version' => '6.38',
))
->values(array(
  'lid' => '928',
  'location' => '/es/admin/store/attributes/2/options',
  'textgroup' => 'default',
  'source' => 'Options for %name',
  'version' => '6.38',
))
->values(array(
  'lid' => '929',
  'location' => '/es/admin/store/attributes/2/options',
  'textgroup' => 'default',
  'source' => 'Save changes',
  'version' => '6.38',
))
->values(array(
  'lid' => '930',
  'location' => '/es/admin/store/attributes/2/options',
  'textgroup' => 'default',
  'source' => 'Default cost',
  'version' => '6.38',
))
->values(array(
  'lid' => '931',
  'location' => '/es/admin/store/attributes/2/options',
  'textgroup' => 'default',
  'source' => 'Default price',
  'version' => '6.38',
))
->values(array(
  'lid' => '932',
  'location' => '/es/admin/store/attributes/2/options',
  'textgroup' => 'default',
  'source' => 'Default weight',
  'version' => '6.38',
))
->values(array(
  'lid' => '933',
  'location' => '/es/admin/store/attributes/2/options',
  'textgroup' => 'default',
  'source' => 'Add an option',
  'version' => '6.38',
))
->values(array(
  'lid' => '934',
  'location' => '/es/admin/store/attributes/2/options/4/edit',
  'textgroup' => 'default',
  'source' => 'Edit option',
  'version' => '6.38',
))
->values(array(
  'lid' => '935',
  'location' => '/es/admin/store/attributes/2/options/4/edit',
  'textgroup' => 'default',
  'source' => 'Edit option: %name',
  'version' => '6.38',
))
->values(array(
  'lid' => '936',
  'location' => '/es/admin/store/attributes/2/options/4/edit',
  'textgroup' => 'default',
  'source' => 'This name will appear to customers on product add to cart forms.',
  'version' => '6.38',
))
->values(array(
  'lid' => '937',
  'location' => '/es/admin/store/attributes/2/options/4/edit',
  'textgroup' => 'default',
  'source' => 'Options will be listed sorted by this value and then by their name.<br />May be overridden at the product level.',
  'version' => '6.38',
))
->values(array(
  'lid' => '938',
  'location' => '/es/admin/store/attributes/2/options/4/edit',
  'textgroup' => 'default',
  'source' => 'Default adjustments',
  'version' => '6.38',
))
->values(array(
  'lid' => '939',
  'location' => '/es/admin/store/attributes/2/options/4/edit',
  'textgroup' => 'default',
  'source' => 'Enter a positive or negative value for each adjustment applied when this option is selected.<br />Any of these may be overriden at the product level.',
  'version' => '6.38',
))
->values(array(
  'lid' => '940',
  'location' => '/es/admin/store/attributes/2/options/4/edit',
  'textgroup' => 'default',
  'source' => 'Cost',
  'version' => '6.38',
))
->values(array(
  'lid' => '941',
  'location' => '/es/admin/store/attributes/2/options/4/edit',
  'textgroup' => 'default',
  'source' => 'Update existing products?',
  'version' => '6.38',
))
->values(array(
  'lid' => '942',
  'location' => '/es/admin/store/attributes/2/options/4/edit',
  'textgroup' => 'default',
  'source' => 'If selected, existing products and product classes with this attribute will be updated with the values on this page.<br /><em><strong>Warning:</strong> any option adjustments set at the product level will be overridden!</em>',
  'version' => '6.38',
))
->values(array(
  'lid' => '943',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'Order ID',
  'version' => '6.38',
))
->values(array(
  'lid' => '944',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'Customer',
  'version' => '6.38',
))
->values(array(
  'lid' => '945',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'Total',
  'version' => '6.38',
))
->values(array(
  'lid' => '946',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'Purchase date',
  'version' => '6.38',
))
->values(array(
  'lid' => '947',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'Status',
  'version' => '6.38',
))
->values(array(
  'lid' => '948',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'View order @order_id.',
  'version' => '6.38',
))
->values(array(
  'lid' => '949',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'Print order @order_id.',
  'version' => '6.38',
))
->values(array(
  'lid' => '950',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'Print',
  'version' => '6.38',
))
->values(array(
  'lid' => '951',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'Edit order @order_id.',
  'version' => '6.38',
))
->values(array(
  'lid' => '952',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'Delete order @order_id.',
  'version' => '6.38',
))
->values(array(
  'lid' => '953',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'Package order !order_id products.',
  'version' => '6.38',
))
->values(array(
  'lid' => '954',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'Package',
  'version' => '6.38',
))
->values(array(
  'lid' => '955',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'User: !name',
  'version' => '6.38',
))
->values(array(
  'lid' => '956',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'View order number',
  'version' => '6.38',
))
->values(array(
  'lid' => '957',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'Active orders',
  'version' => '6.38',
))
->values(array(
  'lid' => '958',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'All orders',
  'version' => '6.38',
))
->values(array(
  'lid' => '959',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'View by status',
  'version' => '6.38',
))
->values(array(
  'lid' => '960',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'sort ascending',
  'version' => '6.38',
))
->values(array(
  'lid' => '961',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'Create order',
  'version' => '6.38',
))
->values(array(
  'lid' => '962',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'Create an empty new order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '963',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'Search orders',
  'version' => '6.38',
))
->values(array(
  'lid' => '964',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'Search existing orders.',
  'version' => '6.38',
))
->values(array(
  'lid' => '965',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'Select address',
  'version' => '6.38',
))
->values(array(
  'lid' => '966',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'Select customer',
  'version' => '6.38',
))
->values(array(
  'lid' => '967',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'View orders',
  'version' => '6.38',
))
->values(array(
  'lid' => '968',
  'location' => '/es/admin/store/orders',
  'textgroup' => 'default',
  'source' => 'View and process the orders received through your website.',
  'version' => '6.38',
))
->values(array(
  'lid' => '969',
  'location' => '/es/admin/store/orders/create',
  'textgroup' => 'default',
  'source' => 'Search for an existing customer.',
  'version' => '6.38',
))
->values(array(
  'lid' => '970',
  'location' => '/es/admin/store/orders/create',
  'textgroup' => 'default',
  'source' => 'Create a new customer.',
  'version' => '6.38',
))
->values(array(
  'lid' => '971',
  'location' => '/es/admin/store/orders/create',
  'textgroup' => 'default',
  'source' => 'New order customer',
  'version' => '6.38',
))
->values(array(
  'lid' => '972',
  'location' => '/es/admin/store/orders/create',
  'textgroup' => 'default',
  'source' => 'Use the buttons above to have these fields filled in or just submit the form with the fields blank to create a blank order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '973',
  'location' => '/es/admin/store/orders/create',
  'textgroup' => 'default',
  'source' => 'Customer number',
  'version' => '6.38',
))
->values(array(
  'lid' => '974',
  'location' => '/es/admin/store/orders/create',
  'textgroup' => 'default',
  'source' => 'Primary e-mail',
  'version' => '6.38',
))
->values(array(
  'lid' => '975',
  'location' => '/es/admin/store/orders/customer',
  'textgroup' => 'default',
  'source' => 'Search for a customer based on these fields.',
  'version' => '6.38',
))
->values(array(
  'lid' => '976',
  'location' => '/es/admin/store/orders/customer',
  'textgroup' => 'default',
  'source' => 'Use * as a wildcard to match any character.',
  'version' => '6.38',
))
->values(array(
  'lid' => '977',
  'location' => '/es/admin/store/orders/customer',
  'textgroup' => 'default',
  'source' => 'Leave a field empty to ignore it in the search.',
  'version' => '6.38',
))
->values(array(
  'lid' => '978',
  'location' => '/es/admin/store/orders/customer',
  'textgroup' => 'default',
  'source' => 'First name',
  'version' => '6.38',
))
->values(array(
  'lid' => '979',
  'location' => '/es/admin/store/orders/customer',
  'textgroup' => 'default',
  'source' => 'Last name',
  'version' => '6.38',
))
->values(array(
  'lid' => '980',
  'location' => '/es/admin/store/orders/customer',
  'textgroup' => 'default',
  'source' => 'E-mail',
  'version' => '6.38',
))
->values(array(
  'lid' => '981',
  'location' => '/es/admin/store/orders/customer',
  'textgroup' => 'default',
  'source' => 'Username',
  'version' => '6.38',
))
->values(array(
  'lid' => '982',
  'location' => '/es/admin/store/orders/customer',
  'textgroup' => 'default',
  'source' => 'Search',
  'version' => '6.38',
))
->values(array(
  'lid' => '983',
  'location' => '/es/admin/store/orders/customer',
  'textgroup' => 'default',
  'source' => 'Close',
  'version' => '6.38',
))
->values(array(
  'lid' => '984',
  'location' => '/es/admin/store/orders/customer/search',
  'textgroup' => 'default',
  'source' => 'Search returned the following:',
  'version' => '6.38',
))
->values(array(
  'lid' => '985',
  'location' => '/es/admin/store/orders/customer/search',
  'textgroup' => 'default',
  'source' => 'Select a customer',
  'version' => '6.38',
))
->values(array(
  'lid' => '986',
  'location' => '/es/admin/store/orders/customer/search',
  'textgroup' => 'default',
  'source' => 'Select',
  'version' => '6.38',
))
->values(array(
  'lid' => '987',
  'location' => '/es/admin/store/orders/customer/search',
  'textgroup' => 'default',
  'source' => 'Back',
  'version' => '6.38',
))
->values(array(
  'lid' => '988',
  'location' => '/es/admin/store/orders/create',
  'textgroup' => 'default',
  'source' => 'Order created by the administration.',
  'version' => '6.38',
))
->values(array(
  'lid' => '989',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Subtotal',
  'version' => '6.38',
))
->values(array(
  'lid' => '990',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Empty line',
  'version' => '6.38',
))
->values(array(
  'lid' => '991',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Tax',
  'version' => '6.38',
))
->values(array(
  'lid' => '992',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Subtotal excluding taxes',
  'version' => '6.38',
))
->values(array(
  'lid' => '993',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Payment',
  'version' => '6.38',
))
->values(array(
  'lid' => '994',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Specify and collect payment for an order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '995',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Shipping quote',
  'version' => '6.38',
))
->values(array(
  'lid' => '996',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Get a shipping quote for the order from a quoting module.',
  'version' => '6.38',
))
->values(array(
  'lid' => '997',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Tracking numbers',
  'version' => '6.38',
))
->values(array(
  'lid' => '998',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Display tracking numbers of shipped packages.',
  'version' => '6.38',
))
->values(array(
  'lid' => '999',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Ship to',
  'version' => '6.38',
))
->values(array(
  'lid' => '1000',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => "Manage the order's shipping address and contact information.",
  'version' => '6.38',
))
->values(array(
  'lid' => '1001',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Bill to',
  'version' => '6.38',
))
->values(array(
  'lid' => '1002',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => "Manage the order's billing address and contact information.",
  'version' => '6.38',
))
->values(array(
  'lid' => '1003',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Customer info',
  'version' => '6.38',
))
->values(array(
  'lid' => '1004',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => "Manage the information for the customer's user account.",
  'version' => '6.38',
))
->values(array(
  'lid' => '1005',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Manage the products an order contains.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1006',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Line items',
  'version' => '6.38',
))
->values(array(
  'lid' => '1007',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => "View and modify an order's line items.",
  'version' => '6.38',
))
->values(array(
  'lid' => '1008',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Order comments',
  'version' => '6.38',
))
->values(array(
  'lid' => '1009',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'View the order comments, used for communicating with customers.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1010',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Admin comments',
  'version' => '6.38',
))
->values(array(
  'lid' => '1011',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'View the admin comments, used for administrative notes and instructions.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1012',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Update order',
  'version' => '6.38',
))
->values(array(
  'lid' => '1013',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => "Update an order's status or add comments to an order.",
  'version' => '6.38',
))
->values(array(
  'lid' => '1014',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => "Modify 'Ship to' information",
  'version' => '6.38',
))
->values(array(
  'lid' => '1015',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Phone number',
  'version' => '6.38',
))
->values(array(
  'lid' => '1016',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Company',
  'version' => '6.38',
))
->values(array(
  'lid' => '1017',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Address',
  'version' => '6.38',
))
->values(array(
  'lid' => '1018',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Street address',
  'version' => '6.38',
))
->values(array(
  'lid' => '1019',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Street address 1',
  'version' => '6.38',
))
->values(array(
  'lid' => '1020',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Street address 2',
  'version' => '6.38',
))
->values(array(
  'lid' => '1021',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'City',
  'version' => '6.38',
))
->values(array(
  'lid' => '1022',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'State/Province',
  'version' => '6.38',
))
->values(array(
  'lid' => '1023',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Postal code',
  'version' => '6.38',
))
->values(array(
  'lid' => '1024',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Country',
  'version' => '6.38',
))
->values(array(
  'lid' => '1025',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => '@title is not set.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1026',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Please select',
  'version' => '6.38',
))
->values(array(
  'lid' => '1027',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => "Modify 'Bill to' information",
  'version' => '6.38',
))
->values(array(
  'lid' => '1028',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => "Modify 'Customer info'",
  'version' => '6.38',
))
->values(array(
  'lid' => '1029',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => "Modify 'Payment info'",
  'version' => '6.38',
))
->values(array(
  'lid' => '1030',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Payment method',
  'version' => '6.38',
))
->values(array(
  'lid' => '1031',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'None available',
  'version' => '6.38',
))
->values(array(
  'lid' => '1032',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Add line item',
  'version' => '6.38',
))
->values(array(
  'lid' => '1033',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Select a type',
  'version' => '6.38',
))
->values(array(
  'lid' => '1034',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Add line',
  'version' => '6.38',
))
->values(array(
  'lid' => '1035',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => "Modify 'line items'",
  'version' => '6.38',
))
->values(array(
  'lid' => '1036',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Get shipping quotes',
  'version' => '6.38',
))
->values(array(
  'lid' => '1037',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Apply to order',
  'version' => '6.38',
))
->values(array(
  'lid' => '1038',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Receiving quotes...',
  'version' => '6.38',
))
->values(array(
  'lid' => '1039',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => "There were problems getting a shipping quote. Please verify the delivery and product information and try again.\nIf this does not resolve the issue, please call in to complete your order.",
  'version' => '6.38',
))
->values(array(
  'lid' => '1040',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Add an admin comment',
  'version' => '6.38',
))
->values(array(
  'lid' => '1041',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Admin comments are only seen by store administrators.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1042',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Submit changes',
  'version' => '6.38',
))
->values(array(
  'lid' => '1043',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Select from address book.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1044',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Copy billing information.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1045',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Copy shipping information.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1046',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Loading product information... (<em>If nothing happens, make sure you have Javascript enabled.</em>)',
  'version' => '6.38',
))
->values(array(
  'lid' => '1047',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Add product',
  'version' => '6.38',
))
->values(array(
  'lid' => '1048',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Add blank line',
  'version' => '6.38',
))
->values(array(
  'lid' => '1049',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Add a line item',
  'version' => '6.38',
))
->values(array(
  'lid' => '1050',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Order @order_id',
  'version' => '6.38',
))
->values(array(
  'lid' => '1051',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'View order',
  'version' => '6.38',
))
->values(array(
  'lid' => '1052',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'View invoice',
  'version' => '6.38',
))
->values(array(
  'lid' => '1053',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Printable invoice',
  'version' => '6.38',
))
->values(array(
  'lid' => '1054',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Mail invoice',
  'version' => '6.38',
))
->values(array(
  'lid' => '1055',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Invoice',
  'version' => '6.38',
))
->values(array(
  'lid' => '1056',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Payments',
  'version' => '6.38',
))
->values(array(
  'lid' => '1057',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Log',
  'version' => '6.38',
))
->values(array(
  'lid' => '1058',
  'location' => '/es/admin/store/orders/3/payment_details/0',
  'textgroup' => 'default',
  'source' => 'Payment details',
  'version' => '6.38',
))
->values(array(
  'lid' => '1059',
  'location' => '/es/admin/store/orders/3/payment_details/0',
  'textgroup' => 'default',
  'source' => 'Add the payment details to the order pane.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1060',
  'location' => '/es/admin/store/orders/3/products',
  'textgroup' => 'default',
  'source' => 'This order contains no products.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1061',
  'location' => '/es/admin/store/orders/address_book',
  'textgroup' => 'default',
  'source' => 'No addresses found for customer.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1062',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => 'N/A',
  'version' => '6.38',
))
->values(array(
  'lid' => '1063',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => 'Unknown',
  'version' => '6.38',
))
->values(array(
  'lid' => '1064',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => 'Customer number: !user_link',
  'version' => '6.38',
))
->values(array(
  'lid' => '1065',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => 'Primary e-mail:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1066',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => 'Balance: @balance',
  'version' => '6.38',
))
->values(array(
  'lid' => '1067',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => 'Method: @payment_method',
  'version' => '6.38',
))
->values(array(
  'lid' => '1068',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => 'Qty',
  'version' => '6.38',
))
->values(array(
  'lid' => '1069',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => 'Date',
  'version' => '6.38',
))
->values(array(
  'lid' => '1070',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => 'User',
  'version' => '6.38',
))
->values(array(
  'lid' => '1071',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => 'Notified',
  'version' => '6.38',
))
->values(array(
  'lid' => '1072',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => 'Comment',
  'version' => '6.38',
))
->values(array(
  'lid' => '1073',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => 'PM',
  'version' => '6.38',
))
->values(array(
  'lid' => '1074',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => 'Add an order comment',
  'version' => '6.38',
))
->values(array(
  'lid' => '1075',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => 'Order comments are used primarily to communicate with the customer.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1076',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => 'Order status',
  'version' => '6.38',
))
->values(array(
  'lid' => '1077',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => 'Send e-mail notification on update.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1078',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => 'Update',
  'version' => '6.38',
))
->values(array(
  'lid' => '1079',
  'location' => '/es/admin/store/orders/2',
  'textgroup' => 'default',
  'source' => 'Packages',
  'version' => '6.38',
))
->values(array(
  'lid' => '1080',
  'location' => '/es/admin/store/orders/2',
  'textgroup' => 'default',
  'source' => 'Shipments',
  'version' => '6.38',
))
->values(array(
  'lid' => '1081',
  'location' => '/es/admin/store/orders/2/edit',
  'textgroup' => 'default',
  'source' => '@title is %default.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1082',
  'location' => '/es/admin/store/orders/2/edit',
  'textgroup' => 'default',
  'source' => 'Remove line item.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1083',
  'location' => '/es/admin/store/orders/2/edit',
  'textgroup' => 'default',
  'source' => 'Remove this line item?',
  'version' => '6.38',
))
->values(array(
  'lid' => '1084',
  'location' => '/es/admin/store/orders/2/edit',
  'textgroup' => 'default',
  'source' => 'Amount',
  'version' => '6.38',
))
->values(array(
  'lid' => '1085',
  'location' => '/es/admin/store/orders/2/products',
  'textgroup' => 'default',
  'source' => 'Remove this product.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1086',
  'location' => '/es/admin/store/orders/2/products',
  'textgroup' => 'default',
  'source' => 'Remove product from order?',
  'version' => '6.38',
))
->values(array(
  'lid' => '1087',
  'location' => '/es/cart/checkout/shipping/quote',
  'textgroup' => 'default',
  'source' => 'Small package',
  'version' => '6.38',
))
->values(array(
  'lid' => '1088',
  'location' => '/es/cart/checkout/shipping/quote',
  'textgroup' => 'default',
  'source' => 'Order',
  'version' => '6.38',
))
->values(array(
  'lid' => '1089',
  'location' => '/es/cart/checkout/shipping/quote',
  'textgroup' => 'default',
  'source' => 'Quote method',
  'version' => '6.38',
))
->values(array(
  'lid' => '1090',
  'location' => '/es/admin/store/orders/3/product_select',
  'textgroup' => 'default',
  'source' => 'Product select',
  'version' => '6.38',
))
->values(array(
  'lid' => '1091',
  'location' => '/es/admin/store/orders/3/product_select',
  'textgroup' => 'default',
  'source' => 'Select a product',
  'version' => '6.38',
))
->values(array(
  'lid' => '1092',
  'location' => '/es/admin/store/orders/3/product_select',
  'textgroup' => 'default',
  'source' => 'Search by name or model/SKU (* is the wildcard)',
  'version' => '6.38',
))
->values(array(
  'lid' => '1093',
  'location' => '/es/admin/store/orders/3/add_product/4',
  'textgroup' => 'default',
  'source' => 'Add to order',
  'version' => '6.38',
))
->values(array(
  'lid' => '1094',
  'location' => '/es/admin/store/orders/3/products',
  'textgroup' => 'default',
  'source' => 'Added (@qty) @product-title to order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1095',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => '@key changed from %old to %new.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1096',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Tax rule',
  'version' => '6.38',
))
->values(array(
  'lid' => '1097',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Update order status on full payment',
  'version' => '6.38',
))
->values(array(
  'lid' => '1098',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Only happens when a payment is entered and the balance is <= $0.00.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1099',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'If the balance is less than or equal to $0.00.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1100',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'If the order state is in checkout.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1101',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'If the order state is post checkout.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1102',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Update the order status to Payment Received.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1103',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Complete non-shippable order after payment received',
  'version' => '6.38',
))
->values(array(
  'lid' => '1104',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'If the order status is Payment received.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1105',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'If the order is not shippable.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1106',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Update the order status to Completed.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1107',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'E-mail customer checkout notification',
  'version' => '6.38',
))
->values(array(
  'lid' => '1108',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'E-mail the customer an invoice from their recent order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1109',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Send an e-mail to the customer',
  'version' => '6.38',
))
->values(array(
  'lid' => '1110',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Your Order at [store-name]',
  'version' => '6.38',
))
->values(array(
  'lid' => '1111',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'E-mail admin checkout notification',
  'version' => '6.38',
))
->values(array(
  'lid' => '1112',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'E-mail a short order summary to an administrator when a customer checks out.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1113',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Send an e-mail to the administrator(s)',
  'version' => '6.38',
))
->values(array(
  'lid' => '1114',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'New Order at [store-name]',
  'version' => '6.38',
))
->values(array(
  'lid' => '1115',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Renew purchased files',
  'version' => '6.38',
))
->values(array(
  'lid' => '1116',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Renew purchased files if the order status matches.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1117',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'If the updated order status is payment received.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1118',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Update all file expirations for this order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1119',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Notify customer when a file is granted',
  'version' => '6.38',
))
->values(array(
  'lid' => '1120',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Notify the customer when they have had a file granted on their user.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1121',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'File Downloads for Order# [order-id]',
  'version' => '6.38',
))
->values(array(
  'lid' => '1122',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => "Your order (order# [order-link]) at [store-name] included file download(s). You may access them with the following link(s):\n\n[file-downloads]\n\nAfter downloading these files these links will have expired. If you need to download the files again, you can login at [site-login] and visit the \"My Account\" section of the site.\n\nThanks again, \n\n[store-name]\n[site-slogan]",
  'version' => '6.38',
))
->values(array(
  'lid' => '1123',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'E-mail an order update notification',
  'version' => '6.38',
))
->values(array(
  'lid' => '1124',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Notify the customer when the order status is changed.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1125',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'If the order status is not still In Checkout.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1126',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Order #[order-id] Update',
  'version' => '6.38',
))
->values(array(
  'lid' => '1127',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Grant or renew purchased roles',
  'version' => '6.38',
))
->values(array(
  'lid' => '1128',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Grant or renew purchased roles if the order status matches.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1129',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Update all role expirations for this order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1130',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Notify customer when a role is granted',
  'version' => '6.38',
))
->values(array(
  'lid' => '1131',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Notify the customer when they have had a role granted on their user.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1132',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Notify customer when a role is revoked',
  'version' => '6.38',
))
->values(array(
  'lid' => '1133',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Notify the customer when they have had a role revoked from their user.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1134',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Notify customer when a role is renewed',
  'version' => '6.38',
))
->values(array(
  'lid' => '1135',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Notify the customer when they have had a role renewed on their user.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1136',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Notify customer when a role is about to expire',
  'version' => '6.38',
))
->values(array(
  'lid' => '1137',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Notify the customer when they have had a role that is about to expire.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1138',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Apply !name',
  'version' => '6.38',
))
->values(array(
  'lid' => '1139',
  'location' => '/es/admin/store/orders/3/add_line_item/shipping',
  'textgroup' => 'default',
  'source' => 'Line Item Title',
  'version' => '6.38',
))
->values(array(
  'lid' => '1140',
  'location' => '/es/admin/store/orders/3/add_line_item/shipping',
  'textgroup' => 'default',
  'source' => 'Display title of the line item.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1141',
  'location' => '/es/admin/store/orders/3/add_line_item/shipping',
  'textgroup' => 'default',
  'source' => 'Line Item Amount',
  'version' => '6.38',
))
->values(array(
  'lid' => '1142',
  'location' => '/es/admin/store/orders/3/add_line_item/shipping',
  'textgroup' => 'default',
  'source' => 'Amount of the line item without a currency sign.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1143',
  'location' => '/es/admin/store/orders/3/add_line_item/shipping',
  'textgroup' => 'default',
  'source' => 'Line item added to order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1144',
  'location' => '/es/admin/store/orders/3/edit',
  'textgroup' => 'default',
  'source' => 'Order changes saved.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1145',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'Your password',
  'version' => '6.38',
))
->values(array(
  'lid' => '1146',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => '<i>No comments left.</i>',
  'version' => '6.38',
))
->values(array(
  'lid' => '1147',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => '<i>No comment found.</i>',
  'version' => '6.38',
))
->values(array(
  'lid' => '1148',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'Our store',
  'version' => '6.38',
))
->values(array(
  'lid' => '1149',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => '!long-month-name August',
  'version' => '6.38',
))
->values(array(
  'lid' => '1150',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'Thursday',
  'version' => '6.38',
))
->values(array(
  'lid' => '1151',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => '0 sec',
  'version' => '6.38',
))
->values(array(
  'lid' => '1152',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'Purchasing Information:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1153',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'E-mail Address:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1154',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'Billing Address:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1155',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'Billing Phone:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1156',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'Shipping Address:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1157',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'Shipping Phone:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1158',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'Order Grand Total:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1159',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'Payment Method:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1160',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'Order Summary:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1161',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'Shipping Details:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1162',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'Order #:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1163',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'Order Date: ',
  'version' => '6.38',
))
->values(array(
  'lid' => '1164',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'Shipping Method:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1165',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'Products Subtotal:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1166',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'Total for this Order:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1167',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'Products on order:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1168',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => 'SKU: ',
  'version' => '6.38',
))
->values(array(
  'lid' => '1169',
  'location' => '/es/admin/store/orders/3/invoice',
  'textgroup' => 'default',
  'source' => '@attribute: @options',
  'version' => '6.38',
))
->values(array(
  'lid' => '1170',
  'location' => '/es/themes/garland/logo.png',
  'textgroup' => 'default',
  'source' => 'Page not found',
  'version' => '6.38',
))
->values(array(
  'lid' => '1171',
  'location' => '/es/themes/garland/logo.png',
  'textgroup' => 'default',
  'source' => 'The requested page could not be found.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1172',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Received',
  'version' => '6.38',
))
->values(array(
  'lid' => '1173',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Method',
  'version' => '6.38',
))
->values(array(
  'lid' => '1174',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Balance',
  'version' => '6.38',
))
->values(array(
  'lid' => '1175',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Action',
  'version' => '6.38',
))
->values(array(
  'lid' => '1176',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Enter',
  'version' => '6.38',
))
->values(array(
  'lid' => '1177',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Order total:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1178',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Current balance:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1179',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Other',
  'version' => '6.38',
))
->values(array(
  'lid' => '1180',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => '@method payment for @amount entered by @user.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1181',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'A payment gets entered for an order',
  'version' => '6.38',
))
->values(array(
  'lid' => '1182',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'A shipment is saved',
  'version' => '6.38',
))
->values(array(
  'lid' => '1183',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Fulfillment',
  'version' => '6.38',
))
->values(array(
  'lid' => '1184',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Shipment',
  'version' => '6.38',
))
->values(array(
  'lid' => '1185',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Customer completes checkout',
  'version' => '6.38',
))
->values(array(
  'lid' => '1186',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Cart',
  'version' => '6.38',
))
->values(array(
  'lid' => '1187',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Customer user account',
  'version' => '6.38',
))
->values(array(
  'lid' => '1188',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'File expiration',
  'version' => '6.38',
))
->values(array(
  'lid' => '1189',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'E-mail for granted files',
  'version' => '6.38',
))
->values(array(
  'lid' => '1190',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Notification',
  'version' => '6.38',
))
->values(array(
  'lid' => '1191',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Order status gets updated',
  'version' => '6.38',
))
->values(array(
  'lid' => '1192',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Original order',
  'version' => '6.38',
))
->values(array(
  'lid' => '1193',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Updated order',
  'version' => '6.38',
))
->values(array(
  'lid' => '1194',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'E-mail requested for order status update',
  'version' => '6.38',
))
->values(array(
  'lid' => '1195',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'An order is being deleted',
  'version' => '6.38',
))
->values(array(
  'lid' => '1196',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Role expiration',
  'version' => '6.38',
))
->values(array(
  'lid' => '1197',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'E-mail for granted roles',
  'version' => '6.38',
))
->values(array(
  'lid' => '1198',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'E-mail for revoked roles',
  'version' => '6.38',
))
->values(array(
  'lid' => '1199',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'E-mail for renewed roles',
  'version' => '6.38',
))
->values(array(
  'lid' => '1200',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'E-mail for role expiration reminders',
  'version' => '6.38',
))
->values(array(
  'lid' => '1201',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Calculate taxes',
  'version' => '6.38',
))
->values(array(
  'lid' => '1202',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Taxes',
  'version' => '6.38',
))
->values(array(
  'lid' => '1203',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Drupal user',
  'version' => '6.38',
))
->values(array(
  'lid' => '1204',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Node',
  'version' => '6.38',
))
->values(array(
  'lid' => '1205',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Trigger arguments',
  'version' => '6.38',
))
->values(array(
  'lid' => '1206',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Ubercart shipment object',
  'version' => '6.38',
))
->values(array(
  'lid' => '1207',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Ubercart file expiration(s)',
  'version' => '6.38',
))
->values(array(
  'lid' => '1208',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Ubercart order object',
  'version' => '6.38',
))
->values(array(
  'lid' => '1209',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Order line item',
  'version' => '6.38',
))
->values(array(
  'lid' => '1210',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Ubercart role expiration',
  'version' => '6.38',
))
->values(array(
  'lid' => '1211',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Display a message to the user',
  'version' => '6.38',
))
->values(array(
  'lid' => '1212',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Execute custom PHP code',
  'version' => '6.38',
))
->values(array(
  'lid' => '1213',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'System',
  'version' => '6.38',
))
->values(array(
  'lid' => '1214',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Arguments',
  'version' => '6.38',
))
->values(array(
  'lid' => '1215',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Fetch a shipping quote',
  'version' => '6.38',
))
->values(array(
  'lid' => '1216',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Quote',
  'version' => '6.38',
))
->values(array(
  'lid' => '1217',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Renew the files on an order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1218',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'renewal',
  'version' => '6.38',
))
->values(array(
  'lid' => '1219',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Send an order email regarding files.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1220',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Update the order status',
  'version' => '6.38',
))
->values(array(
  'lid' => '1221',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Add a comment to the order',
  'version' => '6.38',
))
->values(array(
  'lid' => '1222',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Send an order email',
  'version' => '6.38',
))
->values(array(
  'lid' => '1223',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Email an order invoice',
  'version' => '6.38',
))
->values(array(
  'lid' => '1224',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Renew the roles on an order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1225',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Send an order email regarding roles.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1226',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Order number:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1227',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Customer:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1228',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Shipping method:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1229',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Products:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1230',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Order comments:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1231',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Thanks for your order, !order_first_name!',
  'version' => '6.38',
))
->values(array(
  'lid' => '1232',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Want to manage your order online?',
  'version' => '6.38',
))
->values(array(
  'lid' => '1233',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'If you need to check the status of your order, please visit our home page at !store_link and click on "My account" in the menu or login with the following link:',
  'version' => '6.38',
))
->values(array(
  'lid' => '1234',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Where can I get help with reviewing my order?',
  'version' => '6.38',
))
->values(array(
  'lid' => '1235',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'To learn more about managing your orders on !store_link, please visit our <a href="!store_help_url">help page</a>.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1236',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Please note: This e-mail message is an automated notification. Please do not reply to this message.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1237',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Thanks again for shopping with us.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1238',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Check the current date',
  'version' => '6.38',
))
->values(array(
  'lid' => '1239',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Used to determine if the action should be performed on the current date.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1240',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Compare a node field value',
  'version' => '6.38',
))
->values(array(
  'lid' => '1241',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the node field selected below compares to the value entered as specified by the operator.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1242',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns whatever your custom PHP code returns.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1243',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => "Check the user's roles",
  'version' => '6.38',
))
->values(array(
  'lid' => '1244',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the user roles match your settings.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1245',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Check the order balance',
  'version' => '6.38',
))
->values(array(
  'lid' => '1246',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Check the payment method',
  'version' => '6.38',
))
->values(array(
  'lid' => '1247',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Order has a product of a particular shipping type',
  'version' => '6.38',
))
->values(array(
  'lid' => '1248',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Order: Product',
  'version' => '6.38',
))
->values(array(
  'lid' => '1249',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Order has a shipping quote from a particular method',
  'version' => '6.38',
))
->values(array(
  'lid' => '1250',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Order: Shipping Quote',
  'version' => '6.38',
))
->values(array(
  'lid' => '1251',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Order has a product with a particular attribute option',
  'version' => '6.38',
))
->values(array(
  'lid' => '1252',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Search the products of an order for a particular option.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1253',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Order has a product of a particular class',
  'version' => '6.38',
))
->values(array(
  'lid' => '1254',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Check the order status',
  'version' => '6.38',
))
->values(array(
  'lid' => '1255',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the current order status matches the status specified below.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1256',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Check the order state',
  'version' => '6.38',
))
->values(array(
  'lid' => '1257',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the current order status belong to the order state specified below.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1258',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Check the order total',
  'version' => '6.38',
))
->values(array(
  'lid' => '1259',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the current order total is within the parameters below.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1260',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => "Check an order's shipping postal code",
  'version' => '6.38',
))
->values(array(
  'lid' => '1261',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Order: Shipping address',
  'version' => '6.38',
))
->values(array(
  'lid' => '1262',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the shipping postal code is in the specified area.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1263',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => "Check an order's shipping @zone",
  'version' => '6.38',
))
->values(array(
  'lid' => '1264',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the shipping @zone is in the specified list.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1265',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => "Check an order's shipping country",
  'version' => '6.38',
))
->values(array(
  'lid' => '1266',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the shipping country is in the specified list.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1267',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => "Check an order's billing postal code",
  'version' => '6.38',
))
->values(array(
  'lid' => '1268',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Order: Billing address',
  'version' => '6.38',
))
->values(array(
  'lid' => '1269',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the billing postal code is in the specified area.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1270',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => "Check an order's billing @zone",
  'version' => '6.38',
))
->values(array(
  'lid' => '1271',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the billing @zone is in the specified list.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1272',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => "Check an order's billing country",
  'version' => '6.38',
))
->values(array(
  'lid' => '1273',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the billing country is in the specified list.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1274',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => "Check an order's products",
  'version' => '6.38',
))
->values(array(
  'lid' => '1275',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the order has any, all, or only the products in the list.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1276',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => "Check an order's number of products",
  'version' => '6.38',
))
->values(array(
  'lid' => '1277',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Determines if the order has the specified number of products, possibly of a certain type.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1278',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => "Check an order's total weight",
  'version' => '6.38',
))
->values(array(
  'lid' => '1279',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Determines if the order has the specified weight, possibly counting only a certain type of product.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1280',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Check if an order can be shipped',
  'version' => '6.38',
))
->values(array(
  'lid' => '1281',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the order has any shippable products.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1282',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Check the user name.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1283',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Order: User',
  'version' => '6.38',
))
->values(array(
  'lid' => '1284',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the user name matches the condition.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1285',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Check the user email address.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1286',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the user email addresses matches the condition.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1287',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Check the user creation date.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1288',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the user creation date matches the condition.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1289',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Check the user last login date.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1290',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the user last login date matches the condition.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1291',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Check the user language setting.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1292',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the user language setting matches the condition.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1293',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Check the role of the user.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1294',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Check the role being granted',
  'version' => '6.38',
))
->values(array(
  'lid' => '1295',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Returns TRUE if the role being granted matches any of those specified below.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1296',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Order: Roles',
  'version' => '6.38',
))
->values(array(
  'lid' => '1297',
  'location' => '/es/admin/store/orders/3/payments',
  'textgroup' => 'default',
  'source' => 'Payment entered.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1298',
  'location' => '/es/admin/store/orders/3/packages',
  'textgroup' => 'default',
  'source' => 'Package ID',
  'version' => '6.38',
))
->values(array(
  'lid' => '1299',
  'location' => '/es/admin/store/orders/3/packages',
  'textgroup' => 'default',
  'source' => 'Shipping type',
  'version' => '6.38',
))
->values(array(
  'lid' => '1300',
  'location' => '/es/admin/store/orders/3/packages',
  'textgroup' => 'default',
  'source' => 'Package type',
  'version' => '6.38',
))
->values(array(
  'lid' => '1301',
  'location' => '/es/admin/store/orders/3/packages',
  'textgroup' => 'default',
  'source' => 'Shipment ID',
  'version' => '6.38',
))
->values(array(
  'lid' => '1302',
  'location' => '/es/admin/store/orders/3/packages',
  'textgroup' => 'default',
  'source' => 'Tracking number',
  'version' => '6.38',
))
->values(array(
  'lid' => '1303',
  'location' => '/es/admin/store/orders/3/packages',
  'textgroup' => 'default',
  'source' => 'Labels',
  'version' => '6.38',
))
->values(array(
  'lid' => '1304',
  'location' => '/es/admin/store/orders/3/packages',
  'textgroup' => 'default',
  'source' => "This order's products have not been organized into packages.",
  'version' => '6.38',
))
->values(array(
  'lid' => '1305',
  'location' => '/es/admin/store/orders/3/packages/new',
  'textgroup' => 'default',
  'source' => 'New packages',
  'version' => '6.38',
))
->values(array(
  'lid' => '1306',
  'location' => '/es/admin/store/orders/3/packages/new',
  'textgroup' => 'default',
  'source' => 'Order @id',
  'version' => '6.38',
))
->values(array(
  'lid' => '1307',
  'location' => '/es/admin/store/orders/3/packages/new',
  'textgroup' => 'default',
  'source' => "Organize products into packages.\n Package numbers in multiple shipping types are of the first shipping type they appear in. All\n packages are given a unique ID when they are saved. Choose the default package \"Sep.\" to\n automatically create a package for each of the selected quantity of products in that row.",
  'version' => '6.38',
))
->values(array(
  'lid' => '1308',
  'location' => '/es/admin/store/orders/3/packages/new',
  'textgroup' => 'default',
  'source' => 'Sep.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1309',
  'location' => '/es/admin/store/orders/3/packages/new',
  'textgroup' => 'default',
  'source' => 'Make packages',
  'version' => '6.38',
))
->values(array(
  'lid' => '1310',
  'location' => '/es/admin/store/orders/3/packages/new',
  'textgroup' => 'default',
  'source' => 'Create one package',
  'version' => '6.38',
))
->values(array(
  'lid' => '1311',
  'location' => '/es/admin/store/orders/3/shipments',
  'textgroup' => 'default',
  'source' => 'Destination',
  'version' => '6.38',
))
->values(array(
  'lid' => '1312',
  'location' => '/es/admin/store/orders/3/shipments',
  'textgroup' => 'default',
  'source' => 'Ship date',
  'version' => '6.38',
))
->values(array(
  'lid' => '1313',
  'location' => '/es/admin/store/orders/3/shipments',
  'textgroup' => 'default',
  'source' => 'Estimated delivery',
  'version' => '6.38',
))
->values(array(
  'lid' => '1314',
  'location' => '/es/admin/store/orders/3/shipments',
  'textgroup' => 'default',
  'source' => 'No shipments have been made for this order.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1315',
  'location' => '/es/admin/store/orders/3/shipments/new',
  'textgroup' => 'default',
  'source' => 'New shipment',
  'version' => '6.38',
))
->values(array(
  'lid' => '1316',
  'location' => '/es/admin/store/orders/3/log',
  'textgroup' => 'default',
  'source' => 'Changes',
  'version' => '6.38',
))
->values(array(
  'lid' => '1317',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => '@attribute: @option',
  'version' => '6.38',
))
->values(array(
  'lid' => '1318',
  'location' => '/es/admin/store/orders/3',
  'textgroup' => 'default',
  'source' => 'Order updated.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1319',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Show summary in full view',
  'version' => '6.38',
))
->values(array(
  'lid' => '1320',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'More information about formatting options',
  'version' => '6.38',
))
->values(array(
  'lid' => '1321',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Input format',
  'version' => '6.38',
))
->values(array(
  'lid' => '1322',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Web page addresses and e-mail addresses turn into links automatically.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1323',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Allowed HTML tags: @tags',
  'version' => '6.38',
))
->values(array(
  'lid' => '1324',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Lines and paragraphs break automatically.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1325',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Enter the product description used for product teasers and pages.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1326',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Product SKU/model.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1327',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'The listed MSRP.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1328',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => "Your store's cost.",
  'version' => '6.38',
))
->values(array(
  'lid' => '1329',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Customer purchase price.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1330',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Product and its derivatives are shippable.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1331',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Pounds',
  'version' => '6.38',
))
->values(array(
  'lid' => '1332',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Kilograms',
  'version' => '6.38',
))
->values(array(
  'lid' => '1333',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Ounces',
  'version' => '6.38',
))
->values(array(
  'lid' => '1334',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Grams',
  'version' => '6.38',
))
->values(array(
  'lid' => '1335',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Unit of measurement',
  'version' => '6.38',
))
->values(array(
  'lid' => '1336',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Physical dimensions of the packaged product.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1337',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Units of measurement',
  'version' => '6.38',
))
->values(array(
  'lid' => '1338',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Inches',
  'version' => '6.38',
))
->values(array(
  'lid' => '1339',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Feet',
  'version' => '6.38',
))
->values(array(
  'lid' => '1340',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Centimeters',
  'version' => '6.38',
))
->values(array(
  'lid' => '1341',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Millimeters',
  'version' => '6.38',
))
->values(array(
  'lid' => '1342',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Length',
  'version' => '6.38',
))
->values(array(
  'lid' => '1343',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Width',
  'version' => '6.38',
))
->values(array(
  'lid' => '1344',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Height',
  'version' => '6.38',
))
->values(array(
  'lid' => '1345',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Package quantity',
  'version' => '6.38',
))
->values(array(
  'lid' => '1346',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'At most, how many of these items can fit in your largest box? Orders that exceed this value will be split into multiple packages when retrieving shipping quotes.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1347',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Default quantity to add to cart',
  'version' => '6.38',
))
->values(array(
  'lid' => '1348',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Use 0 to disable the quantity field next to the add to cart button.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1349',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => "Specify a value to set this product's position in product lists.<br />Products in the same position will be sorted alphabetically.",
  'version' => '6.38',
))
->values(array(
  'lid' => '1350',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Create new revision',
  'version' => '6.38',
))
->values(array(
  'lid' => '1351',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Log message',
  'version' => '6.38',
))
->values(array(
  'lid' => '1352',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'An explanation of the additions or updates being made to help other authors understand your motivations.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1353',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Authored by',
  'version' => '6.38',
))
->values(array(
  'lid' => '1354',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Anonymous',
  'version' => '6.38',
))
->values(array(
  'lid' => '1355',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Leave blank for %anonymous.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1356',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Authored on',
  'version' => '6.38',
))
->values(array(
  'lid' => '1357',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Format: %time. Leave blank to use the time of form submission.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1358',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Published',
  'version' => '6.38',
))
->values(array(
  'lid' => '1359',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Promoted to front page',
  'version' => '6.38',
))
->values(array(
  'lid' => '1360',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Sticky at top of lists',
  'version' => '6.38',
))
->values(array(
  'lid' => '1361',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Save',
  'version' => '6.38',
))
->values(array(
  'lid' => '1362',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Read only',
  'version' => '6.38',
))
->values(array(
  'lid' => '1363',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Read/Write',
  'version' => '6.38',
))
->values(array(
  'lid' => '1364',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Language neutral',
  'version' => '6.38',
))
->values(array(
  'lid' => '1365',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Menu link title',
  'version' => '6.38',
))
->values(array(
  'lid' => '1366',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'The link text corresponding to this item that should appear in the menu. Leave blank if you do not wish to add this post to the menu.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1367',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Rebuild permissions',
  'version' => '6.38',
))
->values(array(
  'lid' => '1368',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Edit term',
  'version' => '6.38',
))
->values(array(
  'lid' => '1369',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Page',
  'version' => '6.38',
))
->values(array(
  'lid' => '1370',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Story',
  'version' => '6.38',
))
->values(array(
  'lid' => '1371',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'block',
  'version' => '6.38',
))
->values(array(
  'lid' => '1372',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'color',
  'version' => '6.38',
))
->values(array(
  'lid' => '1373',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'comment',
  'version' => '6.38',
))
->values(array(
  'lid' => '1374',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'filter',
  'version' => '6.38',
))
->values(array(
  'lid' => '1375',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'help',
  'version' => '6.38',
))
->values(array(
  'lid' => '1376',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'menu',
  'version' => '6.38',
))
->values(array(
  'lid' => '1377',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'node',
  'version' => '6.38',
))
->values(array(
  'lid' => '1378',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'system',
  'version' => '6.38',
))
->values(array(
  'lid' => '1379',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'user',
  'version' => '6.38',
))
->values(array(
  'lid' => '1380',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'dblog',
  'version' => '6.38',
))
->values(array(
  'lid' => '1381',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'taxonomy',
  'version' => '6.38',
))
->values(array(
  'lid' => '1382',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'token',
  'version' => '6.38',
))
->values(array(
  'lid' => '1383',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'uc_product',
  'version' => '6.38',
))
->values(array(
  'lid' => '1384',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'uc_store',
  'version' => '6.38',
))
->values(array(
  'lid' => '1385',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'content',
  'version' => '6.38',
))
->values(array(
  'lid' => '1386',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'path',
  'version' => '6.38',
))
->values(array(
  'lid' => '1387',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'uc_reports',
  'version' => '6.38',
))
->values(array(
  'lid' => '1388',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'uc_taxes',
  'version' => '6.38',
))
->values(array(
  'lid' => '1389',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'i18ncontent',
  'version' => '6.38',
))
->values(array(
  'lid' => '1390',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'i18nstrings',
  'version' => '6.38',
))
->values(array(
  'lid' => '1391',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'i18ntaxonomy',
  'version' => '6.38',
))
->values(array(
  'lid' => '1392',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'locale',
  'version' => '6.38',
))
->values(array(
  'lid' => '1393',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'uc_attribute',
  'version' => '6.38',
))
->values(array(
  'lid' => '1394',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'uc_file',
  'version' => '6.38',
))
->values(array(
  'lid' => '1395',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'uc_roles',
  'version' => '6.38',
))
->values(array(
  'lid' => '1396',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'i18nsync',
  'version' => '6.38',
))
->values(array(
  'lid' => '1397',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Run cron',
  'version' => '6.38',
))
->values(array(
  'lid' => '1398',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'SQL',
  'version' => '6.38',
))
->values(array(
  'lid' => '1399',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Configure block',
  'version' => '6.38',
))
->values(array(
  'lid' => '1400',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Delete block',
  'version' => '6.38',
))
->values(array(
  'lid' => '1401',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'JavaScript List Form',
  'version' => '6.38',
))
->values(array(
  'lid' => '1402',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'List',
  'version' => '6.38',
))
->values(array(
  'lid' => '1403',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Uninstall',
  'version' => '6.38',
))
->values(array(
  'lid' => '1404',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Delete alias',
  'version' => '6.38',
))
->values(array(
  'lid' => '1405',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Edit alias',
  'version' => '6.38',
))
->values(array(
  'lid' => '1406',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Configure an advanced action',
  'version' => '6.38',
))
->values(array(
  'lid' => '1407',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Remove orphans',
  'version' => '6.38',
))
->values(array(
  'lid' => '1408',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Clean URL check',
  'version' => '6.38',
))
->values(array(
  'lid' => '1409',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Date and time lookup',
  'version' => '6.38',
))
->values(array(
  'lid' => '1410',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Delete input format',
  'version' => '6.38',
))
->values(array(
  'lid' => '1411',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Database logging',
  'version' => '6.38',
))
->values(array(
  'lid' => '1412',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Settings for logging to the Drupal database logs. This is the most common method for small to medium sites on shared hosting. The logs are viewable from the admin pages.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1413',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Delete rule',
  'version' => '6.38',
))
->values(array(
  'lid' => '1414',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Edit rule',
  'version' => '6.38',
))
->values(array(
  'lid' => '1415',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Edit role',
  'version' => '6.38',
))
->values(array(
  'lid' => '1416',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Create an order status',
  'version' => '6.38',
))
->values(array(
  'lid' => '1417',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Create a custom order status for your store.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1418',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'User initials',
  'version' => '6.38',
))
->values(array(
  'lid' => '1419',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Assign initials to user accounts.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1420',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Search customers',
  'version' => '6.38',
))
->values(array(
  'lid' => '1421',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Search through your customer list.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1422',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'View customers',
  'version' => '6.38',
))
->values(array(
  'lid' => '1423',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Using tokens',
  'version' => '6.38',
))
->values(array(
  'lid' => '1424',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Understand what tokens are and how to use them.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1425',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Customer reports',
  'version' => '6.38',
))
->values(array(
  'lid' => '1426',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'View reports for store customers.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1427',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Product reports',
  'version' => '6.38',
))
->values(array(
  'lid' => '1428',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'View reports for store products.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1429',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Sales reports',
  'version' => '6.38',
))
->values(array(
  'lid' => '1430',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'View reports for store sales.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1431',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Sales tax report',
  'version' => '6.38',
))
->values(array(
  'lid' => '1432',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'View report on sales tax.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1433',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => "A <em>page</em>, similar in form to a <em>story</em>, is a simple method for creating and displaying information that rarely changes, such as an \"About us\" section of a website. By default, a <em>page</em> entry does not allow visitor comments and is not featured on the site's initial home page.",
  'version' => '6.38',
))
->values(array(
  'lid' => '1434',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => "A <em>story</em>, similar in form to a <em>page</em>, is ideal for creating and displaying content that informs or engages website visitors. Press releases, site announcements, and informal blog-like entries may all be created with a <em>story</em> entry. By default, a <em>story</em> entry is automatically featured on the site's initial home page, and provides the ability to post comments.",
  'version' => '6.38',
))
->values(array(
  'lid' => '1435',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'disabled',
  'version' => '6.38',
))
->values(array(
  'lid' => '1436',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Parent item',
  'version' => '6.38',
))
->values(array(
  'lid' => '1437',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'The maximum depth for an item and all its children is fixed at !maxdepth. Some menu items may not be available as parents if selecting them would exceed this limit.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1438',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Optional. In the menu, the heavier items will sink and the lighter items will be positioned nearer the top.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1439',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'URL path settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '1440',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => "Optionally specify an alternative URL by which this node can be accessed. For example, type \"about\" when writing an about page. Use a relative path and don't add a trailing slash or the URL alias won't work.",
  'version' => '6.38',
))
->values(array(
  'lid' => '1441',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => '- None -',
  'version' => '6.38',
))
->values(array(
  'lid' => '1442',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'This translation needs to be updated',
  'version' => '6.38',
))
->values(array(
  'lid' => '1443',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'When this option is checked, this translation needs to be updated because the source post has changed. Uncheck when the translation is up to date again.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1444',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Add another item',
  'version' => '6.38',
))
->values(array(
  'lid' => '1445',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Shipping settings',
  'version' => '6.38',
))
->values(array(
  'lid' => '1446',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => '- Store default -',
  'version' => '6.38',
))
->values(array(
  'lid' => '1447',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Default product shipping type',
  'version' => '6.38',
))
->values(array(
  'lid' => '1448',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Default product pickup address',
  'version' => '6.38',
))
->values(array(
  'lid' => '1449',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'When delivering products to customers, the original location of the product must be known in order to accurately quote the shipping cost and set up a delivery. If this pickup address is left blank, this product will default to the <a href="!url">store pickup address</a>.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1450',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Save and continue',
  'version' => '6.38',
))
->values(array(
  'lid' => '1451',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Upload',
  'version' => '6.38',
))
->values(array(
  'lid' => '1452',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'KB',
  'version' => '6.38',
))
->values(array(
  'lid' => '1453',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'MB',
  'version' => '6.38',
))
->values(array(
  'lid' => '1454',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => '@size @suffix',
  'version' => '6.38',
))
->values(array(
  'lid' => '1455',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Maximum file size: %size',
  'version' => '6.38',
))
->values(array(
  'lid' => '1456',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Allowed extensions: %ext',
  'version' => '6.38',
))
->values(array(
  'lid' => '1457',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'This text will be used by screen readers, search engines, or when the image cannot be loaded.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1458',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'The title is used as a tool tip when the user hovers the mouse over the image.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1459',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'Price must be in a valid number format. No commas and only one decimal point.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1460',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'One node translation has been synchronized.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1461',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => 'view',
  'version' => '6.38',
))
->values(array(
  'lid' => '1462',
  'location' => '/es/node/4/edit',
  'textgroup' => 'default',
  'source' => '@type %title has been updated.',
  'version' => '6.38',
))
->values(array(
  'lid' => '1463',
  'location' => 'type:ship:name',
  'textgroup' => 'nodetype',
  'source' => 'Ship',
  'version' => '1',
))
->values(array(
  'lid' => '1464',
  'location' => 'type:ship:title',
  'textgroup' => 'nodetype',
  'source' => 'Name',
  'version' => '1',
))
->values(array(
  'lid' => '1465',
  'location' => 'type:ship:body',
  'textgroup' => 'nodetype',
  'source' => 'Description',
  'version' => '1',
))
->values(array(
  'lid' => '1466',
  'location' => 'type:ship:description',
  'textgroup' => 'nodetype',
  'source' => 'A type of spacecraft capable of traveling to the solar systems of other stars',
  'version' => '1',
))
->values(array(
  'lid' => '1467',
  'location' => 'sites/all/modules/ubercart/ca/ca.js',
  'textgroup' => 'default',
  'source' => 'Are you sure you want to remove this item?',
  'version' => 'none',
))
->execute();

$connection->schema()->createTable('locales_target', array(
  'fields' => array(
    'lid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'translation' => array(
      'type' => 'blob',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'language' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '12',
      'default' => '',
    ),
    'plid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'plural' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'status' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'language',
    'lid',
    'plural',
  ),
  'indexes' => array(
    'lid' => array(
      'lid',
    ),
    'plid' => array(
      'plid',
    ),
    'plural' => array(
      'plural',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('locales_target')
->fields(array(
  'lid',
  'translation',
  'language',
  'plid',
  'plural',
  'status',
))
->values(array(
  'lid' => '31',
  'translation' => 'Longitud máxima',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '32',
  'translation' => 'La longitud máxima del campo en caracteres. Déjalo en blanco para un tamaño ilimitado.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '33',
  'translation' => 'es igual a',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '34',
  'translation' => 'no es igual a',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '35',
  'translation' => 'coincide con el patrón',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '36',
  'translation' => 'Valor ilegal para %name.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '37',
  'translation' => 'Filas',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '38',
  'translation' => '"Filas" debe ser un valor positivo entero.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '39',
  'translation' => 'duplicar',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '40',
  'translation' => 'Valores permitidos',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '41',
  'translation' => 'Los valores posibles que este campo puede contener. Cualquier otro valor puede dará error. Ingresar un valor por linea.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '42',
  'translation' => 'Permitir a los administradores definir nuevos tipos de contenidos.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '43',
  'translation' => 'añadir un tipo de contenido',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '44',
  'translation' => 'los campos',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '45',
  'translation' => 'configurar los campos',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '46',
  'translation' => 'borrar el campo',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '47',
  'translation' => 'Define un tipo de campo para referenciar un nodo de otro. <em>Nota: Requiere content.module.</em>',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '48',
  'translation' => 'autocompletar nodo de referencia',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '49',
  'translation' => 'Tipos de contenido que pueden ser referenciados',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '50',
  'translation' => 'No existe ninguna publicación con ese título.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '51',
  'translation' => 'nodo de referencia',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '52',
  'translation' => 'Define los tipos de campo numéricos. <em>Nota: Requiere content.module.</em>',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '53',
  'translation' => 'Mínimo',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '54',
  'translation' => 'Máximo',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '55',
  'translation' => '"Mínimo" debe ser un número.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '56',
  'translation' => '"Máximo"debe ser un número.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '57',
  'translation' => 'El valor de %name no debe ser menor que %min.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '58',
  'translation' => 'El valor de %name no debe ser mayor que %max.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '59',
  'translation' => 'número',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '60',
  'translation' => 'Define controles de selección, check box y radio button para campos de texto y numéricos. <em>Nota: Requiere content.module, text.module y number.module.</em>',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '61',
  'translation' => 'optionwidgets',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '62',
  'translation' => 'Define tipos de campo de texto simple. <em>Nota: Requiere content.module.</em>',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '63',
  'translation' => 'Sólo texto',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '64',
  'translation' => 'Texto filtrado (los usuarios seleccionan el formato de entrada)',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '65',
  'translation' => 'Procesando texto',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '66',
  'translation' => 'texto',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '67',
  'translation' => 'Define un tipo de campo para referenciar un usuario desde un nodo. <em>Nota: Requiere content.module.</em>',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '68',
  'translation' => 'Nombre de usuario no válido',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '69',
  'translation' => 'userreference',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '70',
  'translation' => 'Define tipo de campo para dirección de Web. <em>Nota: Requiere content.module.</em>',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '71',
  'translation' => 'No es una dirección de pagina Web válida',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '72',
  'translation' => 'weburl',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '73',
  'translation' => 'Etiqueta',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '74',
  'translation' => 'Tipo de contenido',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '75',
  'translation' => 'El nombre legible de este tipo de contenido.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '76',
  'translation' => 'Una breve descripción del tipo de contenido.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '77',
  'translation' => 'Instrucciones a presentar al usuario cuando agrega este tipo de contenido.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '78',
  'translation' => 'Etiqueta del campo Título',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '79',
  'translation' => 'La etiqueta para el campo del título.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '80',
  'translation' => 'Guardar este tipo de contenido',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '81',
  'translation' => 'Tipo de contenido %type guardado.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '82',
  'translation' => '¿Está seguro que quiere borrar el tipo de contenido %type?',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '83',
  'translation' => 'Si existe contenido de este tipo en la base de datos, será borrado de forma permanente. Esta acción no se puede deshacer.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '84',
  'translation' => 'Tipo de contenido %type borrado.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '85',
  'translation' => 'borrar',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '86',
  'translation' => 'Añadir un campo existente',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '87',
  'translation' => 'Añadir un campo',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '88',
  'translation' => 'Crear un nuevo campo',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '89',
  'translation' => 'El nombre leíble-por-humanos de este campo.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '90',
  'translation' => 'Tipo de campo',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '91',
  'translation' => 'Crear un campo',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '92',
  'translation' => 'No hay ningún módulo de definición de campos habilitados. Usted debe <a href="%modules_url">habilitar uno</a>, por ejemplo como text.module, antes que pueda añadir nuevos campos.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '93',
  'translation' => 'Campo %label agregado.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '94',
  'translation' => 'campo %label creado.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '95',
  'translation' => '¿Está seguro que quiere borrar el campo %field?',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '96',
  'translation' => 'Si tiene algún contenido en este campo, va a ser permanentemente borrado. Esta acción no podrá deshacerse.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '97',
  'translation' => 'Borrar',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '98',
  'translation' => 'Campo %field de %type borrado.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '99',
  'translation' => 'El campo %field no existe mas en ningún tupo de contenido, ha sido borrado.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '100',
  'translation' => 'Opciones del control',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '101',
  'translation' => 'Estas configuraciónes se aplican solamente al campo %field como aparece en el tipo de contenido %type. ',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '102',
  'translation' => 'Control',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '103',
  'translation' => 'En el formulario de edición de nodo, los campos más pesado se posicionarán más hacia abajo y los campos más livianos hacia más arriba.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '104',
  'translation' => 'Las instrucciones a presentan al usuario debajo este campo en el formulario de edición.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '105',
  'translation' => 'Configuraciónes de datos',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '106',
  'translation' => 'Estas configuraciones se aplica al campo %field en cada tipo de contenido que este aparezca.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '107',
  'translation' => 'Valores múltiples',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '108',
  'translation' => 'Guardar configuraciones del campo',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '109',
  'translation' => 'campo %field guardado.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '110',
  'translation' => 'El mapeo PostgreSQL no se ha encontrado para el tipo de datos  %type.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '111',
  'translation' => 'base de datos',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '112',
  'translation' => 'Definir un tipo de campo de fecha/hora. <em>Note: Requiere content.module.</em>',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '113',
  'translation' => 'Año',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '114',
  'translation' => 'Año y mes',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '115',
  'translation' => 'Día y hora',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '116',
  'translation' => 'Sólo hora',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '117',
  'translation' => 'Granularity',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '118',
  'translation' => 'El horario debe ser ingresado y visualizado a partir de la zona horaria del sitio',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '119',
  'translation' => 'El horario debe ser ingresado y visualizado a partir de la zona horaria del usuario',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '120',
  'translation' => 'Configurar zona horaria',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '121',
  'translation' => '%name debe ser ingresado en formato  ISO 8601 t (AAAMMDDThh:mm:ss).',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '122',
  'translation' => 'traducción',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '123',
  'translation' => 'Idiomas',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '124',
  'translation' => 'Previsualización',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '125',
  'translation' => 'Enviar',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '126',
  'translation' => 'Suprimir',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '127',
  'translation' => 'editar',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '128',
  'translation' => 'Traducciones de ',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '129',
  'translation' => 'No traducido',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '130',
  'translation' => 'crear traducción',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '131',
  'translation' => 'Idioma',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '132',
  'translation' => 'Título',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '133',
  'translation' => 'Acciones',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '134',
  'translation' => '<h2>Estado de la traducción</h2>',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '135',
  'translation' => 'Si cambiais de idioma, debeis hacer clic en<i>Previsualización</i> para obtener las Categorías &amp; Términos correctos para este idioma.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '136',
  'translation' => 'traducciones',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '137',
  'translation' => 'Traducciones de términos',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '138',
  'translation' => 'nueva traducción',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '139',
  'translation' => 'editar traducciones',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '140',
  'translation' => 'Las traducciones de términos han sido actualizadas',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '141',
  'translation' => 'traducción actual',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '142',
  'translation' => 'cambiar traducción',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '143',
  'translation' => 'Vocabulario',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '144',
  'translation' => 'El vocabulario ya contiene un idioma.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '145',
  'translation' => 'término traducido',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '146',
  'translation' => 'traducciones de términos',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '147',
  'translation' => 'Este idioma se definirá para todos los términos de este vocabulario',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '148',
  'translation' => 'Información de la traducción suprimida para el término',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '149',
  'translation' => "\n        <p>Este módulo proporciona soporte para la internacionalización de sitios web con Drupal:</p>\n        <ul>\n        <li>Traducción de la interfaz de usuario por usuaris anónimos (combinado con el locale)</li>\n        <li>Multi-lenguaje para el contenido. Añade un campo de lenguaje para los nodos y vocabularios taxonómicos y términos</li>\n        <li>Gestión básica de las traducciones</li>\n        <li>Detección del idioma del navegador</li>\n        <li>Mantiene los parámetros de lenguaje en peticiones consecutivas utilizando reescriptura de la URL</li>\n        <li>Proporciona un bloque para la selección de idioma junto con dos funciones para los temas: <i>i18n_flags</i> y <i>i18n_links</i></li>\n        <li>Suporte para largos nombres locales</li>\n        </ul>\n        <p><small>Módulo desarrollado por Jose A. Reyero, <a href=\"http://www.reyero.net\">www.reyero.net</a></small></p>",
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '150',
  'translation' => 'Habilita contenido multilingüe. <b>Requiere el módulo locale para la traducción de la interfaz</b>',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '151',
  'translation' => 'Idiomas soportados',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '152',
  'translation' => 'Definido por el módulo locale',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '153',
  'translation' => 'Definido en el fichero de configuración (%config_languages)',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '154',
  'translation' => 'Dónde obtener el listado de los idiomas soportados de',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '155',
  'translation' => 'Detección del idioma del navegador',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '156',
  'translation' => 'Desactivado',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '157',
  'translation' => 'Activado',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '158',
  'translation' => 'Página de inicio',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '159',
  'translation' => 'Por defecto',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '160',
  'translation' => 'Dependiente del idioma',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '161',
  'translation' => "Si 'dependiente del idioma' está seleccionado, la página inicial será prefijada con el código del idioma, ej. 'en/node'",
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '162',
  'translation' => 'Ubicación de los iconos de los idiomas',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '163',
  'translation' => "Ubicación de los iconos de los idiomas, relativo a la instalación de Drupal. '*' es un portador del código del idioma.",
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '164',
  'translation' => 'Dimensiones de los iconos de los idiomas',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '165',
  'translation' => 'Dimensiones de las imágenes de los iconos de idioma, en la forma "anchura x altura".',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '166',
  'translation' => '<h2>Contenido multilingüe</h2>',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '167',
  'translation' => 'Nodos',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '168',
  'translation' => 'Seleccionar los tipos de nodos a ser traducidos.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '169',
  'translation' => '<h2>Características avanzadas</h2>',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '170',
  'translation' => '<p>Esto es solo para usuarios avanzados. Se necesitan algunos cambios en la base de datos. Por favor, leer los ficheros INSTALL.txt y README.txt antes de activar estas opciones</p>',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '171',
  'translation' => 'Las tablas dependientes de idioma actuales son: ',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '172',
  'translation' => 'Verificar el fichero del módulo SETUP.txt.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '173',
  'translation' => 'Tablas dependientes del idioma',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '174',
  'translation' => 'Si está activado, se utilizarán diferentes tablas para cada idioma. Tienen que ser definidas en el fichero de configuración.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '175',
  'translation' => 'i18n',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '176',
  'translation' => 'Imagen predefinida',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '177',
  'translation' => 'Usar imagen predefinida',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '178',
  'translation' => 'Si desea usar una imagen como predefinida',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '179',
  'translation' => 'Subir imagen',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '180',
  'translation' => 'Elegir imagen como predefinida',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '181',
  'translation' => 'Tiene imagen',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '182',
  'translation' => 'La imagen predefinida no se ha podido subir. El destino(%d) no existe o no es escribible en el servidor.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '183',
  'translation' => 'Máxima resolución para las imágenes',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '184',
  'translation' => 'El tamaño máximo de la imagen expresado como ANCHOxALTO (ej. 640x480). Pon 0 para no restricciones. Si una imagen mayor es subida será redimensionada para reflejar el correspondiente ancho y alto.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '185',
  'translation' => 'Mínima resolución de imágenes',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '186',
  'translation' => 'El tamaño mínimo de la imagen expresado como ANCHOxALTO (ej. 640x480). Pon 0 para no restricciones. Si una imagen menor es subida será redimensionada para reflejar el correspondiente ancho y alto.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '187',
  'translation' => 'Extensiones de archivo permitidas',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '188',
  'translation' => 'Extensiones que un usuario podrá subir en este campo. Separe las extensiones con un espacio y no incluya el punto inicial.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '189',
  'translation' => 'Texto alternativo ALT',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '190',
  'translation' => 'Habilitar texto alternativo',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '191',
  'translation' => 'Habilitar texto alternativo introducido por usuarios para las imágenes',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '192',
  'translation' => 'Texto ALT por defecto',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '193',
  'translation' => 'Este valor será usado para texto alternativo por defecto',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '194',
  'translation' => 'Opciones de título',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '195',
  'translation' => 'Habilitar título personalizado',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '196',
  'translation' => 'Habilitar título introducido por usuario para las imágenes',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '197',
  'translation' => 'Texto título por defecto',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '198',
  'translation' => 'Este valor será usado por la imagen como título por defecto',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '199',
  'translation' => 'Título alternativo',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '200',
  'translation' => 'Los cambios hechos a los adjuntos no son permanentes hasta que guardes este envío.',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '201',
  'translation' => 'Imagen',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '202',
  'translation' => 'Guarda un ficherio de imagen y opcionalmente texto para etiquetas alt y título',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '203',
  'translation' => 'Un widget de edición para ficheros de imagen, incluyendo previsualizacion de imagen',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '204',
  'translation' => 'Muestra las imágenes en su tamaño original',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '205',
  'translation' => 'Imagen enlazada a nodo',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '206',
  'translation' => 'Imagen enlazada a fichero',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '207',
  'translation' => 'Ruta a fichero',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '208',
  'translation' => 'URL a fichero',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '209',
  'translation' => 'La imagen %filename fue redimensionada para encajar en la resolución másima permitida de %resolution pixels',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '210',
  'translation' => 'ver subidas de imagefield',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '211',
  'translation' => 'imagefield',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '212',
  'translation' => 'Migrar valores imagefield',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '213',
  'translation' => 'ImageField',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '214',
  'translation' => 'Define un campo de tipo imagen',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '215',
  'translation' => 'CCK',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '236',
  'translation' => 'Ingredientes',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '238',
  'translation' => 'Lino',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->values(array(
  'lid' => '239',
  'translation' => 'Viajar',
  'language' => 'es',
  'plid' => '0',
  'plural' => '0',
  'status' => '0',
))
->execute();

$connection->schema()->createTable('menu_custom', array(
  'fields' => array(
    'menu_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'description' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'menu_name',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('menu_custom')
->fields(array(
  'menu_name',
  'title',
  'description',
))
->values(array(
  'menu_name' => 'navigation',
  'title' => 'Navigation',
  'description' => 'The navigation menu is provided by Drupal and is the main interactive menu for any site. It is usually the only menu that contains personalized links for authenticated users, and is often not even visible to anonymous users.',
))
->values(array(
  'menu_name' => 'primary-links',
  'title' => 'Primary links',
  'description' => 'Primary links are often used at the theme layer to show the major sections of a site. A typical representation for primary links would be tabs along the top.',
))
->values(array(
  'menu_name' => 'secondary-links',
  'title' => 'Secondary links',
  'description' => 'Secondary links are often used for pages like legal notices, contact details, and other secondary navigation items that play a lesser role than primary links',
))
->execute();

$connection->schema()->createTable('menu_links', array(
  'fields' => array(
    'menu_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'mlid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'plid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'link_path' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'router_path' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'link_title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'options' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'module' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => 'system',
    ),
    'hidden' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'external' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'has_children' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'expanded' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'depth' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'customized' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'p1' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'p2' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'p3' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'p4' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'p5' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'p6' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'p7' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'p8' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'p9' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'updated' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'mlid',
  ),
  'indexes' => array(
    'path_menu' => array(
      array(
        'link_path',
        '128',
      ),
      'menu_name',
    ),
    'menu_plid_expand_child' => array(
      'menu_name',
      'plid',
      'expanded',
      'has_children',
    ),
    'menu_parents' => array(
      'menu_name',
      'p1',
      'p2',
      'p3',
      'p4',
      'p5',
      'p6',
      'p7',
      'p8',
      'p9',
    ),
    'router_path' => array(
      array(
        'router_path',
        '128',
      ),
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('menu_links')
->fields(array(
  'menu_name',
  'mlid',
  'plid',
  'link_path',
  'router_path',
  'link_title',
  'options',
  'module',
  'hidden',
  'external',
  'has_children',
  'expanded',
  'weight',
  'depth',
  'customized',
  'p1',
  'p2',
  'p3',
  'p4',
  'p5',
  'p6',
  'p7',
  'p8',
  'p9',
  'updated',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '1',
  'plid' => '0',
  'link_path' => 'batch',
  'router_path' => 'batch',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '1',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '2',
  'plid' => '0',
  'link_path' => 'admin',
  'router_path' => 'admin',
  'link_title' => 'Administer',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '1',
  'expanded' => '0',
  'weight' => '9',
  'depth' => '1',
  'customized' => '0',
  'p1' => '2',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '3',
  'plid' => '0',
  'link_path' => 'node',
  'router_path' => 'node',
  'link_title' => 'Content',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '3',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '4',
  'plid' => '0',
  'link_path' => 'logout',
  'router_path' => 'logout',
  'link_title' => 'Log out',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '10',
  'depth' => '1',
  'customized' => '0',
  'p1' => '4',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '5',
  'plid' => '0',
  'link_path' => 'rss.xml',
  'router_path' => 'rss.xml',
  'link_title' => 'RSS feed',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '5',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '6',
  'plid' => '0',
  'link_path' => 'user',
  'router_path' => 'user',
  'link_title' => 'User account',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '6',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '7',
  'plid' => '0',
  'link_path' => 'node/%',
  'router_path' => 'node/%',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '7',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '8',
  'plid' => '2',
  'link_path' => 'admin/compact',
  'router_path' => 'admin/compact',
  'link_title' => 'Compact mode',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '2',
  'customized' => '0',
  'p1' => '2',
  'p2' => '8',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '9',
  'plid' => '0',
  'link_path' => 'filter/tips',
  'router_path' => 'filter/tips',
  'link_title' => 'Compose tips',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '9',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '10',
  'plid' => '2',
  'link_path' => 'admin/content',
  'router_path' => 'admin/content',
  'link_title' => 'Content management',
  'options' => "a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:27:\"Manage your site's content.\";}}",
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '1',
  'expanded' => '0',
  'weight' => '-10',
  'depth' => '2',
  'customized' => '0',
  'p1' => '2',
  'p2' => '10',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '11',
  'plid' => '0',
  'link_path' => 'node/add',
  'router_path' => 'node/add',
  'link_title' => 'Create content',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '1',
  'expanded' => '0',
  'weight' => '1',
  'depth' => '1',
  'customized' => '0',
  'p1' => '11',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '12',
  'plid' => '0',
  'link_path' => 'comment/delete',
  'router_path' => 'comment/delete',
  'link_title' => 'Delete comment',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '12',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '13',
  'plid' => '0',
  'link_path' => 'comment/edit',
  'router_path' => 'comment/edit',
  'link_title' => 'Edit comment',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '13',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '14',
  'plid' => '0',
  'link_path' => 'system/files',
  'router_path' => 'system/files',
  'link_title' => 'File download',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '14',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '15',
  'plid' => '2',
  'link_path' => 'admin/help',
  'router_path' => 'admin/help',
  'link_title' => 'Help',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '9',
  'depth' => '2',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '16',
  'plid' => '2',
  'link_path' => 'admin/reports',
  'router_path' => 'admin/reports',
  'link_title' => 'Reports',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:59:"View reports from system logs and other status information.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '1',
  'expanded' => '0',
  'weight' => '5',
  'depth' => '2',
  'customized' => '0',
  'p1' => '2',
  'p2' => '16',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '17',
  'plid' => '2',
  'link_path' => 'admin/build',
  'router_path' => 'admin/build',
  'link_title' => 'Site building',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:38:"Control how your site looks and feels.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '1',
  'expanded' => '0',
  'weight' => '-10',
  'depth' => '2',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '18',
  'plid' => '2',
  'link_path' => 'admin/settings',
  'router_path' => 'admin/settings',
  'link_title' => 'Site configuration',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:40:"Adjust basic site configuration options.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '1',
  'expanded' => '0',
  'weight' => '-5',
  'depth' => '2',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '19',
  'plid' => '0',
  'link_path' => 'user/autocomplete',
  'router_path' => 'user/autocomplete',
  'link_title' => 'User autocomplete',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '19',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '20',
  'plid' => '2',
  'link_path' => 'admin/user',
  'router_path' => 'admin/user',
  'link_title' => 'User management',
  'options' => "a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:61:\"Manage your site's users, groups and access to site features.\";}}",
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '1',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '2',
  'customized' => '0',
  'p1' => '2',
  'p2' => '20',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '21',
  'plid' => '0',
  'link_path' => 'user/%',
  'router_path' => 'user/%',
  'link_title' => 'My account',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '21',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '22',
  'plid' => '20',
  'link_path' => 'admin/user/rules',
  'router_path' => 'admin/user/rules',
  'link_title' => 'Access rules',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:80:"List and create rules to disallow usernames, e-mail addresses, and IP addresses.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '20',
  'p3' => '22',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '23',
  'plid' => '18',
  'link_path' => 'admin/settings/actions',
  'router_path' => 'admin/settings/actions',
  'link_title' => 'Actions',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:41:"Manage the actions defined for your site.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '23',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '24',
  'plid' => '18',
  'link_path' => 'admin/settings/admin',
  'router_path' => 'admin/settings/admin',
  'link_title' => 'Administration theme',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:55:"Settings for how your administrative pages should look.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '24',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '25',
  'plid' => '17',
  'link_path' => 'admin/build/block',
  'router_path' => 'admin/build/block',
  'link_title' => 'Blocks',
  'options' => "a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:79:\"Configure what block content appears in your site's sidebars and other regions.\";}}",
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '25',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '26',
  'plid' => '18',
  'link_path' => 'admin/settings/clean-urls',
  'router_path' => 'admin/settings/clean-urls',
  'link_title' => 'Clean URLs',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"Enable or disable clean URLs for your site.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '26',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '27',
  'plid' => '10',
  'link_path' => 'admin/content/comment',
  'router_path' => 'admin/content/comment',
  'link_title' => 'Comments',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:61:"List and edit site comments and the comment moderation queue.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '10',
  'p3' => '27',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '28',
  'plid' => '10',
  'link_path' => 'admin/content/node',
  'router_path' => 'admin/content/node',
  'link_title' => 'Content',
  'options' => "a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:43:\"View, edit, and delete your site's content.\";}}",
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '10',
  'p3' => '28',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '29',
  'plid' => '10',
  'link_path' => 'admin/content/types',
  'router_path' => 'admin/content/types',
  'link_title' => 'Content types',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:82:"Manage posts by content type, including default status, front page promotion, etc.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '10',
  'p3' => '29',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '30',
  'plid' => '18',
  'link_path' => 'admin/settings/date-time',
  'router_path' => 'admin/settings/date-time',
  'link_title' => 'Date and time',
  'options' => "a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:89:\"Settings for how Drupal displays date and time, as well as the system's default timezone.\";}}",
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '30',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '31',
  'plid' => '0',
  'link_path' => 'node/%/delete',
  'router_path' => 'node/%/delete',
  'link_title' => 'Delete',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '1',
  'depth' => '1',
  'customized' => '0',
  'p1' => '31',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '32',
  'plid' => '21',
  'link_path' => 'user/%/delete',
  'router_path' => 'user/%/delete',
  'link_title' => 'Delete',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '2',
  'customized' => '0',
  'p1' => '21',
  'p2' => '32',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '33',
  'plid' => '18',
  'link_path' => 'admin/settings/error-reporting',
  'router_path' => 'admin/settings/error-reporting',
  'link_title' => 'Error reporting',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:93:"Control how Drupal deals with errors including 403/404 errors as well as PHP error reporting.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '33',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '34',
  'plid' => '18',
  'link_path' => 'admin/settings/file-system',
  'router_path' => 'admin/settings/file-system',
  'link_title' => 'File system',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:68:"Tell Drupal where to store uploaded files and how they are accessed.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '34',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '35',
  'plid' => '18',
  'link_path' => 'admin/settings/image-toolkit',
  'router_path' => 'admin/settings/image-toolkit',
  'link_title' => 'Image toolkit',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:74:"Choose which image toolkit to use if you have installed optional toolkits.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '35',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '36',
  'plid' => '18',
  'link_path' => 'admin/settings/filters',
  'router_path' => 'admin/settings/filters',
  'link_title' => 'Input formats',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:127:"Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '36',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '37',
  'plid' => '18',
  'link_path' => 'admin/settings/logging',
  'router_path' => 'admin/settings/logging',
  'link_title' => 'Logging and alerts',
  'options' => "a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:156:\"Settings for logging and alerts modules. Various modules can route Drupal's system events to different destination, such as syslog, database, email, ...etc.\";}}",
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '1',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '37',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '38',
  'plid' => '17',
  'link_path' => 'admin/build/menu',
  'router_path' => 'admin/build/menu',
  'link_title' => 'Menus',
  'options' => "a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:116:\"Control your site's navigation menu, primary links and secondary links, as well as rename and reorganize menu items.\";}}",
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '1',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '38',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '39',
  'plid' => '17',
  'link_path' => 'admin/build/modules',
  'router_path' => 'admin/build/modules',
  'link_title' => 'Modules',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:47:"Enable or disable add-on modules for your site.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '39',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '40',
  'plid' => '18',
  'link_path' => 'admin/settings/performance',
  'router_path' => 'admin/settings/performance',
  'link_title' => 'Performance',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:101:"Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '40',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '41',
  'plid' => '20',
  'link_path' => 'admin/user/permissions',
  'router_path' => 'admin/user/permissions',
  'link_title' => 'Permissions',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:64:"Determine access to features by selecting permissions for roles.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '20',
  'p3' => '41',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '42',
  'plid' => '10',
  'link_path' => 'admin/content/node-settings',
  'router_path' => 'admin/content/node-settings',
  'link_title' => 'Post settings',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:126:"Control posting behavior, such as teaser length, requiring previews before posting, and the number of posts on the front page.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '10',
  'p3' => '42',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '43',
  'plid' => '10',
  'link_path' => 'admin/content/rss-publishing',
  'router_path' => 'admin/content/rss-publishing',
  'link_title' => 'RSS publishing',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:92:"Configure the number of items per feed and whether feeds should be titles/teasers/full-text.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '10',
  'p3' => '43',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '44',
  'plid' => '0',
  'link_path' => 'comment/reply/%',
  'router_path' => 'comment/reply/%',
  'link_title' => 'Reply to comment',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '44',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '45',
  'plid' => '20',
  'link_path' => 'admin/user/roles',
  'router_path' => 'admin/user/roles',
  'link_title' => 'Roles',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:30:"List, edit, or add user roles.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '20',
  'p3' => '45',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '46',
  'plid' => '18',
  'link_path' => 'admin/settings/site-information',
  'router_path' => 'admin/settings/site-information',
  'link_title' => 'Site information',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:107:"Change basic site information, such as the site name, slogan, e-mail address, mission, front page and more.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '46',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '47',
  'plid' => '18',
  'link_path' => 'admin/settings/site-maintenance',
  'router_path' => 'admin/settings/site-maintenance',
  'link_title' => 'Site maintenance',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:63:"Take the site off-line for maintenance or bring it back online.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '47',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '48',
  'plid' => '16',
  'link_path' => 'admin/reports/status',
  'router_path' => 'admin/reports/status',
  'link_title' => 'Status report',
  'options' => "a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:74:\"Get a status report about your site's operation and any detected problems.\";}}",
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '10',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '16',
  'p3' => '48',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '49',
  'plid' => '17',
  'link_path' => 'admin/build/themes',
  'router_path' => 'admin/build/themes',
  'link_title' => 'Themes',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:57:"Change which theme your site uses or allows users to set.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '49',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '50',
  'plid' => '20',
  'link_path' => 'admin/user/settings',
  'router_path' => 'admin/user/settings',
  'link_title' => 'User settings',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:101:"Configure default behavior of users, including registration requirements, e-mails, and user pictures.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '20',
  'p3' => '50',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '51',
  'plid' => '20',
  'link_path' => 'admin/user/user',
  'router_path' => 'admin/user/user',
  'link_title' => 'Users',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:26:"List, add, and edit users.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '20',
  'p3' => '51',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '52',
  'plid' => '15',
  'link_path' => 'admin/help/block',
  'router_path' => 'admin/help/block',
  'link_title' => 'block',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '52',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '53',
  'plid' => '15',
  'link_path' => 'admin/help/color',
  'router_path' => 'admin/help/color',
  'link_title' => 'color',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '53',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '54',
  'plid' => '15',
  'link_path' => 'admin/help/comment',
  'router_path' => 'admin/help/comment',
  'link_title' => 'comment',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '54',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '55',
  'plid' => '15',
  'link_path' => 'admin/help/filter',
  'router_path' => 'admin/help/filter',
  'link_title' => 'filter',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '55',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '56',
  'plid' => '15',
  'link_path' => 'admin/help/help',
  'router_path' => 'admin/help/help',
  'link_title' => 'help',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '56',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '57',
  'plid' => '15',
  'link_path' => 'admin/help/menu',
  'router_path' => 'admin/help/menu',
  'link_title' => 'menu',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '57',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '58',
  'plid' => '15',
  'link_path' => 'admin/help/node',
  'router_path' => 'admin/help/node',
  'link_title' => 'node',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '58',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '59',
  'plid' => '15',
  'link_path' => 'admin/help/system',
  'router_path' => 'admin/help/system',
  'link_title' => 'system',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '59',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '60',
  'plid' => '15',
  'link_path' => 'admin/help/user',
  'router_path' => 'admin/help/user',
  'link_title' => 'user',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '60',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '61',
  'plid' => '36',
  'link_path' => 'admin/settings/filters/%',
  'router_path' => 'admin/settings/filters/%',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '36',
  'p4' => '61',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '62',
  'plid' => '26',
  'link_path' => 'admin/settings/clean-urls/check',
  'router_path' => 'admin/settings/clean-urls/check',
  'link_title' => 'Clean URL check',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '26',
  'p4' => '62',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '63',
  'plid' => '23',
  'link_path' => 'admin/settings/actions/configure',
  'router_path' => 'admin/settings/actions/configure',
  'link_title' => 'Configure an advanced action',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '23',
  'p4' => '63',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '64',
  'plid' => '25',
  'link_path' => 'admin/build/block/configure',
  'router_path' => 'admin/build/block/configure',
  'link_title' => 'Configure block',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '25',
  'p4' => '64',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '65',
  'plid' => '17',
  'link_path' => 'admin/build/menu-customize/%',
  'router_path' => 'admin/build/menu-customize/%',
  'link_title' => 'Customize menu',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '65',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '66',
  'plid' => '30',
  'link_path' => 'admin/settings/date-time/lookup',
  'router_path' => 'admin/settings/date-time/lookup',
  'link_title' => 'Date and time lookup',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '30',
  'p4' => '66',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '67',
  'plid' => '25',
  'link_path' => 'admin/build/block/delete',
  'router_path' => 'admin/build/block/delete',
  'link_title' => 'Delete block',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '25',
  'p4' => '67',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '68',
  'plid' => '36',
  'link_path' => 'admin/settings/filters/delete',
  'router_path' => 'admin/settings/filters/delete',
  'link_title' => 'Delete input format',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '36',
  'p4' => '68',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '69',
  'plid' => '22',
  'link_path' => 'admin/user/rules/delete',
  'router_path' => 'admin/user/rules/delete',
  'link_title' => 'Delete rule',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '20',
  'p3' => '22',
  'p4' => '69',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '70',
  'plid' => '45',
  'link_path' => 'admin/user/roles/edit',
  'router_path' => 'admin/user/roles/edit',
  'link_title' => 'Edit role',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '20',
  'p3' => '45',
  'p4' => '70',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '71',
  'plid' => '22',
  'link_path' => 'admin/user/rules/edit',
  'router_path' => 'admin/user/rules/edit',
  'link_title' => 'Edit rule',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '20',
  'p3' => '22',
  'p4' => '71',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '72',
  'plid' => '48',
  'link_path' => 'admin/reports/status/php',
  'router_path' => 'admin/reports/status/php',
  'link_title' => 'PHP',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '16',
  'p3' => '48',
  'p4' => '72',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '73',
  'plid' => '42',
  'link_path' => 'admin/content/node-settings/rebuild',
  'router_path' => 'admin/content/node-settings/rebuild',
  'link_title' => 'Rebuild permissions',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '10',
  'p3' => '42',
  'p4' => '73',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '74',
  'plid' => '23',
  'link_path' => 'admin/settings/actions/orphan',
  'router_path' => 'admin/settings/actions/orphan',
  'link_title' => 'Remove orphans',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '23',
  'p4' => '74',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '75',
  'plid' => '48',
  'link_path' => 'admin/reports/status/run-cron',
  'router_path' => 'admin/reports/status/run-cron',
  'link_title' => 'Run cron',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '16',
  'p3' => '48',
  'p4' => '75',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '76',
  'plid' => '48',
  'link_path' => 'admin/reports/status/sql',
  'router_path' => 'admin/reports/status/sql',
  'link_title' => 'SQL',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '16',
  'p3' => '48',
  'p4' => '76',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '77',
  'plid' => '23',
  'link_path' => 'admin/settings/actions/delete/%',
  'router_path' => 'admin/settings/actions/delete/%',
  'link_title' => 'Delete action',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:17:"Delete an action.";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '23',
  'p4' => '77',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '78',
  'plid' => '0',
  'link_path' => 'admin/build/menu-customize/%/delete',
  'router_path' => 'admin/build/menu-customize/%/delete',
  'link_title' => 'Delete menu',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '78',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '79',
  'plid' => '25',
  'link_path' => 'admin/build/block/list/js',
  'router_path' => 'admin/build/block/list/js',
  'link_title' => 'JavaScript List Form',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '25',
  'p4' => '79',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '80',
  'plid' => '39',
  'link_path' => 'admin/build/modules/list/confirm',
  'router_path' => 'admin/build/modules/list/confirm',
  'link_title' => 'List',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '39',
  'p4' => '80',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '81',
  'plid' => '0',
  'link_path' => 'user/reset/%/%/%',
  'router_path' => 'user/reset/%/%/%',
  'link_title' => 'Reset password',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '81',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '82',
  'plid' => '39',
  'link_path' => 'admin/build/modules/uninstall/confirm',
  'router_path' => 'admin/build/modules/uninstall/confirm',
  'link_title' => 'Uninstall',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '39',
  'p4' => '82',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '83',
  'plid' => '0',
  'link_path' => 'node/%/revisions/%/delete',
  'router_path' => 'node/%/revisions/%/delete',
  'link_title' => 'Delete earlier revision',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '83',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '84',
  'plid' => '0',
  'link_path' => 'node/%/revisions/%/revert',
  'router_path' => 'node/%/revisions/%/revert',
  'link_title' => 'Revert to earlier revision',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '84',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '85',
  'plid' => '0',
  'link_path' => 'node/%/revisions/%/view',
  'router_path' => 'node/%/revisions/%/view',
  'link_title' => 'Revisions',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '85',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '86',
  'plid' => '38',
  'link_path' => 'admin/build/menu/item/%/delete',
  'router_path' => 'admin/build/menu/item/%/delete',
  'link_title' => 'Delete menu item',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '38',
  'p4' => '86',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '87',
  'plid' => '38',
  'link_path' => 'admin/build/menu/item/%/edit',
  'router_path' => 'admin/build/menu/item/%/edit',
  'link_title' => 'Edit menu item',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '38',
  'p4' => '87',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '88',
  'plid' => '38',
  'link_path' => 'admin/build/menu/item/%/reset',
  'router_path' => 'admin/build/menu/item/%/reset',
  'link_title' => 'Reset menu item',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '38',
  'p4' => '88',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '89',
  'plid' => '38',
  'link_path' => 'admin/build/menu-customize/navigation',
  'router_path' => 'admin/build/menu-customize/%',
  'link_title' => 'Navigation',
  'options' => 'a:0:{}',
  'module' => 'menu',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '38',
  'p4' => '89',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '90',
  'plid' => '38',
  'link_path' => 'admin/build/menu-customize/primary-links',
  'router_path' => 'admin/build/menu-customize/%',
  'link_title' => 'Primary links',
  'options' => 'a:0:{}',
  'module' => 'menu',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '38',
  'p4' => '90',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '91',
  'plid' => '38',
  'link_path' => 'admin/build/menu-customize/secondary-links',
  'router_path' => 'admin/build/menu-customize/%',
  'link_title' => 'Secondary links',
  'options' => 'a:0:{}',
  'module' => 'menu',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '38',
  'p4' => '91',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '92',
  'plid' => '0',
  'link_path' => 'taxonomy/autocomplete',
  'router_path' => 'taxonomy/autocomplete',
  'link_title' => 'Autocomplete taxonomy',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '92',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '93',
  'plid' => '16',
  'link_path' => 'admin/reports/dblog',
  'router_path' => 'admin/reports/dblog',
  'link_title' => 'Recent log entries',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"View events that have recently been logged.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '-1',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '16',
  'p3' => '93',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '94',
  'plid' => '10',
  'link_path' => 'admin/content/taxonomy',
  'router_path' => 'admin/content/taxonomy',
  'link_title' => 'Taxonomy',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:67:"Manage tagging, categorization, and classification of your content.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '10',
  'p3' => '94',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '95',
  'plid' => '0',
  'link_path' => 'taxonomy/term/%',
  'router_path' => 'taxonomy/term/%',
  'link_title' => 'Taxonomy term',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '95',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '96',
  'plid' => '16',
  'link_path' => 'admin/reports/access-denied',
  'router_path' => 'admin/reports/access-denied',
  'link_title' => "Top 'access denied' errors",
  'options' => "a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:35:\"View 'access denied' errors (403s).\";}}",
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '16',
  'p3' => '96',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '97',
  'plid' => '16',
  'link_path' => 'admin/reports/page-not-found',
  'router_path' => 'admin/reports/page-not-found',
  'link_title' => "Top 'page not found' errors",
  'options' => "a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:36:\"View 'page not found' errors (404s).\";}}",
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '16',
  'p3' => '97',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '98',
  'plid' => '15',
  'link_path' => 'admin/help/dblog',
  'router_path' => 'admin/help/dblog',
  'link_title' => 'dblog',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '98',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '99',
  'plid' => '15',
  'link_path' => 'admin/help/taxonomy',
  'router_path' => 'admin/help/taxonomy',
  'link_title' => 'taxonomy',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '99',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '100',
  'plid' => '37',
  'link_path' => 'admin/settings/logging/dblog',
  'router_path' => 'admin/settings/logging/dblog',
  'link_title' => 'Database logging',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:169:"Settings for logging to the Drupal database logs. This is the most common method for small to medium sites on shared hosting. The logs are viewable from the admin pages.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '37',
  'p4' => '100',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '101',
  'plid' => '16',
  'link_path' => 'admin/reports/event/%',
  'router_path' => 'admin/reports/event/%',
  'link_title' => 'Details',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '16',
  'p3' => '101',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '102',
  'plid' => '94',
  'link_path' => 'admin/content/taxonomy/%',
  'router_path' => 'admin/content/taxonomy/%',
  'link_title' => 'List terms',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '10',
  'p3' => '94',
  'p4' => '102',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '103',
  'plid' => '94',
  'link_path' => 'admin/content/taxonomy/edit/term',
  'router_path' => 'admin/content/taxonomy/edit/term',
  'link_title' => 'Edit term',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '10',
  'p3' => '94',
  'p4' => '103',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '104',
  'plid' => '94',
  'link_path' => 'admin/content/taxonomy/edit/vocabulary/%',
  'router_path' => 'admin/content/taxonomy/edit/vocabulary/%',
  'link_title' => 'Edit vocabulary',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '10',
  'p3' => '94',
  'p4' => '104',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '105',
  'plid' => '11',
  'link_path' => 'node/add/page',
  'router_path' => 'node/add/page',
  'link_title' => 'Page',
  'options' => "a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:296:\"A <em>page</em>, similar in form to a <em>story</em>, is a simple method for creating and displaying information that rarely changes, such as an \"About us\" section of a website. By default, a <em>page</em> entry does not allow visitor comments and is not featured on the site's initial home page.\";}}",
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '2',
  'customized' => '0',
  'p1' => '11',
  'p2' => '105',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '106',
  'plid' => '11',
  'link_path' => 'node/add/story',
  'router_path' => 'node/add/story',
  'link_title' => 'Story',
  'options' => "a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:392:\"A <em>story</em>, similar in form to a <em>page</em>, is ideal for creating and displaying content that informs or engages website visitors. Press releases, site announcements, and informal blog-like entries may all be created with a <em>story</em> entry. By default, a <em>story</em> entry is automatically featured on the site's initial home page, and provides the ability to post comments.\";}}",
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '2',
  'customized' => '0',
  'p1' => '11',
  'p2' => '106',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '107',
  'plid' => '10',
  'link_path' => 'admin/content/node-type/page',
  'router_path' => 'admin/content/node-type/page',
  'link_title' => 'Page',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '10',
  'p3' => '107',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '108',
  'plid' => '10',
  'link_path' => 'admin/content/node-type/story',
  'router_path' => 'admin/content/node-type/story',
  'link_title' => 'Story',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '10',
  'p3' => '108',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '109',
  'plid' => '0',
  'link_path' => 'admin/content/node-type/page/delete',
  'router_path' => 'admin/content/node-type/page/delete',
  'link_title' => 'Delete',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '109',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '110',
  'plid' => '0',
  'link_path' => 'admin/content/node-type/story/delete',
  'router_path' => 'admin/content/node-type/story/delete',
  'link_title' => 'Delete',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '110',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '111',
  'plid' => '0',
  'link_path' => 'cart',
  'router_path' => 'cart',
  'link_title' => 'Shopping cart',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:70:"View/modify the contents of your shopping cart or proceed to checkout.";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '111',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '112',
  'plid' => '0',
  'link_path' => 'cart/checkout',
  'router_path' => 'cart/checkout',
  'link_title' => 'Checkout',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:41:"Purchase the items in your shopping cart.";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '112',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '113',
  'plid' => '0',
  'link_path' => 'autocomplete/uc_product_title_sku',
  'router_path' => 'autocomplete/uc_product_title_sku',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '113',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '114',
  'plid' => '0',
  'link_path' => 'uc_js_util/%',
  'router_path' => 'uc_js_util/%',
  'link_title' => 'JS utilities',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '114',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '115',
  'plid' => '2',
  'link_path' => 'admin/store',
  'router_path' => 'admin/store',
  'link_title' => 'Store administration',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:54:"Administer store settings, products, orders, and more.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '1',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '2',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '116',
  'plid' => '115',
  'link_path' => 'admin/store/ca',
  'router_path' => 'admin/store/ca',
  'link_title' => 'Conditional actions',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:55:"Administer the predicates setup to automate your store.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '5',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '116',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '117',
  'plid' => '115',
  'link_path' => 'admin/store/settings',
  'router_path' => 'admin/store/settings',
  'link_title' => 'Configuration',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"Adjust configuration settings for Ubercart.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '1',
  'expanded' => '0',
  'weight' => '6',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '118',
  'plid' => '115',
  'link_path' => 'admin/store/customers',
  'router_path' => 'admin/store/customers',
  'link_title' => 'Customers',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:48:"View and modify customer information and orders.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '1',
  'expanded' => '0',
  'weight' => '-6',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '118',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '119',
  'plid' => '115',
  'link_path' => 'admin/store/help',
  'router_path' => 'admin/store/help',
  'link_title' => 'Help',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:18:"Links to get help!";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '1',
  'expanded' => '0',
  'weight' => '10',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '119',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '120',
  'plid' => '0',
  'link_path' => 'cart/checkout/complete',
  'router_path' => 'cart/checkout/complete',
  'link_title' => 'Order complete',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:48:"Display information upon completion of an order.";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '120',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '121',
  'plid' => '115',
  'link_path' => 'admin/store/orders',
  'router_path' => 'admin/store/orders',
  'link_title' => 'Orders',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:24:"View and process orders.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '1',
  'expanded' => '0',
  'weight' => '-10',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '121',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '122',
  'plid' => '11',
  'link_path' => 'node/add/product',
  'router_path' => 'node/add/product',
  'link_title' => 'Product',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:165:"This node displays the representation of a product for sale on the website. It includes all the unique information that can be attributed to a specific model number.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '2',
  'customized' => '0',
  'p1' => '11',
  'p2' => '122',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '123',
  'plid' => '115',
  'link_path' => 'admin/store/products',
  'router_path' => 'admin/store/products',
  'link_title' => 'Products',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:39:"Administer products, classes, and more.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '1',
  'expanded' => '0',
  'weight' => '-2',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '123',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '124',
  'plid' => '115',
  'link_path' => 'admin/store/reports',
  'router_path' => 'admin/store/reports',
  'link_title' => 'Reports',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:29:"Browse various store reports.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '1',
  'expanded' => '0',
  'weight' => '2',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '124',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '125',
  'plid' => '0',
  'link_path' => 'cart/checkout/review',
  'router_path' => 'cart/checkout/review',
  'link_title' => 'Review order',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:40:"Review an order before final submission.";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '125',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '126',
  'plid' => '15',
  'link_path' => 'admin/help/token',
  'router_path' => 'admin/help/token',
  'link_title' => 'token',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '126',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '127',
  'plid' => '15',
  'link_path' => 'admin/help/uc_product',
  'router_path' => 'admin/help/uc_product',
  'link_title' => 'uc_product',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '127',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '128',
  'plid' => '15',
  'link_path' => 'admin/help/uc_store',
  'router_path' => 'admin/help/uc_store',
  'link_title' => 'uc_store',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '128',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '129',
  'plid' => '117',
  'link_path' => 'admin/store/settings/cart',
  'router_path' => 'admin/store/settings/cart',
  'link_title' => 'Cart settings',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:28:"Configure the cart settings.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '129',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '130',
  'plid' => '117',
  'link_path' => 'admin/store/settings/checkout',
  'router_path' => 'admin/store/settings/checkout',
  'link_title' => 'Checkout settings',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:32:"Configure the checkout settings.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '130',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '131',
  'plid' => '117',
  'link_path' => 'admin/store/settings/countries',
  'router_path' => 'admin/store/settings/countries',
  'link_title' => 'Country settings',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:36:"Configure country specific settings.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '131',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '132',
  'plid' => '121',
  'link_path' => 'admin/store/orders/create',
  'router_path' => 'admin/store/orders/create',
  'link_title' => 'Create order',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:26:"Create an empty new order.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '1',
  'expanded' => '0',
  'weight' => '-5',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '121',
  'p4' => '132',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '133',
  'plid' => '123',
  'link_path' => 'admin/store/products/classes',
  'router_path' => 'admin/store/products/classes',
  'link_title' => 'Manage classes',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:35:"Create and edit product node types.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '-2',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '123',
  'p4' => '133',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '134',
  'plid' => '117',
  'link_path' => 'admin/store/settings/orders',
  'router_path' => 'admin/store/settings/orders',
  'link_title' => 'Order settings',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:29:"Configure the order settings.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '134',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '135',
  'plid' => '117',
  'link_path' => 'admin/store/settings/price-handlers',
  'router_path' => 'admin/store/settings/price-handlers',
  'link_title' => 'Price handler settings',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:50:"Select which price handlers to use for your store.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '135',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '136',
  'plid' => '10',
  'link_path' => 'admin/content/node-type/product',
  'router_path' => 'admin/content/node-type/product',
  'link_title' => 'Product',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '10',
  'p3' => '136',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '137',
  'plid' => '117',
  'link_path' => 'admin/store/settings/products',
  'router_path' => 'admin/store/settings/products',
  'link_title' => 'Product settings',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:27:"Configure product settings.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '137',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '138',
  'plid' => '118',
  'link_path' => 'admin/store/customers/search',
  'router_path' => 'admin/store/customers/search',
  'link_title' => 'Search customers',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:34:"Search through your customer list.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '-5',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '118',
  'p4' => '138',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '139',
  'plid' => '121',
  'link_path' => 'admin/store/orders/search',
  'router_path' => 'admin/store/orders/search',
  'link_title' => 'Search orders',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:23:"Search existing orders.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '121',
  'p4' => '139',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '140',
  'plid' => '121',
  'link_path' => 'admin/store/orders/address_book',
  'router_path' => 'admin/store/orders/address_book',
  'link_title' => 'Select address',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '121',
  'p4' => '140',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '141',
  'plid' => '121',
  'link_path' => 'admin/store/orders/customer',
  'router_path' => 'admin/store/orders/customer',
  'link_title' => 'Select customer',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '121',
  'p4' => '141',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '142',
  'plid' => '117',
  'link_path' => 'admin/store/settings/store',
  'router_path' => 'admin/store/settings/store',
  'link_title' => 'Store settings',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:34:"Configure the main store settings.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '1',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '142',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '143',
  'plid' => '119',
  'link_path' => 'admin/store/help/tokens',
  'router_path' => 'admin/store/help/tokens',
  'link_title' => 'Using tokens',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:47:"Understand what tokens are and how to use them.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '119',
  'p4' => '143',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '144',
  'plid' => '118',
  'link_path' => 'admin/store/customers/view',
  'router_path' => 'admin/store/customers/view',
  'link_title' => 'View customers',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:48:"View and modify customer information and orders.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '-10',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '118',
  'p4' => '144',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '145',
  'plid' => '123',
  'link_path' => 'admin/store/products/view',
  'router_path' => 'admin/store/products/view',
  'link_title' => 'View products',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:39:"Build and view a list of product nodes.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '-10',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '123',
  'p4' => '145',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '146',
  'plid' => '121',
  'link_path' => 'admin/store/orders/%',
  'router_path' => 'admin/store/orders/%',
  'link_title' => '',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:10:"View order";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '121',
  'p4' => '146',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '147',
  'plid' => '121',
  'link_path' => 'admin/store/orders/view',
  'router_path' => 'admin/store/orders/view',
  'link_title' => 'View orders',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:58:"View and process the orders received through your website.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '-10',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '121',
  'p4' => '147',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '148',
  'plid' => '21',
  'link_path' => 'user/%/order/%',
  'router_path' => 'user/%/order/%',
  'link_title' => '',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:11:"View order.";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '2',
  'customized' => '0',
  'p1' => '21',
  'p2' => '148',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '149',
  'plid' => '137',
  'link_path' => 'admin/store/settings/products/defaults',
  'router_path' => 'admin/store/settings/products/defaults',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '5',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '137',
  'p5' => '149',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '150',
  'plid' => '132',
  'link_path' => 'admin/store/orders/create/%',
  'router_path' => 'admin/store/orders/create/%',
  'link_title' => 'Create order',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:26:"Create an empty new order.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '-5',
  'depth' => '5',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '121',
  'p4' => '132',
  'p5' => '150',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '151',
  'plid' => '118',
  'link_path' => 'admin/store/customers/orders/%',
  'router_path' => 'admin/store/customers/orders/%',
  'link_title' => 'Customer orders',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:46:"View a list of orders placed by this customer.";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '-5',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '118',
  'p4' => '151',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '152',
  'plid' => '0',
  'link_path' => 'admin/content/node-type/product/delete',
  'router_path' => 'admin/content/node-type/product/delete',
  'link_title' => 'Delete',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '152',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '153',
  'plid' => '116',
  'link_path' => 'admin/store/ca/%/delete',
  'router_path' => 'admin/store/ca/%/delete',
  'link_title' => 'Delete a predicate',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '116',
  'p4' => '153',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '154',
  'plid' => '0',
  'link_path' => 'admin/store/orders/%/delete',
  'router_path' => 'admin/store/orders/%/delete',
  'link_title' => 'Delete an order',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '154',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '155',
  'plid' => '116',
  'link_path' => 'admin/store/ca/%/edit',
  'router_path' => 'admin/store/ca/%/edit',
  'link_title' => 'Edit predicate',
  'options' => "a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:54:\"Edit a predicate's meta data, conditions, and actions.\";}}",
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '116',
  'p4' => '155',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '156',
  'plid' => '121',
  'link_path' => 'admin/store/orders/sort/%',
  'router_path' => 'admin/store/orders/sort/%',
  'link_title' => 'Orders',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:43:"View orders with a particular order status.";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '121',
  'p4' => '156',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '157',
  'plid' => '133',
  'link_path' => 'admin/store/products/classes/%',
  'router_path' => 'admin/store/products/classes/%',
  'link_title' => 'Product class',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '5',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '123',
  'p4' => '133',
  'p5' => '157',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '158',
  'plid' => '0',
  'link_path' => 'admin/store/orders/%/product_select',
  'router_path' => 'admin/store/orders/%/product_select',
  'link_title' => 'Product select',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '158',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '159',
  'plid' => '0',
  'link_path' => 'admin/store/orders/%/products',
  'router_path' => 'admin/store/orders/%/products',
  'link_title' => 'Products',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '159',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '160',
  'plid' => '116',
  'link_path' => 'admin/store/ca/%/reset',
  'router_path' => 'admin/store/ca/%/reset',
  'link_title' => 'Reset a predicate',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '116',
  'p4' => '160',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '161',
  'plid' => '142',
  'link_path' => 'admin/store/settings/store/initials',
  'router_path' => 'admin/store/settings/store/initials',
  'link_title' => 'User initials',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:33:"Assign initials to user accounts.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '5',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '142',
  'p5' => '161',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '162',
  'plid' => '0',
  'link_path' => 'user/%/order/%/invoice',
  'router_path' => 'user/%/order/%/invoice',
  'link_title' => 'View invoice',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:19:"View order invoice.";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '162',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '163',
  'plid' => '0',
  'link_path' => 'admin/store/products/classes/%/delete',
  'router_path' => 'admin/store/products/classes/%/delete',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '163',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '164',
  'plid' => '0',
  'link_path' => 'admin/store/orders/%/add_line_item/%',
  'router_path' => 'admin/store/orders/%/add_line_item/%',
  'link_title' => 'Add a line item',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '164',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '165',
  'plid' => '0',
  'link_path' => 'admin/store/orders/%/add_product/%',
  'router_path' => 'admin/store/orders/%/add_product/%',
  'link_title' => 'Add product',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '165',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '166',
  'plid' => '131',
  'link_path' => 'admin/store/settings/countries/%/disable',
  'router_path' => 'admin/store/settings/countries/%/disable',
  'link_title' => 'Disable a country',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:27:"Disable a country from use.";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '5',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '131',
  'p5' => '166',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '167',
  'plid' => '131',
  'link_path' => 'admin/store/settings/countries/%/enable',
  'router_path' => 'admin/store/settings/countries/%/enable',
  'link_title' => 'Enable a country',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:26:"Enable a disabled country.";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '5',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '131',
  'p5' => '167',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '168',
  'plid' => '131',
  'link_path' => 'admin/store/settings/countries/%/remove',
  'router_path' => 'admin/store/settings/countries/%/remove',
  'link_title' => 'Remove a country',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:28:"Remove an installed country.";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '5',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '131',
  'p5' => '168',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '169',
  'plid' => '134',
  'link_path' => 'admin/store/settings/orders/edit/workflow/create',
  'router_path' => 'admin/store/settings/orders/edit/workflow/create',
  'link_title' => 'Create an order status',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:44:"Create a custom order status for your store.";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '5',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '134',
  'p5' => '169',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '170',
  'plid' => '131',
  'link_path' => 'admin/store/settings/countries/%/update/%',
  'router_path' => 'admin/store/settings/countries/%/update/%',
  'link_title' => 'Update a country',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:28:"Update an installed country.";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '5',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '131',
  'p5' => '170',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '171',
  'plid' => '0',
  'link_path' => 'products',
  'router_path' => 'products',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '171',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '172',
  'plid' => '0',
  'link_path' => 'content/js_add_more',
  'router_path' => 'content/js_add_more',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '172',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '173',
  'plid' => '0',
  'link_path' => 'filefield/progress',
  'router_path' => 'filefield/progress',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '173',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '174',
  'plid' => '0',
  'link_path' => 'nodereference/autocomplete',
  'router_path' => 'nodereference/autocomplete',
  'link_title' => 'Nodereference autocomplete',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '174',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '176',
  'plid' => '0',
  'link_path' => 'views/ajax',
  'router_path' => 'views/ajax',
  'link_title' => 'Views',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:31:"Ajax callback for view loading.";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '176',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '177',
  'plid' => '18',
  'link_path' => 'admin/settings/email',
  'router_path' => 'admin/settings/email',
  'link_title' => 'CCK Email Contact Form Settings',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:57:"Administer flood control settings for email contact forms";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '177',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '178',
  'plid' => '0',
  'link_path' => 'email/%/%',
  'router_path' => 'email/%/%',
  'link_title' => 'Email Contact Form',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '178',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '179',
  'plid' => '15',
  'link_path' => 'admin/help/content',
  'router_path' => 'admin/help/content',
  'link_title' => 'content',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '179',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '181',
  'plid' => '0',
  'link_path' => 'filefield/ahah/%/%/%',
  'router_path' => 'filefield/ahah/%/%/%',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '181',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '182',
  'plid' => '2',
  'link_path' => 'admin/views/ajax/autocomplete/user',
  'router_path' => 'admin/views/ajax/autocomplete/user',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '2',
  'customized' => '0',
  'p1' => '2',
  'p2' => '182',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '184',
  'plid' => '0',
  'link_path' => 'system/files/imagecache',
  'router_path' => 'system/files/imagecache',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '184',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '185',
  'plid' => '18',
  'link_path' => 'admin/settings/imageapi',
  'router_path' => 'admin/settings/imageapi',
  'link_title' => 'ImageAPI',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:19:"Configure ImageAPI.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '185',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '186',
  'plid' => '0',
  'link_path' => 'sites/default/files/imagecache',
  'router_path' => 'sites/default/files/imagecache',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '186',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '189',
  'plid' => '17',
  'link_path' => 'admin/build/path',
  'router_path' => 'admin/build/path',
  'link_title' => 'URL aliases',
  'options' => "a:1:{s:10:\"attributes\";a:1:{s:5:\"title\";s:46:\"Change your site's URL paths by aliasing them.\";}}",
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '189',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '190',
  'plid' => '15',
  'link_path' => 'admin/help/path',
  'router_path' => 'admin/help/path',
  'link_title' => 'path',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '190',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '193',
  'plid' => '189',
  'link_path' => 'admin/build/path/delete',
  'router_path' => 'admin/build/path/delete',
  'link_title' => 'Delete alias',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '189',
  'p4' => '193',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '194',
  'plid' => '189',
  'link_path' => 'admin/build/path/edit',
  'router_path' => 'admin/build/path/edit',
  'link_title' => 'Edit alias',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '189',
  'p4' => '194',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '198',
  'plid' => '0',
  'link_path' => 'taxes/calculate',
  'router_path' => 'taxes/calculate',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '198',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '201',
  'plid' => '0',
  'link_path' => 'cart/checkout/line_items',
  'router_path' => 'cart/checkout/line_items',
  'link_title' => 'Return order totals',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '201',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '204',
  'plid' => '15',
  'link_path' => 'admin/help/uc_reports',
  'router_path' => 'admin/help/uc_reports',
  'link_title' => 'uc_reports',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '204',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '205',
  'plid' => '15',
  'link_path' => 'admin/help/uc_taxes',
  'router_path' => 'admin/help/uc_taxes',
  'link_title' => 'uc_taxes',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '205',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '207',
  'plid' => '124',
  'link_path' => 'admin/store/reports/customers',
  'router_path' => 'admin/store/reports/customers',
  'link_title' => 'Customer reports',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:33:"View reports for store customers.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '124',
  'p4' => '207',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '208',
  'plid' => '0',
  'link_path' => 'cart/checkout/shipping/quote',
  'router_path' => 'cart/checkout/shipping/quote',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '208',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '209',
  'plid' => '0',
  'link_path' => 'cart/checkout/payment_details/%',
  'router_path' => 'cart/checkout/payment_details/%',
  'link_title' => 'Payment details',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:45:"Add the payment details to the checkout pane.";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '209',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '210',
  'plid' => '117',
  'link_path' => 'admin/store/settings/payment',
  'router_path' => 'admin/store/settings/payment',
  'link_title' => 'Payment settings',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:31:"Configure the payment settings.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '210',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '211',
  'plid' => '124',
  'link_path' => 'admin/store/reports/products',
  'router_path' => 'admin/store/reports/products',
  'link_title' => 'Product reports',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:32:"View reports for store products.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '124',
  'p4' => '211',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '212',
  'plid' => '117',
  'link_path' => 'admin/store/settings/reports',
  'router_path' => 'admin/store/settings/reports',
  'link_title' => 'Report settings',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:25:"View the report settings.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '212',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '213',
  'plid' => '124',
  'link_path' => 'admin/store/reports/sales',
  'router_path' => 'admin/store/reports/sales',
  'link_title' => 'Sales reports',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:29:"View reports for store sales.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '124',
  'p4' => '213',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '215',
  'plid' => '117',
  'link_path' => 'admin/store/settings/quotes',
  'router_path' => 'admin/store/settings/quotes',
  'link_title' => 'Shipping quote settings',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:38:"Configure the shipping quote settings.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '215',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '217',
  'plid' => '117',
  'link_path' => 'admin/store/settings/taxes',
  'router_path' => 'admin/store/settings/taxes',
  'link_title' => 'Tax rates and settings',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:37:"Configure the tax rates and settings.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '217',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '223',
  'plid' => '124',
  'link_path' => 'admin/store/reports/getcsv/%/%',
  'router_path' => 'admin/store/reports/getcsv/%/%',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '124',
  'p4' => '223',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '224',
  'plid' => '217',
  'link_path' => 'admin/store/settings/taxes/%/clone',
  'router_path' => 'admin/store/settings/taxes/%/clone',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '5',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '217',
  'p5' => '224',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '225',
  'plid' => '217',
  'link_path' => 'admin/store/settings/taxes/%/delete',
  'router_path' => 'admin/store/settings/taxes/%/delete',
  'link_title' => 'Delete tax rule',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '5',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '217',
  'p5' => '225',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '226',
  'plid' => '217',
  'link_path' => 'admin/store/settings/taxes/%/edit',
  'router_path' => 'admin/store/settings/taxes/%/edit',
  'link_title' => 'Edit a tax rate',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '5',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '217',
  'p5' => '226',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '229',
  'plid' => '0',
  'link_path' => 'admin/store/orders/%/payment_details/%',
  'router_path' => 'admin/store/orders/%/payment_details/%',
  'link_title' => 'Payment details',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:42:"Add the payment details to the order pane.";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '229',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '234',
  'plid' => '0',
  'link_path' => 'admin/store/orders/%/payments/%/delete',
  'router_path' => 'admin/store/orders/%/payments/%/delete',
  'link_title' => 'Delete payment?',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:15:"Delete payment?";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '234',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '238',
  'plid' => '0',
  'link_path' => 'admin/store/orders/%/payments/select/%',
  'router_path' => 'admin/store/orders/%/payments/select/%',
  'link_title' => 'Select payment gateway',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '238',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '247',
  'plid' => '0',
  'link_path' => 'i18nstrings/save',
  'router_path' => 'i18nstrings/save',
  'link_title' => 'Save string',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '247',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '248',
  'plid' => '18',
  'link_path' => 'admin/settings/language',
  'router_path' => 'admin/settings/language',
  'link_title' => 'Languages',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:55:"Configure languages for content and the user interface.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '248',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '249',
  'plid' => '0',
  'link_path' => 'i18n/node/autocomplete',
  'router_path' => 'i18n/node/autocomplete',
  'link_title' => 'Node title autocomplete',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '249',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '250',
  'plid' => '17',
  'link_path' => 'admin/build/translate',
  'router_path' => 'admin/build/translate',
  'link_title' => 'Translate interface',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:59:"Translate the built in interface and optionally other text.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '250',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '251',
  'plid' => '15',
  'link_path' => 'admin/help/i18n',
  'router_path' => 'admin/help/i18n',
  'link_title' => 'i18n',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '251',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '252',
  'plid' => '15',
  'link_path' => 'admin/help/i18ncontent',
  'router_path' => 'admin/help/i18ncontent',
  'link_title' => 'i18ncontent',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '252',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '253',
  'plid' => '15',
  'link_path' => 'admin/help/i18nstrings',
  'router_path' => 'admin/help/i18nstrings',
  'link_title' => 'i18nstrings',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '253',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '254',
  'plid' => '15',
  'link_path' => 'admin/help/i18ntaxonomy',
  'router_path' => 'admin/help/i18ntaxonomy',
  'link_title' => 'i18ntaxonomy',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '254',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '255',
  'plid' => '15',
  'link_path' => 'admin/help/locale',
  'router_path' => 'admin/help/locale',
  'link_title' => 'locale',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '255',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '256',
  'plid' => '15',
  'link_path' => 'admin/help/translation',
  'router_path' => 'admin/help/translation',
  'link_title' => 'translation',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '256',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '257',
  'plid' => '248',
  'link_path' => 'admin/settings/language/delete/%',
  'router_path' => 'admin/settings/language/delete/%',
  'link_title' => 'Confirm',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '248',
  'p4' => '257',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '258',
  'plid' => '250',
  'link_path' => 'admin/build/translate/delete/%',
  'router_path' => 'admin/build/translate/delete/%',
  'link_title' => 'Delete string',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '250',
  'p4' => '258',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '259',
  'plid' => '248',
  'link_path' => 'admin/settings/language/edit/%',
  'router_path' => 'admin/settings/language/edit/%',
  'link_title' => 'Edit language',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '18',
  'p3' => '248',
  'p4' => '259',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '260',
  'plid' => '250',
  'link_path' => 'admin/build/translate/edit/%',
  'router_path' => 'admin/build/translate/edit/%',
  'link_title' => 'Edit string',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '17',
  'p3' => '250',
  'p4' => '260',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '261',
  'plid' => '0',
  'link_path' => '_autocomplete_file',
  'router_path' => '_autocomplete_file',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '261',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '262',
  'plid' => '0',
  'link_path' => 'catalog',
  'router_path' => 'catalog',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '262',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '263',
  'plid' => '0',
  'link_path' => 'download/%/%',
  'router_path' => 'download/%/%',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '263',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '264',
  'plid' => '115',
  'link_path' => 'admin/store/attributes',
  'router_path' => 'admin/store/attributes',
  'link_title' => 'Attributes',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:39:"Create and edit attributes and options.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '-1',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '264',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '265',
  'plid' => '15',
  'link_path' => 'admin/help/uc_attribute',
  'router_path' => 'admin/help/uc_attribute',
  'link_title' => 'uc_attribute',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '265',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '266',
  'plid' => '15',
  'link_path' => 'admin/help/uc_file',
  'router_path' => 'admin/help/uc_file',
  'link_title' => 'uc_file',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '266',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '267',
  'plid' => '15',
  'link_path' => 'admin/help/uc_roles',
  'router_path' => 'admin/help/uc_roles',
  'link_title' => 'uc_roles',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '267',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '268',
  'plid' => '117',
  'link_path' => 'admin/store/settings/attributes',
  'router_path' => 'admin/store/settings/attributes',
  'link_title' => 'Attribute settings',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:33:"Configure the attribute settings.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '268',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '269',
  'plid' => '117',
  'link_path' => 'admin/store/settings/catalog',
  'router_path' => 'admin/store/settings/catalog',
  'link_title' => 'Catalog settings',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:31:"Configure the catalog settings.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '269',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '270',
  'plid' => '123',
  'link_path' => 'admin/store/products/orphans',
  'router_path' => 'admin/store/products/orphans',
  'link_title' => 'Find orphaned products',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:45:"Find products that have not been categorized.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '-4',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '123',
  'p4' => '270',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '271',
  'plid' => '124',
  'link_path' => 'admin/store/reports/tax',
  'router_path' => 'admin/store/reports/tax',
  'link_title' => 'Sales tax report',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:25:"View report on sales tax.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '124',
  'p4' => '271',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '272',
  'plid' => '123',
  'link_path' => 'admin/store/products/files',
  'router_path' => 'admin/store/products/files',
  'link_title' => 'View file downloads',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:44:"View all file download features on products.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '123',
  'p4' => '272',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '273',
  'plid' => '264',
  'link_path' => 'admin/store/attributes/%/delete',
  'router_path' => 'admin/store/attributes/%/delete',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '264',
  'p4' => '273',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '274',
  'plid' => '264',
  'link_path' => 'admin/store/attributes/%/edit',
  'router_path' => 'admin/store/attributes/%/edit',
  'link_title' => 'Edit attribute',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '264',
  'p4' => '274',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '275',
  'plid' => '264',
  'link_path' => 'admin/store/attributes/%/options',
  'router_path' => 'admin/store/attributes/%/options',
  'link_title' => 'Options',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '264',
  'p4' => '275',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '276',
  'plid' => '0',
  'link_path' => 'node/%/edit/attributes/reset',
  'router_path' => 'node/%/edit/attributes/reset',
  'link_title' => 'Reset to defaults',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '276',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '277',
  'plid' => '0',
  'link_path' => 'admin/store/orders/%/ship',
  'router_path' => 'admin/store/orders/%/ship',
  'link_title' => 'Ship packages',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '277',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '278',
  'plid' => '0',
  'link_path' => 'admin/store/orders/%/packages/new',
  'router_path' => 'admin/store/orders/%/packages/new',
  'link_title' => 'New packages',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '278',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '279',
  'plid' => '0',
  'link_path' => 'admin/store/orders/%/shipments/new',
  'router_path' => 'admin/store/orders/%/shipments/new',
  'link_title' => 'New shipment',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '279',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '280',
  'plid' => '0',
  'link_path' => 'admin/store/orders/%/shipments/%',
  'router_path' => 'admin/store/orders/%/shipments/%',
  'link_title' => '',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '280',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '281',
  'plid' => '0',
  'link_path' => 'admin/store/orders/%/packages/%/cancel',
  'router_path' => 'admin/store/orders/%/packages/%/cancel',
  'link_title' => 'Cancel package shipment',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '281',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '282',
  'plid' => '0',
  'link_path' => 'admin/store/attributes/%/options/%/delete',
  'router_path' => 'admin/store/attributes/%/options/%/delete',
  'link_title' => 'Delete option',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '282',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '283',
  'plid' => '0',
  'link_path' => 'admin/store/orders/%/packages/%/delete',
  'router_path' => 'admin/store/orders/%/packages/%/delete',
  'link_title' => 'Delete package',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '283',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '284',
  'plid' => '51',
  'link_path' => 'admin/user/user/expiration/delete/%/%',
  'router_path' => 'admin/user/user/expiration/delete/%/%',
  'link_title' => 'Delete role expiration',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:34:"Delete a specified role expiration";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '4',
  'customized' => '0',
  'p1' => '2',
  'p2' => '20',
  'p3' => '51',
  'p4' => '284',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '285',
  'plid' => '0',
  'link_path' => 'admin/store/orders/%/shipments/%/delete',
  'router_path' => 'admin/store/orders/%/shipments/%/delete',
  'link_title' => 'Delete shipment',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '285',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '286',
  'plid' => '0',
  'link_path' => 'admin/store/attributes/%/options/%/edit',
  'router_path' => 'admin/store/attributes/%/options/%/edit',
  'link_title' => 'Edit option',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '286',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '287',
  'plid' => '0',
  'link_path' => 'admin/store/orders/%/packages/%/edit',
  'router_path' => 'admin/store/orders/%/packages/%/edit',
  'link_title' => 'Edit package',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '287',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '288',
  'plid' => '11',
  'link_path' => 'node/add/product-kit',
  'router_path' => 'node/add/product-kit',
  'link_title' => 'Product kit',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:147:"This node represents two or more products that have been listed together. This presents a logical and convenient grouping of items to the customer.";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '2',
  'customized' => '0',
  'p1' => '11',
  'p2' => '288',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '289',
  'plid' => '10',
  'link_path' => 'admin/content/node-type/product-kit',
  'router_path' => 'admin/content/node-type/product-kit',
  'link_title' => 'Product kit',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '10',
  'p3' => '289',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '290',
  'plid' => '0',
  'link_path' => 'admin/content/node-type/product-kit/delete',
  'router_path' => 'admin/content/node-type/product-kit/delete',
  'link_title' => 'Delete',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '290',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '292',
  'plid' => '15',
  'link_path' => 'admin/help/i18nsync',
  'router_path' => 'admin/help/i18nsync',
  'link_title' => 'i18nsync',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '15',
  'p3' => '292',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '293',
  'plid' => '0',
  'link_path' => 'admin/content/node-type/product/fields/field_image_cache/remove',
  'router_path' => 'admin/content/node-type/product/fields/field_image_cache/remove',
  'link_title' => 'Remove field',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '293',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '294',
  'plid' => '0',
  'link_path' => 'admin/content/node-type/product-kit/fields/field_image_cache/remove',
  'router_path' => 'admin/content/node-type/product-kit/fields/field_image_cache/remove',
  'link_title' => 'Remove field',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '294',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '295',
  'plid' => '11',
  'link_path' => 'node/add/ship',
  'router_path' => 'node/add/ship',
  'link_title' => 'Ship',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:77:"A type of spacecraft capable of traveling to the solar systems of other stars";}}',
  'module' => 'system',
  'hidden' => '0',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '2',
  'customized' => '0',
  'p1' => '11',
  'p2' => '295',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '296',
  'plid' => '10',
  'link_path' => 'admin/content/node-type/ship',
  'router_path' => 'admin/content/node-type/ship',
  'link_title' => 'Ship',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '3',
  'customized' => '0',
  'p1' => '2',
  'p2' => '10',
  'p3' => '296',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '297',
  'plid' => '0',
  'link_path' => 'admin/content/node-type/ship/delete',
  'router_path' => 'admin/content/node-type/ship/delete',
  'link_title' => 'Delete',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '297',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '298',
  'plid' => '0',
  'link_path' => 'admin/content/node-type/ship/fields/field_image_cache/remove',
  'router_path' => 'admin/content/node-type/ship/fields/field_image_cache/remove',
  'link_title' => 'Remove field',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '298',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '299',
  'plid' => '0',
  'link_path' => 'admin/content/node-type/page/fields/field_integer/remove',
  'router_path' => 'admin/content/node-type/page/fields/field_integer/remove',
  'link_title' => 'Remove field',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '299',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '300',
  'plid' => '0',
  'link_path' => 'admin/content/node-type/product/fields/field_sustain/remove',
  'router_path' => 'admin/content/node-type/product/fields/field_sustain/remove',
  'link_title' => 'Remove field',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '300',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '301',
  'plid' => '0',
  'link_path' => 'admin/content/node-type/ship/fields/field_engine/remove',
  'router_path' => 'admin/content/node-type/ship/fields/field_engine/remove',
  'link_title' => 'Remove field',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '301',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '302',
  'plid' => '0',
  'link_path' => 'admin/content/node-type/ship/fields/field_integer/remove',
  'router_path' => 'admin/content/node-type/ship/fields/field_integer/remove',
  'link_title' => 'Remove field',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '302',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '303',
  'plid' => '0',
  'link_path' => 'admin/content/node-type/product/fields/field_integer/remove',
  'router_path' => 'admin/content/node-type/product/fields/field_integer/remove',
  'link_title' => 'Remove field',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '303',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '304',
  'plid' => '0',
  'link_path' => 'cart/checkout/credit/cvv_info',
  'router_path' => 'cart/checkout/credit/cvv_info',
  'link_title' => 'CVV information',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '304',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '305',
  'plid' => '0',
  'link_path' => 'admin/store/orders/%/receive_check',
  'router_path' => 'admin/store/orders/%/receive_check',
  'link_title' => 'Receive Check',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '305',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '306',
  'plid' => '0',
  'link_path' => 'admin/store/orders/%/credit',
  'router_path' => 'admin/store/orders/%/credit',
  'link_title' => '',
  'options' => 'a:1:{s:10:"attributes";a:1:{s:5:"title";s:49:"Displays a form to process a credit card payment.";}}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '1',
  'customized' => '0',
  'p1' => '306',
  'p2' => '0',
  'p3' => '0',
  'p4' => '0',
  'p5' => '0',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '307',
  'plid' => '215',
  'link_path' => 'admin/store/settings/quotes/flatrate/%/delete',
  'router_path' => 'admin/store/settings/quotes/flatrate/%/delete',
  'link_title' => 'Delete flat rate method',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '5',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '215',
  'p5' => '307',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->values(array(
  'menu_name' => 'navigation',
  'mlid' => '308',
  'plid' => '215',
  'link_path' => 'admin/store/settings/quotes/methods/flatrate/%',
  'router_path' => 'admin/store/settings/quotes/methods/flatrate/%',
  'link_title' => 'Edit flat rate method',
  'options' => 'a:0:{}',
  'module' => 'system',
  'hidden' => '-1',
  'external' => '0',
  'has_children' => '0',
  'expanded' => '0',
  'weight' => '0',
  'depth' => '5',
  'customized' => '0',
  'p1' => '2',
  'p2' => '115',
  'p3' => '117',
  'p4' => '215',
  'p5' => '308',
  'p6' => '0',
  'p7' => '0',
  'p8' => '0',
  'p9' => '0',
  'updated' => '0',
))
->execute();

$connection->schema()->createTable('menu_router', array(
  'fields' => array(
    'path' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'load_functions' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'to_arg_functions' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'access_callback' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'access_arguments' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'page_callback' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'page_arguments' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'fit' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'number_parts' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'tab_parent' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'tab_root' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'title_callback' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'title_arguments' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'type' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'block_callback' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'description' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'position' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'file' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'medium',
    ),
  ),
  'primary key' => array(
    'path',
  ),
  'indexes' => array(
    'fit' => array(
      'fit',
    ),
    'tab_parent' => array(
      array(
        'tab_parent',
        '191',
      ),
    ),
    'tab_root_weight_title' => array(
      array(
        'tab_root',
        '64',
      ),
      'weight',
      array(
        'title',
        '191',
      ),
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('menu_router')
->fields(array(
  'path',
  'load_functions',
  'to_arg_functions',
  'access_callback',
  'access_arguments',
  'page_callback',
  'page_arguments',
  'fit',
  'number_parts',
  'tab_parent',
  'tab_root',
  'title',
  'title_callback',
  'title_arguments',
  'type',
  'block_callback',
  'description',
  'position',
  'weight',
  'file',
))
->values(array(
  'path' => 'admin',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'system_main_admin_page',
  'page_arguments' => 'a:0:{}',
  'fit' => '1',
  'number_parts' => '1',
  'tab_parent' => '',
  'tab_root' => 'admin',
  'title' => 'Administer',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '9',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/build',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'system_admin_menu_block_page',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'admin/build',
  'title' => 'Site building',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Control how your site looks and feels.',
  'position' => 'right',
  'weight' => '-10',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/build/block',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:17:"administer blocks";}',
  'page_callback' => 'block_admin_display',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/build/block',
  'title' => 'Blocks',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => "Configure what block content appears in your site's sidebars and other regions.",
  'position' => '',
  'weight' => '0',
  'file' => 'modules/block/block.admin.inc',
))
->values(array(
  'path' => 'admin/build/block/add',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:17:"administer blocks";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:20:"block_add_block_form";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/build/block',
  'tab_root' => 'admin/build/block',
  'title' => 'Add block',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/block/block.admin.inc',
))
->values(array(
  'path' => 'admin/build/block/configure',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:17:"administer blocks";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:21:"block_admin_configure";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/build/block/configure',
  'title' => 'Configure block',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/block/block.admin.inc',
))
->values(array(
  'path' => 'admin/build/block/delete',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:17:"administer blocks";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:16:"block_box_delete";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/build/block/delete',
  'title' => 'Delete block',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/block/block.admin.inc',
))
->values(array(
  'path' => 'admin/build/block/list',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:17:"administer blocks";}',
  'page_callback' => 'block_admin_display',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/build/block',
  'tab_root' => 'admin/build/block',
  'title' => 'List',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'modules/block/block.admin.inc',
))
->values(array(
  'path' => 'admin/build/block/list/bluemarine',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '_block_themes_access',
  'access_arguments' => 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:33:"themes/bluemarine/bluemarine.info";s:4:"name";s:10:"bluemarine";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:13:{s:4:"name";s:10:"Bluemarine";s:11:"description";s:66:"Table-based multi-column theme with a marine and ash color scheme.";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/bluemarine/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:27:"themes/bluemarine/script.js";}s:10:"screenshot";s:32:"themes/bluemarine/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/bluemarine/style.css";}}s:6:"engine";s:11:"phptemplate";}}',
  'page_callback' => 'block_admin_display',
  'page_arguments' => 'a:1:{i:0;s:10:"bluemarine";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/build/block/list',
  'tab_root' => 'admin/build/block',
  'title' => 'Bluemarine',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/block/block.admin.inc',
))
->values(array(
  'path' => 'admin/build/block/list/chameleon',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '_block_themes_access',
  'access_arguments' => 'a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:31:"themes/chameleon/chameleon.info";s:4:"name";s:9:"chameleon";s:4:"type";s:5:"theme";s:5:"owner";s:32:"themes/chameleon/chameleon.theme";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:12:{s:4:"name";s:9:"Chameleon";s:11:"description";s:42:"Minimalist tabled theme with light colors.";s:7:"regions";a:2:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";}s:8:"features";a:4:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";}s:11:"stylesheets";a:1:{s:3:"all";a:2:{s:9:"style.css";s:26:"themes/chameleon/style.css";s:10:"common.css";s:27:"themes/chameleon/common.css";}}s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:7:"scripts";a:1:{s:9:"script.js";s:26:"themes/chameleon/script.js";}s:10:"screenshot";s:31:"themes/chameleon/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:1:{s:3:"all";a:2:{s:9:"style.css";s:26:"themes/chameleon/style.css";s:10:"common.css";s:27:"themes/chameleon/common.css";}}}}',
  'page_callback' => 'block_admin_display',
  'page_arguments' => 'a:1:{i:0;s:9:"chameleon";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/build/block/list',
  'tab_root' => 'admin/build/block',
  'title' => 'Chameleon',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/block/block.admin.inc',
))
->values(array(
  'path' => 'admin/build/block/list/garland',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '_block_themes_access',
  'access_arguments' => 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:27:"themes/garland/garland.info";s:4:"name";s:7:"garland";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:13:{s:4:"name";s:7:"Garland";s:11:"description";s:66:"Tableless, recolorable, multi-column, fluid width theme (default).";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:7:"scripts";a:1:{s:9:"script.js";s:24:"themes/garland/script.js";}s:10:"screenshot";s:29:"themes/garland/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:6:"engine";s:11:"phptemplate";}}',
  'page_callback' => 'block_admin_display',
  'page_arguments' => 'a:1:{i:0;s:7:"garland";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/build/block/list',
  'tab_root' => 'admin/build/block',
  'title' => 'Garland',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'modules/block/block.admin.inc',
))
->values(array(
  'path' => 'admin/build/block/list/js',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:17:"administer blocks";}',
  'page_callback' => 'block_admin_display_js',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/build/block/list/js',
  'title' => 'JavaScript List Form',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/block/block.admin.inc',
))
->values(array(
  'path' => 'admin/build/block/list/marvin',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '_block_themes_access',
  'access_arguments' => 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:35:"themes/chameleon/marvin/marvin.info";s:4:"name";s:6:"marvin";s:4:"type";s:5:"theme";s:5:"owner";s:0:"";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:13:{s:4:"name";s:6:"Marvin";s:11:"description";s:31:"Boxy tabled theme in all grays.";s:7:"regions";a:2:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";}s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:10:"base theme";s:9:"chameleon";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:33:"themes/chameleon/marvin/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:33:"themes/chameleon/marvin/script.js";}s:10:"screenshot";s:38:"themes/chameleon/marvin/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:33:"themes/chameleon/marvin/style.css";}}s:10:"base_theme";s:9:"chameleon";}}',
  'page_callback' => 'block_admin_display',
  'page_arguments' => 'a:1:{i:0;s:6:"marvin";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/build/block/list',
  'tab_root' => 'admin/build/block',
  'title' => 'Marvin',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/block/block.admin.inc',
))
->values(array(
  'path' => 'admin/build/block/list/minnelli',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '_block_themes_access',
  'access_arguments' => 'a:1:{i:0;O:8:"stdClass":13:{s:8:"filename";s:37:"themes/garland/minnelli/minnelli.info";s:4:"name";s:8:"minnelli";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:14:{s:4:"name";s:8:"Minnelli";s:11:"description";s:56:"Tableless, recolorable, multi-column, fixed width theme.";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:10:"base theme";s:7:"garland";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:12:"minnelli.css";s:36:"themes/garland/minnelli/minnelli.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:7:"scripts";a:1:{s:9:"script.js";s:33:"themes/garland/minnelli/script.js";}s:10:"screenshot";s:38:"themes/garland/minnelli/screenshot.png";s:3:"php";s:5:"4.3.5";s:6:"engine";s:11:"phptemplate";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:12:"minnelli.css";s:36:"themes/garland/minnelli/minnelli.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"garland";}}',
  'page_callback' => 'block_admin_display',
  'page_arguments' => 'a:1:{i:0;s:8:"minnelli";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/build/block/list',
  'tab_root' => 'admin/build/block',
  'title' => 'Minnelli',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/block/block.admin.inc',
))
->values(array(
  'path' => 'admin/build/block/list/pushbutton',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '_block_themes_access',
  'access_arguments' => 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:33:"themes/pushbutton/pushbutton.info";s:4:"name";s:10:"pushbutton";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:13:{s:4:"name";s:10:"Pushbutton";s:11:"description";s:52:"Tabled, multi-column theme in blue and orange tones.";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/pushbutton/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:27:"themes/pushbutton/script.js";}s:10:"screenshot";s:32:"themes/pushbutton/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/pushbutton/style.css";}}s:6:"engine";s:11:"phptemplate";}}',
  'page_callback' => 'block_admin_display',
  'page_arguments' => 'a:1:{i:0;s:10:"pushbutton";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/build/block/list',
  'tab_root' => 'admin/build/block',
  'title' => 'Pushbutton',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/block/block.admin.inc',
))
->values(array(
  'path' => 'admin/build/menu',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"administer menu";}',
  'page_callback' => 'menu_overview_page',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/build/menu',
  'title' => 'Menus',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => "Control your site's navigation menu, primary links and secondary links, as well as rename and reorganize menu items.",
  'position' => '',
  'weight' => '0',
  'file' => 'modules/menu/menu.admin.inc',
))
->values(array(
  'path' => 'admin/build/menu-customize/%',
  'load_functions' => 'a:1:{i:3;s:9:"menu_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"administer menu";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:18:"menu_overview_form";i:1;i:3;}',
  'fit' => '14',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/build/menu-customize/%',
  'title' => 'Customize menu',
  'title_callback' => 'menu_overview_title',
  'title_arguments' => 'a:1:{i:0;i:3;}',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/menu/menu.admin.inc',
))
->values(array(
  'path' => 'admin/build/menu-customize/%/add',
  'load_functions' => 'a:1:{i:3;s:9:"menu_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"administer menu";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:4:{i:0;s:14:"menu_edit_item";i:1;s:3:"add";i:2;N;i:3;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => 'admin/build/menu-customize/%',
  'tab_root' => 'admin/build/menu-customize/%',
  'title' => 'Add item',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/menu/menu.admin.inc',
))
->values(array(
  'path' => 'admin/build/menu-customize/%/delete',
  'load_functions' => 'a:1:{i:3;s:9:"menu_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"administer menu";}',
  'page_callback' => 'menu_delete_menu_page',
  'page_arguments' => 'a:1:{i:0;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/build/menu-customize/%/delete',
  'title' => 'Delete menu',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/menu/menu.admin.inc',
))
->values(array(
  'path' => 'admin/build/menu-customize/%/edit',
  'load_functions' => 'a:1:{i:3;s:9:"menu_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"administer menu";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:14:"menu_edit_menu";i:1;s:4:"edit";i:2;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => 'admin/build/menu-customize/%',
  'tab_root' => 'admin/build/menu-customize/%',
  'title' => 'Edit menu',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/menu/menu.admin.inc',
))
->values(array(
  'path' => 'admin/build/menu-customize/%/list',
  'load_functions' => 'a:1:{i:3;s:9:"menu_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"administer menu";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:18:"menu_overview_form";i:1;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => 'admin/build/menu-customize/%',
  'tab_root' => 'admin/build/menu-customize/%',
  'title' => 'List items',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'modules/menu/menu.admin.inc',
))
->values(array(
  'path' => 'admin/build/menu/add',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"administer menu";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:14:"menu_edit_menu";i:1;s:3:"add";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/build/menu',
  'tab_root' => 'admin/build/menu',
  'title' => 'Add menu',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/menu/menu.admin.inc',
))
->values(array(
  'path' => 'admin/build/menu/item/%/delete',
  'load_functions' => 'a:1:{i:4;s:14:"menu_link_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"administer menu";}',
  'page_callback' => 'menu_item_delete_page',
  'page_arguments' => 'a:1:{i:0;i:4;}',
  'fit' => '61',
  'number_parts' => '6',
  'tab_parent' => '',
  'tab_root' => 'admin/build/menu/item/%/delete',
  'title' => 'Delete menu item',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/menu/menu.admin.inc',
))
->values(array(
  'path' => 'admin/build/menu/item/%/edit',
  'load_functions' => 'a:1:{i:4;s:14:"menu_link_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"administer menu";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:4:{i:0;s:14:"menu_edit_item";i:1;s:4:"edit";i:2;i:4;i:3;N;}',
  'fit' => '61',
  'number_parts' => '6',
  'tab_parent' => '',
  'tab_root' => 'admin/build/menu/item/%/edit',
  'title' => 'Edit menu item',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/menu/menu.admin.inc',
))
->values(array(
  'path' => 'admin/build/menu/item/%/reset',
  'load_functions' => 'a:1:{i:4;s:14:"menu_link_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"administer menu";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:23:"menu_reset_item_confirm";i:1;i:4;}',
  'fit' => '61',
  'number_parts' => '6',
  'tab_parent' => '',
  'tab_root' => 'admin/build/menu/item/%/reset',
  'title' => 'Reset menu item',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/menu/menu.admin.inc',
))
->values(array(
  'path' => 'admin/build/menu/list',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"administer menu";}',
  'page_callback' => 'menu_overview_page',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/build/menu',
  'tab_root' => 'admin/build/menu',
  'title' => 'List menus',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'modules/menu/menu.admin.inc',
))
->values(array(
  'path' => 'admin/build/menu/settings',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"administer menu";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:14:"menu_configure";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/build/menu',
  'tab_root' => 'admin/build/menu',
  'title' => 'Settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '5',
  'file' => 'modules/menu/menu.admin.inc',
))
->values(array(
  'path' => 'admin/build/modules',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:14:"system_modules";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/build/modules',
  'title' => 'Modules',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Enable or disable add-on modules for your site.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/build/modules/list',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:14:"system_modules";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/build/modules',
  'tab_root' => 'admin/build/modules',
  'title' => 'List',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/build/modules/list/confirm',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:14:"system_modules";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/build/modules/list/confirm',
  'title' => 'List',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/build/modules/uninstall',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:24:"system_modules_uninstall";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/build/modules',
  'tab_root' => 'admin/build/modules',
  'title' => 'Uninstall',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/build/modules/uninstall/confirm',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:24:"system_modules_uninstall";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/build/modules/uninstall/confirm',
  'title' => 'Uninstall',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/build/path',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:22:"administer url aliases";}',
  'page_callback' => 'path_admin_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/build/path',
  'title' => 'URL aliases',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => "Change your site's URL paths by aliasing them.",
  'position' => '',
  'weight' => '0',
  'file' => 'modules/path/path.admin.inc',
))
->values(array(
  'path' => 'admin/build/path/add',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:22:"administer url aliases";}',
  'page_callback' => 'path_admin_edit',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/build/path',
  'tab_root' => 'admin/build/path',
  'title' => 'Add alias',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/path/path.admin.inc',
))
->values(array(
  'path' => 'admin/build/path/delete',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:22:"administer url aliases";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:25:"path_admin_delete_confirm";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/build/path/delete',
  'title' => 'Delete alias',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/path/path.admin.inc',
))
->values(array(
  'path' => 'admin/build/path/edit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:22:"administer url aliases";}',
  'page_callback' => 'path_admin_edit',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/build/path/edit',
  'title' => 'Edit alias',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/path/path.admin.inc',
))
->values(array(
  'path' => 'admin/build/path/list',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:22:"administer url aliases";}',
  'page_callback' => 'path_admin_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/build/path',
  'tab_root' => 'admin/build/path',
  'title' => 'List',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'modules/path/path.admin.inc',
))
->values(array(
  'path' => 'admin/build/themes',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:18:"system_themes_form";i:1;N;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/build/themes',
  'title' => 'Themes',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Change which theme your site uses or allows users to set.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/build/themes/select',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:18:"system_themes_form";i:1;N;}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/build/themes',
  'tab_root' => 'admin/build/themes',
  'title' => 'List',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'Select the default theme.',
  'position' => '',
  'weight' => '-1',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/build/themes/settings',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:21:"system_theme_settings";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/build/themes',
  'tab_root' => 'admin/build/themes',
  'title' => 'Configure',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/build/themes/settings/bluemarine',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '_system_themes_access',
  'access_arguments' => 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:33:"themes/bluemarine/bluemarine.info";s:4:"name";s:10:"bluemarine";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:13:{s:4:"name";s:10:"Bluemarine";s:11:"description";s:66:"Table-based multi-column theme with a marine and ash color scheme.";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/bluemarine/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:27:"themes/bluemarine/script.js";}s:10:"screenshot";s:32:"themes/bluemarine/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/bluemarine/style.css";}}s:6:"engine";s:11:"phptemplate";}}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:21:"system_theme_settings";i:1;s:10:"bluemarine";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/build/themes/settings',
  'tab_root' => 'admin/build/themes',
  'title' => 'Bluemarine',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/build/themes/settings/chameleon',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '_system_themes_access',
  'access_arguments' => 'a:1:{i:0;O:8:"stdClass":11:{s:8:"filename";s:31:"themes/chameleon/chameleon.info";s:4:"name";s:9:"chameleon";s:4:"type";s:5:"theme";s:5:"owner";s:32:"themes/chameleon/chameleon.theme";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:12:{s:4:"name";s:9:"Chameleon";s:11:"description";s:42:"Minimalist tabled theme with light colors.";s:7:"regions";a:2:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";}s:8:"features";a:4:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";}s:11:"stylesheets";a:1:{s:3:"all";a:2:{s:9:"style.css";s:26:"themes/chameleon/style.css";s:10:"common.css";s:27:"themes/chameleon/common.css";}}s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:7:"scripts";a:1:{s:9:"script.js";s:26:"themes/chameleon/script.js";}s:10:"screenshot";s:31:"themes/chameleon/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:1:{s:3:"all";a:2:{s:9:"style.css";s:26:"themes/chameleon/style.css";s:10:"common.css";s:27:"themes/chameleon/common.css";}}}}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:21:"system_theme_settings";i:1;s:9:"chameleon";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/build/themes/settings',
  'tab_root' => 'admin/build/themes',
  'title' => 'Chameleon',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/build/themes/settings/garland',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '_system_themes_access',
  'access_arguments' => 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:27:"themes/garland/garland.info";s:4:"name";s:7:"garland";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"1";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:13:{s:4:"name";s:7:"Garland";s:11:"description";s:66:"Tableless, recolorable, multi-column, fluid width theme (default).";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:7:"scripts";a:1:{s:9:"script.js";s:24:"themes/garland/script.js";}s:10:"screenshot";s:29:"themes/garland/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:6:"engine";s:11:"phptemplate";}}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:21:"system_theme_settings";i:1;s:7:"garland";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/build/themes/settings',
  'tab_root' => 'admin/build/themes',
  'title' => 'Garland',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/build/themes/settings/global',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:21:"system_theme_settings";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/build/themes/settings',
  'tab_root' => 'admin/build/themes',
  'title' => 'Global settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-1',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/build/themes/settings/marvin',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '_system_themes_access',
  'access_arguments' => 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:35:"themes/chameleon/marvin/marvin.info";s:4:"name";s:6:"marvin";s:4:"type";s:5:"theme";s:5:"owner";s:0:"";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:13:{s:4:"name";s:6:"Marvin";s:11:"description";s:31:"Boxy tabled theme in all grays.";s:7:"regions";a:2:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";}s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:10:"base theme";s:9:"chameleon";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:33:"themes/chameleon/marvin/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:33:"themes/chameleon/marvin/script.js";}s:10:"screenshot";s:38:"themes/chameleon/marvin/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:33:"themes/chameleon/marvin/style.css";}}s:10:"base_theme";s:9:"chameleon";}}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:21:"system_theme_settings";i:1;s:6:"marvin";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/build/themes/settings',
  'tab_root' => 'admin/build/themes',
  'title' => 'Marvin',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/build/themes/settings/minnelli',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '_system_themes_access',
  'access_arguments' => 'a:1:{i:0;O:8:"stdClass":13:{s:8:"filename";s:37:"themes/garland/minnelli/minnelli.info";s:4:"name";s:8:"minnelli";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:14:{s:4:"name";s:8:"Minnelli";s:11:"description";s:56:"Tableless, recolorable, multi-column, fixed width theme.";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:10:"base theme";s:7:"garland";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:12:"minnelli.css";s:36:"themes/garland/minnelli/minnelli.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:7:"scripts";a:1:{s:9:"script.js";s:33:"themes/garland/minnelli/script.js";}s:10:"screenshot";s:38:"themes/garland/minnelli/screenshot.png";s:3:"php";s:5:"4.3.5";s:6:"engine";s:11:"phptemplate";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:12:"minnelli.css";s:36:"themes/garland/minnelli/minnelli.css";}}s:6:"engine";s:11:"phptemplate";s:10:"base_theme";s:7:"garland";}}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:21:"system_theme_settings";i:1;s:8:"minnelli";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/build/themes/settings',
  'tab_root' => 'admin/build/themes',
  'title' => 'Minnelli',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/build/themes/settings/pushbutton',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '_system_themes_access',
  'access_arguments' => 'a:1:{i:0;O:8:"stdClass":12:{s:8:"filename";s:33:"themes/pushbutton/pushbutton.info";s:4:"name";s:10:"pushbutton";s:4:"type";s:5:"theme";s:5:"owner";s:45:"themes/engines/phptemplate/phptemplate.engine";s:6:"status";s:1:"0";s:8:"throttle";s:1:"0";s:9:"bootstrap";s:1:"0";s:14:"schema_version";s:2:"-1";s:6:"weight";s:1:"0";s:4:"info";a:13:{s:4:"name";s:10:"Pushbutton";s:11:"description";s:52:"Tabled, multi-column theme in blue and orange tones.";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/pushbutton/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:27:"themes/pushbutton/script.js";}s:10:"screenshot";s:32:"themes/pushbutton/screenshot.png";s:3:"php";s:5:"4.3.5";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/pushbutton/style.css";}}s:6:"engine";s:11:"phptemplate";}}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:21:"system_theme_settings";i:1;s:10:"pushbutton";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/build/themes/settings',
  'tab_root' => 'admin/build/themes',
  'title' => 'Pushbutton',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/build/translate',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"translate interface";}',
  'page_callback' => 'locale_inc_callback',
  'page_arguments' => 'a:1:{i:0;s:32:"locale_translate_overview_screen";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/build/translate',
  'title' => 'Translate interface',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Translate the built in interface and optionally other text.',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/build/translate/delete/%',
  'load_functions' => 'a:1:{i:4;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"translate interface";}',
  'page_callback' => 'locale_inc_callback',
  'page_arguments' => 'a:2:{i:0;s:28:"locale_translate_delete_page";i:1;i:4;}',
  'fit' => '30',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/build/translate/delete/%',
  'title' => 'Delete string',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/build/translate/edit/%',
  'load_functions' => 'a:1:{i:4;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"translate interface";}',
  'page_callback' => 'locale_inc_callback',
  'page_arguments' => 'a:3:{i:0;s:15:"drupal_get_form";i:1;s:26:"locale_translate_edit_form";i:2;i:4;}',
  'fit' => '30',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/build/translate/edit/%',
  'title' => 'Edit string',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/build/translate/export',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"translate interface";}',
  'page_callback' => 'locale_inc_callback',
  'page_arguments' => 'a:1:{i:0;s:30:"locale_translate_export_screen";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/build/translate',
  'tab_root' => 'admin/build/translate',
  'title' => 'Export',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '30',
  'file' => '',
))
->values(array(
  'path' => 'admin/build/translate/import',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"translate interface";}',
  'page_callback' => 'locale_inc_callback',
  'page_arguments' => 'a:2:{i:0;s:15:"drupal_get_form";i:1;s:28:"locale_translate_import_form";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/build/translate',
  'tab_root' => 'admin/build/translate',
  'title' => 'Import',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '20',
  'file' => '',
))
->values(array(
  'path' => 'admin/build/translate/overview',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"translate interface";}',
  'page_callback' => 'locale_inc_callback',
  'page_arguments' => 'a:1:{i:0;s:32:"locale_translate_overview_screen";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/build/translate',
  'tab_root' => 'admin/build/translate',
  'title' => 'Overview',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/build/translate/refresh',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"translate interface";}',
  'page_callback' => 'i18nstrings_admin_refresh_page',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/build/translate',
  'tab_root' => 'admin/build/translate',
  'title' => 'Refresh',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '20',
  'file' => 'sites/all/modules/i18n/i18nstrings/i18nstrings.admin.inc',
))
->values(array(
  'path' => 'admin/build/translate/search',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"translate interface";}',
  'page_callback' => 'locale_inc_callback',
  'page_arguments' => 'a:1:{i:0;s:28:"locale_translate_seek_screen";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/build/translate',
  'tab_root' => 'admin/build/translate',
  'title' => 'Search',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '10',
  'file' => '',
))
->values(array(
  'path' => 'admin/by-module',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'system_admin_by_module',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => 'admin',
  'tab_root' => 'admin',
  'title' => 'By module',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '2',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/by-task',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'system_main_admin_page',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => 'admin',
  'tab_root' => 'admin',
  'title' => 'By task',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/compact',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'system_admin_compact_page',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'admin/compact',
  'title' => 'Compact mode',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/content',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'system_admin_menu_block_page',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'admin/content',
  'title' => 'Content management',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => "Manage your site's content.",
  'position' => 'left',
  'weight' => '-10',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/content/comment',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer comments";}',
  'page_callback' => 'comment_admin',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/content/comment',
  'title' => 'Comments',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'List and edit site comments and the comment moderation queue.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/comment/comment.admin.inc',
))
->values(array(
  'path' => 'admin/content/comment/approval',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer comments";}',
  'page_callback' => 'comment_admin',
  'page_arguments' => 'a:1:{i:0;s:8:"approval";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/content/comment',
  'tab_root' => 'admin/content/comment',
  'title' => 'Approval queue',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/comment/comment.admin.inc',
))
->values(array(
  'path' => 'admin/content/comment/new',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer comments";}',
  'page_callback' => 'comment_admin',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/content/comment',
  'tab_root' => 'admin/content/comment',
  'title' => 'Published comments',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'modules/comment/comment.admin.inc',
))
->values(array(
  'path' => 'admin/content/node',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer nodes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:18:"node_admin_content";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node',
  'title' => 'Content',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => "View, edit, and delete your site's content.",
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/node.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-settings',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer nodes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:14:"node_configure";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-settings',
  'title' => 'Post settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Control posting behavior, such as teaser length, requiring previews before posting, and the number of posts on the front page.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/node.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-settings/rebuild',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:30:"node_configure_rebuild_confirm";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-settings/rebuild',
  'title' => 'Rebuild permissions',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/node.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/page',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => "a:2:{i:0;s:14:\"node_type_form\";i:1;O:8:\"stdClass\":14:{s:4:\"type\";s:4:\"page\";s:4:\"name\";s:4:\"Page\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:296:\"A <em>page</em>, similar in form to a <em>story</em>, is a simple method for creating and displaying information that rarely changes, such as an \"About us\" section of a website. By default, a <em>page</em> entry does not allow visitor comments and is not featured on the site's initial home page.\";s:4:\"help\";s:0:\"\";s:9:\"has_title\";s:1:\"1\";s:11:\"title_label\";s:5:\"Title\";s:8:\"has_body\";s:1:\"1\";s:10:\"body_label\";s:4:\"Body\";s:14:\"min_word_count\";s:1:\"0\";s:6:\"custom\";s:1:\"1\";s:8:\"modified\";s:1:\"1\";s:6:\"locked\";s:1:\"0\";s:9:\"orig_type\";s:4:\"page\";}}",
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-type/page',
  'title' => 'Page',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/content_types.inc',
))
->values(array(
  'path' => 'admin/content/node-type/page/delete',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => "a:2:{i:0;s:24:\"node_type_delete_confirm\";i:1;O:8:\"stdClass\":14:{s:4:\"type\";s:4:\"page\";s:4:\"name\";s:4:\"Page\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:296:\"A <em>page</em>, similar in form to a <em>story</em>, is a simple method for creating and displaying information that rarely changes, such as an \"About us\" section of a website. By default, a <em>page</em> entry does not allow visitor comments and is not featured on the site's initial home page.\";s:4:\"help\";s:0:\"\";s:9:\"has_title\";s:1:\"1\";s:11:\"title_label\";s:5:\"Title\";s:8:\"has_body\";s:1:\"1\";s:10:\"body_label\";s:4:\"Body\";s:14:\"min_word_count\";s:1:\"0\";s:6:\"custom\";s:1:\"1\";s:8:\"modified\";s:1:\"1\";s:6:\"locked\";s:1:\"0\";s:9:\"orig_type\";s:4:\"page\";}}",
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-type/page/delete',
  'title' => 'Delete',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/content_types.inc',
))
->values(array(
  'path' => 'admin/content/node-type/page/display',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:29:"content_display_overview_form";i:1;s:4:"page";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/content/node-type/page',
  'tab_root' => 'admin/content/node-type/page',
  'title' => 'Display fields',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '2',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/page/display/basic',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:4:"page";i:2;s:5:"basic";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/page/display',
  'tab_root' => 'admin/content/node-type/page',
  'title' => 'Basic',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/page/display/rss',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:4:"page";i:2;s:3:"rss";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/page/display',
  'tab_root' => 'admin/content/node-type/page',
  'title' => 'RSS',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/page/display/token',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:4:"page";i:2;s:5:"token";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/page/display',
  'tab_root' => 'admin/content/node-type/page',
  'title' => 'Token',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/page/edit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => "a:2:{i:0;s:14:\"node_type_form\";i:1;O:8:\"stdClass\":14:{s:4:\"type\";s:4:\"page\";s:4:\"name\";s:4:\"Page\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:296:\"A <em>page</em>, similar in form to a <em>story</em>, is a simple method for creating and displaying information that rarely changes, such as an \"About us\" section of a website. By default, a <em>page</em> entry does not allow visitor comments and is not featured on the site's initial home page.\";s:4:\"help\";s:0:\"\";s:9:\"has_title\";s:1:\"1\";s:11:\"title_label\";s:5:\"Title\";s:8:\"has_body\";s:1:\"1\";s:10:\"body_label\";s:4:\"Body\";s:14:\"min_word_count\";s:1:\"0\";s:6:\"custom\";s:1:\"1\";s:8:\"modified\";s:1:\"1\";s:6:\"locked\";s:1:\"0\";s:9:\"orig_type\";s:4:\"page\";}}",
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/content/node-type/page',
  'tab_root' => 'admin/content/node-type/page',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/content_types.inc',
))
->values(array(
  'path' => 'admin/content/node-type/page/fields',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:27:"content_field_overview_form";i:1;s:4:"page";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/content/node-type/page',
  'tab_root' => 'admin/content/node-type/page',
  'title' => 'Manage fields',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/page/fields/field_integer',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:23:"content_field_edit_form";i:1;s:4:"page";i:2;s:13:"field_integer";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/page/fields',
  'tab_root' => 'admin/content/node-type/page',
  'title' => 'Number',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/page/fields/field_integer/remove',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:25:"content_field_remove_form";i:1;s:4:"page";i:2;s:13:"field_integer";}',
  'fit' => '127',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-type/page/fields/field_integer/remove',
  'title' => 'Remove field',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:7:"product";s:4:"name";s:7:"Product";s:6:"module";s:10:"uc_product";s:11:"description";s:165:"This node displays the representation of a product for sale on the website. It includes all the unique information that can be attributed to a specific model number.";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:4:"Name";s:8:"has_body";s:1:"1";s:10:"body_label";s:11:"Description";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"0";s:8:"modified";s:1:"1";s:6:"locked";s:1:"1";s:9:"orig_type";s:7:"product";}}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-type/product',
  'title' => 'Product',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/content_types.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product-kit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:11:"product_kit";s:4:"name";s:11:"Product kit";s:6:"module";s:14:"uc_product_kit";s:11:"description";s:147:"This node represents two or more products that have been listed together. This presents a logical and convenient grouping of items to the customer.";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:4:"Name";s:8:"has_body";s:1:"1";s:10:"body_label";s:11:"Description";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"0";s:8:"modified";s:1:"1";s:6:"locked";s:1:"1";s:9:"orig_type";s:11:"product_kit";}}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-type/product-kit',
  'title' => 'Product kit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/content_types.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product-kit/delete',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:24:"node_type_delete_confirm";i:1;O:8:"stdClass":14:{s:4:"type";s:11:"product_kit";s:4:"name";s:11:"Product kit";s:6:"module";s:14:"uc_product_kit";s:11:"description";s:147:"This node represents two or more products that have been listed together. This presents a logical and convenient grouping of items to the customer.";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:4:"Name";s:8:"has_body";s:1:"1";s:10:"body_label";s:11:"Description";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"0";s:8:"modified";s:1:"1";s:6:"locked";s:1:"1";s:9:"orig_type";s:11:"product_kit";}}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-type/product-kit/delete',
  'title' => 'Delete',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/content_types.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product-kit/display',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:29:"content_display_overview_form";i:1;s:11:"product_kit";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/content/node-type/product-kit',
  'tab_root' => 'admin/content/node-type/product-kit',
  'title' => 'Display fields',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '2',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product-kit/display/basic',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:11:"product_kit";i:2;s:5:"basic";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/product-kit/display',
  'tab_root' => 'admin/content/node-type/product-kit',
  'title' => 'Basic',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product-kit/display/rss',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:11:"product_kit";i:2;s:3:"rss";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/product-kit/display',
  'tab_root' => 'admin/content/node-type/product-kit',
  'title' => 'RSS',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product-kit/display/token',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:11:"product_kit";i:2;s:5:"token";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/product-kit/display',
  'tab_root' => 'admin/content/node-type/product-kit',
  'title' => 'Token',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product-kit/edit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:11:"product_kit";s:4:"name";s:11:"Product kit";s:6:"module";s:14:"uc_product_kit";s:11:"description";s:147:"This node represents two or more products that have been listed together. This presents a logical and convenient grouping of items to the customer.";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:4:"Name";s:8:"has_body";s:1:"1";s:10:"body_label";s:11:"Description";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"0";s:8:"modified";s:1:"1";s:6:"locked";s:1:"1";s:9:"orig_type";s:11:"product_kit";}}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/content/node-type/product-kit',
  'tab_root' => 'admin/content/node-type/product-kit',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/content_types.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product-kit/fields',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:27:"content_field_overview_form";i:1;s:11:"product_kit";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/content/node-type/product-kit',
  'tab_root' => 'admin/content/node-type/product-kit',
  'title' => 'Manage fields',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product-kit/fields/field_image_cache',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:23:"content_field_edit_form";i:1;s:11:"product_kit";i:2;s:17:"field_image_cache";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/product-kit/fields',
  'tab_root' => 'admin/content/node-type/product-kit',
  'title' => 'Image',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product-kit/fields/field_image_cache/remove',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:25:"content_field_remove_form";i:1;s:11:"product_kit";i:2;s:17:"field_image_cache";}',
  'fit' => '127',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-type/product-kit/fields/field_image_cache/remove',
  'title' => 'Remove field',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product/delete',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:24:"node_type_delete_confirm";i:1;O:8:"stdClass":14:{s:4:"type";s:7:"product";s:4:"name";s:7:"Product";s:6:"module";s:10:"uc_product";s:11:"description";s:165:"This node displays the representation of a product for sale on the website. It includes all the unique information that can be attributed to a specific model number.";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:4:"Name";s:8:"has_body";s:1:"1";s:10:"body_label";s:11:"Description";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"0";s:8:"modified";s:1:"1";s:6:"locked";s:1:"1";s:9:"orig_type";s:7:"product";}}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-type/product/delete',
  'title' => 'Delete',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/content_types.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product/display',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:29:"content_display_overview_form";i:1;s:7:"product";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/content/node-type/product',
  'tab_root' => 'admin/content/node-type/product',
  'title' => 'Display fields',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '2',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product/display/basic',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:7:"product";i:2;s:5:"basic";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/product/display',
  'tab_root' => 'admin/content/node-type/product',
  'title' => 'Basic',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product/display/rss',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:7:"product";i:2;s:3:"rss";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/product/display',
  'tab_root' => 'admin/content/node-type/product',
  'title' => 'RSS',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product/display/token',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:7:"product";i:2;s:5:"token";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/product/display',
  'tab_root' => 'admin/content/node-type/product',
  'title' => 'Token',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product/edit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":14:{s:4:"type";s:7:"product";s:4:"name";s:7:"Product";s:6:"module";s:10:"uc_product";s:11:"description";s:165:"This node displays the representation of a product for sale on the website. It includes all the unique information that can be attributed to a specific model number.";s:4:"help";s:0:"";s:9:"has_title";s:1:"1";s:11:"title_label";s:4:"Name";s:8:"has_body";s:1:"1";s:10:"body_label";s:11:"Description";s:14:"min_word_count";s:1:"0";s:6:"custom";s:1:"0";s:8:"modified";s:1:"1";s:6:"locked";s:1:"1";s:9:"orig_type";s:7:"product";}}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/content/node-type/product',
  'tab_root' => 'admin/content/node-type/product',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/content_types.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product/fields',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:27:"content_field_overview_form";i:1;s:7:"product";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/content/node-type/product',
  'tab_root' => 'admin/content/node-type/product',
  'title' => 'Manage fields',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product/fields/field_image_cache',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:23:"content_field_edit_form";i:1;s:7:"product";i:2;s:17:"field_image_cache";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/product/fields',
  'tab_root' => 'admin/content/node-type/product',
  'title' => 'Image',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product/fields/field_image_cache/remove',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:25:"content_field_remove_form";i:1;s:7:"product";i:2;s:17:"field_image_cache";}',
  'fit' => '127',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-type/product/fields/field_image_cache/remove',
  'title' => 'Remove field',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product/fields/field_integer',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:23:"content_field_edit_form";i:1;s:7:"product";i:2;s:13:"field_integer";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/product/fields',
  'tab_root' => 'admin/content/node-type/product',
  'title' => 'Number',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product/fields/field_integer/remove',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:25:"content_field_remove_form";i:1;s:7:"product";i:2;s:13:"field_integer";}',
  'fit' => '127',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-type/product/fields/field_integer/remove',
  'title' => 'Remove field',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product/fields/field_sustain',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:23:"content_field_edit_form";i:1;s:7:"product";i:2;s:13:"field_sustain";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/product/fields',
  'tab_root' => 'admin/content/node-type/product',
  'title' => 'Sustainability',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/product/fields/field_sustain/remove',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:25:"content_field_remove_form";i:1;s:7:"product";i:2;s:13:"field_sustain";}',
  'fit' => '127',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-type/product/fields/field_sustain/remove',
  'title' => 'Remove field',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/ship',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":16:{s:4:"pcid";s:4:"ship";s:4:"name";s:4:"Ship";s:11:"description";s:77:"A type of spacecraft capable of traveling to the solar systems of other stars";s:6:"module";s:10:"uc_product";s:11:"title_label";s:4:"Name";s:10:"body_label";s:11:"Description";s:4:"type";s:4:"ship";s:9:"has_title";b:1;s:8:"has_body";b:1;s:4:"help";s:0:"";s:14:"min_word_count";i:0;s:6:"custom";b:0;s:8:"modified";b:0;s:6:"locked";b:1;s:9:"orig_type";s:4:"ship";s:6:"is_new";b:1;}}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-type/ship',
  'title' => 'Ship',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/content_types.inc',
))
->values(array(
  'path' => 'admin/content/node-type/ship/delete',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:24:"node_type_delete_confirm";i:1;O:8:"stdClass":16:{s:4:"pcid";s:4:"ship";s:4:"name";s:4:"Ship";s:11:"description";s:77:"A type of spacecraft capable of traveling to the solar systems of other stars";s:6:"module";s:10:"uc_product";s:11:"title_label";s:4:"Name";s:10:"body_label";s:11:"Description";s:4:"type";s:4:"ship";s:9:"has_title";b:1;s:8:"has_body";b:1;s:4:"help";s:0:"";s:14:"min_word_count";i:0;s:6:"custom";b:0;s:8:"modified";b:0;s:6:"locked";b:1;s:9:"orig_type";s:4:"ship";s:6:"is_new";b:1;}}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-type/ship/delete',
  'title' => 'Delete',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/content_types.inc',
))
->values(array(
  'path' => 'admin/content/node-type/ship/display',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:29:"content_display_overview_form";i:1;s:4:"ship";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/content/node-type/ship',
  'tab_root' => 'admin/content/node-type/ship',
  'title' => 'Display fields',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '2',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/ship/display/basic',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:4:"ship";i:2;s:5:"basic";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/ship/display',
  'tab_root' => 'admin/content/node-type/ship',
  'title' => 'Basic',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/ship/display/rss',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:4:"ship";i:2;s:3:"rss";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/ship/display',
  'tab_root' => 'admin/content/node-type/ship',
  'title' => 'RSS',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/ship/display/token',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:4:"ship";i:2;s:5:"token";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/ship/display',
  'tab_root' => 'admin/content/node-type/ship',
  'title' => 'Token',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/ship/edit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:14:"node_type_form";i:1;O:8:"stdClass":16:{s:4:"pcid";s:4:"ship";s:4:"name";s:4:"Ship";s:11:"description";s:77:"A type of spacecraft capable of traveling to the solar systems of other stars";s:6:"module";s:10:"uc_product";s:11:"title_label";s:4:"Name";s:10:"body_label";s:11:"Description";s:4:"type";s:4:"ship";s:9:"has_title";b:1;s:8:"has_body";b:1;s:4:"help";s:0:"";s:14:"min_word_count";i:0;s:6:"custom";b:0;s:8:"modified";b:0;s:6:"locked";b:1;s:9:"orig_type";s:4:"ship";s:6:"is_new";b:1;}}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/content/node-type/ship',
  'tab_root' => 'admin/content/node-type/ship',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/content_types.inc',
))
->values(array(
  'path' => 'admin/content/node-type/ship/fields',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:27:"content_field_overview_form";i:1;s:4:"ship";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/content/node-type/ship',
  'tab_root' => 'admin/content/node-type/ship',
  'title' => 'Manage fields',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/ship/fields/field_engine',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:23:"content_field_edit_form";i:1;s:4:"ship";i:2;s:12:"field_engine";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/ship/fields',
  'tab_root' => 'admin/content/node-type/ship',
  'title' => 'Engine Specifications',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/ship/fields/field_engine/remove',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:25:"content_field_remove_form";i:1;s:4:"ship";i:2;s:12:"field_engine";}',
  'fit' => '127',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-type/ship/fields/field_engine/remove',
  'title' => 'Remove field',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/ship/fields/field_image_cache',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:23:"content_field_edit_form";i:1;s:4:"ship";i:2;s:17:"field_image_cache";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/ship/fields',
  'tab_root' => 'admin/content/node-type/ship',
  'title' => 'Image',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/ship/fields/field_image_cache/remove',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:25:"content_field_remove_form";i:1;s:4:"ship";i:2;s:17:"field_image_cache";}',
  'fit' => '127',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-type/ship/fields/field_image_cache/remove',
  'title' => 'Remove field',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/ship/fields/field_integer',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:23:"content_field_edit_form";i:1;s:4:"ship";i:2;s:13:"field_integer";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/ship/fields',
  'tab_root' => 'admin/content/node-type/ship',
  'title' => 'Number',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/ship/fields/field_integer/remove',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:25:"content_field_remove_form";i:1;s:4:"ship";i:2;s:13:"field_integer";}',
  'fit' => '127',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-type/ship/fields/field_integer/remove',
  'title' => 'Remove field',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/story',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => "a:2:{i:0;s:14:\"node_type_form\";i:1;O:8:\"stdClass\":14:{s:4:\"type\";s:5:\"story\";s:4:\"name\";s:5:\"Story\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:392:\"A <em>story</em>, similar in form to a <em>page</em>, is ideal for creating and displaying content that informs or engages website visitors. Press releases, site announcements, and informal blog-like entries may all be created with a <em>story</em> entry. By default, a <em>story</em> entry is automatically featured on the site's initial home page, and provides the ability to post comments.\";s:4:\"help\";s:0:\"\";s:9:\"has_title\";s:1:\"1\";s:11:\"title_label\";s:5:\"Title\";s:8:\"has_body\";s:1:\"1\";s:10:\"body_label\";s:4:\"Body\";s:14:\"min_word_count\";s:1:\"0\";s:6:\"custom\";s:1:\"1\";s:8:\"modified\";s:1:\"1\";s:6:\"locked\";s:1:\"0\";s:9:\"orig_type\";s:5:\"story\";}}",
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-type/story',
  'title' => 'Story',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/content_types.inc',
))
->values(array(
  'path' => 'admin/content/node-type/story/delete',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => "a:2:{i:0;s:24:\"node_type_delete_confirm\";i:1;O:8:\"stdClass\":14:{s:4:\"type\";s:5:\"story\";s:4:\"name\";s:5:\"Story\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:392:\"A <em>story</em>, similar in form to a <em>page</em>, is ideal for creating and displaying content that informs or engages website visitors. Press releases, site announcements, and informal blog-like entries may all be created with a <em>story</em> entry. By default, a <em>story</em> entry is automatically featured on the site's initial home page, and provides the ability to post comments.\";s:4:\"help\";s:0:\"\";s:9:\"has_title\";s:1:\"1\";s:11:\"title_label\";s:5:\"Title\";s:8:\"has_body\";s:1:\"1\";s:10:\"body_label\";s:4:\"Body\";s:14:\"min_word_count\";s:1:\"0\";s:6:\"custom\";s:1:\"1\";s:8:\"modified\";s:1:\"1\";s:6:\"locked\";s:1:\"0\";s:9:\"orig_type\";s:5:\"story\";}}",
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/content/node-type/story/delete',
  'title' => 'Delete',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/content_types.inc',
))
->values(array(
  'path' => 'admin/content/node-type/story/display',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:29:"content_display_overview_form";i:1;s:5:"story";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/content/node-type/story',
  'tab_root' => 'admin/content/node-type/story',
  'title' => 'Display fields',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '2',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/story/display/basic',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:5:"story";i:2;s:5:"basic";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/story/display',
  'tab_root' => 'admin/content/node-type/story',
  'title' => 'Basic',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/story/display/rss',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:5:"story";i:2;s:3:"rss";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/story/display',
  'tab_root' => 'admin/content/node-type/story',
  'title' => 'RSS',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/story/display/token',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:29:"content_display_overview_form";i:1;s:5:"story";i:2;s:5:"token";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/node-type/story/display',
  'tab_root' => 'admin/content/node-type/story',
  'title' => 'Token',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node-type/story/edit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => "a:2:{i:0;s:14:\"node_type_form\";i:1;O:8:\"stdClass\":14:{s:4:\"type\";s:5:\"story\";s:4:\"name\";s:5:\"Story\";s:6:\"module\";s:4:\"node\";s:11:\"description\";s:392:\"A <em>story</em>, similar in form to a <em>page</em>, is ideal for creating and displaying content that informs or engages website visitors. Press releases, site announcements, and informal blog-like entries may all be created with a <em>story</em> entry. By default, a <em>story</em> entry is automatically featured on the site's initial home page, and provides the ability to post comments.\";s:4:\"help\";s:0:\"\";s:9:\"has_title\";s:1:\"1\";s:11:\"title_label\";s:5:\"Title\";s:8:\"has_body\";s:1:\"1\";s:10:\"body_label\";s:4:\"Body\";s:14:\"min_word_count\";s:1:\"0\";s:6:\"custom\";s:1:\"1\";s:8:\"modified\";s:1:\"1\";s:6:\"locked\";s:1:\"0\";s:9:\"orig_type\";s:5:\"story\";}}",
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/content/node-type/story',
  'tab_root' => 'admin/content/node-type/story',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/content_types.inc',
))
->values(array(
  'path' => 'admin/content/node-type/story/fields',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:27:"content_field_overview_form";i:1;s:5:"story";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/content/node-type/story',
  'tab_root' => 'admin/content/node-type/story',
  'title' => 'Manage fields',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/node/overview',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer nodes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:18:"node_admin_content";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/content/node',
  'tab_root' => 'admin/content/node',
  'title' => 'List',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'modules/node/node.admin.inc',
))
->values(array(
  'path' => 'admin/content/rss-publishing',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:25:"system_rss_feeds_settings";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/content/rss-publishing',
  'title' => 'RSS publishing',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Configure the number of items per feed and whether feeds should be titles/teasers/full-text.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/content/taxonomy',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer taxonomy";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:30:"taxonomy_overview_vocabularies";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/content/taxonomy',
  'title' => 'Taxonomy',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Manage tagging, categorization, and classification of your content.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/taxonomy/taxonomy.admin.inc',
))
->values(array(
  'path' => 'admin/content/taxonomy/%',
  'load_functions' => 'a:1:{i:3;s:24:"taxonomy_vocabulary_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer taxonomy";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:23:"taxonomy_overview_terms";i:1;i:3;}',
  'fit' => '14',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/content/taxonomy/%',
  'title' => 'List terms',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/taxonomy/taxonomy.admin.inc',
))
->values(array(
  'path' => 'admin/content/taxonomy/%/add/term',
  'load_functions' => 'a:1:{i:3;s:24:"taxonomy_vocabulary_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer taxonomy";}',
  'page_callback' => 'taxonomy_add_term_page',
  'page_arguments' => 'a:1:{i:0;i:3;}',
  'fit' => '59',
  'number_parts' => '6',
  'tab_parent' => 'admin/content/taxonomy/%',
  'tab_root' => 'admin/content/taxonomy/%',
  'title' => 'Add term',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/taxonomy/taxonomy.admin.inc',
))
->values(array(
  'path' => 'admin/content/taxonomy/%/list',
  'load_functions' => 'a:1:{i:3;s:24:"taxonomy_vocabulary_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer taxonomy";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:23:"taxonomy_overview_terms";i:1;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => 'admin/content/taxonomy/%',
  'tab_root' => 'admin/content/taxonomy/%',
  'title' => 'List',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'modules/taxonomy/taxonomy.admin.inc',
))
->values(array(
  'path' => 'admin/content/taxonomy/%/translation',
  'load_functions' => 'a:1:{i:3;s:24:"taxonomy_vocabulary_load";}',
  'to_arg_functions' => '',
  'access_callback' => '_i18ntaxonomy_translation_tab',
  'access_arguments' => 'a:1:{i:0;i:3;}',
  'page_callback' => 'i18ntaxonomy_page_vocabulary',
  'page_arguments' => 'a:3:{i:0;i:3;i:1;i:5;i:2;i:6;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => 'admin/content/taxonomy/%',
  'tab_root' => 'admin/content/taxonomy/%',
  'title' => 'Translation',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/i18n/i18ntaxonomy/i18ntaxonomy.admin.inc',
))
->values(array(
  'path' => 'admin/content/taxonomy/add/vocabulary',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer taxonomy";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:24:"taxonomy_form_vocabulary";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/content/taxonomy',
  'tab_root' => 'admin/content/taxonomy',
  'title' => 'Add vocabulary',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/taxonomy/taxonomy.admin.inc',
))
->values(array(
  'path' => 'admin/content/taxonomy/edit/term',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer taxonomy";}',
  'page_callback' => 'taxonomy_admin_term_edit',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/content/taxonomy/edit/term',
  'title' => 'Edit term',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/taxonomy/taxonomy.admin.inc',
))
->values(array(
  'path' => 'admin/content/taxonomy/edit/vocabulary/%',
  'load_functions' => 'a:1:{i:5;s:24:"taxonomy_vocabulary_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer taxonomy";}',
  'page_callback' => 'taxonomy_admin_vocabulary_edit',
  'page_arguments' => 'a:1:{i:0;i:5;}',
  'fit' => '62',
  'number_parts' => '6',
  'tab_parent' => '',
  'tab_root' => 'admin/content/taxonomy/edit/vocabulary/%',
  'title' => 'Edit vocabulary',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/taxonomy/taxonomy.admin.inc',
))
->values(array(
  'path' => 'admin/content/taxonomy/list',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer taxonomy";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:30:"taxonomy_overview_vocabularies";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/content/taxonomy',
  'tab_root' => 'admin/content/taxonomy',
  'title' => 'List',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'modules/taxonomy/taxonomy.admin.inc',
))
->values(array(
  'path' => 'admin/content/types',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'content_types_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/content/types',
  'title' => 'Content types',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Manage posts by content type, including default status, front page promotion, etc.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/types/add',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:14:"node_type_form";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/content/types',
  'tab_root' => 'admin/content/types',
  'title' => 'Add content type',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/content_types.inc',
))
->values(array(
  'path' => 'admin/content/types/fields',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'content_fields_list',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/content/types',
  'tab_root' => 'admin/content/types',
  'title' => 'Fields',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/content/types/list',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:24:"administer content types";}',
  'page_callback' => 'content_types_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/content/types',
  'tab_root' => 'admin/content/types',
  'title' => 'List',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/cck/includes/content.admin.inc',
))
->values(array(
  'path' => 'admin/help',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_main',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'admin/help',
  'title' => 'Help',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '9',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/block',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/block',
  'title' => 'block',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/color',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/color',
  'title' => 'color',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/comment',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/comment',
  'title' => 'comment',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/content',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/content',
  'title' => 'content',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/dblog',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/dblog',
  'title' => 'dblog',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/filter',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/filter',
  'title' => 'filter',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/help',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/help',
  'title' => 'help',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/i18n',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/i18n',
  'title' => 'i18n',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/i18ncontent',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/i18ncontent',
  'title' => 'i18ncontent',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/i18nstrings',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/i18nstrings',
  'title' => 'i18nstrings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/i18nsync',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/i18nsync',
  'title' => 'i18nsync',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/i18ntaxonomy',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/i18ntaxonomy',
  'title' => 'i18ntaxonomy',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/locale',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/locale',
  'title' => 'locale',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/menu',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/menu',
  'title' => 'menu',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/node',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/node',
  'title' => 'node',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/path',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/path',
  'title' => 'path',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/system',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/system',
  'title' => 'system',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/taxonomy',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/taxonomy',
  'title' => 'taxonomy',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/token',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/token',
  'title' => 'token',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/translation',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/translation',
  'title' => 'translation',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/uc_attribute',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/uc_attribute',
  'title' => 'uc_attribute',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/uc_file',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/uc_file',
  'title' => 'uc_file',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/uc_product',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/uc_product',
  'title' => 'uc_product',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/uc_reports',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/uc_reports',
  'title' => 'uc_reports',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/uc_roles',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/uc_roles',
  'title' => 'uc_roles',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/uc_store',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/uc_store',
  'title' => 'uc_store',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/uc_taxes',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/uc_taxes',
  'title' => 'uc_taxes',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/help/user',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'help_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/help/user',
  'title' => 'user',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/help/help.admin.inc',
))
->values(array(
  'path' => 'admin/reports',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"access site reports";}',
  'page_callback' => 'system_admin_menu_block_page',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'admin/reports',
  'title' => 'Reports',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'View reports from system logs and other status information.',
  'position' => 'left',
  'weight' => '5',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/reports/access-denied',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"access site reports";}',
  'page_callback' => 'dblog_top',
  'page_arguments' => 'a:1:{i:0;s:13:"access denied";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/reports/access-denied',
  'title' => "Top 'access denied' errors",
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => "View 'access denied' errors (403s).",
  'position' => '',
  'weight' => '0',
  'file' => 'modules/dblog/dblog.admin.inc',
))
->values(array(
  'path' => 'admin/reports/dblog',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"access site reports";}',
  'page_callback' => 'dblog_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/reports/dblog',
  'title' => 'Recent log entries',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'View events that have recently been logged.',
  'position' => '',
  'weight' => '-1',
  'file' => 'modules/dblog/dblog.admin.inc',
))
->values(array(
  'path' => 'admin/reports/event/%',
  'load_functions' => 'a:1:{i:3;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"access site reports";}',
  'page_callback' => 'dblog_event',
  'page_arguments' => 'a:1:{i:0;i:3;}',
  'fit' => '14',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/reports/event/%',
  'title' => 'Details',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/dblog/dblog.admin.inc',
))
->values(array(
  'path' => 'admin/reports/page-not-found',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"access site reports";}',
  'page_callback' => 'dblog_top',
  'page_arguments' => 'a:1:{i:0;s:14:"page not found";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/reports/page-not-found',
  'title' => "Top 'page not found' errors",
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => "View 'page not found' errors (404s).",
  'position' => '',
  'weight' => '0',
  'file' => 'modules/dblog/dblog.admin.inc',
))
->values(array(
  'path' => 'admin/reports/status',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'system_status',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/reports/status',
  'title' => 'Status report',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => "Get a status report about your site's operation and any detected problems.",
  'position' => '',
  'weight' => '10',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/reports/status/php',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'system_php',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/reports/status/php',
  'title' => 'PHP',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/reports/status/run-cron',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'system_run_cron',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/reports/status/run-cron',
  'title' => 'Run cron',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/reports/status/sql',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'system_sql',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/reports/status/sql',
  'title' => 'SQL',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/settings',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'system_settings_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'admin/settings',
  'title' => 'Site configuration',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Adjust basic site configuration options.',
  'position' => 'right',
  'weight' => '-5',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/settings/actions',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer actions";}',
  'page_callback' => 'system_actions_manage',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/actions',
  'title' => 'Actions',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Manage the actions defined for your site.',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/settings/actions/configure',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer actions";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:24:"system_actions_configure";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/actions/configure',
  'title' => 'Configure an advanced action',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/settings/actions/delete/%',
  'load_functions' => 'a:1:{i:4;s:12:"actions_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer actions";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:26:"system_actions_delete_form";i:1;i:4;}',
  'fit' => '30',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/actions/delete/%',
  'title' => 'Delete action',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => 'Delete an action.',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/settings/actions/manage',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer actions";}',
  'page_callback' => 'system_actions_manage',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/settings/actions',
  'tab_root' => 'admin/settings/actions',
  'title' => 'Manage actions',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'Manage the actions defined for your site.',
  'position' => '',
  'weight' => '-2',
  'file' => '',
))
->values(array(
  'path' => 'admin/settings/actions/orphan',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer actions";}',
  'page_callback' => 'system_actions_remove_orphans',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/actions/orphan',
  'title' => 'Remove orphans',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/settings/admin',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:27:"system_admin_theme_settings";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/admin',
  'title' => 'Administration theme',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => 'system_admin_theme_settings',
  'description' => 'Settings for how your administrative pages should look.',
  'position' => 'left',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/settings/clean-urls',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:25:"system_clean_url_settings";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/clean-urls',
  'title' => 'Clean URLs',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Enable or disable clean URLs for your site.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/settings/clean-urls/check',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '1',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'drupal_json',
  'page_arguments' => 'a:1:{i:0;a:1:{s:6:"status";b:1;}}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/clean-urls/check',
  'title' => 'Clean URL check',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/settings/date-time',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:25:"system_date_time_settings";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/date-time',
  'title' => 'Date and time',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => "Settings for how Drupal displays date and time, as well as the system's default timezone.",
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/settings/date-time/lookup',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'system_date_time_lookup',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/date-time/lookup',
  'title' => 'Date and time lookup',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/settings/email',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:20:"email_admin_settings";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/email',
  'title' => 'CCK Email Contact Form Settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Administer flood control settings for email contact forms',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/settings/error-reporting',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:31:"system_error_reporting_settings";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/error-reporting',
  'title' => 'Error reporting',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Control how Drupal deals with errors including 403/404 errors as well as PHP error reporting.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/settings/file-system',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:27:"system_file_system_settings";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/file-system',
  'title' => 'File system',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Tell Drupal where to store uploaded files and how they are accessed.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/settings/filters',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer filters";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:21:"filter_admin_overview";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/filters',
  'title' => 'Input formats',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Configure how content input by users is filtered, including allowed HTML tags. Also allows enabling of module-provided filters.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/filter/filter.admin.inc',
))
->values(array(
  'path' => 'admin/settings/filters/%',
  'load_functions' => 'a:1:{i:3;s:18:"filter_format_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer filters";}',
  'page_callback' => 'filter_admin_format_page',
  'page_arguments' => 'a:1:{i:0;i:3;}',
  'fit' => '14',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/filters/%',
  'title' => '',
  'title_callback' => 'filter_admin_format_title',
  'title_arguments' => 'a:1:{i:0;i:3;}',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/filter/filter.admin.inc',
))
->values(array(
  'path' => 'admin/settings/filters/%/configure',
  'load_functions' => 'a:1:{i:3;s:18:"filter_format_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer filters";}',
  'page_callback' => 'filter_admin_configure_page',
  'page_arguments' => 'a:1:{i:0;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => 'admin/settings/filters/%',
  'tab_root' => 'admin/settings/filters/%',
  'title' => 'Configure',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'modules/filter/filter.admin.inc',
))
->values(array(
  'path' => 'admin/settings/filters/%/edit',
  'load_functions' => 'a:1:{i:3;s:18:"filter_format_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer filters";}',
  'page_callback' => 'filter_admin_format_page',
  'page_arguments' => 'a:1:{i:0;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => 'admin/settings/filters/%',
  'tab_root' => 'admin/settings/filters/%',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/filter/filter.admin.inc',
))
->values(array(
  'path' => 'admin/settings/filters/%/order',
  'load_functions' => 'a:1:{i:3;s:18:"filter_format_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer filters";}',
  'page_callback' => 'filter_admin_order_page',
  'page_arguments' => 'a:1:{i:0;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => 'admin/settings/filters/%',
  'tab_root' => 'admin/settings/filters/%',
  'title' => 'Rearrange',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '2',
  'file' => 'modules/filter/filter.admin.inc',
))
->values(array(
  'path' => 'admin/settings/filters/add',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer filters";}',
  'page_callback' => 'filter_admin_format_page',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/settings/filters',
  'tab_root' => 'admin/settings/filters',
  'title' => 'Add input format',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'modules/filter/filter.admin.inc',
))
->values(array(
  'path' => 'admin/settings/filters/delete',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer filters";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:19:"filter_admin_delete";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/filters/delete',
  'title' => 'Delete input format',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/filter/filter.admin.inc',
))
->values(array(
  'path' => 'admin/settings/filters/list',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer filters";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:21:"filter_admin_overview";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/settings/filters',
  'tab_root' => 'admin/settings/filters',
  'title' => 'List',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/filter/filter.admin.inc',
))
->values(array(
  'path' => 'admin/settings/image-toolkit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:29:"system_image_toolkit_settings";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/image-toolkit',
  'title' => 'Image toolkit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Choose which image toolkit to use if you have installed optional toolkits.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/settings/imageapi',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer imageapi";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:17:"imageapi_settings";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/imageapi',
  'title' => 'ImageAPI',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Configure ImageAPI.',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/settings/imageapi/config',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer imageapi";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:34:"imageapi_imagemagick_settings_form";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/settings/imageapi',
  'tab_root' => 'admin/settings/imageapi',
  'title' => 'Configure',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/settings/imageapi/config/imageapi_imagemagick',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer imageapi";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:34:"imageapi_imagemagick_settings_form";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/settings/imageapi/config',
  'tab_root' => 'admin/settings/imageapi',
  'title' => '@name',
  'title_callback' => 't',
  'title_arguments' => 'a:1:{s:5:"@name";s:20:"ImageAPI ImageMagick";}',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/settings/imageapi/list',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer imageapi";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:17:"imageapi_settings";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/settings/imageapi',
  'tab_root' => 'admin/settings/imageapi',
  'title' => 'List',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-1',
  'file' => '',
))
->values(array(
  'path' => 'admin/settings/language',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:20:"administer languages";}',
  'page_callback' => 'locale_inc_callback',
  'page_arguments' => 'a:2:{i:0;s:15:"drupal_get_form";i:1;s:30:"locale_languages_overview_form";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/language',
  'title' => 'Languages',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Configure languages for content and the user interface.',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/settings/language/add',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:20:"administer languages";}',
  'page_callback' => 'locale_inc_callback',
  'page_arguments' => 'a:1:{i:0;s:27:"locale_languages_add_screen";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/settings/language',
  'tab_root' => 'admin/settings/language',
  'title' => 'Add language',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '5',
  'file' => '',
))
->values(array(
  'path' => 'admin/settings/language/configure',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:20:"administer languages";}',
  'page_callback' => 'locale_inc_callback',
  'page_arguments' => 'a:2:{i:0;s:15:"drupal_get_form";i:1;s:31:"locale_languages_configure_form";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/settings/language',
  'tab_root' => 'admin/settings/language',
  'title' => 'Configure',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '10',
  'file' => '',
))
->values(array(
  'path' => 'admin/settings/language/configure/language',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:20:"administer languages";}',
  'page_callback' => 'locale_inc_callback',
  'page_arguments' => 'a:2:{i:0;s:15:"drupal_get_form";i:1;s:31:"locale_languages_configure_form";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/settings/language/configure',
  'tab_root' => 'admin/settings/language',
  'title' => 'Language negotiation',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => '',
))
->values(array(
  'path' => 'admin/settings/language/configure/strings',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer filters";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:26:"i18nstrings_admin_settings";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/settings/language/configure',
  'tab_root' => 'admin/settings/language',
  'title' => 'String translation',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '20',
  'file' => 'sites/all/modules/i18n/i18nstrings/i18nstrings.admin.inc',
))
->values(array(
  'path' => 'admin/settings/language/delete/%',
  'load_functions' => 'a:1:{i:4;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:20:"administer languages";}',
  'page_callback' => 'locale_inc_callback',
  'page_arguments' => 'a:3:{i:0;s:15:"drupal_get_form";i:1;s:28:"locale_languages_delete_form";i:2;i:4;}',
  'fit' => '30',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/language/delete/%',
  'title' => 'Confirm',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/settings/language/edit/%',
  'load_functions' => 'a:1:{i:4;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:20:"administer languages";}',
  'page_callback' => 'locale_inc_callback',
  'page_arguments' => 'a:3:{i:0;s:15:"drupal_get_form";i:1;s:26:"locale_languages_edit_form";i:2;i:4;}',
  'fit' => '30',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/language/edit/%',
  'title' => 'Edit language',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/settings/language/i18n',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:19:"i18n_admin_settings";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/settings/language',
  'tab_root' => 'admin/settings/language',
  'title' => 'Multilingual system',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Configure extended options for multilingual content and translations.',
  'position' => '',
  'weight' => '10',
  'file' => 'sites/all/modules/i18n/i18n.admin.inc',
))
->values(array(
  'path' => 'admin/settings/language/i18n/configure',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:19:"i18n_admin_settings";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/settings/language/i18n',
  'tab_root' => 'admin/settings/language',
  'title' => 'Multilingual system',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'Configure extended options for multilingual content and translations.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/i18n/i18n.admin.inc',
))
->values(array(
  'path' => 'admin/settings/language/i18n/variables',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:25:"i18n_admin_variables_form";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/settings/language/i18n',
  'tab_root' => 'admin/settings/language',
  'title' => 'Variables',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Multilingual variables.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/i18n/i18n.admin.inc',
))
->values(array(
  'path' => 'admin/settings/language/overview',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:20:"administer languages";}',
  'page_callback' => 'locale_inc_callback',
  'page_arguments' => 'a:2:{i:0;s:15:"drupal_get_form";i:1;s:30:"locale_languages_overview_form";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/settings/language',
  'tab_root' => 'admin/settings/language',
  'title' => 'List',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/settings/logging',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'system_logging_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/logging',
  'title' => 'Logging and alerts',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => "Settings for logging and alerts modules. Various modules can route Drupal's system events to different destination, such as syslog, database, email, ...etc.",
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/settings/logging/dblog',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:20:"dblog_admin_settings";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/logging/dblog',
  'title' => 'Database logging',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Settings for logging to the Drupal database logs. This is the most common method for small to medium sites on shared hosting. The logs are viewable from the admin pages.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/dblog/dblog.admin.inc',
))
->values(array(
  'path' => 'admin/settings/performance',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:27:"system_performance_settings";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/performance',
  'title' => 'Performance',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Enable or disable page caching for anonymous users and set CSS and JS bandwidth optimization options.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/settings/site-information',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:32:"system_site_information_settings";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/site-information',
  'title' => 'Site information',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Change basic site information, such as the site name, slogan, e-mail address, mission, front page and more.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/settings/site-maintenance',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:29:"administer site configuration";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:32:"system_site_maintenance_settings";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/settings/site-maintenance',
  'title' => 'Site maintenance',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Take the site off-line for maintenance or bring it back online.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/store',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'uc_store_admin_access',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'uc_store_admin',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'admin/store',
  'title' => 'Store administration',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Administer store settings, products, orders, and more.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/attributes',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:21:"administer attributes";}',
  'page_callback' => 'uc_attribute_admin',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/store/attributes',
  'title' => 'Attributes',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Create and edit attributes and options.',
  'position' => '',
  'weight' => '-1',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'admin/store/attributes/%/delete',
  'load_functions' => 'a:1:{i:3;s:17:"uc_attribute_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:21:"administer attributes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:27:"uc_attribute_delete_confirm";i:1;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/store/attributes/%/delete',
  'title' => '',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'admin/store/attributes/%/edit',
  'load_functions' => 'a:1:{i:3;s:17:"uc_attribute_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:21:"administer attributes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:17:"uc_attribute_form";i:1;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/store/attributes/%/edit',
  'title' => 'Edit attribute',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'admin/store/attributes/%/options',
  'load_functions' => 'a:1:{i:3;s:17:"uc_attribute_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:21:"administer attributes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:25:"uc_attribute_options_form";i:1;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/store/attributes/%/options',
  'title' => 'Options',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'admin/store/attributes/%/options/%/delete',
  'load_functions' => 'a:2:{i:3;s:17:"uc_attribute_load";i:5;s:24:"uc_attribute_option_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:21:"administer attributes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:34:"uc_attribute_option_delete_confirm";i:1;i:3;i:2;i:5;}',
  'fit' => '117',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/store/attributes/%/options/%/delete',
  'title' => 'Delete option',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'admin/store/attributes/%/options/%/edit',
  'load_functions' => 'a:2:{i:3;s:17:"uc_attribute_load";i:5;s:24:"uc_attribute_option_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:21:"administer attributes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:24:"uc_attribute_option_form";i:1;i:3;i:2;i:5;}',
  'fit' => '117',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/store/attributes/%/options/%/edit',
  'title' => 'Edit option',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'admin/store/attributes/%/options/add',
  'load_functions' => 'a:1:{i:3;s:17:"uc_attribute_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:21:"administer attributes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:24:"uc_attribute_option_form";i:1;i:3;i:2;N;}',
  'fit' => '59',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/attributes/%/options',
  'tab_root' => 'admin/store/attributes/%/options',
  'title' => 'Add an option',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '5',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'admin/store/attributes/%/options/overview',
  'load_functions' => 'a:1:{i:3;s:17:"uc_attribute_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:21:"administer attributes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:25:"uc_attribute_options_form";i:1;i:3;}',
  'fit' => '59',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/attributes/%/options',
  'tab_root' => 'admin/store/attributes/%/options',
  'title' => 'Overview',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'admin/store/attributes/add',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:21:"administer attributes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:17:"uc_attribute_form";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/store/attributes',
  'tab_root' => 'admin/store/attributes',
  'title' => 'Add an attribute',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '5',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'admin/store/attributes/overview',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:21:"administer attributes";}',
  'page_callback' => 'uc_attribute_admin',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/store/attributes',
  'tab_root' => 'admin/store/attributes',
  'title' => 'Overview',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'admin/store/ca',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:30:"administer conditional actions";}',
  'page_callback' => 'ca_admin',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/store/ca',
  'title' => 'Conditional actions',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Administer the predicates setup to automate your store.',
  'position' => '',
  'weight' => '5',
  'file' => 'sites/all/modules/ubercart/ca/ca.admin.inc',
))
->values(array(
  'path' => 'admin/store/ca/%/delete',
  'load_functions' => 'a:1:{i:3;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:30:"administer conditional actions";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:24:"ca_predicate_delete_form";i:1;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/store/ca/%/delete',
  'title' => 'Delete a predicate',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/ca/ca.admin.inc',
))
->values(array(
  'path' => 'admin/store/ca/%/edit',
  'load_functions' => 'a:1:{i:3;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:30:"administer conditional actions";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:22:"ca_predicate_meta_form";i:1;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/store/ca/%/edit',
  'title' => 'Edit predicate',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => "Edit a predicate's meta data, conditions, and actions.",
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/ca/ca.admin.inc',
))
->values(array(
  'path' => 'admin/store/ca/%/edit/actions',
  'load_functions' => 'a:1:{i:3;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:30:"administer conditional actions";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:15:"ca_actions_form";i:1;i:3;}',
  'fit' => '59',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/ca/%/edit',
  'tab_root' => 'admin/store/ca/%/edit',
  'title' => 'Actions',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the actions for a predicate.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/ca/ca.admin.inc',
))
->values(array(
  'path' => 'admin/store/ca/%/edit/conditions',
  'load_functions' => 'a:1:{i:3;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:30:"administer conditional actions";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:18:"ca_conditions_form";i:1;i:3;}',
  'fit' => '59',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/ca/%/edit',
  'tab_root' => 'admin/store/ca/%/edit',
  'title' => 'Conditions',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the conditions for a predicate.',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/ca/ca.admin.inc',
))
->values(array(
  'path' => 'admin/store/ca/%/edit/meta',
  'load_functions' => 'a:1:{i:3;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:30:"administer conditional actions";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:22:"ca_predicate_meta_form";i:1;i:3;}',
  'fit' => '59',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/ca/%/edit',
  'tab_root' => 'admin/store/ca/%/edit',
  'title' => 'Meta data',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'Edit the meta data for a predicate like title, trigger, etc.',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/ca/ca.admin.inc',
))
->values(array(
  'path' => 'admin/store/ca/%/reset',
  'load_functions' => 'a:1:{i:3;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:30:"administer conditional actions";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:24:"ca_predicate_delete_form";i:1;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/store/ca/%/reset',
  'title' => 'Reset a predicate',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/ca/ca.admin.inc',
))
->values(array(
  'path' => 'admin/store/ca/add',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:30:"administer conditional actions";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:22:"ca_predicate_meta_form";i:1;s:1:"0";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/store/ca',
  'tab_root' => 'admin/store/ca',
  'title' => 'Add a predicate',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Allows an administrator to create a new predicate.',
  'position' => '',
  'weight' => '5',
  'file' => 'sites/all/modules/ubercart/ca/ca.admin.inc',
))
->values(array(
  'path' => 'admin/store/ca/convert',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'ca_convert_configurations_access',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:18:"ca_conversion_form";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/store/ca',
  'tab_root' => 'admin/store/ca',
  'title' => 'Convert configurations',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Convert Workflow-ng configurations into Conditional Actions predicates.',
  'position' => '',
  'weight' => '10',
  'file' => 'sites/all/modules/ubercart/ca/ca.admin.inc',
))
->values(array(
  'path' => 'admin/store/ca/overview',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:30:"administer conditional actions";}',
  'page_callback' => 'ca_admin',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/store/ca',
  'tab_root' => 'admin/store/ca',
  'title' => 'Overview',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/ca/ca.admin.inc',
))
->values(array(
  'path' => 'admin/store/ca/overview/class',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:30:"administer conditional actions";}',
  'page_callback' => 'ca_admin',
  'page_arguments' => 'a:1:{i:0;s:5:"class";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/ca/overview',
  'tab_root' => 'admin/store/ca',
  'title' => 'By class',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Administer the predicates setup to automate your store.',
  'position' => '',
  'weight' => '5',
  'file' => 'sites/all/modules/ubercart/ca/ca.admin.inc',
))
->values(array(
  'path' => 'admin/store/ca/overview/trigger',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:30:"administer conditional actions";}',
  'page_callback' => 'ca_admin',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/ca/overview',
  'tab_root' => 'admin/store/ca',
  'title' => 'By trigger',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'Administer the predicates setup to automate your store.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/ca/ca.admin.inc',
))
->values(array(
  'path' => 'admin/store/customers',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"view customers";}',
  'page_callback' => 'uc_store_customers',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/store/customers',
  'title' => 'Customers',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'View and modify customer information and orders.',
  'position' => '',
  'weight' => '-6',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/customers/orders/%',
  'load_functions' => 'a:1:{i:4;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"view all orders";}',
  'page_callback' => 'uc_store_customer_orders',
  'page_arguments' => 'a:1:{i:0;i:4;}',
  'fit' => '30',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/store/customers/orders/%',
  'title' => 'Customer orders',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => 'View a list of orders placed by this customer.',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/customers/search',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"view customers";}',
  'page_callback' => 'uc_store_customer_search',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/customers/search',
  'title' => 'Search customers',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Search through your customer list.',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/customers/view',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"view customers";}',
  'page_callback' => 'uc_store_customers',
  'page_arguments' => 'a:4:{i:0;N;i:1;N;i:2;N;i:3;s:2:"25";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/customers/view',
  'title' => 'View customers',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'View and modify customer information and orders.',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/help',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'uc_store_ubercart_help',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/store/help',
  'title' => 'Help',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Links to get help!',
  'position' => '',
  'weight' => '10',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/help/tokens',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'uc_store_ubercart_help_tokens',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/help/tokens',
  'title' => 'Using tokens',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Understand what tokens are and how to use them.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"view all orders";}',
  'page_callback' => 'uc_order_admin',
  'page_arguments' => 'a:3:{i:0;N;i:1;N;i:2;b:0;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders',
  'title' => 'Orders',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'View and process orders.',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"view all orders";}',
  'page_callback' => 'uc_order_view',
  'page_arguments' => 'a:2:{i:0;i:3;i:1;s:4:"view";}',
  'fit' => '14',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%',
  'title' => '',
  'title_callback' => 'uc_order_page_title',
  'title_arguments' => 'a:1:{i:0;i:3;}',
  'type' => '4',
  'block_callback' => '',
  'description' => 'View order',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/add_line_item/%',
  'load_functions' => 'a:2:{i:3;s:13:"uc_order_load";i:5;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:11:"edit orders";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:27:"uc_order_add_line_item_form";i:1;i:3;i:2;i:5;}',
  'fit' => '58',
  'number_parts' => '6',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%/add_line_item/%',
  'title' => 'Add a line item',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/add_product/%',
  'load_functions' => 'a:2:{i:3;s:13:"uc_order_load";i:5;s:9:"node_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:11:"edit orders";}',
  'page_callback' => 'uc_order_add_product',
  'page_arguments' => 'a:2:{i:0;i:3;i:1;i:5;}',
  'fit' => '58',
  'number_parts' => '6',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%/add_product/%',
  'title' => 'Add product',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/credit',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:20:"process credit cards";}',
  'page_callback' => 'uc_credit_terminal',
  'page_arguments' => 'a:1:{i:0;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%/credit',
  'title' => '',
  'title_callback' => 'uc_credit_terminal_title',
  'title_arguments' => 'a:1:{i:0;i:3;}',
  'type' => '4',
  'block_callback' => '',
  'description' => 'Displays a form to process a credit card payment.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/payment/uc_credit/uc_credit.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/delete',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_order_can_delete',
  'access_arguments' => 'a:1:{i:0;i:3;}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:28:"uc_order_delete_confirm_form";i:1;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%/delete',
  'title' => 'Delete an order',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/edit',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:11:"edit orders";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:18:"uc_order_edit_form";i:1;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/orders/%',
  'tab_root' => 'admin/store/orders/%',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/invoice',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"view all orders";}',
  'page_callback' => 'uc_order_invoice',
  'page_arguments' => 'a:1:{i:0;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/orders/%',
  'tab_root' => 'admin/store/orders/%',
  'title' => 'Invoice',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '3',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/invoice/mail',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"view all orders";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:26:"uc_order_mail_invoice_form";i:1;i:3;}',
  'fit' => '59',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/orders/%/invoice',
  'tab_root' => 'admin/store/orders/%',
  'title' => 'Mail invoice',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/invoice/print',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"view all orders";}',
  'page_callback' => 'uc_order_invoice',
  'page_arguments' => 'a:2:{i:0;i:3;i:1;s:5:"print";}',
  'fit' => '59',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/orders/%/invoice',
  'tab_root' => 'admin/store/orders/%',
  'title' => 'Printable invoice',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/invoice/view',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"view all orders";}',
  'page_callback' => 'uc_order_invoice',
  'page_arguments' => 'a:1:{i:0;i:3;}',
  'fit' => '59',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/orders/%/invoice',
  'tab_root' => 'admin/store/orders/%',
  'title' => 'View invoice',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/log',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_order_access_order_log',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'uc_order_log',
  'page_arguments' => 'a:1:{i:0;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/orders/%',
  'tab_root' => 'admin/store/orders/%',
  'title' => 'Log',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '10',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/packages',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_shipping_order_access',
  'access_arguments' => 'a:1:{i:0;i:3;}',
  'page_callback' => 'uc_shipping_order_packages',
  'page_arguments' => 'a:1:{i:0;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/orders/%',
  'tab_root' => 'admin/store/orders/%',
  'title' => 'Packages',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '6',
  'file' => 'sites/all/modules/ubercart/shipping/uc_shipping/uc_shipping.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/packages/%/cancel',
  'load_functions' => 'a:2:{i:3;s:13:"uc_order_load";i:5;s:24:"uc_shipping_package_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_shipping_order_access',
  'access_arguments' => 'a:1:{i:0;i:3;}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:34:"uc_shipping_package_cancel_confirm";i:1;i:3;i:2;i:5;}',
  'fit' => '117',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%/packages/%/cancel',
  'title' => 'Cancel package shipment',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/shipping/uc_shipping/uc_shipping.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/packages/%/delete',
  'load_functions' => 'a:2:{i:3;s:13:"uc_order_load";i:5;s:24:"uc_shipping_package_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_shipping_order_access',
  'access_arguments' => 'a:1:{i:0;i:3;}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:34:"uc_shipping_package_delete_confirm";i:1;i:3;i:2;i:5;}',
  'fit' => '117',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%/packages/%/delete',
  'title' => 'Delete package',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/shipping/uc_shipping/uc_shipping.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/packages/%/edit',
  'load_functions' => 'a:2:{i:3;s:13:"uc_order_load";i:5;s:24:"uc_shipping_package_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_shipping_order_access',
  'access_arguments' => 'a:1:{i:0;i:3;}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:24:"uc_shipping_package_edit";i:1;i:3;i:2;i:5;}',
  'fit' => '117',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%/packages/%/edit',
  'title' => 'Edit package',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/shipping/uc_shipping/uc_shipping.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/packages/new',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_shipping_order_access',
  'access_arguments' => 'a:1:{i:0;i:3;}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:23:"uc_shipping_new_package";i:1;i:3;}',
  'fit' => '59',
  'number_parts' => '6',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%/packages/new',
  'title' => 'New packages',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/shipping/uc_shipping/uc_shipping.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/payments',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_payment_tracking_access',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:24:"uc_payment_by_order_form";i:1;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/orders/%',
  'tab_root' => 'admin/store/orders/%',
  'title' => 'Payments',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '5',
  'file' => 'sites/all/modules/ubercart/payment/uc_payment/uc_payment.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/payments/%/delete',
  'load_functions' => 'a:2:{i:3;s:13:"uc_order_load";i:5;s:15:"uc_payment_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_payment_delete_access',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:30:"uc_payment_delete_confirm_form";i:1;i:3;i:2;i:5;}',
  'fit' => '117',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%/payments/%/delete',
  'title' => 'Delete payment?',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => 'Delete payment?',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/payment/uc_payment/uc_payment.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/payments/select/%',
  'load_functions' => 'a:2:{i:3;s:13:"uc_order_load";i:6;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"view all orders";}',
  'page_callback' => 'uc_payment_gateway_select',
  'page_arguments' => 'a:0:{}',
  'fit' => '118',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%/payments/select/%',
  'title' => 'Select payment gateway',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/payment/uc_payment/uc_payment.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/payment_details/%',
  'load_functions' => 'a:2:{i:3;s:13:"uc_order_load";i:5;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:11:"edit orders";}',
  'page_callback' => 'uc_payment_get_details',
  'page_arguments' => 'a:3:{i:0;i:5;i:1;s:5:"order";i:2;i:3;}',
  'fit' => '58',
  'number_parts' => '6',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%/payment_details/%',
  'title' => 'Payment details',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => 'Add the payment details to the order pane.',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/store/orders/%/products',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:11:"edit orders";}',
  'page_callback' => 'uc_order_edit_products',
  'page_arguments' => 'a:1:{i:0;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%/products',
  'title' => 'Products',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/product_select',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:11:"edit orders";}',
  'page_callback' => 'uc_order_load_product_select',
  'page_arguments' => 'a:1:{i:0;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%/product_select',
  'title' => 'Product select',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/receive_check',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"view all orders";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:34:"uc_payment_pack_receive_check_form";i:1;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%/receive_check',
  'title' => 'Receive Check',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/payment/uc_payment_pack/uc_payment_pack.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/ship',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_shipping_order_access',
  'access_arguments' => 'a:1:{i:0;i:3;}',
  'page_callback' => 'uc_shipping_make_shipment',
  'page_arguments' => 'a:1:{i:0;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%/ship',
  'title' => 'Ship packages',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/shipping/uc_shipping/uc_shipping.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/shipments',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_shipping_order_access',
  'access_arguments' => 'a:1:{i:0;i:3;}',
  'page_callback' => 'uc_shipping_order_shipments',
  'page_arguments' => 'a:1:{i:0;i:3;}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/orders/%',
  'tab_root' => 'admin/store/orders/%',
  'title' => 'Shipments',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '7',
  'file' => 'sites/all/modules/ubercart/shipping/uc_shipping/uc_shipping.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/shipments/%',
  'load_functions' => 'a:2:{i:3;s:13:"uc_order_load";i:5;s:25:"uc_shipping_shipment_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_shipping_order_access',
  'access_arguments' => 'a:1:{i:0;i:3;}',
  'page_callback' => 'uc_shipping_shipment_view',
  'page_arguments' => 'a:2:{i:0;i:3;i:1;i:5;}',
  'fit' => '58',
  'number_parts' => '6',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%/shipments/%',
  'title' => '',
  'title_callback' => 'uc_shipping_shipment_page_title',
  'title_arguments' => 'a:1:{i:0;i:5;}',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/shipping/uc_shipping/uc_shipping.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/shipments/%/delete',
  'load_functions' => 'a:2:{i:3;s:13:"uc_order_load";i:5;s:25:"uc_shipping_shipment_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_shipping_order_access',
  'access_arguments' => 'a:1:{i:0;i:3;}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:35:"uc_shipping_shipment_delete_confirm";i:1;i:3;i:2;i:5;}',
  'fit' => '117',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%/shipments/%/delete',
  'title' => 'Delete shipment',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/shipping/uc_shipping/uc_shipping.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/shipments/%/edit',
  'load_functions' => 'a:2:{i:3;s:13:"uc_order_load";i:5;s:25:"uc_shipping_shipment_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_shipping_order_access',
  'access_arguments' => 'a:1:{i:0;i:3;}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:25:"uc_shipping_shipment_edit";i:1;i:3;i:2;i:5;}',
  'fit' => '117',
  'number_parts' => '7',
  'tab_parent' => 'admin/store/orders/%/shipments/%',
  'tab_root' => 'admin/store/orders/%/shipments/%',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-1',
  'file' => 'sites/all/modules/ubercart/shipping/uc_shipping/uc_shipping.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/shipments/%/packing_slip',
  'load_functions' => 'a:2:{i:3;s:13:"uc_order_load";i:5;s:25:"uc_shipping_shipment_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_shipping_order_access',
  'access_arguments' => 'a:1:{i:0;i:3;}',
  'page_callback' => 'theme',
  'page_arguments' => 'a:4:{i:0;s:26:"uc_shipping_shipment_print";i:1;i:3;i:2;i:5;i:3;b:0;}',
  'fit' => '117',
  'number_parts' => '7',
  'tab_parent' => 'admin/store/orders/%/shipments/%',
  'tab_root' => 'admin/store/orders/%/shipments/%',
  'title' => 'Packing slip',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/shipping/uc_shipping/uc_shipping.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/shipments/%/print',
  'load_functions' => 'a:2:{i:3;s:13:"uc_order_load";i:5;s:25:"uc_shipping_shipment_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_shipping_order_access',
  'access_arguments' => 'a:1:{i:0;i:3;}',
  'page_callback' => 'theme',
  'page_arguments' => 'a:3:{i:0;s:26:"uc_shipping_shipment_print";i:1;i:3;i:2;i:5;}',
  'fit' => '117',
  'number_parts' => '7',
  'tab_parent' => 'admin/store/orders/%/shipments/%',
  'tab_root' => 'admin/store/orders/%/shipments/%',
  'title' => 'Print',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/shipping/uc_shipping/uc_shipping.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/shipments/%/view',
  'load_functions' => 'a:2:{i:3;s:13:"uc_order_load";i:5;s:25:"uc_shipping_shipment_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_shipping_order_access',
  'access_arguments' => 'a:1:{i:0;i:3;}',
  'page_callback' => 'uc_shipping_shipment_view',
  'page_arguments' => 'a:2:{i:0;i:3;i:1;i:5;}',
  'fit' => '117',
  'number_parts' => '7',
  'tab_parent' => 'admin/store/orders/%/shipments/%',
  'tab_root' => 'admin/store/orders/%/shipments/%',
  'title' => 'View',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/shipping/uc_shipping/uc_shipping.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/shipments/new',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_shipping_order_access',
  'access_arguments' => 'a:1:{i:0;i:3;}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:24:"uc_shipping_new_shipment";i:1;i:3;}',
  'fit' => '59',
  'number_parts' => '6',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/%/shipments/new',
  'title' => 'New shipment',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/shipping/uc_shipping/uc_shipping.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/%/view',
  'load_functions' => 'a:1:{i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"view all orders";}',
  'page_callback' => 'uc_order_view',
  'page_arguments' => 'a:2:{i:0;i:3;i:1;s:4:"view";}',
  'fit' => '29',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/orders/%',
  'tab_root' => 'admin/store/orders/%',
  'title' => 'View',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/address_book',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:11:"edit orders";}',
  'page_callback' => 'uc_order_address_book',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/address_book',
  'title' => 'Select address',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/create',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:13:"create orders";}',
  'page_callback' => 'uc_order_create',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/create',
  'title' => 'Create order',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Create an empty new order.',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/create/%',
  'load_functions' => 'a:1:{i:4;s:9:"user_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:13:"create orders";}',
  'page_callback' => 'uc_order_create',
  'page_arguments' => 'a:1:{i:0;i:4;}',
  'fit' => '30',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/create/%',
  'title' => 'Create order',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Create an empty new order.',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/customer',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:11:"edit orders";}',
  'page_callback' => 'uc_order_select_customer',
  'page_arguments' => 'a:1:{i:0;N;}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/customer',
  'title' => 'Select customer',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/search',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"view all orders";}',
  'page_callback' => 'uc_order_usearch',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/search',
  'title' => 'Search orders',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Search existing orders.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/sort/%',
  'load_functions' => 'a:1:{i:4;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"view all orders";}',
  'page_callback' => 'uc_order_admin',
  'page_arguments' => 'a:3:{i:0;N;i:1;N;i:2;b:0;}',
  'fit' => '30',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/sort/%',
  'title' => 'Orders',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => 'View orders with a particular order status.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/orders/view',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"view all orders";}',
  'page_callback' => 'uc_order_admin',
  'page_arguments' => 'a:3:{i:0;N;i:1;N;i:2;b:0;}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/orders/view',
  'title' => 'View orders',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'View and process the orders received through your website.',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/products',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer products";}',
  'page_callback' => 'uc_product_administration',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/store/products',
  'title' => 'Products',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Administer products, classes, and more.',
  'position' => '',
  'weight' => '-2',
  'file' => 'sites/all/modules/ubercart/uc_product/uc_product.admin.inc',
))
->values(array(
  'path' => 'admin/store/products/classes',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:26:"administer product classes";}',
  'page_callback' => 'uc_product_class_default',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/products/classes',
  'title' => 'Manage classes',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Create and edit product node types.',
  'position' => '',
  'weight' => '-2',
  'file' => 'sites/all/modules/ubercart/uc_product/uc_product.admin.inc',
))
->values(array(
  'path' => 'admin/store/products/classes/%',
  'load_functions' => 'a:1:{i:4;s:21:"uc_product_class_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:26:"administer product classes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:21:"uc_product_class_form";i:1;i:4;}',
  'fit' => '30',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/store/products/classes/%',
  'title' => 'Product class',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_product/uc_product.admin.inc',
))
->values(array(
  'path' => 'admin/store/products/classes/%/attributes',
  'load_functions' => 'a:1:{i:4;s:21:"uc_product_class_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_attribute_product_class_access',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:25:"uc_object_attributes_form";i:1;i:4;i:2;s:5:"class";}',
  'fit' => '61',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/products/classes/%',
  'tab_root' => 'admin/store/products/classes/%',
  'title' => 'Attributes',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'admin/store/products/classes/%/attributes_bulk',
  'load_functions' => 'a:1:{i:4;s:21:"uc_product_class_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_attribute_product_class_access',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:29:"uc_attribute_bulk_update_form";i:1;i:4;i:2;s:5:"class";}',
  'fit' => '61',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/products/classes/%',
  'tab_root' => 'admin/store/products/classes/%',
  'title' => 'Bulk',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '3',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'admin/store/products/classes/%/delete',
  'load_functions' => 'a:1:{i:4;s:21:"uc_product_class_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_product_class_delete_access',
  'access_arguments' => 'a:1:{i:0;i:4;}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:31:"uc_product_class_delete_confirm";i:1;i:4;}',
  'fit' => '61',
  'number_parts' => '6',
  'tab_parent' => '',
  'tab_root' => 'admin/store/products/classes/%/delete',
  'title' => '',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_product/uc_product.admin.inc',
))
->values(array(
  'path' => 'admin/store/products/classes/%/edit',
  'load_functions' => 'a:1:{i:4;s:21:"uc_product_class_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:26:"administer product classes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:21:"uc_product_class_form";i:1;i:4;}',
  'fit' => '61',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/products/classes/%',
  'tab_root' => 'admin/store/products/classes/%',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_product/uc_product.admin.inc',
))
->values(array(
  'path' => 'admin/store/products/classes/%/options',
  'load_functions' => 'a:1:{i:4;s:21:"uc_product_class_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_attribute_product_class_access',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:22:"uc_object_options_form";i:1;i:4;i:2;s:5:"class";}',
  'fit' => '61',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/products/classes/%',
  'tab_root' => 'admin/store/products/classes/%',
  'title' => 'Options',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '2',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'admin/store/products/files',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer products";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:24:"uc_file_admin_files_form";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/products/files',
  'title' => 'View file downloads',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'View all file download features on products.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_file/uc_file.admin.inc',
))
->values(array(
  'path' => 'admin/store/products/orphans',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer catalog";}',
  'page_callback' => 'uc_catalog_orphaned_products',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/products/orphans',
  'title' => 'Find orphaned products',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Find products that have not been categorized.',
  'position' => '',
  'weight' => '-4',
  'file' => 'sites/all/modules/ubercart/uc_catalog/uc_catalog.admin.inc',
))
->values(array(
  'path' => 'admin/store/products/view',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer products";}',
  'page_callback' => 'uc_product_administration',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/products/view',
  'title' => 'View products',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Build and view a list of product nodes.',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_product/uc_product.admin.inc',
))
->values(array(
  'path' => 'admin/store/reports',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"view store reports";}',
  'page_callback' => 'uc_store_reports',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/store/reports',
  'title' => 'Reports',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Browse various store reports.',
  'position' => '',
  'weight' => '2',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/reports/customers',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:12:"view reports";}',
  'page_callback' => 'uc_reports_customers',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/reports/customers',
  'title' => 'Customer reports',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'View reports for store customers.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_reports/uc_reports.admin.inc',
))
->values(array(
  'path' => 'admin/store/reports/getcsv/%/%',
  'load_functions' => 'a:2:{i:4;N;i:5;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:12:"view reports";}',
  'page_callback' => '_uc_reports_get_csv',
  'page_arguments' => 'a:2:{i:0;i:4;i:1;i:5;}',
  'fit' => '60',
  'number_parts' => '6',
  'tab_parent' => '',
  'tab_root' => 'admin/store/reports/getcsv/%/%',
  'title' => '',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'admin/store/reports/products',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:12:"view reports";}',
  'page_callback' => 'uc_reports_products',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/reports/products',
  'title' => 'Product reports',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'View reports for store products.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_reports/uc_reports.admin.inc',
))
->values(array(
  'path' => 'admin/store/reports/products/custom',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:12:"view reports";}',
  'page_callback' => 'uc_reports_products_custom',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/reports/products',
  'tab_root' => 'admin/store/reports/products',
  'title' => 'Custom product report',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'View a customized product report',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_reports/uc_reports.admin.inc',
))
->values(array(
  'path' => 'admin/store/reports/products/summary',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:12:"view reports";}',
  'page_callback' => 'uc_reports_products',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/reports/products',
  'tab_root' => 'admin/store/reports/products',
  'title' => 'Product report',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_reports/uc_reports.admin.inc',
))
->values(array(
  'path' => 'admin/store/reports/sales',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:12:"view reports";}',
  'page_callback' => 'uc_reports_sales_summary',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/reports/sales',
  'title' => 'Sales reports',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'View reports for store sales.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_reports/uc_reports.admin.inc',
))
->values(array(
  'path' => 'admin/store/reports/sales/custom',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:12:"view reports";}',
  'page_callback' => 'uc_reports_sales_custom',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/reports/sales',
  'tab_root' => 'admin/store/reports/sales',
  'title' => 'Custom sales summary',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'View a customized sales summary',
  'position' => '',
  'weight' => '-1',
  'file' => 'sites/all/modules/ubercart/uc_reports/uc_reports.admin.inc',
))
->values(array(
  'path' => 'admin/store/reports/sales/summary',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:12:"view reports";}',
  'page_callback' => 'uc_reports_sales_summary',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/reports/sales',
  'tab_root' => 'admin/store/reports/sales',
  'title' => 'Sales summary',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'View summary of all store sales',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_reports/uc_reports.admin.inc',
))
->values(array(
  'path' => 'admin/store/reports/sales/year',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:12:"view reports";}',
  'page_callback' => 'uc_reports_sales_year',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/reports/sales',
  'tab_root' => 'admin/store/reports/sales',
  'title' => 'Sales per year',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'View store sales for a particular year',
  'position' => '',
  'weight' => '-7',
  'file' => 'sites/all/modules/ubercart/uc_reports/uc_reports.admin.inc',
))
->values(array(
  'path' => 'admin/store/reports/tax',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:12:"view reports";}',
  'page_callback' => 'uc_tax_report_report_page',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/reports/tax',
  'title' => 'Sales tax report',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'View report on sales tax.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_tax_report/uc_tax_report.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'uc_store_configuration_page',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings',
  'title' => 'Configuration',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Adjust configuration settings for Ubercart.',
  'position' => '',
  'weight' => '6',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/attributes',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:21:"administer attributes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:27:"uc_attribute_admin_settings";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/attributes',
  'title' => 'Attribute settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Configure the attribute settings.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/cart',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'uc_cart_cart_settings_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/cart',
  'title' => 'Cart settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Configure the cart settings.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_cart/uc_cart.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/cart/edit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:26:"uc_cart_cart_settings_form";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/cart',
  'tab_root' => 'admin/store/settings/cart',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the cart settings.',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_cart/uc_cart.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/cart/edit/basic',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:26:"uc_cart_cart_settings_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/cart/edit',
  'tab_root' => 'admin/store/settings/cart',
  'title' => 'Cart settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'Edit the basic cart settings.',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_cart/uc_cart.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/cart/edit/block',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'uc_cart_block_edit_info',
  'page_arguments' => 'a:0:{}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/cart/edit',
  'tab_root' => 'admin/store/settings/cart',
  'title' => 'Cart block',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the settings for the shopping cart block.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_cart/uc_cart.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/cart/edit/panes',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:23:"uc_cart_cart_panes_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/cart/edit',
  'tab_root' => 'admin/store/settings/cart',
  'title' => 'Cart panes',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the pane settings for the cart view page.',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_cart/uc_cart.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/cart/overview',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'uc_cart_cart_settings_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/cart',
  'tab_root' => 'admin/store/settings/cart',
  'title' => 'Overview',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'View the cart settings.',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_cart/uc_cart.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/catalog',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer catalog";}',
  'page_callback' => 'uc_catalog_settings_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/catalog',
  'title' => 'Catalog settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Configure the catalog settings.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_catalog/uc_catalog.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/catalog/edit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer catalog";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:24:"uc_catalog_settings_form";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/catalog',
  'tab_root' => 'admin/store/settings/catalog',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_catalog/uc_catalog.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/catalog/edit/catalog',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer catalog";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:24:"uc_catalog_settings_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/catalog/edit',
  'tab_root' => 'admin/store/settings/catalog',
  'title' => 'Catalog settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_catalog/uc_catalog.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/catalog/edit/grid',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer catalog";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:29:"uc_catalog_grid_settings_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/catalog/edit',
  'tab_root' => 'admin/store/settings/catalog',
  'title' => 'Product grid settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_catalog/uc_catalog.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/catalog/overview',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:18:"administer catalog";}',
  'page_callback' => 'uc_catalog_settings_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/catalog',
  'tab_root' => 'admin/store/settings/catalog',
  'title' => 'Overview',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_catalog/uc_catalog.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/checkout',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'uc_cart_checkout_settings_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/checkout',
  'title' => 'Checkout settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Configure the checkout settings.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_cart/uc_cart.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/checkout/edit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:30:"uc_cart_checkout_settings_form";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/checkout',
  'tab_root' => 'admin/store/settings/checkout',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the cart settings.',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_cart/uc_cart.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/checkout/edit/basic',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:30:"uc_cart_checkout_settings_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/checkout/edit',
  'tab_root' => 'admin/store/settings/checkout',
  'title' => 'Checkout settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'Edit the basic checkout settings.',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_cart/uc_cart.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/checkout/edit/fields',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:28:"uc_store_address_fields_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/checkout/edit',
  'tab_root' => 'admin/store/settings/checkout',
  'title' => 'Address fields',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the address field settings.',
  'position' => '',
  'weight' => '5',
  'file' => 'sites/all/modules/ubercart/uc_cart/uc_cart.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/checkout/edit/messages',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:30:"uc_cart_checkout_messages_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/checkout/edit',
  'tab_root' => 'admin/store/settings/checkout',
  'title' => 'Checkout messages',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the messages for the checkout completion page.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_cart/uc_cart.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/checkout/edit/panes',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:27:"uc_cart_checkout_panes_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/checkout/edit',
  'tab_root' => 'admin/store/settings/checkout',
  'title' => 'Checkout panes',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the pane settings for the checkout page.',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_cart/uc_cart.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/checkout/overview',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'uc_cart_checkout_settings_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/checkout',
  'tab_root' => 'admin/store/settings/checkout',
  'title' => 'Overview',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'View the checkout settings.',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_cart/uc_cart.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/countries',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'uc_country_settings_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/countries',
  'title' => 'Country settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Configure country specific settings.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/countries/%/disable',
  'load_functions' => 'a:1:{i:4;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => '_uc_country_perform_country_action',
  'page_arguments' => 'a:2:{i:0;s:18:"uc_country_disable";i:1;i:4;}',
  'fit' => '61',
  'number_parts' => '6',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/countries/%/disable',
  'title' => 'Disable a country',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => 'Disable a country from use.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/countries/%/enable',
  'load_functions' => 'a:1:{i:4;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => '_uc_country_perform_country_action',
  'page_arguments' => 'a:2:{i:0;s:17:"uc_country_enable";i:1;i:4;}',
  'fit' => '61',
  'number_parts' => '6',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/countries/%/enable',
  'title' => 'Enable a country',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => 'Enable a disabled country.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/countries/%/remove',
  'load_functions' => 'a:1:{i:4;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:22:"uc_country_remove_form";i:1;i:4;}',
  'fit' => '61',
  'number_parts' => '6',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/countries/%/remove',
  'title' => 'Remove a country',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => 'Remove an installed country.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/countries/%/update/%',
  'load_functions' => 'a:2:{i:4;N;i:6;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => '_uc_country_perform_country_action',
  'page_arguments' => 'a:3:{i:0;s:17:"uc_country_update";i:1;i:4;i:2;i:6;}',
  'fit' => '122',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/countries/%/update/%',
  'title' => 'Update a country',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => 'Update an installed country.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/countries/edit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:22:"uc_country_import_form";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/countries',
  'tab_root' => 'admin/store/settings/countries',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the country settings.',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/countries/edit/formats',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:23:"uc_country_formats_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/countries/edit',
  'tab_root' => 'admin/store/settings/countries',
  'title' => 'Country formats',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the country specific format settings.',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/countries/edit/import',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:22:"uc_country_import_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/countries/edit',
  'tab_root' => 'admin/store/settings/countries',
  'title' => 'Import countries',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'Import and manage countries.',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/countries/overview',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'uc_country_settings_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/countries',
  'tab_root' => 'admin/store/settings/countries',
  'title' => 'Overview',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'View the country settings.',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/orders',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'uc_order_settings_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/orders',
  'title' => 'Order settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Configure the order settings.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/orders/edit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:22:"uc_order_settings_form";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/orders',
  'tab_root' => 'admin/store/settings/orders',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the order settings.',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/orders/edit/basic',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:22:"uc_order_settings_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/orders/edit',
  'tab_root' => 'admin/store/settings/orders',
  'title' => 'Order settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'Edit the basic order settings.',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/orders/edit/panes',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:19:"uc_order_panes_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/orders/edit',
  'tab_root' => 'admin/store/settings/orders',
  'title' => 'Order panes',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the pane settings for order pages.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/orders/edit/workflow',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:25:"administer order workflow";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:22:"uc_order_workflow_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/orders/edit',
  'tab_root' => 'admin/store/settings/orders',
  'title' => 'Order workflow',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Modify and configure order states and statuses.',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/orders/edit/workflow/create',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:25:"administer order workflow";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:27:"uc_order_status_create_form";}',
  'fit' => '127',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/orders/edit/workflow/create',
  'title' => 'Create an order status',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => 'Create a custom order status for your store.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/orders/overview',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'uc_order_settings_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/orders',
  'tab_root' => 'admin/store/settings/orders',
  'title' => 'Overview',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'View the order settings.',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/payment',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'uc_payment_settings_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/payment',
  'title' => 'Payment settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Configure the payment settings.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/payment/uc_payment/uc_payment.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/payment/edit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:24:"uc_payment_settings_form";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/payment',
  'tab_root' => 'admin/store/settings/payment',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the payment settings.',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/payment/uc_payment/uc_payment.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/payment/edit/basic',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:24:"uc_payment_settings_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/payment/edit',
  'tab_root' => 'admin/store/settings/payment',
  'title' => 'Payment settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'Edit the basic payment settings.',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/payment/uc_payment/uc_payment.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/payment/edit/gateways',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:24:"uc_payment_gateways_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/payment/edit',
  'tab_root' => 'admin/store/settings/payment',
  'title' => 'Payment gateways',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the payment gateway settings.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/payment/uc_payment/uc_payment.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/payment/edit/methods',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:23:"uc_payment_methods_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/payment/edit',
  'tab_root' => 'admin/store/settings/payment',
  'title' => 'Payment methods',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the payment method settings.',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/payment/uc_payment/uc_payment.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/payment/overview',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'uc_payment_settings_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/payment',
  'tab_root' => 'admin/store/settings/payment',
  'title' => 'Overview',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'View the payment settings.',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/payment/uc_payment/uc_payment.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/price-handlers',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:22:"uc_price_settings_form";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/price-handlers',
  'title' => 'Price handler settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Select which price handlers to use for your store.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/products',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer products";}',
  'page_callback' => 'uc_product_settings_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/products',
  'title' => 'Product settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Configure product settings.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_product/uc_product.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/products/defaults',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer products";}',
  'page_callback' => 'uc_product_image_defaults',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/products/defaults',
  'title' => '',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_product/uc_product.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/products/edit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer products";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:24:"uc_product_settings_form";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/products',
  'tab_root' => 'admin/store/settings/products',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_product/uc_product.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/products/edit/features',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"administer product features";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:32:"uc_product_feature_settings_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/products/edit',
  'tab_root' => 'admin/store/settings/products',
  'title' => 'Product features',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_product/uc_product.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/products/edit/fields',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer products";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:30:"uc_product_field_settings_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/products/edit',
  'tab_root' => 'admin/store/settings/products',
  'title' => 'Product fields',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_product/uc_product.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/products/edit/general',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer products";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:24:"uc_product_settings_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/products/edit',
  'tab_root' => 'admin/store/settings/products',
  'title' => 'Product settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_product/uc_product.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/products/edit/product-kits',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:23:"administer product kits";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:28:"uc_product_kit_settings_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/products/edit',
  'tab_root' => 'admin/store/settings/products',
  'title' => 'Product kits',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Configure the product kit settings.',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/ubercart/uc_product_kit/uc_product_kit.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/products/overview',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer products";}',
  'page_callback' => 'uc_product_settings_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/products',
  'tab_root' => 'admin/store/settings/products',
  'title' => 'Overview',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_product/uc_product.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/quotes',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"configure quotes";}',
  'page_callback' => 'uc_quote_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/quotes',
  'title' => 'Shipping quote settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Configure the shipping quote settings.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/shipping/uc_quote/uc_quote.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/quotes/edit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"configure quotes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:23:"uc_quote_admin_settings";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/quotes',
  'tab_root' => 'admin/store/settings/quotes',
  'title' => 'Quote settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-8',
  'file' => 'sites/all/modules/ubercart/shipping/uc_quote/uc_quote.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/quotes/flatrate/%/delete',
  'load_functions' => 'a:1:{i:5;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"configure quotes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:39:"uc_flatrate_admin_method_confirm_delete";i:1;i:5;}',
  'fit' => '125',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/quotes/flatrate/%/delete',
  'title' => 'Delete flat rate method',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/shipping/uc_flatrate/uc_flatrate.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/quotes/methods',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"configure quotes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:24:"uc_quote_method_settings";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/quotes',
  'tab_root' => 'admin/store/settings/quotes',
  'title' => 'Quote methods',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/shipping/uc_quote/uc_quote.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/quotes/methods/flatrate',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"configure quotes";}',
  'page_callback' => 'uc_flatrate_admin_methods',
  'page_arguments' => 'a:0:{}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/quotes/methods',
  'tab_root' => 'admin/store/settings/quotes',
  'title' => 'Flat rate',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/shipping/uc_flatrate/uc_flatrate.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/quotes/methods/flatrate/%',
  'load_functions' => 'a:1:{i:6;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"configure quotes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:34:"uc_flatrate_admin_method_edit_form";i:1;i:6;}',
  'fit' => '126',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/quotes/methods/flatrate/%',
  'title' => 'Edit flat rate method',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/shipping/uc_flatrate/uc_flatrate.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/quotes/methods/general',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"configure quotes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:24:"uc_quote_method_settings";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/quotes/methods',
  'tab_root' => 'admin/store/settings/quotes',
  'title' => 'General settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/shipping/uc_quote/uc_quote.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/quotes/overview',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"configure quotes";}',
  'page_callback' => 'uc_quote_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/quotes',
  'tab_root' => 'admin/store/settings/quotes',
  'title' => 'Overview',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'View general shipping quote settings.',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/shipping/uc_quote/uc_quote.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/reports',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:24:"uc_reports_settings_form";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/reports',
  'title' => 'Report settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'View the report settings.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_reports/uc_reports.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/store',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'uc_store_store_settings_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/store',
  'title' => 'Store settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Configure the main store settings.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/store/edit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:28:"uc_store_store_settings_form";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/store',
  'tab_root' => 'admin/store/settings/store',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the store settings.',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/store/edit/contact',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:28:"uc_store_store_settings_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/store/edit',
  'tab_root' => 'admin/store/settings/store',
  'title' => 'Contact settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'Edit the contact settings.',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/store/edit/display',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:30:"uc_store_display_settings_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/store/edit',
  'tab_root' => 'admin/store/settings/store',
  'title' => 'Display settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the display settings.',
  'position' => '',
  'weight' => '-5',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/store/edit/format',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:29:"uc_store_format_settings_form";}',
  'fit' => '63',
  'number_parts' => '6',
  'tab_parent' => 'admin/store/settings/store/edit',
  'tab_root' => 'admin/store/settings/store',
  'title' => 'Format settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit the format settings.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/store/initials',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:17:"uc_store_initials";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/store/initials',
  'title' => 'User initials',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Assign initials to user accounts.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/store/overview',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer store";}',
  'page_callback' => 'uc_store_store_settings_overview',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/store',
  'tab_root' => 'admin/store/settings/store',
  'title' => 'Overview',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => 'View the store settings.',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_store/uc_store.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/taxes',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"configure taxes";}',
  'page_callback' => 'uc_taxes_admin_settings',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/taxes',
  'title' => 'Tax rates and settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Configure the tax rates and settings.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_taxes/uc_taxes.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/taxes/%/clone',
  'load_functions' => 'a:1:{i:4;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"configure taxes";}',
  'page_callback' => 'uc_taxes_clone',
  'page_arguments' => 'a:1:{i:0;i:4;}',
  'fit' => '61',
  'number_parts' => '6',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/taxes/%/clone',
  'title' => '',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_taxes/uc_taxes.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/taxes/%/delete',
  'load_functions' => 'a:1:{i:4;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"configure taxes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:20:"uc_taxes_delete_form";i:1;i:4;}',
  'fit' => '61',
  'number_parts' => '6',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/taxes/%/delete',
  'title' => 'Delete tax rule',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_taxes/uc_taxes.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/taxes/%/edit',
  'load_functions' => 'a:1:{i:4;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"configure taxes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:13:"uc_taxes_form";i:1;i:4;}',
  'fit' => '61',
  'number_parts' => '6',
  'tab_parent' => '',
  'tab_root' => 'admin/store/settings/taxes/%/edit',
  'title' => 'Edit a tax rate',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_taxes/uc_taxes.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/taxes/add',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"configure taxes";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:13:"uc_taxes_form";}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/taxes',
  'tab_root' => 'admin/store/settings/taxes',
  'title' => 'Add a tax rate',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '5',
  'file' => 'sites/all/modules/ubercart/uc_taxes/uc_taxes.admin.inc',
))
->values(array(
  'path' => 'admin/store/settings/taxes/overview',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:15:"configure taxes";}',
  'page_callback' => 'uc_taxes_admin_settings',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => 'admin/store/settings/taxes',
  'tab_root' => 'admin/store/settings/taxes',
  'title' => 'Overview',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_taxes/uc_taxes.admin.inc',
))
->values(array(
  'path' => 'admin/user',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"access administration pages";}',
  'page_callback' => 'system_admin_menu_block_page',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'admin/user',
  'title' => 'User management',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => "Manage your site's users, groups and access to site features.",
  'position' => 'left',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'admin/user/permissions',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:22:"administer permissions";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:15:"user_admin_perm";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/user/permissions',
  'title' => 'Permissions',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Determine access to features by selecting permissions for roles.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.admin.inc',
))
->values(array(
  'path' => 'admin/user/roles',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:22:"administer permissions";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:19:"user_admin_new_role";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/user/roles',
  'title' => 'Roles',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'List, edit, or add user roles.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.admin.inc',
))
->values(array(
  'path' => 'admin/user/roles/edit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:22:"administer permissions";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:15:"user_admin_role";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/user/roles/edit',
  'title' => 'Edit role',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.admin.inc',
))
->values(array(
  'path' => 'admin/user/rules',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:22:"administer permissions";}',
  'page_callback' => 'user_admin_access',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/user/rules',
  'title' => 'Access rules',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'List and create rules to disallow usernames, e-mail addresses, and IP addresses.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.admin.inc',
))
->values(array(
  'path' => 'admin/user/rules/add',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:22:"administer permissions";}',
  'page_callback' => 'user_admin_access_add',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/user/rules',
  'tab_root' => 'admin/user/rules',
  'title' => 'Add rule',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.admin.inc',
))
->values(array(
  'path' => 'admin/user/rules/check',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:22:"administer permissions";}',
  'page_callback' => 'user_admin_access_check',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/user/rules',
  'tab_root' => 'admin/user/rules',
  'title' => 'Check rules',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.admin.inc',
))
->values(array(
  'path' => 'admin/user/rules/delete',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:22:"administer permissions";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:32:"user_admin_access_delete_confirm";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/user/rules/delete',
  'title' => 'Delete rule',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.admin.inc',
))
->values(array(
  'path' => 'admin/user/rules/edit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:22:"administer permissions";}',
  'page_callback' => 'user_admin_access_edit',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'admin/user/rules/edit',
  'title' => 'Edit rule',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.admin.inc',
))
->values(array(
  'path' => 'admin/user/rules/list',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:22:"administer permissions";}',
  'page_callback' => 'user_admin_access',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/user/rules',
  'tab_root' => 'admin/user/rules',
  'title' => 'List',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'modules/user/user.admin.inc',
))
->values(array(
  'path' => 'admin/user/settings',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer users";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:19:"user_admin_settings";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/user/settings',
  'title' => 'User settings',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'Configure default behavior of users, including registration requirements, e-mails, and user pictures.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.admin.inc',
))
->values(array(
  'path' => 'admin/user/user',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer users";}',
  'page_callback' => 'user_admin',
  'page_arguments' => 'a:1:{i:0;s:4:"list";}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'admin/user/user',
  'title' => 'Users',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => 'List, add, and edit users.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.admin.inc',
))
->values(array(
  'path' => 'admin/user/user/create',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer users";}',
  'page_callback' => 'user_admin',
  'page_arguments' => 'a:1:{i:0;s:6:"create";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/user/user',
  'tab_root' => 'admin/user/user',
  'title' => 'Add user',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.admin.inc',
))
->values(array(
  'path' => 'admin/user/user/expiration',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer users";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:19:"uc_roles_expiration";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/user/user',
  'tab_root' => 'admin/user/user',
  'title' => 'Role expiration',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'Edit and view role expirations set by Ubercart',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_roles/uc_roles.admin.inc',
))
->values(array(
  'path' => 'admin/user/user/expiration/delete/%/%',
  'load_functions' => 'a:2:{i:5;s:9:"user_load";i:6;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer users";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:22:"uc_roles_deletion_form";i:1;i:5;i:2;i:6;}',
  'fit' => '124',
  'number_parts' => '7',
  'tab_parent' => '',
  'tab_root' => 'admin/user/user/expiration/delete/%/%',
  'title' => 'Delete role expiration',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => 'Delete a specified role expiration',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_roles/uc_roles.admin.inc',
))
->values(array(
  'path' => 'admin/user/user/list',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:16:"administer users";}',
  'page_callback' => 'user_admin',
  'page_arguments' => 'a:1:{i:0;s:4:"list";}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => 'admin/user/user',
  'tab_root' => 'admin/user/user',
  'title' => 'List',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'modules/user/user.admin.inc',
))
->values(array(
  'path' => 'admin/views/ajax/autocomplete/user',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'views_ajax_autocomplete_user',
  'page_arguments' => 'a:0:{}',
  'fit' => '31',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'admin/views/ajax/autocomplete/user',
  'title' => '',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/views/includes/ajax.inc',
))
->values(array(
  'path' => 'autocomplete/uc_product_title_sku',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'uc_product_title_sku_autocomplete',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'autocomplete/uc_product_title_sku',
  'title' => '',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_product/uc_product.pages.inc',
))
->values(array(
  'path' => 'batch',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '1',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'system_batch_page',
  'page_arguments' => 'a:0:{}',
  'fit' => '1',
  'number_parts' => '1',
  'tab_parent' => '',
  'tab_root' => 'batch',
  'title' => '',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/system/system.admin.inc',
))
->values(array(
  'path' => 'cart',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'uc_cart_view',
  'page_arguments' => 'a:0:{}',
  'fit' => '1',
  'number_parts' => '1',
  'tab_parent' => '',
  'tab_root' => 'cart',
  'title' => 'Shopping cart',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => 'View/modify the contents of your shopping cart or proceed to checkout.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_cart/uc_cart.pages.inc',
))
->values(array(
  'path' => 'cart/checkout',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'uc_cart_checkout',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'cart/checkout',
  'title' => 'Checkout',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => 'Purchase the items in your shopping cart.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_cart/uc_cart.pages.inc',
))
->values(array(
  'path' => 'cart/checkout/complete',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'uc_cart_checkout_complete',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'cart/checkout/complete',
  'title' => 'Order complete',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => 'Display information upon completion of an order.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_cart/uc_cart.pages.inc',
))
->values(array(
  'path' => 'cart/checkout/credit/cvv_info',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'uc_credit_cvv_info',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'cart/checkout/credit/cvv_info',
  'title' => 'CVV information',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/payment/uc_credit/uc_credit.pages.inc',
))
->values(array(
  'path' => 'cart/checkout/line_items',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'uc_payment_get_totals',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'cart/checkout/line_items',
  'title' => 'Return order totals',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'cart/checkout/payment_details/%',
  'load_functions' => 'a:1:{i:3;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'uc_payment_get_details',
  'page_arguments' => 'a:1:{i:0;i:3;}',
  'fit' => '14',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'cart/checkout/payment_details/%',
  'title' => 'Payment details',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => 'Add the payment details to the checkout pane.',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'cart/checkout/review',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'uc_cart_checkout_review',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'cart/checkout/review',
  'title' => 'Review order',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => 'Review an order before final submission.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_cart/uc_cart.pages.inc',
))
->values(array(
  'path' => 'cart/checkout/shipping/quote',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'uc_quote_request_quotes',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'cart/checkout/shipping/quote',
  'title' => '',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/shipping/uc_quote/uc_quote.pages.inc',
))
->values(array(
  'path' => 'catalog',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:12:"view catalog";}',
  'page_callback' => 'theme',
  'page_arguments' => 'a:1:{i:0;s:17:"uc_catalog_browse";}',
  'fit' => '1',
  'number_parts' => '1',
  'tab_parent' => '',
  'tab_root' => 'catalog',
  'title' => '',
  'title_callback' => 'variable_get',
  'title_arguments' => 'a:2:{i:0;s:15:"uc_catalog_name";i:1;s:7:"Catalog";}',
  'type' => '20',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_catalog/uc_catalog.pages.inc',
))
->values(array(
  'path' => 'comment/delete',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:19:"administer comments";}',
  'page_callback' => 'comment_delete',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'comment/delete',
  'title' => 'Delete comment',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/comment/comment.admin.inc',
))
->values(array(
  'path' => 'comment/edit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:13:"post comments";}',
  'page_callback' => 'comment_edit',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'comment/edit',
  'title' => 'Edit comment',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/comment/comment.pages.inc',
))
->values(array(
  'path' => 'comment/reply/%',
  'load_functions' => 'a:1:{i:2;s:9:"node_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'node_access',
  'access_arguments' => 'a:2:{i:0;s:4:"view";i:1;i:2;}',
  'page_callback' => 'comment_reply',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '6',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'comment/reply/%',
  'title' => 'Reply to comment',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/comment/comment.pages.inc',
))
->values(array(
  'path' => 'content/js_add_more',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'content_add_more_js',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'content/js_add_more',
  'title' => '',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/cck/includes/content.node_form.inc',
))
->values(array(
  'path' => 'download/%/%',
  'load_functions' => 'a:2:{i:1;N;i:2;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:13:"download file";}',
  'page_callback' => '_uc_file_download',
  'page_arguments' => 'a:2:{i:0;i:1;i:1;i:2;}',
  'fit' => '4',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'download/%/%',
  'title' => '',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_file/uc_file.pages.inc',
))
->values(array(
  'path' => 'email/%/%',
  'load_functions' => 'a:2:{i:1;s:9:"node_load";i:2;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'node_access',
  'access_arguments' => 'a:2:{i:0;s:4:"view";i:1;i:1;}',
  'page_callback' => 'email_mail_page',
  'page_arguments' => 'a:2:{i:0;i:1;i:1;i:2;}',
  'fit' => '4',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'email/%/%',
  'title' => 'Email Contact Form',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'filefield/ahah/%/%/%',
  'load_functions' => 'a:3:{i:2;N;i:3;N;i:4;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'filefield_edit_access',
  'access_arguments' => 'a:2:{i:0;i:2;i:1;i:3;}',
  'page_callback' => 'filefield_js',
  'page_arguments' => 'a:3:{i:0;i:2;i:1;i:3;i:2;i:4;}',
  'fit' => '24',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'filefield/ahah/%/%/%',
  'title' => '',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'filefield/progress',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'filefield_progress',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'filefield/progress',
  'title' => '',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'filter/tips',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '1',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'filter_tips_long',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'filter/tips',
  'title' => 'Compose tips',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '20',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/filter/filter.pages.inc',
))
->values(array(
  'path' => 'i18n/node/autocomplete',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'i18n_node_autocomplete',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'i18n/node/autocomplete',
  'title' => 'Node title autocomplete',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/i18n/i18n.pages.inc',
))
->values(array(
  'path' => 'i18nstrings/save',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:23:"use on-page translation";}',
  'page_callback' => 'i18nstrings_save_string',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'i18nstrings/save',
  'title' => 'Save string',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'logout',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_is_logged_in',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'user_logout',
  'page_arguments' => 'a:0:{}',
  'fit' => '1',
  'number_parts' => '1',
  'tab_parent' => '',
  'tab_root' => 'logout',
  'title' => 'Log out',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '10',
  'file' => 'modules/user/user.pages.inc',
))
->values(array(
  'path' => 'node',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'node_page_default',
  'page_arguments' => 'a:0:{}',
  'fit' => '1',
  'number_parts' => '1',
  'tab_parent' => '',
  'tab_root' => 'node',
  'title' => 'Content',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'node/%',
  'load_functions' => 'a:1:{i:1;s:9:"node_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'node_access',
  'access_arguments' => 'a:2:{i:0;s:4:"view";i:1;i:1;}',
  'page_callback' => 'node_page_view',
  'page_arguments' => 'a:1:{i:0;i:1;}',
  'fit' => '2',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'node/%',
  'title' => '',
  'title_callback' => 'node_page_title',
  'title_arguments' => 'a:1:{i:0;i:1;}',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'node/%/delete',
  'load_functions' => 'a:1:{i:1;s:9:"node_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'node_access',
  'access_arguments' => 'a:2:{i:0;s:6:"delete";i:1;i:1;}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:19:"node_delete_confirm";i:1;i:1;}',
  'fit' => '5',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'node/%/delete',
  'title' => 'Delete',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'modules/node/node.pages.inc',
))
->values(array(
  'path' => 'node/%/edit',
  'load_functions' => 'a:1:{i:1;s:9:"node_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'node_access',
  'access_arguments' => 'a:2:{i:0;s:6:"update";i:1;i:1;}',
  'page_callback' => 'node_page_edit',
  'page_arguments' => 'a:1:{i:0;i:1;}',
  'fit' => '5',
  'number_parts' => '3',
  'tab_parent' => 'node/%',
  'tab_root' => 'node/%',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'modules/node/node.pages.inc',
))
->values(array(
  'path' => 'node/%/edit/adjustments',
  'load_functions' => 'a:1:{i:1;s:9:"node_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_attribute_product_option_access',
  'access_arguments' => 'a:1:{i:0;i:1;}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:27:"uc_product_adjustments_form";i:1;i:1;}',
  'fit' => '11',
  'number_parts' => '4',
  'tab_parent' => 'node/%/edit',
  'tab_root' => 'node/%',
  'title' => 'Adjustments',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '3',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'node/%/edit/attributes',
  'load_functions' => 'a:1:{i:1;s:9:"node_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_attribute_product_access',
  'access_arguments' => 'a:1:{i:0;i:1;}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:4:{i:0;s:25:"uc_object_attributes_form";i:1;i:1;i:2;s:7:"product";i:3;s:8:"overview";}',
  'fit' => '11',
  'number_parts' => '4',
  'tab_parent' => 'node/%/edit',
  'tab_root' => 'node/%',
  'title' => 'Attributes',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'node/%/edit/attributes/add',
  'load_functions' => 'a:1:{i:1;s:9:"node_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_attribute_product_access',
  'access_arguments' => 'a:1:{i:0;i:1;}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:4:{i:0;s:25:"uc_object_attributes_form";i:1;i:1;i:2;s:7:"product";i:3;s:3:"add";}',
  'fit' => '23',
  'number_parts' => '5',
  'tab_parent' => 'node/%/edit/attributes',
  'tab_root' => 'node/%',
  'title' => 'Attributes',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'node/%/edit/attributes/reset',
  'load_functions' => 'a:1:{i:1;s:9:"node_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_attribute_product_access',
  'access_arguments' => 'a:1:{i:0;i:1;}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:31:"uc_attribute_node_reset_confirm";i:1;i:1;}',
  'fit' => '23',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'node/%/edit/attributes/reset',
  'title' => 'Reset to defaults',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'node/%/edit/features',
  'load_functions' => 'a:1:{i:1;s:9:"node_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_product_feature_access',
  'access_arguments' => 'a:1:{i:0;i:1;}',
  'page_callback' => 'uc_product_features',
  'page_arguments' => 'a:1:{i:0;i:1;}',
  'fit' => '11',
  'number_parts' => '4',
  'tab_parent' => 'node/%/edit',
  'tab_root' => 'node/%',
  'title' => 'Features',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '10',
  'file' => 'sites/all/modules/ubercart/uc_product/uc_product.admin.inc',
))
->values(array(
  'path' => 'node/%/edit/options',
  'load_functions' => 'a:1:{i:1;s:9:"node_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_attribute_product_option_access',
  'access_arguments' => 'a:1:{i:0;i:1;}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:3:{i:0;s:22:"uc_object_options_form";i:1;i:1;i:2;s:7:"product";}',
  'fit' => '11',
  'number_parts' => '4',
  'tab_parent' => 'node/%/edit',
  'tab_root' => 'node/%',
  'title' => 'Options',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '2',
  'file' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.admin.inc',
))
->values(array(
  'path' => 'node/%/edit/product',
  'load_functions' => 'a:1:{i:1;s:9:"node_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_product_edit_access',
  'access_arguments' => 'a:1:{i:0;i:1;}',
  'page_callback' => 'node_page_edit',
  'page_arguments' => 'a:1:{i:0;i:1;}',
  'fit' => '11',
  'number_parts' => '4',
  'tab_parent' => 'node/%/edit',
  'tab_root' => 'node/%',
  'title' => 'Product',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'sites/all/modules/ubercart/uc_product/uc_product.admin.inc',
))
->values(array(
  'path' => 'node/%/revisions',
  'load_functions' => 'a:1:{i:1;s:9:"node_load";}',
  'to_arg_functions' => '',
  'access_callback' => '_node_revision_access',
  'access_arguments' => 'a:1:{i:0;i:1;}',
  'page_callback' => 'node_revision_overview',
  'page_arguments' => 'a:1:{i:0;i:1;}',
  'fit' => '5',
  'number_parts' => '3',
  'tab_parent' => 'node/%',
  'tab_root' => 'node/%',
  'title' => 'Revisions',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '2',
  'file' => 'modules/node/node.pages.inc',
))
->values(array(
  'path' => 'node/%/revisions/%/delete',
  'load_functions' => 'a:2:{i:1;a:1:{s:9:"node_load";a:1:{i:0;i:3;}}i:3;N;}',
  'to_arg_functions' => '',
  'access_callback' => '_node_revision_access',
  'access_arguments' => 'a:2:{i:0;i:1;i:1;s:6:"delete";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:28:"node_revision_delete_confirm";i:1;i:1;}',
  'fit' => '21',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'node/%/revisions/%/delete',
  'title' => 'Delete earlier revision',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/node.pages.inc',
))
->values(array(
  'path' => 'node/%/revisions/%/revert',
  'load_functions' => 'a:2:{i:1;a:1:{s:9:"node_load";a:1:{i:0;i:3;}}i:3;N;}',
  'to_arg_functions' => '',
  'access_callback' => '_node_revision_access',
  'access_arguments' => 'a:2:{i:0;i:1;i:1;s:6:"update";}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:28:"node_revision_revert_confirm";i:1;i:1;}',
  'fit' => '21',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'node/%/revisions/%/revert',
  'title' => 'Revert to earlier revision',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/node.pages.inc',
))
->values(array(
  'path' => 'node/%/revisions/%/view',
  'load_functions' => 'a:2:{i:1;a:1:{s:9:"node_load";a:1:{i:0;i:3;}}i:3;N;}',
  'to_arg_functions' => '',
  'access_callback' => '_node_revision_access',
  'access_arguments' => 'a:1:{i:0;i:1;}',
  'page_callback' => 'node_show',
  'page_arguments' => 'a:3:{i:0;i:1;i:1;N;i:2;b:1;}',
  'fit' => '21',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'node/%/revisions/%/view',
  'title' => 'Revisions',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'node/%/translate',
  'load_functions' => 'a:1:{i:1;s:9:"node_load";}',
  'to_arg_functions' => '',
  'access_callback' => '_translation_tab_access',
  'access_arguments' => 'a:1:{i:0;i:1;}',
  'page_callback' => 'i18n_translation_node_overview',
  'page_arguments' => 'a:1:{i:0;i:1;}',
  'fit' => '5',
  'number_parts' => '3',
  'tab_parent' => 'node/%',
  'tab_root' => 'node/%',
  'title' => 'Translate',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '2',
  'file' => 'sites/all/modules/i18n/i18n.pages.inc',
))
->values(array(
  'path' => 'node/%/view',
  'load_functions' => 'a:1:{i:1;s:9:"node_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'node_access',
  'access_arguments' => 'a:2:{i:0;s:4:"view";i:1;i:1;}',
  'page_callback' => 'node_page_view',
  'page_arguments' => 'a:1:{i:0;i:1;}',
  'fit' => '5',
  'number_parts' => '3',
  'tab_parent' => 'node/%',
  'tab_root' => 'node/%',
  'title' => 'View',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => '',
))
->values(array(
  'path' => 'node/add',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '_node_add_access',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'i18ncontent_node_add_page',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'node/add',
  'title' => 'Create content',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '6',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '1',
  'file' => 'modules/node/node.pages.inc',
))
->values(array(
  'path' => 'node/add/page',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'node_access',
  'access_arguments' => 'a:2:{i:0;s:6:"create";i:1;s:4:"page";}',
  'page_callback' => 'i18ncontent_node_add',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'node/add/page',
  'title' => 'Page',
  'title_callback' => 'i18nstrings_title_callback',
  'title_arguments' => 'a:2:{i:0;s:23:"nodetype:type:page:name";i:1;s:4:"Page";}',
  'type' => '6',
  'block_callback' => '',
  'description' => "A <em>page</em>, similar in form to a <em>story</em>, is a simple method for creating and displaying information that rarely changes, such as an \"About us\" section of a website. By default, a <em>page</em> entry does not allow visitor comments and is not featured on the site's initial home page.",
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/node.pages.inc',
))
->values(array(
  'path' => 'node/add/product',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'node_access',
  'access_arguments' => 'a:2:{i:0;s:6:"create";i:1;s:7:"product";}',
  'page_callback' => 'i18ncontent_node_add',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'node/add/product',
  'title' => 'Product',
  'title_callback' => 'i18nstrings_title_callback',
  'title_arguments' => 'a:2:{i:0;s:26:"nodetype:type:product:name";i:1;s:7:"Product";}',
  'type' => '6',
  'block_callback' => '',
  'description' => 'This node displays the representation of a product for sale on the website. It includes all the unique information that can be attributed to a specific model number.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/node.pages.inc',
))
->values(array(
  'path' => 'node/add/product-kit',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'node_access',
  'access_arguments' => 'a:2:{i:0;s:6:"create";i:1;s:11:"product_kit";}',
  'page_callback' => 'i18ncontent_node_add',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'node/add/product-kit',
  'title' => 'Product kit',
  'title_callback' => 'i18nstrings_title_callback',
  'title_arguments' => 'a:2:{i:0;s:30:"nodetype:type:product_kit:name";i:1;s:11:"Product kit";}',
  'type' => '6',
  'block_callback' => '',
  'description' => 'This node represents two or more products that have been listed together. This presents a logical and convenient grouping of items to the customer.',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/node.pages.inc',
))
->values(array(
  'path' => 'node/add/ship',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'node_access',
  'access_arguments' => 'a:2:{i:0;s:6:"create";i:1;s:4:"ship";}',
  'page_callback' => 'i18ncontent_node_add',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'node/add/ship',
  'title' => 'Ship',
  'title_callback' => 'i18nstrings_title_callback',
  'title_arguments' => 'a:2:{i:0;s:23:"nodetype:type:ship:name";i:1;s:4:"Ship";}',
  'type' => '6',
  'block_callback' => '',
  'description' => 'A type of spacecraft capable of traveling to the solar systems of other stars',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/node.pages.inc',
))
->values(array(
  'path' => 'node/add/story',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'node_access',
  'access_arguments' => 'a:2:{i:0;s:6:"create";i:1;s:5:"story";}',
  'page_callback' => 'i18ncontent_node_add',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'node/add/story',
  'title' => 'Story',
  'title_callback' => 'i18nstrings_title_callback',
  'title_arguments' => 'a:2:{i:0;s:24:"nodetype:type:story:name";i:1;s:5:"Story";}',
  'type' => '6',
  'block_callback' => '',
  'description' => "A <em>story</em>, similar in form to a <em>page</em>, is ideal for creating and displaying content that informs or engages website visitors. Press releases, site announcements, and informal blog-like entries may all be created with a <em>story</em> entry. By default, a <em>story</em> entry is automatically featured on the site's initial home page, and provides the ability to post comments.",
  'position' => '',
  'weight' => '0',
  'file' => 'modules/node/node.pages.inc',
))
->values(array(
  'path' => 'nodereference/autocomplete',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'nodereference_autocomplete_access',
  'access_arguments' => 'a:1:{i:0;i:2;}',
  'page_callback' => 'nodereference_autocomplete',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'nodereference/autocomplete',
  'title' => 'Nodereference autocomplete',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'products',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'views_access',
  'access_arguments' => 'a:1:{i:0;b:1;}',
  'page_callback' => 'views_page',
  'page_arguments' => 'a:2:{i:0;s:11:"uc_products";i:1;s:6:"page_1";}',
  'fit' => '1',
  'number_parts' => '1',
  'tab_parent' => '',
  'tab_root' => 'products',
  'title' => '',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'rss.xml',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'node_feed',
  'page_arguments' => 'a:0:{}',
  'fit' => '1',
  'number_parts' => '1',
  'tab_parent' => '',
  'tab_root' => 'rss.xml',
  'title' => 'RSS feed',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'sites/default/files/imagecache',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '_imagecache_menu_access_public_files',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'imagecache_cache',
  'page_arguments' => 'a:0:{}',
  'fit' => '15',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'sites/default/files/imagecache',
  'title' => '',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'system/files',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '1',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'file_download',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'system/files',
  'title' => 'File download',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'system/files/imagecache',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '1',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'imagecache_cache_private',
  'page_arguments' => 'a:0:{}',
  'fit' => '7',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'system/files/imagecache',
  'title' => '',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'taxes/calculate',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'uc_taxes_javascript',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'taxes/calculate',
  'title' => '',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'taxonomy/autocomplete',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'i18ntaxonomy_autocomplete',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'taxonomy/autocomplete',
  'title' => 'Autocomplete taxonomy',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/i18n/i18ntaxonomy/i18ntaxonomy.pages.inc',
))
->values(array(
  'path' => 'taxonomy/term/%',
  'load_functions' => 'a:1:{i:2;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'i18ntaxonomy_term_page',
  'page_arguments' => 'a:1:{i:0;i:2;}',
  'fit' => '6',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'taxonomy/term/%',
  'title' => 'Taxonomy term',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/i18n/i18ntaxonomy/i18ntaxonomy.pages.inc',
))
->values(array(
  'path' => 'uc_js_util/%',
  'load_functions' => 'a:1:{i:1;N;}',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:14:"access content";}',
  'page_callback' => 'uc_store_js_util',
  'page_arguments' => 'a:1:{i:0;i:1;}',
  'fit' => '2',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'uc_js_util/%',
  'title' => 'JS utilities',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->values(array(
  'path' => 'user',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '1',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'user_page',
  'page_arguments' => 'a:0:{}',
  'fit' => '1',
  'number_parts' => '1',
  'tab_parent' => '',
  'tab_root' => 'user',
  'title' => 'User account',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.pages.inc',
))
->values(array(
  'path' => 'user/%',
  'load_functions' => 'a:1:{i:1;s:22:"user_uid_optional_load";}',
  'to_arg_functions' => 'a:1:{i:1;s:24:"user_uid_optional_to_arg";}',
  'access_callback' => 'user_view_access',
  'access_arguments' => 'a:1:{i:0;i:1;}',
  'page_callback' => 'user_view',
  'page_arguments' => 'a:1:{i:0;i:1;}',
  'fit' => '2',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'user/%',
  'title' => 'My account',
  'title_callback' => 'user_page_title',
  'title_arguments' => 'a:1:{i:0;i:1;}',
  'type' => '6',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.pages.inc',
))
->values(array(
  'path' => 'user/%/delete',
  'load_functions' => 'a:1:{i:1;s:9:"user_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_delete_access',
  'access_arguments' => 'a:1:{i:0;i:1;}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:2:{i:0;s:19:"user_confirm_delete";i:1;i:1;}',
  'fit' => '5',
  'number_parts' => '3',
  'tab_parent' => '',
  'tab_root' => 'user/%/delete',
  'title' => 'Delete',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.pages.inc',
))
->values(array(
  'path' => 'user/%/edit',
  'load_functions' => 'a:1:{i:1;a:1:{s:18:"user_category_load";a:2:{i:0;s:4:"%map";i:1;s:6:"%index";}}}',
  'to_arg_functions' => '',
  'access_callback' => 'user_edit_access',
  'access_arguments' => 'a:1:{i:0;i:1;}',
  'page_callback' => 'user_edit',
  'page_arguments' => 'a:1:{i:0;i:1;}',
  'fit' => '5',
  'number_parts' => '3',
  'tab_parent' => 'user/%',
  'tab_root' => 'user/%',
  'title' => 'Edit',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.pages.inc',
))
->values(array(
  'path' => 'user/%/edit/account',
  'load_functions' => 'a:1:{i:1;a:1:{s:18:"user_category_load";a:2:{i:0;s:4:"%map";i:1;s:6:"%index";}}}',
  'to_arg_functions' => '',
  'access_callback' => 'user_edit_access',
  'access_arguments' => 'a:1:{i:0;i:1;}',
  'page_callback' => 'user_edit',
  'page_arguments' => 'a:1:{i:0;i:1;}',
  'fit' => '11',
  'number_parts' => '4',
  'tab_parent' => 'user/%/edit',
  'tab_root' => 'user/%',
  'title' => 'Account',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.pages.inc',
))
->values(array(
  'path' => 'user/%/order/%',
  'load_functions' => 'a:2:{i:1;s:9:"user_load";i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_order_can_view_order',
  'access_arguments' => 'a:2:{i:0;i:1;i:1;i:3;}',
  'page_callback' => 'uc_order_view',
  'page_arguments' => 'a:2:{i:0;i:3;i:1;s:8:"customer";}',
  'fit' => '10',
  'number_parts' => '4',
  'tab_parent' => '',
  'tab_root' => 'user/%/order/%',
  'title' => '',
  'title_callback' => 'uc_order_page_title',
  'title_arguments' => 'a:1:{i:0;i:3;}',
  'type' => '4',
  'block_callback' => '',
  'description' => 'View order.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'user/%/order/%/invoice',
  'load_functions' => 'a:2:{i:1;s:9:"user_load";i:3;s:13:"uc_order_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_order_can_view_order',
  'access_arguments' => 'a:2:{i:0;i:1;i:1;i:3;}',
  'page_callback' => 'uc_order_view',
  'page_arguments' => 'a:2:{i:0;i:3;i:1;s:7:"invoice";}',
  'fit' => '21',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'user/%/order/%/invoice',
  'title' => 'View invoice',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => 'View order invoice.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'user/%/orders',
  'load_functions' => 'a:1:{i:1;s:9:"user_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_order_can_view_order',
  'access_arguments' => 'a:1:{i:0;i:1;}',
  'page_callback' => 'uc_order_history',
  'page_arguments' => 'a:1:{i:0;i:1;}',
  'fit' => '5',
  'number_parts' => '3',
  'tab_parent' => 'user/%',
  'tab_root' => 'user/%',
  'title' => 'Orders',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'View your order history.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_order/uc_order.admin.inc',
))
->values(array(
  'path' => 'user/%/purchased-files',
  'load_functions' => 'a:1:{i:1;s:9:"user_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'uc_file_user_access',
  'access_arguments' => 'a:1:{i:0;i:1;}',
  'page_callback' => 'uc_file_user_downloads',
  'page_arguments' => 'a:1:{i:0;i:1;}',
  'fit' => '5',
  'number_parts' => '3',
  'tab_parent' => 'user/%',
  'tab_root' => 'user/%',
  'title' => 'Files',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => 'View your purchased files.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/ubercart/uc_file/uc_file.pages.inc',
))
->values(array(
  'path' => 'user/%/view',
  'load_functions' => 'a:1:{i:1;s:9:"user_load";}',
  'to_arg_functions' => '',
  'access_callback' => 'user_view_access',
  'access_arguments' => 'a:1:{i:0;i:1;}',
  'page_callback' => 'user_view',
  'page_arguments' => 'a:1:{i:0;i:1;}',
  'fit' => '5',
  'number_parts' => '3',
  'tab_parent' => 'user/%',
  'tab_root' => 'user/%',
  'title' => 'View',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '-10',
  'file' => 'modules/user/user.pages.inc',
))
->values(array(
  'path' => 'user/autocomplete',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:20:"access user profiles";}',
  'page_callback' => 'user_autocomplete',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'user/autocomplete',
  'title' => 'User autocomplete',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.pages.inc',
))
->values(array(
  'path' => 'user/login',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_is_anonymous',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'user_page',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => 'user',
  'tab_root' => 'user',
  'title' => 'Log in',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '136',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.pages.inc',
))
->values(array(
  'path' => 'user/password',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_is_anonymous',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:9:"user_pass";}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => 'user',
  'tab_root' => 'user',
  'title' => 'Request new password',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.pages.inc',
))
->values(array(
  'path' => 'user/register',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_register_access',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:1:{i:0;s:13:"user_register";}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => 'user',
  'tab_root' => 'user',
  'title' => 'Create new account',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '128',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.pages.inc',
))
->values(array(
  'path' => 'user/reset/%/%/%',
  'load_functions' => 'a:3:{i:2;N;i:3;N;i:4;N;}',
  'to_arg_functions' => '',
  'access_callback' => '1',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'drupal_get_form',
  'page_arguments' => 'a:4:{i:0;s:15:"user_pass_reset";i:1;i:2;i:2;i:3;i:3;i:4;}',
  'fit' => '24',
  'number_parts' => '5',
  'tab_parent' => '',
  'tab_root' => 'user/reset/%/%/%',
  'title' => 'Reset password',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => 'modules/user/user.pages.inc',
))
->values(array(
  'path' => 'views/ajax',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => '1',
  'access_arguments' => 'a:0:{}',
  'page_callback' => 'views_ajax',
  'page_arguments' => 'a:0:{}',
  'fit' => '3',
  'number_parts' => '2',
  'tab_parent' => '',
  'tab_root' => 'views/ajax',
  'title' => 'Views',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => 'Ajax callback for view loading.',
  'position' => '',
  'weight' => '0',
  'file' => 'sites/all/modules/views/includes/ajax.inc',
))
->values(array(
  'path' => '_autocomplete_file',
  'load_functions' => '',
  'to_arg_functions' => '',
  'access_callback' => 'user_access',
  'access_arguments' => 'a:1:{i:0;s:27:"administer product features";}',
  'page_callback' => '_uc_file_autocomplete_filename',
  'page_arguments' => 'a:0:{}',
  'fit' => '1',
  'number_parts' => '1',
  'tab_parent' => '',
  'tab_root' => '_autocomplete_file',
  'title' => '',
  'title_callback' => 't',
  'title_arguments' => '',
  'type' => '4',
  'block_callback' => '',
  'description' => '',
  'position' => '',
  'weight' => '0',
  'file' => '',
))
->execute();

$connection->schema()->createTable('node', array(
  'fields' => array(
    'nid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'vid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'language' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '12',
      'default' => '',
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'status' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '1',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'changed' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'comment' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'promote' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'moderate' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'sticky' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'tnid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'translate' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'nid',
  ),
  'unique keys' => array(
    'vid' => array(
      'vid',
    ),
  ),
  'indexes' => array(
    'node_changed' => array(
      'changed',
    ),
    'node_created' => array(
      'created',
    ),
    'node_moderate' => array(
      'moderate',
    ),
    'node_promote_status' => array(
      'promote',
      'status',
    ),
    'node_status_type' => array(
      'status',
      'type',
      'nid',
    ),
    'node_title_type' => array(
      array(
        'title',
        '191',
      ),
      array(
        'type',
        '4',
      ),
    ),
    'node_type' => array(
      array(
        'type',
        '4',
      ),
    ),
    'uid' => array(
      'uid',
    ),
    'tnid' => array(
      'tnid',
    ),
    'translate' => array(
      'translate',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('node')
->fields(array(
  'nid',
  'vid',
  'type',
  'language',
  'title',
  'uid',
  'status',
  'created',
  'changed',
  'comment',
  'promote',
  'moderate',
  'sticky',
  'tnid',
  'translate',
))
->values(array(
  'nid' => '1',
  'vid' => '1',
  'type' => 'product',
  'language' => 'en',
  'title' => 'Bath Towel',
  'uid' => '1',
  'status' => '1',
  'created' => '1492867780',
  'changed' => '1502996415',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '1',
  'translate' => '0',
))
->values(array(
  'nid' => '2',
  'vid' => '2',
  'type' => 'product',
  'language' => '',
  'title' => 'Beach Towel',
  'uid' => '1',
  'status' => '1',
  'created' => '1492989418',
  'changed' => '1492989509',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '3',
  'vid' => '3',
  'type' => 'product',
  'language' => 'en',
  'title' => 'Fairy cake',
  'uid' => '1',
  'status' => '1',
  'created' => '1492989703',
  'changed' => '1502997083',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '3',
  'translate' => '0',
))
->values(array(
  'nid' => '4',
  'vid' => '4',
  'type' => 'ship',
  'language' => '',
  'title' => 'Golgafrincham B-Ark',
  'uid' => '1',
  'status' => '1',
  'created' => '1500868190',
  'changed' => '1500868190',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '5',
  'vid' => '5',
  'type' => 'ship',
  'language' => '',
  'title' => 'Heart of Gold',
  'uid' => '1',
  'status' => '1',
  'created' => '1500868361',
  'changed' => '1500868361',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '6',
  'vid' => '6',
  'type' => 'page',
  'language' => '',
  'title' => "The Hitchhiker's Guide to the Galaxy",
  'uid' => '1',
  'status' => '1',
  'created' => '1507956360',
  'changed' => '1507956360',
  'comment' => '0',
  'promote' => '0',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '0',
  'translate' => '0',
))
->values(array(
  'nid' => '7',
  'vid' => '7',
  'type' => 'product',
  'language' => 'es',
  'title' => 'Magdalenas',
  'uid' => '1',
  'status' => '1',
  'created' => '1502996212',
  'changed' => '1502997083',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '3',
  'translate' => '0',
))
->values(array(
  'nid' => '8',
  'vid' => '8',
  'type' => 'product',
  'language' => 'es',
  'title' => 'Toalla de ducha',
  'uid' => '1',
  'status' => '1',
  'created' => '1502996415',
  'changed' => '1502996415',
  'comment' => '2',
  'promote' => '1',
  'moderate' => '0',
  'sticky' => '0',
  'tnid' => '1',
  'translate' => '0',
))
->execute();

$connection->schema()->createTable('node_access', array(
  'fields' => array(
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'gid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'realm' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'grant_view' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'grant_update' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'grant_delete' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'nid',
    'gid',
    'realm',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('node_access')
->fields(array(
  'nid',
  'gid',
  'realm',
  'grant_view',
  'grant_update',
  'grant_delete',
))
->values(array(
  'nid' => '0',
  'gid' => '0',
  'realm' => 'all',
  'grant_view' => '1',
  'grant_update' => '0',
  'grant_delete' => '0',
))
->execute();

$connection->schema()->createTable('node_comment_statistics', array(
  'fields' => array(
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'last_comment_timestamp' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'last_comment_name' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '60',
    ),
    'last_comment_uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'comment_count' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'nid',
  ),
  'indexes' => array(
    'node_comment_timestamp' => array(
      'last_comment_timestamp',
    ),
    'comment_count' => array(
      'comment_count',
    ),
    'last_comment_uid' => array(
      'last_comment_uid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('node_comment_statistics')
->fields(array(
  'nid',
  'last_comment_timestamp',
  'last_comment_name',
  'last_comment_uid',
  'comment_count',
))
->values(array(
  'nid' => '1',
  'last_comment_timestamp' => '1492867780',
  'last_comment_name' => NULL,
  'last_comment_uid' => '1',
  'comment_count' => '0',
))
->values(array(
  'nid' => '2',
  'last_comment_timestamp' => '1492989418',
  'last_comment_name' => NULL,
  'last_comment_uid' => '1',
  'comment_count' => '0',
))
->values(array(
  'nid' => '3',
  'last_comment_timestamp' => '1492989703',
  'last_comment_name' => NULL,
  'last_comment_uid' => '1',
  'comment_count' => '0',
))
->values(array(
  'nid' => '4',
  'last_comment_timestamp' => '1502996212',
  'last_comment_name' => NULL,
  'last_comment_uid' => '1',
  'comment_count' => '0',
))
->values(array(
  'nid' => '5',
  'last_comment_timestamp' => '1502996415',
  'last_comment_name' => NULL,
  'last_comment_uid' => '1',
  'comment_count' => '0',
))
->values(array(
  'nid' => '6',
  'last_comment_timestamp' => '1507956360',
  'last_comment_name' => NULL,
  'last_comment_uid' => '1',
  'comment_count' => '0',
))
->execute();

$connection->schema()->createTable('node_counter', array(
  'fields' => array(
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'totalcount' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'big',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'daycount' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'medium',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'timestamp' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'nid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('node_revisions', array(
  'fields' => array(
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'vid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'body' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'big',
    ),
    'teaser' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'big',
    ),
    'log' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'big',
    ),
    'timestamp' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'format' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'vid',
  ),
  'indexes' => array(
    'nid' => array(
      'nid',
    ),
    'uid' => array(
      'uid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('node_revisions')
->fields(array(
  'nid',
  'vid',
  'uid',
  'title',
  'body',
  'teaser',
  'log',
  'timestamp',
  'format',
))
->values(array(
  'nid' => '1',
  'vid' => '1',
  'uid' => '1',
  'title' => 'Bath Towel',
  'body' => '100% Egyptian cotton.',
  'teaser' => '100% Egyptian cotton.',
  'log' => '',
  'timestamp' => '1502996415',
  'format' => '1',
))
->values(array(
  'nid' => '2',
  'vid' => '2',
  'uid' => '1',
  'title' => 'Beach Towel',
  'body' => '',
  'teaser' => '',
  'log' => '',
  'timestamp' => '1492989509',
  'format' => '1',
))
->values(array(
  'nid' => '3',
  'vid' => '3',
  'uid' => '1',
  'title' => 'Fairy cake',
  'body' => 'Necessary ingredient for the Total Perspective Vortex.',
  'teaser' => 'Necessary ingredient for the Total Perspective Vortex.',
  'log' => '',
  'timestamp' => '1502997083',
  'format' => '1',
))
->values(array(
  'nid' => '4',
  'vid' => '4',
  'uid' => '1',
  'title' => 'Golgafrincham B-Ark',
  'body' => 'A two mile long colonist ship.',
  'teaser' => 'A two mile long colonist ship.',
  'log' => '',
  'timestamp' => '1500868190',
  'format' => '1',
))
->values(array(
  'nid' => '5',
  'vid' => '5',
  'uid' => '1',
  'title' => 'Heart of Gold',
  'body' => 'The first prototype ship to successfully use the revolutionary Infinite Improbability Drive. ',
  'teaser' => 'The first prototype ship to successfully use the revolutionary Infinite Improbability Drive. ',
  'log' => '',
  'timestamp' => '1500868361',
  'format' => '1',
))
->values(array(
  'nid' => '6',
  'vid' => '6',
  'uid' => '1',
  'title' => "The Hitchhiker's Guide to the Galaxy",
  'body' => "Don't Panic\r\n",
  'teaser' => "Don't Panic\r\n",
  'log' => '',
  'timestamp' => '1507956360',
  'format' => '1',
))
->values(array(
  'nid' => '7',
  'vid' => '7',
  'uid' => '1',
  'title' => 'Magdalenas',
  'body' => 'Ingrediente necesario para el "Vortex de perspectivo total" (??? ni idea jaja)',
  'teaser' => 'Ingrediente necesario para el "Vortex de perspectivo total" (??? ni idea jaja)',
  'log' => '',
  'timestamp' => '1502997083',
  'format' => '1',
))
->values(array(
  'nid' => '8',
  'vid' => '8',
  'uid' => '1',
  'title' => 'Toalla de ducha',
  'body' => '100% algodón de egipcio',
  'teaser' => '100% algodón de egipcio',
  'log' => '',
  'timestamp' => '1502996415',
  'format' => '1',
))
->execute();

$connection->schema()->createTable('node_type', array(
  'fields' => array(
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'module' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
    ),
    'description' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'medium',
    ),
    'help' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'medium',
    ),
    'has_title' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'unsigned' => TRUE,
    ),
    'title_label' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'has_body' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'unsigned' => TRUE,
    ),
    'body_label' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'min_word_count' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'unsigned' => TRUE,
    ),
    'custom' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'modified' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'locked' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'orig_type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'type',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('node_type')
->fields(array(
  'type',
  'name',
  'module',
  'description',
  'help',
  'has_title',
  'title_label',
  'has_body',
  'body_label',
  'min_word_count',
  'custom',
  'modified',
  'locked',
  'orig_type',
))
->values(array(
  'type' => 'page',
  'name' => 'Page',
  'module' => 'node',
  'description' => "A <em>page</em>, similar in form to a <em>story</em>, is a simple method for creating and displaying information that rarely changes, such as an \"About us\" section of a website. By default, a <em>page</em> entry does not allow visitor comments and is not featured on the site's initial home page.",
  'help' => '',
  'has_title' => '1',
  'title_label' => 'Title',
  'has_body' => '1',
  'body_label' => 'Body',
  'min_word_count' => '0',
  'custom' => '1',
  'modified' => '1',
  'locked' => '0',
  'orig_type' => 'page',
))
->values(array(
  'type' => 'product',
  'name' => 'Product',
  'module' => 'uc_product',
  'description' => 'This node displays the representation of a product for sale on the website. It includes all the unique information that can be attributed to a specific model number.',
  'help' => '',
  'has_title' => '1',
  'title_label' => 'Name',
  'has_body' => '1',
  'body_label' => 'Description',
  'min_word_count' => '0',
  'custom' => '0',
  'modified' => '1',
  'locked' => '1',
  'orig_type' => 'product',
))
->values(array(
  'type' => 'product_kit',
  'name' => 'Product kit',
  'module' => 'uc_product_kit',
  'description' => 'This node represents two or more products that have been listed together. This presents a logical and convenient grouping of items to the customer.',
  'help' => '',
  'has_title' => '1',
  'title_label' => 'Name',
  'has_body' => '1',
  'body_label' => 'Description',
  'min_word_count' => '0',
  'custom' => '0',
  'modified' => '1',
  'locked' => '1',
  'orig_type' => 'product_kit',
))
->values(array(
  'type' => 'ship',
  'name' => 'Ship',
  'module' => 'uc_product',
  'description' => 'A type of spacecraft capable of traveling to the solar systems of other stars',
  'help' => '',
  'has_title' => '1',
  'title_label' => 'Name',
  'has_body' => '1',
  'body_label' => 'Description',
  'min_word_count' => '0',
  'custom' => '0',
  'modified' => '0',
  'locked' => '1',
  'orig_type' => 'ship',
))
->values(array(
  'type' => 'story',
  'name' => 'Story',
  'module' => 'node',
  'description' => "A <em>story</em>, similar in form to a <em>page</em>, is ideal for creating and displaying content that informs or engages website visitors. Press releases, site announcements, and informal blog-like entries may all be created with a <em>story</em> entry. By default, a <em>story</em> entry is automatically featured on the site's initial home page, and provides the ability to post comments.",
  'help' => '',
  'has_title' => '1',
  'title_label' => 'Title',
  'has_body' => '1',
  'body_label' => 'Body',
  'min_word_count' => '0',
  'custom' => '1',
  'modified' => '1',
  'locked' => '0',
  'orig_type' => 'story',
))
->execute();

$connection->schema()->createTable('permission', array(
  'fields' => array(
    'pid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'rid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'perm' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'tid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'pid',
  ),
  'indexes' => array(
    'rid' => array(
      'rid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('permission')
->fields(array(
  'pid',
  'rid',
  'perm',
  'tid',
))
->values(array(
  'pid' => '1',
  'rid' => '1',
  'perm' => 'access content',
  'tid' => '0',
))
->values(array(
  'pid' => '2',
  'rid' => '2',
  'perm' => 'access comments, access content, post comments, post comments without approval',
  'tid' => '0',
))
->execute();

$connection->schema()->createTable('role', array(
  'fields' => array(
    'rid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'rid',
  ),
  'unique keys' => array(
    'name' => array(
      'name',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('role')
->fields(array(
  'rid',
  'name',
))
->values(array(
  'rid' => '1',
  'name' => 'anonymous user',
))
->values(array(
  'rid' => '2',
  'name' => 'authenticated user',
))
->values(array(
  'rid' => '3',
  'name' => 'Store administrator',
))
->values(array(
  'rid' => '4',
  'name' => 'Store manager',
))
->execute();

$connection->schema()->createTable('semaphore', array(
  'fields' => array(
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'value' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'expire' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'big',
    ),
  ),
  'primary key' => array(
    'name',
  ),
  'indexes' => array(
    'expire' => array(
      'expire',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('sessions', array(
  'fields' => array(
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'sid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
    'hostname' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'timestamp' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'cache' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'session' => array(
      'type' => 'blob',
      'not null' => FALSE,
      'size' => 'big',
    ),
  ),
  'primary key' => array(
    'sid',
  ),
  'indexes' => array(
    'timestamp' => array(
      'timestamp',
    ),
    'uid' => array(
      'uid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('system', array(
  'fields' => array(
    'filename' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'owner' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'status' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'throttle' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'bootstrap' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'schema_version' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '-1',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'info' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'filename',
  ),
  'indexes' => array(
    'modules' => array(
      array(
        'type',
        '12',
      ),
      'status',
      'weight',
      array(
        'filename',
        '191',
      ),
    ),
    'bootstrap' => array(
      array(
        'type',
        '12',
      ),
      'status',
      'bootstrap',
      'weight',
      array(
        'filename',
        '191',
      ),
    ),
    'type_name' => array(
      array(
        'type',
        '12',
      ),
      array(
        'name',
        '191',
      ),
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('system')
->fields(array(
  'filename',
  'name',
  'type',
  'owner',
  'status',
  'throttle',
  'bootstrap',
  'schema_version',
  'weight',
  'info',
))
->values(array(
  'filename' => 'modules/aggregator/aggregator.module',
  'name' => 'aggregator',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:10:"Aggregator";s:11:"description";s:57:"Aggregates syndicated content (RSS, RDF, and Atom feeds).";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/block/block.module',
  'name' => 'block',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:5:"Block";s:11:"description";s:62:"Controls the boxes that are displayed around the main content.";s:7:"package";s:15:"Core - required";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/blog/blog.module',
  'name' => 'blog',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:4:"Blog";s:11:"description";s:69:"Enables keeping easily and regularly updated user web pages or blogs.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/blogapi/blogapi.module',
  'name' => 'blogapi',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:8:"Blog API";s:11:"description";s:79:"Allows users to post content using applications that support XML-RPC blog APIs.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/book/book.module',
  'name' => 'book',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:4:"Book";s:11:"description";s:63:"Allows users to structure site pages in a hierarchy or outline.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/color/color.module',
  'name' => 'color',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6001',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:5:"Color";s:11:"description";s:61:"Allows the user to change the color scheme of certain themes.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/comment/comment.module',
  'name' => 'comment',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6005',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:7:"Comment";s:11:"description";s:57:"Allows users to comment on and discuss published content.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/contact/contact.module',
  'name' => 'contact',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:7:"Contact";s:11:"description";s:61:"Enables the use of both personal and site-wide contact forms.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/dblog/dblog.module',
  'name' => 'dblog',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6000',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:16:"Database logging";s:11:"description";s:47:"Logs and records system events to the database.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/filter/filter.module',
  'name' => 'filter',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:6:"Filter";s:11:"description";s:60:"Handles the filtering of content in preparation for display.";s:7:"package";s:15:"Core - required";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/forum/forum.module',
  'name' => 'forum',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:5:"Forum";s:11:"description";s:50:"Enables threaded discussions about general topics.";s:12:"dependencies";a:2:{i:0;s:8:"taxonomy";i:1;s:7:"comment";}s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/help/help.module',
  'name' => 'help',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:4:"Help";s:11:"description";s:35:"Manages the display of online help.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/locale/locale.module',
  'name' => 'locale',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6007',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:6:"Locale";s:11:"description";s:119:"Adds language handling functionality and enables the translation of the user interface to languages other than English.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/menu/menu.module',
  'name' => 'menu',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:4:"Menu";s:11:"description";s:60:"Allows administrators to customize the site navigation menu.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/node/node.module',
  'name' => 'node',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:4:"Node";s:11:"description";s:66:"Allows content to be submitted to the site and displayed on pages.";s:7:"package";s:15:"Core - required";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/openid/openid.module',
  'name' => 'openid',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:6:"OpenID";s:11:"description";s:48:"Allows users to log into your site using OpenID.";s:7:"version";s:4:"6.38";s:7:"package";s:15:"Core - optional";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/path/path.module',
  'name' => 'path',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:4:"Path";s:11:"description";s:28:"Allows users to rename URLs.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/php/php.module',
  'name' => 'php',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:10:"PHP filter";s:11:"description";s:50:"Allows embedded PHP code/snippets to be evaluated.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/ping/ping.module',
  'name' => 'ping',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:4:"Ping";s:11:"description";s:51:"Alerts other sites when your site has been updated.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/poll/poll.module',
  'name' => 'poll',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:4:"Poll";s:11:"description";s:95:"Allows your site to capture votes on different topics in the form of multiple choice questions.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/profile/profile.module',
  'name' => 'profile',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:7:"Profile";s:11:"description";s:36:"Supports configurable user profiles.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/search/search.module',
  'name' => 'search',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:6:"Search";s:11:"description";s:36:"Enables site-wide keyword searching.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/statistics/statistics.module',
  'name' => 'statistics',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:10:"Statistics";s:11:"description";s:37:"Logs access statistics for your site.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/syslog/syslog.module',
  'name' => 'syslog',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:6:"Syslog";s:11:"description";s:41:"Logs and records system events to syslog.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/system/system.module',
  'name' => 'system',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6056',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:6:"System";s:11:"description";s:54:"Handles general site configuration for administrators.";s:7:"package";s:15:"Core - required";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/taxonomy/taxonomy.module',
  'name' => 'taxonomy',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:8:"Taxonomy";s:11:"description";s:38:"Enables the categorization of content.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/throttle/throttle.module',
  'name' => 'throttle',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:8:"Throttle";s:11:"description";s:66:"Handles the auto-throttling mechanism, to control site congestion.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/tracker/tracker.module',
  'name' => 'tracker',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:7:"Tracker";s:11:"description";s:43:"Enables tracking of recent posts for users.";s:12:"dependencies";a:1:{i:0;s:7:"comment";}s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/translation/translation.module',
  'name' => 'translation',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:19:"Content translation";s:11:"description";s:57:"Allows content to be translated into different languages.";s:12:"dependencies";a:1:{i:0;s:6:"locale";}s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/trigger/trigger.module',
  'name' => 'trigger',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:7:"Trigger";s:11:"description";s:90:"Enables actions to be fired on certain system events, such as when new content is created.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/update/update.module',
  'name' => 'update',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:13:"Update status";s:11:"description";s:88:"Checks the status of available updates for Drupal and your installed modules and themes.";s:7:"version";s:4:"6.38";s:7:"package";s:15:"Core - optional";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/upload/upload.module',
  'name' => 'upload',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:6:"Upload";s:11:"description";s:51:"Allows users to upload and attach files to content.";s:7:"package";s:15:"Core - optional";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'modules/user/user.module',
  'name' => 'user',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:4:"User";s:11:"description";s:47:"Manages the user registration and login system.";s:7:"package";s:15:"Core - required";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/cck/content.module',
  'name' => 'content',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6010',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:7:"Content";s:11:"description";s:50:"Allows administrators to define new content types.";s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:8:"6.x-2.10";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1434568159";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/cck/modules/content_copy/content_copy.module',
  'name' => 'content_copy',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:12:"Content Copy";s:11:"description";s:51:"Enables ability to import/export field definitions.";s:12:"dependencies";a:1:{i:0;s:7:"content";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:8:"6.x-2.10";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1434568159";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/cck/modules/content_multigroup/content_multigroup.module',
  'name' => 'content_multigroup',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:18:"Content Multigroup";s:11:"description";s:81:"Combine multiple CCK fields into repeating field collections that work in unison.";s:12:"dependencies";a:2:{i:0;s:7:"content";i:1;s:10:"fieldgroup";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:20:"6.x-3.0-alpha4+0-dev";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1435195093";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/cck/modules/content_permissions/content_permissions.module',
  'name' => 'content_permissions',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:19:"Content Permissions";s:11:"description";s:43:"Set field-level permissions for CCK fields.";s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:12:"dependencies";a:1:{i:0;s:7:"content";}s:7:"version";s:8:"6.x-2.10";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1434568159";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/cck/modules/fieldgroup/fieldgroup.module',
  'name' => 'fieldgroup',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:10:"Fieldgroup";s:11:"description";s:37:"Create display groups for CCK fields.";s:12:"dependencies";a:1:{i:0;s:7:"content";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:8:"6.x-2.10";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1434568159";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/cck/modules/nodereference/nodereference.module',
  'name' => 'nodereference',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6001',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:14:"Node Reference";s:11:"description";s:59:"Defines a field type for referencing one node from another.";s:12:"dependencies";a:3:{i:0;s:7:"content";i:1;s:4:"text";i:2;s:13:"optionwidgets";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:8:"6.x-2.10";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1434568159";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/cck/modules/number/number.module',
  'name' => 'number',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6000',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:6:"Number";s:11:"description";s:28:"Defines numeric field types.";s:12:"dependencies";a:1:{i:0;s:7:"content";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:8:"6.x-2.10";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1434568159";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/cck/modules/optionwidgets/optionwidgets.module',
  'name' => 'optionwidgets',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6001',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:14:"Option Widgets";s:11:"description";s:82:"Defines selection, check box and radio button widgets for text and numeric fields.";s:12:"dependencies";a:1:{i:0;s:7:"content";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:8:"6.x-2.10";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1434568159";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/cck/modules/text/text.module',
  'name' => 'text',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6003',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:4:"Text";s:11:"description";s:32:"Defines simple text field types.";s:12:"dependencies";a:1:{i:0;s:7:"content";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:8:"6.x-2.10";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1434568159";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/cck/modules/userreference/userreference.module',
  'name' => 'userreference',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:14:"User Reference";s:11:"description";s:56:"Defines a field type for referencing a user from a node.";s:12:"dependencies";a:3:{i:0;s:7:"content";i:1;s:4:"text";i:2;s:13:"optionwidgets";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:8:"6.x-2.10";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1434568159";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/cck/tests/content_test.module',
  'name' => 'content_test',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:12:{s:4:"name";s:12:"Content Test";s:11:"description";s:20:"Test module for CCK.";s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:12:"dependencies";a:1:{i:0;s:6:"schema";}s:6:"hidden";b:1;s:5:"files";a:1:{i:0;s:19:"content_test.module";}s:7:"version";s:20:"6.x-3.0-alpha4+0-dev";s:7:"project";s:3:"cck";s:9:"datestamp";s:10:"1435195093";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/date/date/date.module',
  'name' => 'date',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6005',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:4:"Date";s:11:"description";s:41:"Defines CCK date/time fields and widgets.";s:12:"dependencies";a:3:{i:0;s:7:"content";i:1;s:8:"date_api";i:2;s:13:"date_timezone";}s:7:"package";s:9:"Date/Time";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.8";s:7:"project";s:4:"date";s:9:"datestamp";s:10:"1326285938";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/date/date_api.module',
  'name' => 'date_api',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6006',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:8:"Date API";s:11:"description";s:45:"A Date API that can be used by other modules.";s:7:"package";s:9:"Date/Time";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.8";s:7:"project";s:4:"date";s:9:"datestamp";s:10:"1326285938";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/date/date_copy/date_copy.module',
  'name' => 'date_copy',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:8:{s:4:"name";s:9:"Date Copy";s:11:"description";s:32:"Import and export CCK date data.";s:12:"dependencies";a:2:{i:0;s:7:"content";i:1;s:4:"date";}s:7:"package";s:9:"Date/Time";s:4:"core";s:3:"6.x";s:10:"dependents";a:0:{}s:7:"version";N;s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/date/date_locale/date_locale.module',
  'name' => 'date_locale',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:11:"Date Locale";s:11:"description";s:124:"Allows the site admin to configure multiple formats for date/time display to tailor dates for a specific locale or audience.";s:7:"package";s:9:"Date/Time";s:12:"dependencies";a:2:{i:0;s:8:"date_api";i:1;s:6:"locale";}s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.8";s:7:"project";s:4:"date";s:9:"datestamp";s:10:"1326285938";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/date/date_php4/date_php4.module',
  'name' => 'date_php4',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:9:"Date PHP4";s:11:"description";s:134:"Emulate PHP 5.2 date functions in PHP 4.x, PHP 5.0, and PHP 5.1. Required when using the Date API with PHP versions less than PHP 5.2.";s:7:"package";s:9:"Date/Time";s:12:"dependencies";a:1:{i:0;s:8:"date_api";}s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.8";s:7:"project";s:4:"date";s:9:"datestamp";s:10:"1326285938";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/date/date_popup/date_popup.module',
  'name' => 'date_popup',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:10:"Date Popup";s:11:"description";s:84:"Enables jquery popup calendars and time entry widgets for selecting dates and times.";s:12:"dependencies";a:2:{i:0;s:8:"date_api";i:1;s:13:"date_timezone";}s:7:"package";s:9:"Date/Time";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.8";s:7:"project";s:4:"date";s:9:"datestamp";s:10:"1326285938";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/date/date_repeat/date_repeat.module',
  'name' => 'date_repeat',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:15:"Date Repeat API";s:11:"description";s:73:"A Date Repeat API to calculate repeating dates and times from iCal rules.";s:12:"dependencies";a:1:{i:0;s:8:"date_api";}s:7:"package";s:9:"Date/Time";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.8";s:7:"project";s:4:"date";s:9:"datestamp";s:10:"1326285938";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/date/date_timezone/date_timezone.module',
  'name' => 'date_timezone',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '5200',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:13:"Date Timezone";s:11:"description";s:111:"Needed when using Date API. Overrides site and user timezone handling to set timezone names instead of offsets.";s:7:"package";s:9:"Date/Time";s:12:"dependencies";a:1:{i:0;s:8:"date_api";}s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.8";s:7:"project";s:4:"date";s:9:"datestamp";s:10:"1326285938";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/date/date_tools/date_tools.module',
  'name' => 'date_tools',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:10:"Date Tools";s:11:"description";s:52:"Tools to import and auto-create dates and calendars.";s:12:"dependencies";a:2:{i:0;s:7:"content";i:1;s:4:"date";}s:7:"package";s:9:"Date/Time";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.8";s:7:"project";s:4:"date";s:9:"datestamp";s:10:"1326285938";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/devel/devel.module',
  'name' => 'devel',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:5:"Devel";s:11:"description";s:52:"Various blocks, pages, and functions for developers.";s:7:"package";s:11:"Development";s:12:"dependencies";a:1:{i:0;s:4:"menu";}s:4:"core";s:3:"6.x";s:7:"version";s:8:"6.x-1.28";s:7:"project";s:5:"devel";s:9:"datestamp";s:10:"1391635706";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/devel/devel_generate.module',
  'name' => 'devel_generate',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:14:"Devel generate";s:11:"description";s:48:"Generate dummy users, nodes, and taxonomy terms.";s:7:"package";s:11:"Development";s:4:"core";s:3:"6.x";s:7:"version";s:8:"6.x-1.28";s:7:"project";s:5:"devel";s:9:"datestamp";s:10:"1391635706";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/devel/devel_node_access.module',
  'name' => 'devel_node_access',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:17:"Devel node access";s:11:"description";s:67:"Developer block and page illustrating relevant node_access records.";s:7:"package";s:11:"Development";s:4:"core";s:3:"6.x";s:7:"version";s:8:"6.x-1.28";s:7:"project";s:5:"devel";s:9:"datestamp";s:10:"1391635706";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/email/email.module',
  'name' => 'email',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6001',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:5:"Email";s:11:"description";s:35:"Defines an email field type for cck";s:12:"dependencies";a:1:{i:0;s:7:"content";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-1.4";s:7:"project";s:5:"email";s:9:"datestamp";s:10:"1354093658";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/event/contrib/calendarsignup/calendarsignup.module',
  'name' => 'calendarsignup',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:15:"Calendar Signup";s:11:"description";s:44:"Add signup forms in an event.module calendar";s:7:"package";s:5:"Event";s:12:"dependencies";a:2:{i:0;s:5:"event";i:1;s:6:"signup";}s:4:"core";s:3:"6.x";s:7:"version";s:11:"6.x-2.x-dev";s:7:"project";s:5:"event";s:9:"datestamp";s:10:"1425082685";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/event/contrib/datepicker/datepicker.module',
  'name' => 'datepicker',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:11:"Date Picker";s:11:"description";s:40:"Add a date picker to event module forms.";s:7:"package";s:5:"Event";s:12:"dependencies";a:1:{i:0;s:5:"event";}s:4:"core";s:3:"6.x";s:7:"version";s:11:"6.x-2.x-dev";s:7:"project";s:5:"event";s:9:"datestamp";s:10:"1425082685";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/event/event.module',
  'name' => 'event',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:5:"Event";s:11:"description";s:44:"Calendaring API, calendar display and export";s:7:"package";s:5:"Event";s:4:"core";s:3:"6.x";s:7:"version";s:11:"6.x-2.x-dev";s:7:"project";s:5:"event";s:9:"datestamp";s:10:"1425082685";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/filefield/filefield.module',
  'name' => 'filefield',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6104',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:9:"FileField";s:11:"description";s:26:"Defines a file field type.";s:12:"dependencies";a:1:{i:0;s:7:"content";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-3.14";s:7:"project";s:9:"filefield";s:9:"datestamp";s:10:"1456327142";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/filefield/filefield_meta/filefield_meta.module',
  'name' => 'filefield_meta',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:14:"FileField Meta";s:11:"description";s:48:"Add metadata gathering and storage to FileField.";s:12:"dependencies";a:2:{i:0;s:9:"filefield";i:1;s:6:"getid3";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-3.14";s:7:"project";s:9:"filefield";s:9:"datestamp";s:10:"1456327142";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/i18n/i18n.module',
  'name' => 'i18n',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '1',
  'schema_version' => '9',
  'weight' => '10',
  'info' => 'a:10:{s:4:"name";s:20:"Internationalization";s:11:"description";s:49:"Extends Drupal support for multilingual features.";s:12:"dependencies";a:2:{i:0;s:6:"locale";i:1;s:11:"translation";}s:7:"package";s:13:"Multilanguage";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-1.4";s:7:"project";s:4:"i18n";s:9:"datestamp";s:10:"1270669810";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/i18n/i18nblocks/i18nblocks.module',
  'name' => 'i18nblocks',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:17:"Block translation";s:11:"description";s:50:"Enables multilingual blocks and block translation.";s:12:"dependencies";a:2:{i:0;s:4:"i18n";i:1;s:11:"i18nstrings";}s:7:"package";s:13:"Multilanguage";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-1.4";s:7:"project";s:4:"i18n";s:9:"datestamp";s:10:"1270669810";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/i18n/i18ncck/i18ncck.module',
  'name' => 'i18ncck',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:15:"CCK translation";s:11:"description";s:56:"Supports translatable custom CCK fields and fieldgroups.";s:12:"dependencies";a:3:{i:0;s:4:"i18n";i:1;s:7:"content";i:2;s:11:"i18nstrings";}s:7:"package";s:13:"Multilanguage";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-1.4";s:7:"project";s:4:"i18n";s:9:"datestamp";s:10:"1270669810";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/i18n/i18ncontent/i18ncontent.module',
  'name' => 'i18ncontent',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6002',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:24:"Content type translation";s:11:"description";s:99:"Add multilingual options for content and translate related strings: name, description, help text...";s:12:"dependencies";a:1:{i:0;s:11:"i18nstrings";}s:7:"package";s:13:"Multilanguage";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-1.4";s:7:"project";s:4:"i18n";s:9:"datestamp";s:10:"1270669810";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/i18n/i18nmenu/i18nmenu.module',
  'name' => 'i18nmenu',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:16:"Menu translation";s:11:"description";s:40:"Supports translatable custom menu items.";s:12:"dependencies";a:4:{i:0;s:4:"i18n";i:1;s:4:"menu";i:2;s:10:"i18nblocks";i:3;s:11:"i18nstrings";}s:7:"package";s:13:"Multilanguage";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-1.4";s:7:"project";s:4:"i18n";s:9:"datestamp";s:10:"1270669810";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/i18n/i18npoll/i18npoll.module',
  'name' => 'i18npoll',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:14:"Poll aggregate";s:11:"description";s:45:"Aggregates poll results for all translations.";s:12:"dependencies";a:2:{i:0;s:11:"translation";i:1;s:4:"poll";}s:7:"package";s:13:"Multilanguage";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-1.4";s:7:"project";s:4:"i18n";s:9:"datestamp";s:10:"1270669810";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/i18n/i18nprofile/i18nprofile.module',
  'name' => 'i18nprofile',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:19:"Profile translation";s:11:"description";s:36:"Enables multilingual profile fields.";s:12:"dependencies";a:2:{i:0;s:7:"profile";i:1;s:11:"i18nstrings";}s:7:"package";s:13:"Multilanguage";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-1.4";s:7:"project";s:4:"i18n";s:9:"datestamp";s:10:"1270669810";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/i18n/i18nstrings/i18nstrings.module',
  'name' => 'i18nstrings',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6005',
  'weight' => '10',
  'info' => 'a:10:{s:4:"name";s:18:"String translation";s:11:"description";s:57:"Provides support for translation of user defined strings.";s:12:"dependencies";a:1:{i:0;s:6:"locale";}s:7:"package";s:13:"Multilanguage";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-1.4";s:7:"project";s:4:"i18n";s:9:"datestamp";s:10:"1270669810";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/i18n/i18nsync/i18nsync.module',
  'name' => 'i18nsync',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '100',
  'info' => 'a:10:{s:4:"name";s:24:"Synchronize translations";s:11:"description";s:74:"Synchronizes taxonomy and fields accross translations of the same content.";s:12:"dependencies";a:1:{i:0;s:4:"i18n";}s:7:"package";s:13:"Multilanguage";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-1.4";s:7:"project";s:4:"i18n";s:9:"datestamp";s:10:"1270669810";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/i18n/i18ntaxonomy/i18ntaxonomy.module',
  'name' => 'i18ntaxonomy',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6002',
  'weight' => '5',
  'info' => 'a:10:{s:4:"name";s:20:"Taxonomy translation";s:11:"description";s:30:"Enables multilingual taxonomy.";s:12:"dependencies";a:3:{i:0;s:4:"i18n";i:1;s:8:"taxonomy";i:2;s:11:"i18nstrings";}s:7:"package";s:13:"Multilanguage";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-1.4";s:7:"project";s:4:"i18n";s:9:"datestamp";s:10:"1270669810";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/i18n/i18nviews/i18nviews.module',
  'name' => 'i18nviews',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:17:"Views translation";s:11:"description";s:80:"Translation of views strings and content selection for views. Requires Views 3.x";s:12:"dependencies";a:3:{i:0;s:5:"views";i:1;s:11:"i18nstrings";i:2;s:12:"i18ntaxonomy";}s:7:"package";s:13:"Multilanguage";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-1.4";s:7:"project";s:4:"i18n";s:9:"datestamp";s:10:"1270669810";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/i18n/tests/i18n_test.module',
  'name' => 'i18n_test',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:26:"Internationalization tests";s:11:"description";s:55:"Helper module for testing i18n (do not enable manually)";s:12:"dependencies";a:3:{i:0;s:6:"locale";i:1;s:11:"translation";i:2;s:4:"i18n";}s:7:"package";s:5:"Devel";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-1.4";s:7:"project";s:4:"i18n";s:9:"datestamp";s:10:"1270669810";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/imageapi/imageapi.module',
  'name' => 'imageapi',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:8:"ImageAPI";s:11:"description";s:38:"ImageAPI supporting multiple toolkits.";s:7:"package";s:10:"ImageCache";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.1";s:7:"version";s:13:"6.x-1.9+4-dev";s:7:"project";s:8:"imageapi";s:9:"datestamp";s:10:"1380582658";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/imageapi/imageapi_gd.module',
  'name' => 'imageapi_gd',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => "a:10:{s:4:\"name\";s:12:\"ImageAPI GD2\";s:11:\"description\";s:49:\"Uses PHP's built-in GD2 image processing support.\";s:7:\"package\";s:10:\"ImageCache\";s:4:\"core\";s:3:\"6.x\";s:7:\"version\";s:13:\"6.x-1.9+4-dev\";s:7:\"project\";s:8:\"imageapi\";s:9:\"datestamp\";s:10:\"1380582658\";s:12:\"dependencies\";a:0:{}s:10:\"dependents\";a:0:{}s:3:\"php\";s:5:\"4.3.5\";}",
))
->values(array(
  'filename' => 'sites/all/modules/imageapi/imageapi_imagemagick.module',
  'name' => 'imageapi_imagemagick',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:20:"ImageAPI ImageMagick";s:11:"description";s:33:"Command Line ImageMagick support.";s:7:"package";s:10:"ImageCache";s:4:"core";s:3:"6.x";s:7:"version";s:13:"6.x-1.9+4-dev";s:7:"project";s:8:"imageapi";s:9:"datestamp";s:10:"1380582658";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/imagecache/imagecache.module',
  'name' => 'imagecache',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6001',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:10:"ImageCache";s:11:"description";s:36:"Dynamic image manipulator and cache.";s:7:"package";s:10:"ImageCache";s:12:"dependencies";a:1:{i:0;s:8:"imageapi";}s:4:"core";s:3:"6.x";s:7:"version";s:18:"6.x-2.0-rc1+16-dev";s:7:"project";s:10:"imagecache";s:9:"datestamp";s:10:"1380582680";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/imagecache/imagecache_ui.module',
  'name' => 'imagecache_ui',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:13:"ImageCache UI";s:11:"description";s:26:"ImageCache User Interface.";s:12:"dependencies";a:2:{i:0;s:10:"imagecache";i:1;s:8:"imageapi";}s:7:"package";s:10:"ImageCache";s:4:"core";s:3:"6.x";s:7:"version";s:18:"6.x-2.0-rc1+16-dev";s:7:"project";s:10:"imagecache";s:9:"datestamp";s:10:"1380582680";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/imagefield/imagefield.module',
  'name' => 'imagefield',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6006',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:10:"ImageField";s:11:"description";s:28:"Defines an image field type.";s:4:"core";s:3:"6.x";s:12:"dependencies";a:2:{i:0;s:7:"content";i:1;s:9:"filefield";}s:7:"package";s:3:"CCK";s:7:"version";s:7:"6.x-3.3";s:7:"project";s:10:"imagefield";s:9:"datestamp";s:10:"1273102211";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/jquery_ui/jquery_ui.module',
  'name' => 'jquery_ui',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:8:{s:4:"name";s:9:"jQuery UI";s:11:"description";s:55:"Provides the jQuery UI plug-in to other Drupal modules.";s:7:"package";s:14:"User interface";s:4:"core";s:3:"6.x";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:7:"version";N;s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/link/link.module',
  'name' => 'link',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6001',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:4:"Link";s:11:"description";s:32:"Defines simple link field types.";s:12:"dependencies";a:1:{i:0;s:7:"content";}s:7:"package";s:3:"CCK";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-2.7";s:7:"project";s:4:"link";s:9:"datestamp";s:10:"1257135943";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/phone/phone.module',
  'name' => 'phone',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6201',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:11:"Phone - CCK";s:11:"description";s:84:"The phone module allows administrators to define a CCK field type for phone numbers.";s:7:"package";s:3:"CCK";s:12:"dependencies";a:1:{i:0;s:7:"content";}s:4:"core";s:3:"6.x";s:7:"version";s:11:"6.x-1.x-dev";s:7:"project";s:5:"phone";s:9:"datestamp";s:10:"1380622979";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/token/tests/token_test.module',
  'name' => 'token_test',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:12:{s:4:"name";s:10:"Token Test";s:11:"description";s:39:"Testing module for token functionality.";s:7:"package";s:7:"Testing";s:4:"core";s:3:"6.x";s:5:"files";a:1:{i:0;s:17:"token_test.module";}s:6:"hidden";b:1;s:7:"version";s:14:"6.x-1.19+0-dev";s:7:"project";s:5:"token";s:9:"datestamp";s:10:"1382147389";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/token/token.module',
  'name' => 'token',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '1',
  'weight' => '10',
  'info' => 'a:9:{s:4:"name";s:5:"Token";s:11:"description";s:79:"Provides a shared API for replacement of textual placeholders with actual data.";s:4:"core";s:3:"6.x";s:7:"version";s:14:"6.x-1.19+0-dev";s:7:"project";s:5:"token";s:9:"datestamp";s:10:"1382147389";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/token/tokenSTARTER.module',
  'name' => 'tokenSTARTER',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:9:{s:4:"name";s:12:"TokenSTARTER";s:11:"description";s:72:"Provides additional tokens and a base on which to build your own tokens.";s:12:"dependencies";a:1:{i:0;s:5:"token";}s:4:"core";s:3:"6.x";s:7:"version";s:14:"6.x-1.19+0-dev";s:7:"project";s:5:"token";s:9:"datestamp";s:10:"1382147389";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/token/token_actions.module',
  'name' => 'token_actions',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:9:{s:4:"name";s:13:"Token actions";s:11:"description";s:73:"Provides enhanced versions of core Drupal actions using the Token module.";s:12:"dependencies";a:1:{i:0;s:5:"token";}s:4:"core";s:3:"6.x";s:7:"version";s:14:"6.x-1.19+0-dev";s:7:"project";s:5:"token";s:9:"datestamp";s:10:"1382147389";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/ca/ca.module',
  'name' => 'ca',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6001',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:19:"Conditional Actions";s:11:"description";s:82:"REQUIRED. Creates conditional action configurations for taxes, shipping, and more!";s:7:"package";s:15:"Ubercart - core";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/payment/uc_2checkout/uc_2checkout.module',
  'name' => 'uc_2checkout',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:9:"2Checkout";s:11:"description";s:39:"Processes payments using 2Checkout.com.";s:12:"dependencies";a:1:{i:0;s:10:"uc_payment";}s:7:"package";s:18:"Ubercart - payment";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/payment/uc_authorizenet/uc_authorizenet.module',
  'name' => 'uc_authorizenet',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:13:"Authorize.net";s:11:"description";s:61:"Processes payments using Authorize.net. Supports AIM and ARB.";s:12:"dependencies";a:2:{i:0;s:10:"uc_payment";i:1;s:9:"uc_credit";}s:7:"package";s:18:"Ubercart - payment";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/payment/uc_credit/test_gateway.module',
  'name' => 'test_gateway',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:12:"Test gateway";s:11:"description";s:84:"Adds a credit card gateway that simulates a successful payment for testing checkout.";s:12:"dependencies";a:2:{i:0;s:10:"uc_payment";i:1;s:9:"uc_credit";}s:7:"package";s:18:"Ubercart - payment";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/payment/uc_credit/uc_credit.module',
  'name' => 'uc_credit',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '1',
  'schema_version' => '6000',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:11:"Credit card";s:11:"description";s:53:"Enables support for credit card payments at checkout.";s:12:"dependencies";a:2:{i:0;s:8:"uc_store";i:1;s:10:"uc_payment";}s:7:"package";s:18:"Ubercart - payment";s:4:"core";s:3:"6.x";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/payment/uc_cybersource/uc_cybersource.module',
  'name' => 'uc_cybersource',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:11:"CyberSource";s:11:"description";s:90:"Processes payments using the CyberSource Silent Order POST and Hosted Order Page services.";s:12:"dependencies";a:1:{i:0;s:10:"uc_payment";}s:7:"package";s:18:"Ubercart - payment";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/payment/uc_google_checkout/uc_google_checkout.module',
  'name' => 'uc_google_checkout',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:15:"Google Checkout";s:11:"description";s:137:"This module is obsolete and CANNOT be installed. Uninstall hooks remain so you can remove this module if you previously had it installed.";s:12:"dependencies";a:3:{i:0;s:7:"uc_cart";i:1;s:10:"uc_payment";i:2;s:8:"uc_quote";}s:7:"package";s:18:"Ubercart - payment";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/payment/uc_payment/uc_payment.module',
  'name' => 'uc_payment',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6004',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:7:"Payment";s:11:"description";s:61:"Defines an API to let payment modules interact with the cart.";s:12:"dependencies";a:3:{i:0;s:2:"ca";i:1;s:8:"uc_order";i:2;s:8:"uc_store";}s:7:"package";s:26:"Ubercart - core (optional)";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/payment/uc_payment_pack/uc_payment_pack.module',
  'name' => 'uc_payment_pack',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6000',
  'weight' => '0',
  'info' => "a:10:{s:4:\"name\";s:19:\"Payment method pack\";s:11:\"description\";s:65:\"Provides the check/money order, COD, and 'other' payment methods.\";s:12:\"dependencies\";a:2:{i:0;s:7:\"uc_cart\";i:1;s:10:\"uc_payment\";}s:7:\"package\";s:18:\"Ubercart - payment\";s:4:\"core\";s:3:\"6.x\";s:3:\"php\";s:3:\"5.0\";s:7:\"version\";s:8:\"6.x-2.14\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965373\";s:10:\"dependents\";a:0:{}}",
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/payment/uc_paypal/uc_paypal.module',
  'name' => 'uc_paypal',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:6:"PayPal";s:11:"description";s:60:"Integrates various PayPal payment services and IPN feedback.";s:12:"dependencies";a:1:{i:0;s:10:"uc_payment";}s:7:"package";s:18:"Ubercart - payment";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/shipping/uc_flatrate/uc_flatrate.module',
  'name' => 'uc_flatrate',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6003',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:8:"Flatrate";s:11:"description";s:78:"Assigns a flat shipping rate to an order, plus an optional amount per product.";s:12:"dependencies";a:1:{i:0;s:8:"uc_quote";}s:7:"package";s:22:"Ubercart - fulfillment";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/shipping/uc_quote/uc_quote.module',
  'name' => 'uc_quote',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6004',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:15:"Shipping Quotes";s:11:"description";s:52:"Retrieves and displays quotes for shipping products.";s:12:"dependencies";a:2:{i:0;s:7:"uc_cart";i:1;s:2:"ca";}s:7:"package";s:26:"Ubercart - core (optional)";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/shipping/uc_shipping/uc_shipping.module',
  'name' => 'uc_shipping',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6006',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:8:"Shipping";s:11:"description";s:42:"Gets products ready for physical shipment.";s:12:"dependencies";a:1:{i:0;s:8:"uc_quote";}s:7:"package";s:26:"Ubercart - core (optional)";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/shipping/uc_ups/uc_ups.module',
  'name' => 'uc_ups',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:3:"UPS";s:11:"description";s:70:"Integrates UPS Rates and Services Selection and Shipping Online Tools.";s:12:"dependencies";a:1:{i:0;s:8:"uc_quote";}s:7:"package";s:22:"Ubercart - fulfillment";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/shipping/uc_usps/uc_usps.module',
  'name' => 'uc_usps',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:19:"U.S. Postal Service";s:11:"description";s:69:"Integrates USPS Rate Calculator and Mail Service Standards Web Tools.";s:12:"dependencies";a:1:{i:0;s:8:"uc_quote";}s:7:"package";s:22:"Ubercart - fulfillment";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/shipping/uc_weightquote/uc_weightquote.module',
  'name' => 'uc_weightquote',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:12:"Weight quote";s:11:"description";s:52:"Assigns a shipping rate to products based on weight.";s:12:"dependencies";a:1:{i:0;s:8:"uc_quote";}s:7:"package";s:22:"Ubercart - fulfillment";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/uc_attribute/uc_attribute.module',
  'name' => 'uc_attribute',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6006',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:18:"Product attributes";s:11:"description";s:102:"Extends product content types to support product variations that customers may select before purchase.";s:12:"dependencies";a:1:{i:0;s:10:"uc_product";}s:7:"package";s:26:"Ubercart - core (optional)";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/uc_cart/uc_cart.module',
  'name' => 'uc_cart',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6203',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:4:"Cart";s:11:"description";s:82:"REQUIRED. Controls the shopping cart and checkout for an Ubercart e-commerce site.";s:12:"dependencies";a:3:{i:0;s:2:"ca";i:1;s:8:"uc_order";i:2;s:10:"uc_product";}s:7:"package";s:15:"Ubercart - core";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/uc_cart_links/uc_cart_links.module',
  'name' => 'uc_cart_links',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:10:"Cart Links";s:11:"description";s:47:"Creates specialized links to purchase products.";s:12:"dependencies";a:1:{i:0;s:7:"uc_cart";}s:7:"package";s:16:"Ubercart - extra";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/uc_catalog/uc_catalog.module',
  'name' => 'uc_catalog',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:7:"Catalog";s:11:"description";s:55:"Displays a hierarchical product catalog page and block.";s:12:"dependencies";a:3:{i:0;s:4:"path";i:1;s:8:"taxonomy";i:2;s:10:"uc_product";}s:7:"package";s:26:"Ubercart - core (optional)";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/uc_file/uc_file.module',
  'name' => 'uc_file',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6007',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:14:"File downloads";s:11:"description";s:57:"Allows products to be associated with downloadable files.";s:12:"dependencies";a:2:{i:0;s:10:"uc_product";i:1;s:8:"uc_order";}s:7:"package";s:26:"Ubercart - core (optional)";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/uc_googleanalytics/uc_googleanalytics.module',
  'name' => 'uc_googleanalytics',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:29:"Google Analytics for Ubercart";s:11:"description";s:56:"Adds e-commerce tracking to the Google Analytics module.";s:12:"dependencies";a:4:{i:0;s:15:"googleanalytics";i:1;s:7:"uc_cart";i:2;s:8:"uc_order";i:3;s:8:"uc_store";}s:7:"package";s:16:"Ubercart - extra";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/uc_order/uc_order.module',
  'name' => 'uc_order',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6200',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:5:"Order";s:11:"description";s:59:"REQUIRED. Receives and manages orders through your website.";s:12:"dependencies";a:3:{i:0;s:2:"ca";i:1;s:5:"token";i:2;s:8:"uc_store";}s:7:"package";s:15:"Ubercart - core";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/uc_product/uc_product.module',
  'name' => 'uc_product',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6009',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:7:"Product";s:11:"description";s:115:"REQUIRED. Provides content types to represent items in an online store. Imagecache and CCK Image field recommended.";s:12:"dependencies";a:1:{i:0;s:8:"uc_store";}s:7:"package";s:15:"Ubercart - core";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/uc_product_kit/uc_product_kit.module',
  'name' => 'uc_product_kit',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6003',
  'weight' => '0',
  'info' => "a:11:{s:4:\"name\";s:11:\"Product Kit\";s:148:\"Provides a content type that groups two or more products together, allowing them to be purchased as a bundle with an optional discount.\ndependencies\";a:1:{i:0;s:10:\"uc_product\";}s:7:\"package\";s:16:\"Ubercart - extra\";s:4:\"core\";s:3:\"6.x\";s:3:\"php\";s:3:\"5.0\";s:7:\"version\";s:8:\"6.x-2.14\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965373\";s:12:\"dependencies\";a:0:{}s:10:\"dependents\";a:0:{}s:11:\"description\";s:0:\"\";}",
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/uc_reports/uc_reports.module',
  'name' => 'uc_reports',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6000',
  'weight' => '0',
  'info' => "a:10:{s:4:\"name\";s:7:\"Reports\";s:11:\"description\";s:67:\"Provides reports about your store's sales, customers, and products.\";s:12:\"dependencies\";a:2:{i:0;s:8:\"uc_order\";i:1;s:10:\"uc_product\";}s:7:\"package\";s:26:\"Ubercart - core (optional)\";s:4:\"core\";s:3:\"6.x\";s:3:\"php\";s:3:\"5.0\";s:7:\"version\";s:8:\"6.x-2.14\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965373\";s:10:\"dependents\";a:0:{}}",
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/uc_roles/uc_roles.module',
  'name' => 'uc_roles',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6004',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:5:"Roles";s:11:"description";s:64:"Assigns permanent or expirable roles based on product purchases.";s:12:"dependencies";a:2:{i:0;s:10:"uc_product";i:1;s:8:"uc_order";}s:7:"package";s:26:"Ubercart - core (optional)";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/uc_stock/uc_stock.module',
  'name' => 'uc_stock',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:5:"Stock";s:11:"description";s:37:"Manages stock levels of your products";s:12:"dependencies";a:2:{i:0;s:2:"ca";i:1;s:10:"uc_product";}s:7:"package";s:16:"Ubercart - extra";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/uc_store/uc_store.module',
  'name' => 'uc_store',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '1',
  'schema_version' => '6007',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:5:"Store";s:11:"description";s:70:"REQUIRED. Handles store settings and management of your Ubercart site.";s:7:"package";s:15:"Ubercart - core";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/uc_taxes/uc_taxes.module',
  'name' => 'uc_taxes',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6003',
  'weight' => '10',
  'info' => "a:10:{s:4:\"name\";s:5:\"Taxes\";s:11:\"description\";s:72:\"Defines tax rates for customers' geographic locations and products sold.\";s:12:\"dependencies\";a:4:{i:0;s:8:\"uc_store\";i:1;s:10:\"uc_payment\";i:2;s:10:\"uc_product\";i:3;s:2:\"ca\";}s:7:\"package\";s:26:\"Ubercart - core (optional)\";s:4:\"core\";s:3:\"6.x\";s:3:\"php\";s:3:\"5.0\";s:7:\"version\";s:8:\"6.x-2.14\";s:7:\"project\";s:8:\"ubercart\";s:9:\"datestamp\";s:10:\"1413965373\";s:10:\"dependents\";a:0:{}}",
))
->values(array(
  'filename' => 'sites/all/modules/ubercart/uc_tax_report/uc_tax_report.module',
  'name' => 'uc_tax_report',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '0',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:10:"Tax report";s:11:"description";s:51:"Provides a report of sales tax your customers paid.";s:12:"dependencies";a:2:{i:0;s:10:"uc_reports";i:1;s:8:"uc_taxes";}s:7:"package";s:26:"Ubercart - core (optional)";s:4:"core";s:3:"6.x";s:3:"php";s:3:"5.0";s:7:"version";s:8:"6.x-2.14";s:7:"project";s:8:"ubercart";s:9:"datestamp";s:10:"1413965373";s:10:"dependents";a:0:{}}',
))
->values(array(
  'filename' => 'sites/all/modules/variable/variable.module',
  'name' => 'variable',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:9:{s:4:"name";s:12:"Variable API";s:11:"description";s:12:"Variable API";s:4:"core";s:3:"6.x";s:7:"version";s:14:"6.x-1.0-alpha1";s:7:"project";s:8:"variable";s:9:"datestamp";s:10:"1414059742";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/variable/variable_admin/variable_admin.module',
  'name' => 'variable_admin',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:9:{s:4:"name";s:14:"Variable admin";s:11:"description";s:23:"Variable API - Admin UI";s:4:"core";s:3:"6.x";s:7:"version";s:14:"6.x-1.0-alpha1";s:7:"project";s:8:"variable";s:9:"datestamp";s:10:"1414059742";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/views/views.module',
  'name' => 'views',
  'type' => 'module',
  'owner' => '',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '6300',
  'weight' => '10',
  'info' => 'a:10:{s:4:"name";s:5:"Views";s:11:"description";s:55:"Create customized lists and queries from your database.";s:7:"package";s:5:"Views";s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-3.2";s:7:"project";s:5:"views";s:9:"datestamp";s:10:"1423647787";s:12:"dependencies";a:0:{}s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/views/views_export/views_export.module',
  'name' => 'views_export',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:14:"Views exporter";s:11:"description";s:40:"Allows exporting multiple views at once.";s:7:"package";s:5:"Views";s:12:"dependencies";a:1:{i:0;s:5:"views";}s:4:"core";s:3:"6.x";s:7:"version";s:7:"6.x-3.2";s:7:"project";s:5:"views";s:9:"datestamp";s:10:"1423647787";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'sites/all/modules/views/views_ui.module',
  'name' => 'views_ui',
  'type' => 'module',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:10:{s:4:"name";s:8:"Views UI";s:11:"description";s:93:"Administrative interface to views. Without this module, you cannot create or edit your views.";s:7:"package";s:5:"Views";s:4:"core";s:3:"6.x";s:12:"dependencies";a:1:{i:0;s:5:"views";}s:7:"version";s:7:"6.x-3.2";s:7:"project";s:5:"views";s:9:"datestamp";s:10:"1423647787";s:10:"dependents";a:0:{}s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'themes/bluemarine/bluemarine.info',
  'name' => 'bluemarine',
  'type' => 'theme',
  'owner' => 'themes/engines/phptemplate/phptemplate.engine',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:13:{s:4:"name";s:10:"Bluemarine";s:11:"description";s:66:"Table-based multi-column theme with a marine and ash color scheme.";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/bluemarine/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:27:"themes/bluemarine/script.js";}s:10:"screenshot";s:32:"themes/bluemarine/screenshot.png";s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'themes/chameleon/chameleon.info',
  'name' => 'chameleon',
  'type' => 'theme',
  'owner' => 'themes/chameleon/chameleon.theme',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:12:{s:4:"name";s:9:"Chameleon";s:11:"description";s:42:"Minimalist tabled theme with light colors.";s:7:"regions";a:2:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";}s:8:"features";a:4:{i:0;s:4:"logo";i:1;s:7:"favicon";i:2;s:4:"name";i:3;s:6:"slogan";}s:11:"stylesheets";a:1:{s:3:"all";a:2:{s:9:"style.css";s:26:"themes/chameleon/style.css";s:10:"common.css";s:27:"themes/chameleon/common.css";}}s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:7:"scripts";a:1:{s:9:"script.js";s:26:"themes/chameleon/script.js";}s:10:"screenshot";s:31:"themes/chameleon/screenshot.png";s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'themes/chameleon/marvin/marvin.info',
  'name' => 'marvin',
  'type' => 'theme',
  'owner' => '',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:13:{s:4:"name";s:6:"Marvin";s:11:"description";s:31:"Boxy tabled theme in all grays.";s:7:"regions";a:2:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";}s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:10:"base theme";s:9:"chameleon";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:33:"themes/chameleon/marvin/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:33:"themes/chameleon/marvin/script.js";}s:10:"screenshot";s:38:"themes/chameleon/marvin/screenshot.png";s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'themes/garland/garland.info',
  'name' => 'garland',
  'type' => 'theme',
  'owner' => 'themes/engines/phptemplate/phptemplate.engine',
  'status' => '1',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:13:{s:4:"name";s:7:"Garland";s:11:"description";s:66:"Tableless, recolorable, multi-column, fluid width theme (default).";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:11:"stylesheets";a:2:{s:3:"all";a:1:{s:9:"style.css";s:24:"themes/garland/style.css";}s:5:"print";a:1:{s:9:"print.css";s:24:"themes/garland/print.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:7:"scripts";a:1:{s:9:"script.js";s:24:"themes/garland/script.js";}s:10:"screenshot";s:29:"themes/garland/screenshot.png";s:3:"php";s:5:"4.3.5";}',
))
->values(array(
  'filename' => 'themes/garland/minnelli/minnelli.info',
  'name' => 'minnelli',
  'type' => 'theme',
  'owner' => 'themes/engines/phptemplate/phptemplate.engine',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:14:{s:4:"name";s:8:"Minnelli";s:11:"description";s:56:"Tableless, recolorable, multi-column, fixed width theme.";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:10:"base theme";s:7:"garland";s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:12:"minnelli.css";s:36:"themes/garland/minnelli/minnelli.css";}}s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:7:"scripts";a:1:{s:9:"script.js";s:33:"themes/garland/minnelli/script.js";}s:10:"screenshot";s:38:"themes/garland/minnelli/screenshot.png";s:3:"php";s:5:"4.3.5";s:6:"engine";s:11:"phptemplate";}',
))
->values(array(
  'filename' => 'themes/pushbutton/pushbutton.info',
  'name' => 'pushbutton',
  'type' => 'theme',
  'owner' => 'themes/engines/phptemplate/phptemplate.engine',
  'status' => '0',
  'throttle' => '0',
  'bootstrap' => '0',
  'schema_version' => '-1',
  'weight' => '0',
  'info' => 'a:13:{s:4:"name";s:10:"Pushbutton";s:11:"description";s:52:"Tabled, multi-column theme in blue and orange tones.";s:7:"version";s:4:"6.38";s:4:"core";s:3:"6.x";s:6:"engine";s:11:"phptemplate";s:7:"project";s:6:"drupal";s:9:"datestamp";s:10:"1456343372";s:7:"regions";a:5:{s:4:"left";s:12:"Left sidebar";s:5:"right";s:13:"Right sidebar";s:7:"content";s:7:"Content";s:6:"header";s:6:"Header";s:6:"footer";s:6:"Footer";}s:8:"features";a:10:{i:0;s:20:"comment_user_picture";i:1;s:7:"favicon";i:2;s:7:"mission";i:3;s:4:"logo";i:4;s:4:"name";i:5;s:17:"node_user_picture";i:6;s:6:"search";i:7;s:6:"slogan";i:8;s:13:"primary_links";i:9;s:15:"secondary_links";}s:11:"stylesheets";a:1:{s:3:"all";a:1:{s:9:"style.css";s:27:"themes/pushbutton/style.css";}}s:7:"scripts";a:1:{s:9:"script.js";s:27:"themes/pushbutton/script.js";}s:10:"screenshot";s:32:"themes/pushbutton/screenshot.png";s:3:"php";s:5:"4.3.5";}',
))
->execute();

$connection->schema()->createTable('term_data', array(
  'fields' => array(
    'tid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'vid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'description' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'language' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '12',
      'default' => '',
    ),
    'trid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'tid',
  ),
  'indexes' => array(
    'taxonomy_tree' => array(
      'vid',
      'weight',
      array(
        'name',
        '191',
      ),
    ),
    'vid_name' => array(
      'vid',
      array(
        'name',
        '191',
      ),
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('term_data')
->fields(array(
  'tid',
  'vid',
  'name',
  'description',
  'weight',
  'language',
  'trid',
))
->values(array(
  'tid' => '1',
  'vid' => '1',
  'name' => 'Linen',
  'description' => '',
  'weight' => '0',
  'language' => '',
  'trid' => '0',
))
->values(array(
  'tid' => '2',
  'vid' => '1',
  'name' => 'Travel',
  'description' => '',
  'weight' => '0',
  'language' => '',
  'trid' => '0',
))
->values(array(
  'tid' => '3',
  'vid' => '1',
  'name' => 'Ingredients',
  'description' => 'One of the substances present in a mixture, especially food.',
  'weight' => '0',
  'language' => '',
  'trid' => '0',
))
->execute();

$connection->schema()->createTable('term_hierarchy', array(
  'fields' => array(
    'tid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'parent' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'tid',
    'parent',
  ),
  'indexes' => array(
    'parent' => array(
      'parent',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('term_hierarchy')
->fields(array(
  'tid',
  'parent',
))
->values(array(
  'tid' => '1',
  'parent' => '0',
))
->values(array(
  'tid' => '2',
  'parent' => '0',
))
->values(array(
  'tid' => '3',
  'parent' => '0',
))
->execute();

$connection->schema()->createTable('term_node', array(
  'fields' => array(
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'vid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'tid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'tid',
    'vid',
  ),
  'indexes' => array(
    'vid' => array(
      'vid',
    ),
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('term_node')
->fields(array(
  'nid',
  'vid',
  'tid',
))
->values(array(
  'nid' => '1',
  'vid' => '1',
  'tid' => '1',
))
->values(array(
  'nid' => '2',
  'vid' => '2',
  'tid' => '1',
))
->values(array(
  'nid' => '5',
  'vid' => '5',
  'tid' => '1',
))
->values(array(
  'nid' => '1',
  'vid' => '1',
  'tid' => '2',
))
->values(array(
  'nid' => '5',
  'vid' => '5',
  'tid' => '2',
))
->values(array(
  'nid' => '3',
  'vid' => '3',
  'tid' => '3',
))
->values(array(
  'nid' => '4',
  'vid' => '4',
  'tid' => '3',
))
->execute();

$connection->schema()->createTable('term_relation', array(
  'fields' => array(
    'trid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'tid1' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'tid2' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'trid',
  ),
  'unique keys' => array(
    'tid1_tid2' => array(
      'tid1',
      'tid2',
    ),
  ),
  'indexes' => array(
    'tid2' => array(
      'tid2',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('term_synonym', array(
  'fields' => array(
    'tsid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'tid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'tsid',
  ),
  'indexes' => array(
    'tid' => array(
      'tid',
    ),
    'name_tid' => array(
      array(
        'name',
        '191',
      ),
      'tid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_attribute_options', array(
  'fields' => array(
    'aid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'oid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'cost' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'price' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'weight' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'ordering' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'oid',
  ),
  'indexes' => array(
    'aid' => array(
      'aid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_attribute_options')
->fields(array(
  'aid',
  'oid',
  'name',
  'cost',
  'price',
  'weight',
  'ordering',
))
->values(array(
  'aid' => '1',
  'oid' => '1',
  'name' => 'Heart of Gold',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'ordering' => '0',
))
->values(array(
  'aid' => '1',
  'oid' => '2',
  'name' => 'Trillian',
  'cost' => '1.00000',
  'price' => '1.00000',
  'weight' => '0',
  'ordering' => '0',
))
->values(array(
  'aid' => '1',
  'oid' => '3',
  'name' => 'Pan Galactic Gargle Blaster',
  'cost' => '1.00000',
  'price' => '3.00000',
  'weight' => '0',
  'ordering' => '0',
))
->values(array(
  'aid' => '2',
  'oid' => '4',
  'name' => 'White',
  'cost' => '10.00000',
  'price' => '20.00000',
  'weight' => '500',
  'ordering' => '0',
))
->values(array(
  'aid' => '2',
  'oid' => '5',
  'name' => 'Gold',
  'cost' => '10.00000',
  'price' => '20.00000',
  'weight' => '500',
  'ordering' => '1',
))
->values(array(
  'aid' => '3',
  'oid' => '6',
  'name' => 'Keychain',
  'cost' => '5.00000',
  'price' => '10.00000',
  'weight' => '20',
  'ordering' => '0',
))
->values(array(
  'aid' => '3',
  'oid' => '7',
  'name' => 'Desk',
  'cost' => '10.00000',
  'price' => '15.00000',
  'weight' => '400',
  'ordering' => '5',
))
->execute();

$connection->schema()->createTable('uc_attributes', array(
  'fields' => array(
    'aid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'label' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'ordering' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'required' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'display' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '1',
      'unsigned' => TRUE,
    ),
    'description' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'aid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_attributes')
->fields(array(
  'aid',
  'name',
  'label',
  'ordering',
  'required',
  'display',
  'description',
))
->values(array(
  'aid' => '1',
  'name' => 'Design',
  'label' => 'Cool Designs for your towel',
  'ordering' => '10',
  'required' => '1',
  'display' => '2',
  'description' => 'Select a design',
))
->values(array(
  'aid' => '2',
  'name' => 'Color',
  'label' => 'Color',
  'ordering' => '0',
  'required' => '1',
  'display' => '3',
  'description' => 'Available towel colors',
))
->values(array(
  'aid' => '3',
  'name' => 'model size attribute longer than 32 characters',
  'label' => 'Model size',
  'ordering' => '5',
  'required' => '0',
  'display' => '1',
  'description' => 'Select your starship model size.',
))
->values(array(
  'aid' => '4',
  'name' => 'Name',
  'label' => 'Name',
  'ordering' => '7',
  'required' => '0',
  'display' => '0',
  'description' => 'Enter a name to be written on the cake.',
))
->execute();

$connection->schema()->createTable('uc_cart_products', array(
  'fields' => array(
    'cart_item_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'cart_id' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '0',
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'qty' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'changed' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'data' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'cart_item_id',
  ),
  'indexes' => array(
    'cart_id' => array(
      array(
        'cart_id',
        '191',
      ),
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_cart_products')
->fields(array(
  'cart_item_id',
  'cart_id',
  'nid',
  'qty',
  'changed',
  'data',
))
->values(array(
  'cart_item_id' => '1',
  'cart_id' => '2',
  'nid' => '1',
  'qty' => '1',
  'changed' => '1525395985',
  'data' => 'a:3:{s:10:"attributes";a:2:{i:2;s:4:"Blue";i:1;a:3:{i:1;i:1;i:3;i:0;i:2;i:0;}}s:9:"shippable";s:1:"1";s:6:"module";s:10:"uc_product";}',
))
->values(array(
  'cart_item_id' => '3',
  'cart_id' => '4',
  'nid' => '2',
  'qty' => '1',
  'changed' => '1526437141',
  'data' => 'a:3:{s:10:"attributes";a:2:{i:2;s:5:"green";i:1;a:3:{i:3;i:3;i:1;i:0;i:2;i:0;}}s:9:"shippable";s:1:"1";s:6:"module";s:10:"uc_product";}',
))
->execute();

$connection->schema()->createTable('uc_catalog_images', array(
  'fields' => array(
    'fid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'tid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'filename' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'filepath' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'filemime' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'filesize' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'fid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_class_attribute_options', array(
  'fields' => array(
    'pcid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'oid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'cost' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'price' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'weight' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'ordering' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'pcid',
    'oid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_class_attributes', array(
  'fields' => array(
    'pcid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'aid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'label' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'ordering' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'default_option' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'required' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'display' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '1',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'pcid',
    'aid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_countries', array(
  'fields' => array(
    'country_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'country_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'country_iso_code_2' => array(
      'type' => 'char',
      'not null' => TRUE,
      'length' => '2',
      'default' => '',
    ),
    'country_iso_code_3' => array(
      'type' => 'char',
      'not null' => TRUE,
      'length' => '3',
      'default' => '',
    ),
    'version' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'country_id',
  ),
  'indexes' => array(
    'country_name' => array(
      array(
        'country_name',
        '191',
      ),
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_countries')
->fields(array(
  'country_id',
  'country_name',
  'country_iso_code_2',
  'country_iso_code_3',
  'version',
  'weight',
))
->values(array(
  'country_id' => '124',
  'country_name' => 'Canada',
  'country_iso_code_2' => 'CA',
  'country_iso_code_3' => 'CAN',
  'version' => '2',
  'weight' => '0',
))
->values(array(
  'country_id' => '826',
  'country_name' => 'United Kingdom',
  'country_iso_code_2' => 'GB',
  'country_iso_code_3' => 'GBR',
  'version' => '2',
  'weight' => '0',
))
->values(array(
  'country_id' => '840',
  'country_name' => 'United States',
  'country_iso_code_2' => 'US',
  'country_iso_code_3' => 'USA',
  'version' => '1',
  'weight' => '0',
))
->execute();

$connection->schema()->createTable('uc_file_products', array(
  'fields' => array(
    'fpid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'pfid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'fid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'model' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '255',
    ),
    'description' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '255',
    ),
    'shippable' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'download_limit' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'normal',
      'default' => '-1',
    ),
    'address_limit' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'normal',
      'default' => '-1',
    ),
    'time_granularity' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '16',
      'default' => '-1',
    ),
    'time_quantity' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '-1',
    ),
  ),
  'primary key' => array(
    'fpid',
  ),
  'indexes' => array(
    'pfid' => array(
      'pfid',
    ),
    'fid' => array(
      'fid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_file_users', array(
  'fields' => array(
    'fuid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'fid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'pfid' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'file_key' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'granted' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'expiration' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'normal',
      'default' => '0',
    ),
    'accessed' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'addresses' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'download_limit' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'address_limit' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'fuid',
  ),
  'indexes' => array(
    'fid' => array(
      'fid',
    ),
    'uid' => array(
      'uid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_files', array(
  'fields' => array(
    'fid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'filename' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'fid',
  ),
  'indexes' => array(
    'filename' => array(
      array(
        'filename',
        '191',
      ),
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_flatrate_methods', array(
  'fields' => array(
    'mid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'label' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'base_rate' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'product_rate' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
  ),
  'primary key' => array(
    'mid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_flatrate_methods')
->fields(array(
  'mid',
  'title',
  'label',
  'base_rate',
  'product_rate',
))
->values(array(
  'mid' => '1',
  'title' => 'Fluff Ltd',
  'label' => 'Fluff transport',
  'base_rate' => '5.00000',
  'product_rate' => '1.00000',
))
->values(array(
  'mid' => '2',
  'title' => 'Joopleberry Co.',
  'label' => 'Joopleberry transport',
  'base_rate' => '2.50000',
  'product_rate' => '0.50000',
))
->execute();

$connection->schema()->createTable('uc_flatrate_products', array(
  'fields' => array(
    'vid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'mid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'rate' => array(
      'type' => 'numeric',
      'not null' => FALSE,
      'precision' => '16',
      'scale' => '5',
    ),
  ),
  'primary key' => array(
    'vid',
    'mid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_order_admin_comments', array(
  'fields' => array(
    'comment_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'order_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'message' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'comment_id',
  ),
  'indexes' => array(
    'order_id' => array(
      'order_id',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_order_admin_comments')
->fields(array(
  'comment_id',
  'order_id',
  'uid',
  'message',
  'created',
))
->values(array(
  'comment_id' => '1',
  'order_id' => '1',
  'uid' => '1',
  'message' => 'Order created by the administration.',
  'created' => '1492868907',
))
->values(array(
  'comment_id' => '2',
  'order_id' => '1',
  'uid' => '1',
  'message' => 'Ford bought a new towel.',
  'created' => '1492868946',
))
->values(array(
  'comment_id' => '3',
  'order_id' => '2',
  'uid' => '0',
  'message' => 'Order created through website.',
  'created' => '1492989939',
))
->values(array(
  'comment_id' => '4',
  'order_id' => '3',
  'uid' => '1',
  'message' => 'Order created by the administration.',
  'created' => '1502996811',
))
->values(array(
  'comment_id' => '5',
  'order_id' => '3',
  'uid' => '1',
  'message' => 'Dile al cliente que llegue cuando llegue',
  'created' => '1502997045',
))
->execute();

$connection->schema()->createTable('uc_order_comments', array(
  'fields' => array(
    'comment_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'order_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'order_status' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'notified' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'message' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'comment_id',
  ),
  'indexes' => array(
    'order_id' => array(
      'order_id',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_order_comments')
->fields(array(
  'comment_id',
  'order_id',
  'uid',
  'order_status',
  'notified',
  'message',
  'created',
))
->values(array(
  'comment_id' => '2',
  'order_id' => '2',
  'uid' => '0',
  'order_status' => 'pending',
  'notified' => '1',
  'message' => 'I was right.',
  'created' => '1492989931',
))
->values(array(
  'comment_id' => '3',
  'order_id' => '3',
  'uid' => '1',
  'order_status' => 'processing',
  'notified' => '0',
  'message' => 'Este pedido se mandará a España en breve.',
  'created' => '1502996997',
))
->execute();

$connection->schema()->createTable('uc_order_line_items', array(
  'fields' => array(
    'line_item_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'order_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'amount' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'data' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'line_item_id',
  ),
  'indexes' => array(
    'order_id' => array(
      'order_id',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_order_line_items')
->fields(array(
  'line_item_id',
  'order_id',
  'type',
  'title',
  'amount',
  'weight',
  'data',
))
->values(array(
  'line_item_id' => '1',
  'order_id' => '1',
  'type' => 'shipping',
  'title' => 'Joopleberry transport',
  'amount' => '3.50000',
  'weight' => '1',
  'data' => 'N;',
))
->values(array(
  'line_item_id' => '2',
  'order_id' => '2',
  'type' => 'shipping',
  'title' => 'Shipping',
  'amount' => '1000.00000',
  'weight' => '1',
  'data' => 'N;',
))
->values(array(
  'line_item_id' => '3',
  'order_id' => '3',
  'type' => 'shipping',
  'title' => 'Shipping',
  'amount' => '20.00000',
  'weight' => '1',
  'data' => 'N;',
))
->values(array(
  'line_item_id' => '4',
  'order_id' => '4',
  'type' => 'shipping',
  'title' => 'Fluff transport',
  'amount' => '6.00000',
  'weight' => '1',
  'data' => 'N;',
))
->values(array(
  'line_item_id' => '5',
  'order_id' => '1',
  'type' => 'generic',
  'title' => 'Service charge',
  'amount' => '1.99000',
  'weight' => '2',
  'data' => 'N;',
))
->values(array(
  'line_item_id' => '6',
  'order_id' => '2',
  'type' => 'tax',
  'title' => 'Handling',
  'amount' => '60.00000',
  'weight' => '9',
  'data' => 'a:4:{s:6:"tax_id";s:1:"1";s:8:"tax_rate";s:4:"0.04";s:14:"taxable_amount";d:1500;s:16:"tax_jurisdiction";s:8:"Handling";}',
))
->values(array(
  'line_item_id' => '7',
  'order_id' => '1',
  'type' => 'tax',
  'title' => 'Handling',
  'amount' => '1.40000',
  'weight' => '9',
  'data' => 'a:4:{s:6:"tax_id";s:1:"1";s:8:"tax_rate";s:4:"0.04";s:14:"taxable_amount";d:35;s:16:"tax_jurisdiction";s:8:"Handling";}',
))
->values(array(
  'line_item_id' => '8',
  'order_id' => '4',
  'type' => 'tax',
  'title' => 'Handling',
  'amount' => '240000000.00000',
  'weight' => '9',
  'data' => 'a:4:{s:6:"tax_id";s:1:"1";s:8:"tax_rate";s:4:"0.04";s:14:"taxable_amount";d:6000000000;s:16:"tax_jurisdiction";s:8:"Handling";}',
))
->values(array(
  'line_item_id' => '9',
  'order_id' => '3',
  'type' => 'tax',
  'title' => 'Handling',
  'amount' => '0.80000',
  'weight' => '9',
  'data' => 'a:4:{s:6:"tax_id";s:1:"1";s:8:"tax_rate";s:4:"0.04";s:14:"taxable_amount";d:20;s:16:"tax_jurisdiction";s:8:"Handling";}',
))
->execute();

$connection->schema()->createTable('uc_order_log', array(
  'fields' => array(
    'order_log_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'order_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'changes' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'order_log_id',
  ),
  'indexes' => array(
    'order_id' => array(
      'order_id',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_order_log')
->fields(array(
  'order_log_id',
  'order_id',
  'uid',
  'changes',
  'created',
))
->values(array(
  'order_log_id' => '1',
  'order_id' => '1',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first\">delivery_country changed from <em>0</em> to <em>840</em>.</li>\n<li>delivery_zone changed from <em>0</em> to <em></em>.</li>\n<li>billing_country changed from <em>0</em> to <em>840</em>.</li>\n<li class=\"last\">billing_zone changed from <em>0</em> to <em></em>.</li>\n</ul></div>",
  'created' => '1492868946',
))
->values(array(
  'order_log_id' => '2',
  'order_id' => '2',
  'uid' => '0',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>In checkout</em> to <em>Pending</em>.</li>\n</ul></div>",
  'created' => '1492989939',
))
->values(array(
  'order_log_id' => '3',
  'order_id' => '1',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Added (1) Beach Towel to order.</li>\n</ul></div>",
  'created' => '1493078770',
))
->values(array(
  'order_log_id' => '4',
  'order_id' => '1',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first\">delivery_zone changed from <em>0</em> to <em></em>.</li>\n<li class=\"last\">billing_zone changed from <em>0</em> to <em></em>.</li>\n</ul></div>",
  'created' => '1493078781',
))
->values(array(
  'order_log_id' => '5',
  'order_id' => '1',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first\">delivery_zone changed from <em>0</em> to <em></em>.</li>\n<li class=\"last\">billing_zone changed from <em>0</em> to <em></em>.</li>\n</ul></div>",
  'created' => '1493078815',
))
->values(array(
  'order_log_id' => '6',
  'order_id' => '2',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">COD payment for 2,500.00\$ entered by 1.</li>\n</ul></div>",
  'created' => '1508916761',
))
->values(array(
  'order_log_id' => '7',
  'order_id' => '2',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>Pending</em> to <em>Payment received</em>.</li>\n</ul></div>",
  'created' => '1508916762',
))
->values(array(
  'order_log_id' => '8',
  'order_id' => '2',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">COD payment for -900.00\$ entered by 1.</li>\n</ul></div>",
  'created' => '1508916774',
))
->values(array(
  'order_log_id' => '9',
  'order_id' => '2',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">COD payment for 50.00\$ entered by 1.</li>\n</ul></div>",
  'created' => '1508916930',
))
->values(array(
  'order_log_id' => '10',
  'order_id' => '2',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">COD payment for -800.00\$ entered by 1.</li>\n</ul></div>",
  'created' => '1508916939',
))
->values(array(
  'order_log_id' => '11',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Added (1) Bath Towel to order.</li>\n</ul></div>",
  'created' => '1511148674',
))
->values(array(
  'order_log_id' => '12',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first\">delivery_country changed from <em>0</em> to <em>840</em>.</li>\n<li>delivery_zone changed from <em>0</em> to <em></em>.</li>\n<li>billing_country changed from <em>0</em> to <em>840</em>.</li>\n<li>billing_zone changed from <em>0</em> to <em></em>.</li>\n<li class=\"last\">payment_method changed from <em></em> to <em>cod</em>.</li>\n</ul></div>",
  'created' => '1511148697',
))
->values(array(
  'order_log_id' => '13',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">COD payment for -25.00\$ entered by 1.</li>\n</ul></div>",
  'created' => '1511148865',
))
->values(array(
  'order_log_id' => '14',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">COD payment for 12.00\$ entered by 1.</li>\n</ul></div>",
  'created' => '1511148928',
))
->values(array(
  'order_log_id' => '15',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">COD payment for -25.00\$ deleted by 1.</li>\n</ul></div>",
  'created' => '1511149017',
))
->values(array(
  'order_log_id' => '16',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">COD payment for -20.00\$ entered by 1.</li>\n</ul></div>",
  'created' => '1511149034',
))
->values(array(
  'order_log_id' => '17',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">COD payment for -20.00\$ deleted by 1.</li>\n</ul></div>",
  'created' => '1511149081',
))
->values(array(
  'order_log_id' => '18',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">COD payment for -11.00\$ entered by 1.</li>\n</ul></div>",
  'created' => '1511149094',
))
->values(array(
  'order_log_id' => '19',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">COD payment for -11.00\$ deleted by 1.</li>\n</ul></div>",
  'created' => '1511149236',
))
->values(array(
  'order_log_id' => '20',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">COD payment for 15.00\$ entered by 1.</li>\n</ul></div>",
  'created' => '1511149246',
))
->values(array(
  'order_log_id' => '21',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>Pending</em> to <em>Payment received</em>.</li>\n</ul></div>",
  'created' => '1511149246',
))
->values(array(
  'order_log_id' => '22',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Added (1) Magdalenas to order.</li>\n</ul></div>",
  'created' => '1502996880',
))
->values(array(
  'order_log_id' => '23',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first\">delivery_first_name changed from <em></em> to <em>Trin</em>.</li>\n<li>delivery_last_name changed from <em></em> to <em>Tragula</em>.</li>\n<li>delivery_phone changed from <em></em> to <em>111-9876</em>.</li>\n<li>delivery_company changed from <em></em> to <em>Perspective Ltd.</em>.</li>\n<li>delivery_street1 changed from <em></em> to <em>42 View Lane</em>.</li>\n<li>delivery_street2 changed from <em></em> to <em>Frogstar</em>.</li>\n<li>delivery_city changed from <em></em> to <em>World B</em>.</li>\n<li>delivery_country changed from <em>0</em> to <em>840</em>.</li>\n<li>delivery_zone changed from <em>0</em> to <em>65</em>.</li>\n<li>delivery_postal_code changed from <em></em> to <em>7654</em>.</li>\n<li>billing_first_name changed from <em></em> to <em>Trin</em>.</li>\n<li>billing_last_name changed from <em></em> to <em>Tragula</em>.</li>\n<li>billing_phone changed from <em></em> to <em>111-9876</em>.</li>\n<li>billing_company changed from <em></em> to <em>Perspective Ltd.</em>.</li>\n<li>billing_street1 changed from <em></em> to <em>42 View Lane</em>.</li>\n<li>billing_street2 changed from <em></em> to <em>Frogstar</em>.</li>\n<li>billing_city changed from <em></em> to <em>World B</em>.</li>\n<li>billing_country changed from <em>0</em> to <em>840</em>.</li>\n<li>billing_zone changed from <em>0</em> to <em>65</em>.</li>\n<li class=\"last\">billing_postal_code changed from <em></em> to <em>7654</em>.</li>\n</ul></div>",
  'created' => '1502996887',
))
->values(array(
  'order_log_id' => '24',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Other payment for 40.00\$ entered by 1.</li>\n</ul></div>",
  'created' => '1502996928',
))
->values(array(
  'order_log_id' => '25',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>Pending</em> to <em>Payment received</em>.</li>\n</ul></div>",
  'created' => '1502996928',
))
->values(array(
  'order_log_id' => '26',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Order status changed from <em>Payment received</em> to <em>Processing</em>.</li>\n</ul></div>",
  'created' => '1502996997',
))
->values(array(
  'order_log_id' => '27',
  'order_id' => '1',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first\">delivery_zone changed from <em>0</em> to <em></em>.</li>\n<li>billing_zone changed from <em>0</em> to <em></em>.</li>\n<li class=\"last\">payment_method changed from <em></em> to <em>cod</em>.</li>\n</ul></div>",
  'created' => '1523578130',
))
->values(array(
  'order_log_id' => '28',
  'order_id' => '1',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first\">delivery_zone changed from <em>0</em> to <em></em>.</li>\n<li class=\"last\">billing_zone changed from <em>0</em> to <em></em>.</li>\n</ul></div>",
  'created' => '1523578137',
))
->values(array(
  'order_log_id' => '29',
  'order_id' => '4',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Added (1) Golgafrincham B-Ark to order.</li>\n</ul></div>",
  'created' => '1523578271',
))
->values(array(
  'order_log_id' => '30',
  'order_id' => '4',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">payment_method changed from <em></em> to <em>cod</em>.</li>\n</ul></div>",
  'created' => '1523578282',
))
->values(array(
  'order_log_id' => '31',
  'order_id' => '1',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first\">delivery_zone changed from <em>0</em> to <em></em>.</li>\n<li class=\"last\">billing_zone changed from <em>0</em> to <em></em>.</li>\n</ul></div>",
  'created' => '1534122276',
))
->values(array(
  'order_log_id' => '32',
  'order_id' => '2',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">payment_method changed from <em></em> to <em>cod</em>.</li>\n</ul></div>",
  'created' => '1534122833',
))
->values(array(
  'order_log_id' => '33',
  'order_id' => '2',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Added <em>60.00\$</em> for <em>Handling</em>.</li>\n</ul></div>",
  'created' => '1534122833',
))
->values(array(
  'order_log_id' => '34',
  'order_id' => '1',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first\">delivery_zone changed from <em>0</em> to <em></em>.</li>\n<li class=\"last\">billing_zone changed from <em>0</em> to <em></em>.</li>\n</ul></div>",
  'created' => '1534122890',
))
->values(array(
  'order_log_id' => '35',
  'order_id' => '1',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Added <em>1.40\$</em> for <em>Handling</em>.</li>\n</ul></div>",
  'created' => '1534122890',
))
->values(array(
  'order_log_id' => '36',
  'order_id' => '4',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Added <em>240,000,000.00\$</em> for <em>Handling</em>.</li>\n</ul></div>",
  'created' => '1534124487',
))
->values(array(
  'order_log_id' => '37',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first\">delivery_zone changed from <em>0</em> to <em></em>.</li>\n<li class=\"last\">billing_zone changed from <em>0</em> to <em></em>.</li>\n</ul></div>",
  'created' => '1534124490',
))
->values(array(
  'order_log_id' => '38',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first last\">Added <em>0.80\$</em> for <em>Handling</em>.</li>\n</ul></div>",
  'created' => '1534124490',
))
->values(array(
  'order_log_id' => '39',
  'order_id' => '3',
  'uid' => '1',
  'changes' => "<div class=\"item-list\"><ul><li class=\"first\">delivery_zone changed from <em>0</em> to <em></em>.</li>\n<li class=\"last\">billing_zone changed from <em>0</em> to <em></em>.</li>\n</ul></div>",
  'created' => '1534124514',
))
->execute();

$connection->schema()->createTable('uc_order_products', array(
  'fields' => array(
    'order_product_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'order_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'manufacturer' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'model' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'qty' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'cost' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'price' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'weight' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'data' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'order_product_id',
  ),
  'indexes' => array(
    'order_id' => array(
      'order_id',
    ),
    'qty' => array(
      'qty',
    ),
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_order_products')
->fields(array(
  'order_product_id',
  'order_id',
  'nid',
  'title',
  'manufacturer',
  'model',
  'qty',
  'cost',
  'price',
  'weight',
  'data',
))
->values(array(
  'order_product_id' => '2',
  'order_id' => '2',
  'nid' => '3',
  'title' => 'Fairy cake',
  'manufacturer' => '',
  'model' => 'Fairy-Cake-001',
  'qty' => '1',
  'cost' => '500.00000',
  'price' => '1500.00000',
  'weight' => '10',
  'data' => 'a:2:{s:9:"shippable";s:1:"1";s:6:"module";s:10:"uc_product";}',
))
->values(array(
  'order_product_id' => '3',
  'order_id' => '1',
  'nid' => '1',
  'title' => 'Bath Towel',
  'manufacturer' => '',
  'model' => 'towel-bath-001',
  'qty' => '1',
  'cost' => '5.00000',
  'price' => '20.00000',
  'weight' => '700',
  'data' => 'a:2:{s:9:"shippable";s:1:"1";s:6:"module";s:10:"uc_product";}',
))
->values(array(
  'order_product_id' => '4',
  'order_id' => '1',
  'nid' => '2',
  'title' => 'Beach Towel',
  'manufacturer' => '',
  'model' => 'towel-beach-001',
  'qty' => '1',
  'cost' => '5.00000',
  'price' => '15.00000',
  'weight' => '700',
  'data' => 'a:2:{s:10:"attributes";a:0:{}s:9:"shippable";s:1:"1";}',
))
->values(array(
  'order_product_id' => '5',
  'order_id' => '3',
  'nid' => '4',
  'title' => 'Magdalenas',
  'manufacturer' => '',
  'model' => 'Fairy-Cake-001',
  'qty' => '1',
  'cost' => '10.00000',
  'price' => '20.00000',
  'weight' => '10',
  'data' => 'a:2:{s:10:"attributes";a:1:{s:10:"Model size";a:1:{i:0;s:5:"Large";}}s:9:"shippable";s:1:"1";}',
))
->values(array(
  'order_product_id' => '6',
  'order_id' => '4',
  'nid' => '4',
  'title' => 'Golgafrincham B-Ark',
  'manufacturer' => '',
  'model' => 'ship-001',
  'qty' => '1',
  'cost' => '3000000000.00000',
  'price' => '6000000000.00000',
  'weight' => '700000',
  'data' => 'a:2:{s:10:"attributes";a:1:{s:10:"Model size";a:1:{i:0;s:5:"small";}}s:9:"shippable";s:1:"1";}',
))
->values(array(
  'order_product_id' => '7',
  'order_id' => '5',
  'nid' => '2',
  'title' => 'Beach Towel',
  'manufacturer' => '',
  'model' => 'towel-beach-001',
  'qty' => '1',
  'cost' => '6.00000',
  'price' => '18.00000',
  'weight' => '700',
  'data' => 'a:3:{s:10:"attributes";a:2:{s:5:"Color";a:1:{i:0;s:5:"green";}s:3:"Des";a:1:{i:3;s:27:"Pan Galactic Gargle Blaster";}}s:9:"shippable";s:1:"1";s:6:"module";s:10:"uc_product";}',
))
->execute();

$connection->schema()->createTable('uc_order_quotes', array(
  'fields' => array(
    'order_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'method' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '25',
      'default' => '',
    ),
    'accessorials' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'rate' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'quote_form' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'unique keys' => array(
    'order_id_quote_method' => array(
      'order_id',
      'method',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_order_quotes')
->fields(array(
  'order_id',
  'method',
  'accessorials',
  'rate',
  'quote_form',
))
->values(array(
  'order_id' => '4',
  'method' => 'flatrate_1',
  'accessorials' => '0',
  'rate' => '6.00000',
  'quote_form' => "<div class=\"form-item\"><input name=\"rate[flatrate_1---0]\" value=\"6\" type=\"hidden\"><label class=\"option\"><input class=\"form-radio\" name=\"quote-option\" value=\"flatrate_1---0\" type=\"radio\">Fluff transport: 6.00\$</label></div>\n<div class=\"form-item\"><input name=\"rate[flatrate_2---0]\" value=\"3\" type=\"hidden\"><label class=\"option\"><input class=\"form-radio\" name=\"quote-option\" value=\"flatrate_2---0\" type=\"radio\">Joopleberry transport: 3.00\$</label></div>\n",
))
->values(array(
  'order_id' => '1',
  'method' => 'flatrate_2',
  'accessorials' => '0',
  'rate' => '3.50000',
  'quote_form' => "<div class=\"form-item\"><input name=\"rate[flatrate_1---0]\" value=\"7\" type=\"hidden\"><label class=\"option\"><input class=\"form-radio\" name=\"quote-option\" value=\"flatrate_1---0\" type=\"radio\">Fluff transport: 7.00\$</label></div>\n<div class=\"form-item\"><input name=\"rate[flatrate_2---0]\" value=\"3.5\" type=\"hidden\"><label class=\"option\"><input class=\"form-radio\" name=\"quote-option\" value=\"flatrate_2---0\" type=\"radio\">Joopleberry transport: 3.50\$</label></div>\n",
))
->execute();

$connection->schema()->createTable('uc_order_statuses', array(
  'fields' => array(
    'order_status_id' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '48',
      'default' => '',
    ),
    'state' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'locked' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'order_status_id',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_order_statuses')
->fields(array(
  'order_status_id',
  'title',
  'state',
  'weight',
  'locked',
))
->values(array(
  'order_status_id' => 'canceled',
  'title' => 'Canceled',
  'state' => 'canceled',
  'weight' => '-20',
  'locked' => '1',
))
->values(array(
  'order_status_id' => 'completed',
  'title' => 'Completed',
  'state' => 'completed',
  'weight' => '20',
  'locked' => '1',
))
->values(array(
  'order_status_id' => 'in_checkout',
  'title' => 'In checkout',
  'state' => 'in_checkout',
  'weight' => '-10',
  'locked' => '1',
))
->values(array(
  'order_status_id' => 'payment_received',
  'title' => 'Payment received',
  'state' => 'payment_received',
  'weight' => '10',
  'locked' => '1',
))
->values(array(
  'order_status_id' => 'pending',
  'title' => 'Pending',
  'state' => 'post_checkout',
  'weight' => '0',
  'locked' => '1',
))
->values(array(
  'order_status_id' => 'processing',
  'title' => 'Processing',
  'state' => 'post_checkout',
  'weight' => '5',
  'locked' => '1',
))
->execute();

$connection->schema()->createTable('uc_orders', array(
  'fields' => array(
    'order_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'order_status' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'order_total' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'product_count' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'primary_email' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '96',
      'default' => '',
    ),
    'delivery_first_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'delivery_last_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'delivery_phone' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'delivery_company' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'delivery_street1' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'delivery_street2' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'delivery_city' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'delivery_zone' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'medium',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'delivery_postal_code' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'delivery_country' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'medium',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'billing_first_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'billing_last_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'billing_phone' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'billing_company' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'billing_street1' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'billing_street2' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'billing_city' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'billing_zone' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'medium',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'billing_postal_code' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'billing_country' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'medium',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'payment_method' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'data' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'modified' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'host' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'currency' => array(
      'type' => 'char',
      'not null' => TRUE,
      'length' => '3',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'order_id',
  ),
  'indexes' => array(
    'uid' => array(
      'uid',
    ),
    'order_status' => array(
      'order_status',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_orders')
->fields(array(
  'order_id',
  'uid',
  'order_status',
  'order_total',
  'product_count',
  'primary_email',
  'delivery_first_name',
  'delivery_last_name',
  'delivery_phone',
  'delivery_company',
  'delivery_street1',
  'delivery_street2',
  'delivery_city',
  'delivery_zone',
  'delivery_postal_code',
  'delivery_country',
  'billing_first_name',
  'billing_last_name',
  'billing_phone',
  'billing_company',
  'billing_street1',
  'billing_street2',
  'billing_city',
  'billing_zone',
  'billing_postal_code',
  'billing_country',
  'payment_method',
  'data',
  'created',
  'modified',
  'host',
  'currency',
))
->values(array(
  'order_id' => '1',
  'uid' => '3',
  'order_status' => 'pending',
  'order_total' => '41.89000',
  'product_count' => '2',
  'primary_email' => 'fordprefect@example.com',
  'delivery_first_name' => '',
  'delivery_last_name' => '',
  'delivery_phone' => '',
  'delivery_company' => '',
  'delivery_street1' => '',
  'delivery_street2' => '',
  'delivery_city' => '',
  'delivery_zone' => '0',
  'delivery_postal_code' => '',
  'delivery_country' => '840',
  'billing_first_name' => '',
  'billing_last_name' => '',
  'billing_phone' => '',
  'billing_company' => '',
  'billing_street1' => '',
  'billing_street2' => '',
  'billing_city' => '',
  'billing_zone' => '0',
  'billing_postal_code' => '',
  'billing_country' => '840',
  'payment_method' => 'cod',
  'data' => 'a:0:{}',
  'created' => '1492868907',
  'modified' => '1523578137',
  'host' => '10.1.1.2',
  'currency' => 'NZD',
))
->values(array(
  'order_id' => '2',
  'uid' => '5',
  'order_status' => 'payment_received',
  'order_total' => '2560.00000',
  'product_count' => '1',
  'primary_email' => 'trintragula@example.com',
  'delivery_first_name' => 'Trin',
  'delivery_last_name' => 'Tragula',
  'delivery_phone' => '111-9876',
  'delivery_company' => 'Perspective Ltd.',
  'delivery_street1' => '42 View Lane',
  'delivery_street2' => 'Frogstar',
  'delivery_city' => 'World B',
  'delivery_zone' => '65',
  'delivery_postal_code' => '7654',
  'delivery_country' => '840',
  'billing_first_name' => 'Trin',
  'billing_last_name' => 'Tragula',
  'billing_phone' => '111-9876',
  'billing_company' => 'Perspective Ltd.',
  'billing_street1' => '42 View Lane',
  'billing_street2' => 'Frogstar',
  'billing_city' => 'World B',
  'billing_zone' => '65',
  'billing_postal_code' => '7654',
  'billing_country' => '840',
  'payment_method' => 'cod',
  'data' => 'a:2:{s:8:"new_user";a:1:{s:4:"name";s:11:"trintragula";}s:13:"complete_sale";s:8:"new_user";}',
  'created' => '1492989920',
  'modified' => '1508916762',
  'host' => '10.1.1.2',
  'currency' => 'NZD',
))
->values(array(
  'order_id' => '3',
  'uid' => '4',
  'order_status' => 'payment_received',
  'order_total' => '40.80000',
  'product_count' => '1',
  'primary_email' => 'zaphod@example.com',
  'delivery_first_name' => '',
  'delivery_last_name' => '',
  'delivery_phone' => '',
  'delivery_company' => '',
  'delivery_street1' => '',
  'delivery_street2' => '',
  'delivery_city' => '',
  'delivery_zone' => '0',
  'delivery_postal_code' => '',
  'delivery_country' => '840',
  'billing_first_name' => 'Zaphod',
  'billing_last_name' => 'Beeblebrox',
  'billing_phone' => '226 7709',
  'billing_company' => '',
  'billing_street1' => '29 Arlington Avenue',
  'billing_street2' => '',
  'billing_city' => 'London',
  'billing_zone' => '0',
  'billing_postal_code' => 'N1',
  'billing_country' => '826',
  'payment_method' => 'cod',
  'data' => 'a:1:{s:13:"complete_sale";s:9:"logged_in";}',
  'created' => '1511148641',
  'modified' => '1511149246',
  'host' => '10.1.1.2',
  'currency' => 'NZD',
))
->values(array(
  'order_id' => '4',
  'uid' => '2',
  'order_status' => 'processing',
  'order_total' => '6240000006.00000',
  'product_count' => '1',
  'primary_email' => 'trillian@example.com',
  'delivery_first_name' => 'Trin',
  'delivery_last_name' => 'Tragula',
  'delivery_phone' => '111-9876',
  'delivery_company' => 'Perspective Ltd.',
  'delivery_street1' => '42 View Lane',
  'delivery_street2' => 'Frogstar',
  'delivery_city' => 'World B',
  'delivery_zone' => '65',
  'delivery_postal_code' => '7654',
  'delivery_country' => '840',
  'billing_first_name' => 'Trin',
  'billing_last_name' => 'Tragula',
  'billing_phone' => '111-9876',
  'billing_company' => 'Perspective Ltd.',
  'billing_street1' => '42 View Lane',
  'billing_street2' => 'Frogstar',
  'billing_city' => 'World B',
  'billing_zone' => '65',
  'billing_postal_code' => '7654',
  'billing_country' => '840',
  'payment_method' => 'cod',
  'data' => 'a:1:{s:13:"complete_sale";s:9:"logged_in";}',
  'created' => '1502996811',
  'modified' => '1523578318',
  'host' => '10.1.1.2',
  'currency' => 'NZD',
))
->values(array(
  'order_id' => '5',
  'uid' => '4',
  'order_status' => 'in_checkout',
  'order_total' => '24.00000',
  'product_count' => '1',
  'primary_email' => 'zaphod@example.com',
  'delivery_first_name' => '',
  'delivery_last_name' => '',
  'delivery_phone' => '',
  'delivery_company' => '',
  'delivery_street1' => '',
  'delivery_street2' => '',
  'delivery_city' => '',
  'delivery_zone' => '0',
  'delivery_postal_code' => '',
  'delivery_country' => '840',
  'billing_first_name' => '',
  'billing_last_name' => '',
  'billing_phone' => '',
  'billing_company' => '',
  'billing_street1' => '',
  'billing_street2' => '',
  'billing_city' => '',
  'billing_zone' => '0',
  'billing_postal_code' => '',
  'billing_country' => '840',
  'payment_method' => 'cod',
  'data' => 'a:0:{}',
  'created' => '1526437863',
  'modified' => '1526437864',
  'host' => '10.1.1.2',
  'currency' => 'NZD',
))
->execute();

$connection->schema()->createTable('uc_packaged_products', array(
  'fields' => array(
    'package_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'order_product_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'qty' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'package_id',
    'order_product_id',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_packages', array(
  'fields' => array(
    'package_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'order_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'shipping_type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'pkg_type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'length' => array(
      'type' => 'float',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'width' => array(
      'type' => 'float',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'height' => array(
      'type' => 'float',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'length_units' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '255',
    ),
    'value' => array(
      'type' => 'numeric',
      'not null' => FALSE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'sid' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'tracking_number' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '255',
    ),
    'label_image' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '255',
    ),
  ),
  'primary key' => array(
    'package_id',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_payment_check', array(
  'fields' => array(
    'check_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'order_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'clear_date' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'check_id',
  ),
  'indexes' => array(
    'order_id' => array(
      'order_id',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_payment_cod', array(
  'fields' => array(
    'order_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'delivery_month' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'delivery_day' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'delivery_year' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'order_id',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_payment_other', array(
  'fields' => array(
    'order_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'description' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'order_id',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_payment_receipts', array(
  'fields' => array(
    'receipt_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'order_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'method' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'amount' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'data' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'comment' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'received' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'receipt_id',
  ),
  'indexes' => array(
    'order_id' => array(
      'order_id',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_payment_receipts')
->fields(array(
  'receipt_id',
  'order_id',
  'method',
  'amount',
  'uid',
  'data',
  'comment',
  'received',
))
->values(array(
  'receipt_id' => '1',
  'order_id' => '1',
  'method' => 'Check',
  'amount' => '37.99000',
  'uid' => '1',
  'data' => '',
  'comment' => 'Cheerio',
  'received' => '1496232000',
))
->values(array(
  'receipt_id' => '2',
  'order_id' => '2',
  'method' => 'COD',
  'amount' => '2000.00000',
  'uid' => '1',
  'data' => '',
  'comment' => '',
  'received' => '1508916761',
))
->values(array(
  'receipt_id' => '3',
  'order_id' => '2',
  'method' => 'COD',
  'amount' => '-900.00000',
  'uid' => '1',
  'data' => '',
  'comment' => '',
  'received' => '1508916774',
))
->values(array(
  'receipt_id' => '4',
  'order_id' => '2',
  'method' => 'COD',
  'amount' => '50.00000',
  'uid' => '1',
  'data' => '',
  'comment' => '',
  'received' => '1508916930',
))
->values(array(
  'receipt_id' => '5',
  'order_id' => '2',
  'method' => 'COD',
  'amount' => '-800.00000',
  'uid' => '1',
  'data' => '',
  'comment' => '',
  'received' => '1508916939',
))
->values(array(
  'receipt_id' => '6',
  'order_id' => '3',
  'method' => 'COD',
  'amount' => '12.00000',
  'uid' => '1',
  'data' => '',
  'comment' => '',
  'received' => '1511148928',
))
->values(array(
  'receipt_id' => '7',
  'order_id' => '3',
  'method' => 'COD',
  'amount' => '-15.00000',
  'uid' => '1',
  'data' => '',
  'comment' => '',
  'received' => '1511149246',
))
->execute();

$connection->schema()->createTable('uc_product_adjustments', array(
  'fields' => array(
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'combination' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'model' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
  ),
  'indexes' => array(
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_product_attributes', array(
  'fields' => array(
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'aid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'label' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'ordering' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'default_option' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'required' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'display' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '1',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'nid',
    'aid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_product_attributes')
->fields(array(
  'nid',
  'aid',
  'label',
  'ordering',
  'default_option',
  'required',
  'display',
))
->values(array(
  'nid' => '1',
  'aid' => '1',
  'label' => 'Des',
  'ordering' => '0',
  'default_option' => '1',
  'required' => '1',
  'display' => '3',
))
->values(array(
  'nid' => '2',
  'aid' => '1',
  'label' => 'Des',
  'ordering' => '0',
  'default_option' => '3',
  'required' => '1',
  'display' => '3',
))
->values(array(
  'nid' => '1',
  'aid' => '2',
  'label' => 'Color',
  'ordering' => '0',
  'default_option' => '0',
  'required' => '1',
  'display' => '3',
))
->values(array(
  'nid' => '2',
  'aid' => '2',
  'label' => 'Color',
  'ordering' => '0',
  'default_option' => '0',
  'required' => '1',
  'display' => '3',
))
->values(array(
  'nid' => '4',
  'aid' => '3',
  'label' => 'Model size',
  'ordering' => '0',
  'default_option' => '0',
  'required' => '0',
  'display' => '1',
))
->values(array(
  'nid' => '5',
  'aid' => '3',
  'label' => 'Model size',
  'ordering' => '0',
  'default_option' => '0',
  'required' => '0',
  'display' => '1',
))
->values(array(
  'nid' => '6',
  'aid' => '3',
  'label' => 'Model size',
  'ordering' => '0',
  'default_option' => '0',
  'required' => '0',
  'display' => '1',
))
->values(array(
  'nid' => '3',
  'aid' => '4',
  'label' => 'name',
  'ordering' => '1',
  'default_option' => '0',
  'required' => '0',
  'display' => '0',
))
->execute();

$connection->schema()->createTable('uc_product_classes', array(
  'fields' => array(
    'pcid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'description' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'pcid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_product_classes')
->fields(array(
  'pcid',
  'name',
  'description',
))
->values(array(
  'pcid' => 'ship',
  'name' => 'Ship',
  'description' => 'A type of spacecraft capable of traveling to the solar systems of other stars',
))
->execute();

$connection->schema()->createTable('uc_product_features', array(
  'fields' => array(
    'pfid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'fid' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'description' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'pfid',
  ),
  'indexes' => array(
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_product_kits', array(
  'fields' => array(
    'vid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'product_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'mutable' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'qty' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'discount' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'ordering' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'synchronized' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'vid',
    'product_id',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_product_options', array(
  'fields' => array(
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'oid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'cost' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'price' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'weight' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'ordering' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'nid',
    'oid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_product_options')
->fields(array(
  'nid',
  'oid',
  'cost',
  'price',
  'weight',
  'ordering',
))
->values(array(
  'nid' => '1',
  'oid' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'ordering' => '0',
))
->values(array(
  'nid' => '1',
  'oid' => '2',
  'cost' => '1.00000',
  'price' => '1.00000',
  'weight' => '0',
  'ordering' => '0',
))
->values(array(
  'nid' => '1',
  'oid' => '3',
  'cost' => '1.00000',
  'price' => '3.00000',
  'weight' => '0',
  'ordering' => '0',
))
->values(array(
  'nid' => '2',
  'oid' => '1',
  'cost' => '0.00000',
  'price' => '0.00000',
  'weight' => '0',
  'ordering' => '0',
))
->values(array(
  'nid' => '2',
  'oid' => '2',
  'cost' => '1.00000',
  'price' => '1.00000',
  'weight' => '0',
  'ordering' => '0',
))
->values(array(
  'nid' => '2',
  'oid' => '3',
  'cost' => '1.00000',
  'price' => '3.00000',
  'weight' => '0',
  'ordering' => '0',
))
->execute();

$connection->schema()->createTable('uc_products', array(
  'fields' => array(
    'vid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'model' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'list_price' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'cost' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'sell_price' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'weight' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'weight_units' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => 'lb',
    ),
    'length' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'width' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'height' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'length_units' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => 'in',
    ),
    'pkg_qty' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '1',
      'unsigned' => TRUE,
    ),
    'default_qty' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '1',
      'unsigned' => TRUE,
    ),
    'unique_hash' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => 'd41d8cd98f00b204e9800998ecf8427e',
    ),
    'ordering' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'shippable' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '1',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'vid',
  ),
  'indexes' => array(
    'nid' => array(
      'nid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_products')
->fields(array(
  'vid',
  'nid',
  'model',
  'list_price',
  'cost',
  'sell_price',
  'weight',
  'weight_units',
  'length',
  'width',
  'height',
  'length_units',
  'pkg_qty',
  'default_qty',
  'unique_hash',
  'ordering',
  'shippable',
))
->values(array(
  'vid' => '1',
  'nid' => '1',
  'model' => 'towel-bath-001',
  'list_price' => '15.00000',
  'cost' => '500.00000',
  'sell_price' => '20.00000',
  'weight' => '700',
  'weight_units' => 'g',
  'length' => '152',
  'width' => '76',
  'height' => '0',
  'length_units' => 'cm',
  'pkg_qty' => '1',
  'default_qty' => '1',
  'unique_hash' => 'd265d15801af4dbc899b93d366c75e1d',
  'ordering' => '0',
  'shippable' => '1',
))
->values(array(
  'vid' => '2',
  'nid' => '2',
  'model' => 'towel-beach-001',
  'list_price' => '10.00000',
  'cost' => '5.00000',
  'sell_price' => '15.00000',
  'weight' => '700',
  'weight_units' => 'g',
  'length' => '182',
  'width' => '76',
  'height' => '0',
  'length_units' => 'cm',
  'pkg_qty' => '1',
  'default_qty' => '1',
  'unique_hash' => '0736eda95435836c01562911dcb39ea4',
  'ordering' => '0',
  'shippable' => '1',
))
->values(array(
  'vid' => '3',
  'nid' => '3',
  'model' => 'Fairy-Cake-001',
  'list_price' => '999.00000',
  'cost' => '500.00000',
  'sell_price' => '1500.00000',
  'weight' => '10',
  'weight_units' => 'g',
  'length' => '3',
  'width' => '3',
  'height' => '6',
  'length_units' => 'cm',
  'pkg_qty' => '1',
  'default_qty' => '1',
  'unique_hash' => '8e9ab82979ed482e095d22e3da903b5e',
  'ordering' => '0',
  'shippable' => '1',
))
->values(array(
  'vid' => '4',
  'nid' => '4',
  'model' => 'ship-001',
  'list_price' => '5000000000.00000',
  'cost' => '3000000000.00000',
  'sell_price' => '6000000000.00000',
  'weight' => '700000',
  'weight_units' => 'kg',
  'length' => '10560',
  'width' => '5280',
  'height' => '5280',
  'length_units' => 'ft',
  'pkg_qty' => '1',
  'default_qty' => '1',
  'unique_hash' => '44cd3053691a84d4c5f1de6a86770b0f',
  'ordering' => '0',
  'shippable' => '1',
))
->values(array(
  'vid' => '5',
  'nid' => '5',
  'model' => 'ship-002',
  'list_price' => '123000000.00000',
  'cost' => '123000000.00000',
  'sell_price' => '123000000.00000',
  'weight' => '0',
  'weight_units' => 'kg',
  'length' => '15000',
  'width' => '10000',
  'height' => '5000',
  'length_units' => 'cm',
  'pkg_qty' => '1',
  'default_qty' => '1',
  'unique_hash' => '47a24fd4c26e86c425c8e675f13791a4',
  'ordering' => '0',
  'shippable' => '1',
))
->values(array(
  'vid' => '7',
  'nid' => '7',
  'model' => 'Fairy-Cake-001',
  'list_price' => '999.00000',
  'cost' => '500.00000',
  'sell_price' => '1500.00000',
  'weight' => '10',
  'weight_units' => 'kg',
  'length' => '3',
  'width' => '3',
  'height' => '3',
  'length_units' => 'cm',
  'pkg_qty' => '1',
  'default_qty' => '1',
  'unique_hash' => 'a589f5dae159b21c2ac6f0a2da70112e',
  'ordering' => '0',
  'shippable' => '1',
))
->values(array(
  'vid' => '8',
  'nid' => '8',
  'model' => 'towel-bath-001',
  'list_price' => '15.00000',
  'cost' => '10.00000',
  'sell_price' => '20.00000',
  'weight' => '700',
  'weight_units' => 'kg',
  'length' => '152',
  'width' => '76',
  'height' => '1',
  'length_units' => 'cm',
  'pkg_qty' => '1',
  'default_qty' => '1',
  'unique_hash' => '6368c38b961ddee6af99612659e4a43f',
  'ordering' => '0',
  'shippable' => '1',
))
->execute();

$connection->schema()->createTable('uc_quote_product_locations', array(
  'fields' => array(
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'first_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'last_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'company' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'street1' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'street2' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'city' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'zone' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'postal_code' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'country' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'phone' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'nid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_quote_shipping_types', array(
  'fields' => array(
    'id_type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '127',
      'default' => '',
    ),
    'id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'shipping_type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'id_type',
    'id',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_quote_shipping_types')
->fields(array(
  'id_type',
  'id',
  'shipping_type',
))
->values(array(
  'id_type' => 'product',
  'id' => '1',
  'shipping_type' => 'small_package',
))
->values(array(
  'id_type' => 'product',
  'id' => '3',
  'shipping_type' => 'small_package',
))
->values(array(
  'id_type' => 'product',
  'id' => '4',
  'shipping_type' => 'small_package',
))
->execute();

$connection->schema()->createTable('uc_roles_expirations', array(
  'fields' => array(
    'reid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'rid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'expiration' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'notified' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'tiny',
    ),
  ),
  'primary key' => array(
    'reid',
  ),
  'indexes' => array(
    'uid' => array(
      'uid',
    ),
    'rid' => array(
      'rid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_roles_products', array(
  'fields' => array(
    'rpid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'pfid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'nid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'model' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '255',
    ),
    'rid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'start_override' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'start_time' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'normal',
      'default' => '0',
    ),
    'end_override' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'end_time' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'normal',
      'default' => '0',
    ),
    'duration' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'small',
    ),
    'granularity' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '32',
    ),
    'shippable' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'by_quantity' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'rpid',
  ),
  'indexes' => array(
    'nid' => array(
      'nid',
    ),
    'model' => array(
      array(
        'model',
        '191',
      ),
    ),
    'rid' => array(
      'rid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_shipments', array(
  'fields' => array(
    'sid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'order_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'o_first_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'o_last_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'o_company' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'o_street1' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'o_street2' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'o_city' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'o_zone' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'medium',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'o_postal_code' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'o_country' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'medium',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'd_first_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'd_last_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'd_company' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'd_street1' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'd_street2' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'd_city' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'd_zone' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'medium',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'd_postal_code' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'd_country' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'medium',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'shipping_method' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'accessorials' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'carrier' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'transaction_id' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'tracking_number' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'ship_date' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'expected_delivery' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'cost' => array(
      'type' => 'numeric',
      'not null' => TRUE,
      'precision' => '16',
      'scale' => '5',
      'default' => '0.00000',
    ),
    'changed' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'sid',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('uc_store_footers', array(
  'fields' => array(
    'path_hash' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'message' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
  ),
  'primary key' => array(
    'path_hash',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_store_footers')
->fields(array(
  'path_hash',
  'message',
))
->values(array(
  'path_hash' => '2d84bcb24cf7d87336471eabd317babc',
  'message' => 'Powered by Ubercart, the <a href="http://www.ubercart.org/">free shopping cart software</a>.',
))
->values(array(
  'path_hash' => '38888643b9b747ff1b6b5420299f62ad',
  'message' => '<a href="http://www.ubercart.org/">Powered by Ubercart</a>',
))
->values(array(
  'path_hash' => '41e0a04cfd250aeaa919a812f0025dd4',
  'message' => 'Powered by Ubercart, the <a href="http://www.ubercart.org/">free shopping cart software</a>.',
))
->values(array(
  'path_hash' => '46f22f2a56ddd091f4b2b2c35c5ca989',
  'message' => '<a href="http://www.ubercart.org/">Powered by Ubercart</a>',
))
->values(array(
  'path_hash' => '54013ba69c196820e56801f1ef5aad54',
  'message' => 'Supported by Ubercart, an <a href="http://www.ubercart.org/">open source e-commerce suite</a>.',
))
->values(array(
  'path_hash' => '8f3d41ea5f60a4bccd88ee9556b01762',
  'message' => 'Powered by Ubercart, the <a href="http://www.ubercart.org/">free shopping cart software</a>.',
))
->values(array(
  'path_hash' => '9b15eeaa84b253e58cb773139273fda9',
  'message' => '<a href="http://www.ubercart.org/">Powered by Ubercart</a>',
))
->values(array(
  'path_hash' => 'bf75bfe98a7173ddc30c8a099c4e1a1e',
  'message' => 'Supported by Ubercart, an <a href="http://www.ubercart.org/">open source e-commerce suite</a>.',
))
->values(array(
  'path_hash' => 'c8d7fa11b74e6bde42dc31bcc578b561',
  'message' => 'Supported by Ubercart, an <a href="http://www.ubercart.org/">open source e-commerce suite</a>.',
))
->values(array(
  'path_hash' => 'd5cea2450467043865e26882654ec9a5',
  'message' => '<a href="http://www.ubercart.org/">Powered by Ubercart</a>',
))
->values(array(
  'path_hash' => 'd5e007abe486db9047df87144343cbd8',
  'message' => 'Supported by Ubercart, an <a href="http://www.ubercart.org/">open source e-commerce suite</a>.',
))
->values(array(
  'path_hash' => 'de13f73e1c721616f6572ee8da1b4ab5',
  'message' => 'Supported by Ubercart, an <a href="http://www.ubercart.org/">open source e-commerce suite</a>.',
))
->values(array(
  'path_hash' => 'efb679418ca9886f8a1bbda152b84910',
  'message' => '<a href="http://www.ubercart.org/">Powered by Ubercart</a>',
))
->execute();

$connection->schema()->createTable('uc_taxes', array(
  'fields' => array(
    'id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'rate' => array(
      'type' => 'float',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'shippable' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'taxed_product_types' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'taxed_line_items' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'id',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_taxes')
->fields(array(
  'id',
  'name',
  'rate',
  'shippable',
  'taxed_product_types',
  'taxed_line_items',
  'weight',
))
->values(array(
  'id' => '1',
  'name' => 'Handling',
  'rate' => '0.04',
  'shippable' => '0',
  'taxed_product_types' => 'a:2:{s:7:"product";s:7:"product";s:4:"ship";s:4:"ship";}',
  'taxed_line_items' => 'a:1:{s:3:"tax";s:3:"tax";}',
  'weight' => '0',
))
->execute();

$connection->schema()->createTable('uc_zones', array(
  'fields' => array(
    'zone_id' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'zone_country_id' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'zone_code' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'zone_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'zone_id',
  ),
  'indexes' => array(
    'zone_code' => array(
      'zone_code',
    ),
    'zone_country_id' => array(
      'zone_country_id',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('uc_zones')
->fields(array(
  'zone_id',
  'zone_country_id',
  'zone_code',
  'zone_name',
))
->values(array(
  'zone_id' => '1',
  'zone_country_id' => '840',
  'zone_code' => 'AL',
  'zone_name' => 'Alabama',
))
->values(array(
  'zone_id' => '2',
  'zone_country_id' => '840',
  'zone_code' => 'AK',
  'zone_name' => 'Alaska',
))
->values(array(
  'zone_id' => '3',
  'zone_country_id' => '840',
  'zone_code' => 'AS',
  'zone_name' => 'American Samoa',
))
->values(array(
  'zone_id' => '4',
  'zone_country_id' => '840',
  'zone_code' => 'AZ',
  'zone_name' => 'Arizona',
))
->values(array(
  'zone_id' => '5',
  'zone_country_id' => '840',
  'zone_code' => 'AR',
  'zone_name' => 'Arkansas',
))
->values(array(
  'zone_id' => '6',
  'zone_country_id' => '840',
  'zone_code' => 'AF',
  'zone_name' => 'Armed Forces Africa',
))
->values(array(
  'zone_id' => '7',
  'zone_country_id' => '840',
  'zone_code' => 'AA',
  'zone_name' => 'Armed Forces Americas',
))
->values(array(
  'zone_id' => '8',
  'zone_country_id' => '840',
  'zone_code' => 'AC',
  'zone_name' => 'Armed Forces Canada',
))
->values(array(
  'zone_id' => '9',
  'zone_country_id' => '840',
  'zone_code' => 'AE',
  'zone_name' => 'Armed Forces Europe',
))
->values(array(
  'zone_id' => '10',
  'zone_country_id' => '840',
  'zone_code' => 'AM',
  'zone_name' => 'Armed Forces Middle East',
))
->values(array(
  'zone_id' => '11',
  'zone_country_id' => '840',
  'zone_code' => 'AP',
  'zone_name' => 'Armed Forces Pacific',
))
->values(array(
  'zone_id' => '12',
  'zone_country_id' => '840',
  'zone_code' => 'CA',
  'zone_name' => 'California',
))
->values(array(
  'zone_id' => '13',
  'zone_country_id' => '840',
  'zone_code' => 'CO',
  'zone_name' => 'Colorado',
))
->values(array(
  'zone_id' => '14',
  'zone_country_id' => '840',
  'zone_code' => 'CT',
  'zone_name' => 'Connecticut',
))
->values(array(
  'zone_id' => '15',
  'zone_country_id' => '840',
  'zone_code' => 'DE',
  'zone_name' => 'Delaware',
))
->values(array(
  'zone_id' => '16',
  'zone_country_id' => '840',
  'zone_code' => 'DC',
  'zone_name' => 'District of Columbia',
))
->values(array(
  'zone_id' => '17',
  'zone_country_id' => '840',
  'zone_code' => 'FM',
  'zone_name' => 'Federated States Of Micronesia',
))
->values(array(
  'zone_id' => '18',
  'zone_country_id' => '840',
  'zone_code' => 'FL',
  'zone_name' => 'Florida',
))
->values(array(
  'zone_id' => '19',
  'zone_country_id' => '840',
  'zone_code' => 'GA',
  'zone_name' => 'Georgia',
))
->values(array(
  'zone_id' => '20',
  'zone_country_id' => '840',
  'zone_code' => 'GU',
  'zone_name' => 'Guam',
))
->values(array(
  'zone_id' => '21',
  'zone_country_id' => '840',
  'zone_code' => 'HI',
  'zone_name' => 'Hawaii',
))
->values(array(
  'zone_id' => '22',
  'zone_country_id' => '840',
  'zone_code' => 'ID',
  'zone_name' => 'Idaho',
))
->values(array(
  'zone_id' => '23',
  'zone_country_id' => '840',
  'zone_code' => 'IL',
  'zone_name' => 'Illinois',
))
->values(array(
  'zone_id' => '24',
  'zone_country_id' => '840',
  'zone_code' => 'IN',
  'zone_name' => 'Indiana',
))
->values(array(
  'zone_id' => '25',
  'zone_country_id' => '840',
  'zone_code' => 'IA',
  'zone_name' => 'Iowa',
))
->values(array(
  'zone_id' => '26',
  'zone_country_id' => '840',
  'zone_code' => 'KS',
  'zone_name' => 'Kansas',
))
->values(array(
  'zone_id' => '27',
  'zone_country_id' => '840',
  'zone_code' => 'KY',
  'zone_name' => 'Kentucky',
))
->values(array(
  'zone_id' => '28',
  'zone_country_id' => '840',
  'zone_code' => 'LA',
  'zone_name' => 'Louisiana',
))
->values(array(
  'zone_id' => '29',
  'zone_country_id' => '840',
  'zone_code' => 'ME',
  'zone_name' => 'Maine',
))
->values(array(
  'zone_id' => '30',
  'zone_country_id' => '840',
  'zone_code' => 'MH',
  'zone_name' => 'Marshall Islands',
))
->values(array(
  'zone_id' => '31',
  'zone_country_id' => '840',
  'zone_code' => 'MD',
  'zone_name' => 'Maryland',
))
->values(array(
  'zone_id' => '32',
  'zone_country_id' => '840',
  'zone_code' => 'MA',
  'zone_name' => 'Massachusetts',
))
->values(array(
  'zone_id' => '33',
  'zone_country_id' => '840',
  'zone_code' => 'MI',
  'zone_name' => 'Michigan',
))
->values(array(
  'zone_id' => '34',
  'zone_country_id' => '840',
  'zone_code' => 'MN',
  'zone_name' => 'Minnesota',
))
->values(array(
  'zone_id' => '35',
  'zone_country_id' => '840',
  'zone_code' => 'MS',
  'zone_name' => 'Mississippi',
))
->values(array(
  'zone_id' => '36',
  'zone_country_id' => '840',
  'zone_code' => 'MO',
  'zone_name' => 'Missouri',
))
->values(array(
  'zone_id' => '37',
  'zone_country_id' => '840',
  'zone_code' => 'MT',
  'zone_name' => 'Montana',
))
->values(array(
  'zone_id' => '38',
  'zone_country_id' => '840',
  'zone_code' => 'NE',
  'zone_name' => 'Nebraska',
))
->values(array(
  'zone_id' => '39',
  'zone_country_id' => '840',
  'zone_code' => 'NV',
  'zone_name' => 'Nevada',
))
->values(array(
  'zone_id' => '40',
  'zone_country_id' => '840',
  'zone_code' => 'NH',
  'zone_name' => 'New Hampshire',
))
->values(array(
  'zone_id' => '41',
  'zone_country_id' => '840',
  'zone_code' => 'NJ',
  'zone_name' => 'New Jersey',
))
->values(array(
  'zone_id' => '42',
  'zone_country_id' => '840',
  'zone_code' => 'NM',
  'zone_name' => 'New Mexico',
))
->values(array(
  'zone_id' => '43',
  'zone_country_id' => '840',
  'zone_code' => 'NY',
  'zone_name' => 'New York',
))
->values(array(
  'zone_id' => '44',
  'zone_country_id' => '840',
  'zone_code' => 'NC',
  'zone_name' => 'North Carolina',
))
->values(array(
  'zone_id' => '45',
  'zone_country_id' => '840',
  'zone_code' => 'ND',
  'zone_name' => 'North Dakota',
))
->values(array(
  'zone_id' => '46',
  'zone_country_id' => '840',
  'zone_code' => 'MP',
  'zone_name' => 'Northern Mariana Islands',
))
->values(array(
  'zone_id' => '47',
  'zone_country_id' => '840',
  'zone_code' => 'OH',
  'zone_name' => 'Ohio',
))
->values(array(
  'zone_id' => '48',
  'zone_country_id' => '840',
  'zone_code' => 'OK',
  'zone_name' => 'Oklahoma',
))
->values(array(
  'zone_id' => '49',
  'zone_country_id' => '840',
  'zone_code' => 'OR',
  'zone_name' => 'Oregon',
))
->values(array(
  'zone_id' => '50',
  'zone_country_id' => '840',
  'zone_code' => 'PW',
  'zone_name' => 'Palau',
))
->values(array(
  'zone_id' => '51',
  'zone_country_id' => '840',
  'zone_code' => 'PA',
  'zone_name' => 'Pennsylvania',
))
->values(array(
  'zone_id' => '52',
  'zone_country_id' => '840',
  'zone_code' => 'PR',
  'zone_name' => 'Puerto Rico',
))
->values(array(
  'zone_id' => '53',
  'zone_country_id' => '840',
  'zone_code' => 'RI',
  'zone_name' => 'Rhode Island',
))
->values(array(
  'zone_id' => '54',
  'zone_country_id' => '840',
  'zone_code' => 'SC',
  'zone_name' => 'South Carolina',
))
->values(array(
  'zone_id' => '55',
  'zone_country_id' => '840',
  'zone_code' => 'SD',
  'zone_name' => 'South Dakota',
))
->values(array(
  'zone_id' => '56',
  'zone_country_id' => '840',
  'zone_code' => 'TN',
  'zone_name' => 'Tennessee',
))
->values(array(
  'zone_id' => '57',
  'zone_country_id' => '840',
  'zone_code' => 'TX',
  'zone_name' => 'Texas',
))
->values(array(
  'zone_id' => '58',
  'zone_country_id' => '840',
  'zone_code' => 'UT',
  'zone_name' => 'Utah',
))
->values(array(
  'zone_id' => '59',
  'zone_country_id' => '840',
  'zone_code' => 'VT',
  'zone_name' => 'Vermont',
))
->values(array(
  'zone_id' => '60',
  'zone_country_id' => '840',
  'zone_code' => 'VI',
  'zone_name' => 'Virgin Islands',
))
->values(array(
  'zone_id' => '61',
  'zone_country_id' => '840',
  'zone_code' => 'VA',
  'zone_name' => 'Virginia',
))
->values(array(
  'zone_id' => '62',
  'zone_country_id' => '840',
  'zone_code' => 'WA',
  'zone_name' => 'Washington',
))
->values(array(
  'zone_id' => '63',
  'zone_country_id' => '840',
  'zone_code' => 'WV',
  'zone_name' => 'West Virginia',
))
->values(array(
  'zone_id' => '64',
  'zone_country_id' => '840',
  'zone_code' => 'WI',
  'zone_name' => 'Wisconsin',
))
->values(array(
  'zone_id' => '65',
  'zone_country_id' => '840',
  'zone_code' => 'WY',
  'zone_name' => 'Wyoming',
))
->values(array(
  'zone_id' => '66',
  'zone_country_id' => '124',
  'zone_code' => 'AB',
  'zone_name' => 'Alberta',
))
->values(array(
  'zone_id' => '67',
  'zone_country_id' => '124',
  'zone_code' => 'BC',
  'zone_name' => 'British Columbia',
))
->values(array(
  'zone_id' => '68',
  'zone_country_id' => '124',
  'zone_code' => 'MB',
  'zone_name' => 'Manitoba',
))
->values(array(
  'zone_id' => '69',
  'zone_country_id' => '124',
  'zone_code' => 'NL',
  'zone_name' => 'Newfoundland and Labrador',
))
->values(array(
  'zone_id' => '70',
  'zone_country_id' => '124',
  'zone_code' => 'NB',
  'zone_name' => 'New Brunswick',
))
->values(array(
  'zone_id' => '71',
  'zone_country_id' => '124',
  'zone_code' => 'NS',
  'zone_name' => 'Nova Scotia',
))
->values(array(
  'zone_id' => '72',
  'zone_country_id' => '124',
  'zone_code' => 'NT',
  'zone_name' => 'Northwest Territories',
))
->values(array(
  'zone_id' => '73',
  'zone_country_id' => '124',
  'zone_code' => 'NU',
  'zone_name' => 'Nunavut',
))
->values(array(
  'zone_id' => '74',
  'zone_country_id' => '124',
  'zone_code' => 'ON',
  'zone_name' => 'Ontario',
))
->values(array(
  'zone_id' => '75',
  'zone_country_id' => '124',
  'zone_code' => 'PE',
  'zone_name' => 'Prince Edward Island',
))
->values(array(
  'zone_id' => '76',
  'zone_country_id' => '124',
  'zone_code' => 'QC',
  'zone_name' => 'Quebec',
))
->values(array(
  'zone_id' => '77',
  'zone_country_id' => '124',
  'zone_code' => 'SK',
  'zone_name' => 'Saskatchewan',
))
->values(array(
  'zone_id' => '78',
  'zone_country_id' => '124',
  'zone_code' => 'YT',
  'zone_name' => 'Yukon Territory',
))
->execute();

$connection->schema()->createTable('url_alias', array(
  'fields' => array(
    'pid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'src' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'dst' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'language' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '12',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'pid',
  ),
  'unique keys' => array(
    'dst_language_pid' => array(
      'dst',
      'language',
      'pid',
    ),
  ),
  'indexes' => array(
    'src_language_pid' => array(
      'src',
      'language',
      'pid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('url_alias')
->fields(array(
  'pid',
  'src',
  'dst',
  'language',
))
->values(array(
  'pid' => '1',
  'src' => 'node/4',
  'dst' => 'magdalenas',
  'language' => 'es',
))
->values(array(
  'pid' => '2',
  'src' => 'node/3',
  'dst' => 'fairy-cakes',
  'language' => 'en',
))
->execute();

$connection->schema()->createTable('users', array(
  'fields' => array(
    'uid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '60',
      'default' => '',
    ),
    'pass' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'mail' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '64',
      'default' => '',
    ),
    'mode' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'sort' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'threshold' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'theme' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'signature' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'signature_format' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'small',
      'default' => '0',
    ),
    'created' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'access' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'login' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'status' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'timezone' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '8',
    ),
    'language' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '12',
      'default' => '',
    ),
    'picture' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'init' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '64',
      'default' => '',
    ),
    'data' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'timezone_name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '50',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'uid',
  ),
  'unique keys' => array(
    'name' => array(
      'name',
    ),
  ),
  'indexes' => array(
    'access' => array(
      'access',
    ),
    'created' => array(
      'created',
    ),
    'mail' => array(
      'mail',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('users')
->fields(array(
  'uid',
  'name',
  'pass',
  'mail',
  'mode',
  'sort',
  'threshold',
  'theme',
  'signature',
  'signature_format',
  'created',
  'access',
  'login',
  'status',
  'timezone',
  'language',
  'picture',
  'init',
  'data',
  'timezone_name',
))
->values(array(
  'uid' => '1',
  'name' => 'root',
  'pass' => '63a9f0ea7bb98050796b649e85481845',
  'mail' => 'root@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '1492862362',
  'access' => '1511152104',
  'login' => '1511148389',
  'status' => '1',
  'timezone' => '0',
  'language' => '',
  'picture' => '',
  'init' => 'zaphod@example.com',
  'data' => 'a:1:{s:13:"form_build_id";s:48:"form-3S53Et1K3JSvQwDTQihiYaOVlejkJ08O6oPC731EAW8";}',
  'timezone_name' => '',
))
->values(array(
  'uid' => '2',
  'name' => 'Trillian',
  'pass' => '9d40b3f333458234a3fee99bc7718fdb',
  'mail' => 'trillian@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '1492988596',
  'access' => '1492988596',
  'login' => '0',
  'status' => '1',
  'timezone' => '43200',
  'language' => '',
  'picture' => '',
  'init' => 'trillian@example.com',
  'data' => 'a:1:{s:13:"form_build_id";s:48:"form--kvG76BFShMSwBUc6Fi6DpuZ0re6WLHm9CDAt_pfG6U";}',
  'timezone_name' => '',
))
->values(array(
  'uid' => '3',
  'name' => 'fordprefect',
  'pass' => '9413648a73b5a70539e9081f720df0e0',
  'mail' => 'fordprefect@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '1492868882',
  'access' => '1492868882',
  'login' => '0',
  'status' => '1',
  'timezone' => NULL,
  'language' => '',
  'picture' => '',
  'init' => '',
  'data' => 'a:0:{}',
  'timezone_name' => '',
))
->values(array(
  'uid' => '4',
  'name' => 'Zaphod Beeblebrox',
  'pass' => '9413648a73b5a70539e9081f720df0e0',
  'mail' => 'zaphod@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '1492868882',
  'access' => '1492868882',
  'login' => '0',
  'status' => '1',
  'timezone' => '43200',
  'language' => '',
  'picture' => '',
  'init' => '',
  'data' => 'a:1:{s:13:"form_build_id";s:48:"form-FXRkLOrHLt2lWPb_1XbRWhkU18iG5icolZPxqjBrOqU";}',
  'timezone_name' => '',
))
->values(array(
  'uid' => '5',
  'name' => 'trintragula',
  'pass' => 'ee29a2608b16ebcd106b639d3d98e294',
  'mail' => 'trintragula@example.com',
  'mode' => '0',
  'sort' => '0',
  'threshold' => '0',
  'theme' => '',
  'signature' => '',
  'signature_format' => '0',
  'created' => '1492989938',
  'access' => '0',
  'login' => '0',
  'status' => '1',
  'timezone' => NULL,
  'language' => '',
  'picture' => '',
  'init' => 'trintragula@example.com',
  'data' => 'a:0:{}',
  'timezone_name' => '',
))
->execute();

$connection->schema()->createTable('users_roles', array(
  'fields' => array(
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'rid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
  ),
  'primary key' => array(
    'uid',
    'rid',
  ),
  'indexes' => array(
    'rid' => array(
      'rid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('variable', array(
  'fields' => array(
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'value' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'big',
    ),
  ),
  'primary key' => array(
    'name',
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('variable')
->fields(array(
  'name',
  'value',
))
->values(array(
  'name' => 'allowed_html_1',
  'value' => 's:61:"<a> <em> <strong> <cite> <code> <ul> <ol> <li> <dl> <dt> <dd>";',
))
->values(array(
  'name' => 'clean_url',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'comment_anonymous_product',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'comment_anonymous_product_kit',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'comment_controls_product',
  'value' => 's:1:"3";',
))
->values(array(
  'name' => 'comment_controls_product_kit',
  'value' => 's:1:"3";',
))
->values(array(
  'name' => 'comment_default_mode_product',
  'value' => 's:1:"4";',
))
->values(array(
  'name' => 'comment_default_mode_product_kit',
  'value' => 's:1:"4";',
))
->values(array(
  'name' => 'comment_default_order_product',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'comment_default_order_product_kit',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'comment_default_per_page_product',
  'value' => 's:2:"50";',
))
->values(array(
  'name' => 'comment_default_per_page_product_kit',
  'value' => 's:2:"50";',
))
->values(array(
  'name' => 'comment_form_location_product',
  'value' => 's:1:"0";',
))
->values(array(
  'name' => 'comment_form_location_product_kit',
  'value' => 's:1:"0";',
))
->values(array(
  'name' => 'comment_page',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'comment_preview_product',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'comment_preview_product_kit',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'comment_product',
  'value' => 's:1:"2";',
))
->values(array(
  'name' => 'comment_product_kit',
  'value' => 's:1:"2";',
))
->values(array(
  'name' => 'comment_ship',
  'value' => 'i:2;',
))
->values(array(
  'name' => 'comment_subject_field_product',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'comment_subject_field_product_kit',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'configurable_timezones',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'content_extra_weights_page',
  'value' => 'a:8:{s:5:"title";s:2:"-5";s:10:"body_field";s:1:"0";s:20:"revision_information";s:2:"20";s:6:"author";s:2:"20";s:7:"options";s:2:"25";s:16:"comment_settings";s:2:"30";s:4:"menu";s:2:"-2";s:4:"path";s:2:"30";}',
))
->values(array(
  'name' => 'content_extra_weights_product',
  'value' => 'a:12:{s:5:"title";s:2:"-5";s:10:"body_field";s:2:"-4";s:20:"revision_information";s:2:"20";s:6:"author";s:2:"20";s:7:"options";s:2:"25";s:16:"comment_settings";s:2:"30";s:4:"menu";s:1:"0";s:8:"taxonomy";s:2:"-3";s:4:"path";s:2:"30";s:8:"shipping";s:1:"0";s:4:"base";s:2:"-1";s:4:"body";s:1:"1";}',
))
->values(array(
  'name' => 'content_extra_weights_ship',
  'value' => 'a:12:{s:5:"title";s:2:"-5";s:10:"body_field";s:2:"-4";s:20:"revision_information";s:2:"20";s:6:"author";s:2:"20";s:7:"options";s:2:"25";s:16:"comment_settings";s:2:"30";s:4:"menu";s:1:"0";s:8:"taxonomy";s:2:"-3";s:4:"path";s:2:"30";s:8:"shipping";s:1:"0";s:4:"base";s:2:"-1";s:4:"body";s:1:"1";}',
))
->values(array(
  'name' => 'content_schema_version',
  'value' => 'i:6009;',
))
->values(array(
  'name' => 'css_js_query_string',
  'value' => 's:20:"ZQVrb000000000000000";',
))
->values(array(
  'name' => 'date_api_version',
  'value' => 's:3:"5.2";',
))
->values(array(
  'name' => 'date_default_timezone',
  'value' => 'i:43200;',
))
->values(array(
  'name' => 'date_default_timezone_name',
  'value' => 's:16:"Pacific/Auckland";',
))
->values(array(
  'name' => 'date_first_day',
  'value' => 's:1:"0";',
))
->values(array(
  'name' => 'date_format_long',
  'value' => 's:15:"l, j F, Y - H:i";',
))
->values(array(
  'name' => 'date_format_long_custom',
  'value' => 's:15:"l, F j, Y - H:i";',
))
->values(array(
  'name' => 'date_format_medium',
  'value' => 's:14:"D, m/d/Y - H:i";',
))
->values(array(
  'name' => 'date_format_medium_custom',
  'value' => 's:14:"D, m/d/Y - H:i";',
))
->values(array(
  'name' => 'date_format_short',
  'value' => 's:11:"m/d/Y - H:i";',
))
->values(array(
  'name' => 'date_format_short_custom',
  'value' => 's:11:"m/d/Y - H:i";',
))
->values(array(
  'name' => 'date_max_year',
  'value' => 'i:4000;',
))
->values(array(
  'name' => 'date_min_year',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'date_php_min_year',
  'value' => 'i:1901;',
))
->values(array(
  'name' => 'drupal_http_request_fails',
  'value' => 'b:0;',
))
->values(array(
  'name' => 'drupal_private_key',
  'value' => 's:43:"tUq5qjY7MjMmXW9xxwkcqn3cTjamHx8XzPWGdQvuE0c";',
))
->values(array(
  'name' => 'example',
  'value' => 's:9:"1,000.12$";',
))
->values(array(
  'name' => 'file_directory_temp',
  'value' => 's:4:"/tmp";',
))
->values(array(
  'name' => 'filter_html_1',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'filter_html_help_1',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'filter_html_nofollow_1',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'filter_url_length_1',
  'value' => 's:2:"72";',
))
->values(array(
  'name' => 'form_build_id_product',
  'value' => 's:48:"form-i7xHHjJM10JTSmY4gBvbzg1NW0pOCvWzHe7p30ePTsI";',
))
->values(array(
  'name' => 'form_build_id_product_kit',
  'value' => 's:48:"form-YXeTW_J6pRv8KI5SDATzWJK2Xk4PEdZxy9pV9jhs-pk";',
))
->values(array(
  'name' => 'i18nsync_nodeapi_product',
  'value' => 'a:2:{i:0;s:8:"taxonomy";i:1;s:17:"field_image_cache";}',
))
->values(array(
  'name' => 'i18ntaxonomy_vocabulary',
  'value' => 'a:1:{i:1;s:1:"1";}',
))
->values(array(
  'name' => 'i18n_hide_translation_links',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'i18n_lock_node_product',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'i18n_lock_node_product_kit',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'i18n_newnode_current_product',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'i18n_newnode_current_product_kit',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'i18n_node_product',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'i18n_node_product_kit',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'i18n_required_node_product',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'i18n_required_node_product_kit',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'i18n_selection_mode',
  'value' => 's:6:"simple";',
))
->values(array(
  'name' => 'i18n_translation_switch',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'install_profile',
  'value' => 's:7:"default";',
))
->values(array(
  'name' => 'install_task',
  'value' => 's:4:"done";',
))
->values(array(
  'name' => 'install_time',
  'value' => 'i:1492865429;',
))
->values(array(
  'name' => 'javascript_parsed',
  'value' => 'a:24:{i:0;s:14:"misc/jquery.js";i:1;s:14:"misc/drupal.js";i:2;s:45:"sites/all/modules/ubercart/uc_file/uc_file.js";i:3;s:47:"sites/all/modules/ubercart/uc_roles/uc_roles.js";i:4;s:12:"misc/form.js";i:5;s:19:"misc/tableselect.js";i:6;s:19:"misc/tableheader.js";i:7;s:17:"misc/tabledrag.js";i:8;s:56:"sites/all/modules/ubercart/uc_store/uc_country_select.js";i:9;s:40:"sites/all/modules/filefield/filefield.js";i:10;s:19:"misc/jquery.form.js";i:11;s:12:"misc/ahah.js";i:12;s:20:"misc/autocomplete.js";i:13;s:16:"misc/collapse.js";i:14;s:14:"misc/teaser.js";i:15;s:16:"misc/textarea.js";i:16;s:28:"modules/taxonomy/taxonomy.js";i:17;s:51:"sites/all/modules/i18n/i18ntaxonomy/i18ntaxonomy.js";i:18;s:57:"sites/all/modules/ubercart/uc_store/includes/summaries.js";i:19;s:47:"sites/all/modules/ubercart/uc_order/uc_order.js";i:20;s:16:"misc/progress.js";i:21;s:56:"sites/all/modules/ubercart/shipping/uc_quote/uc_quote.js";i:22;s:47:"sites/all/modules/ubercart/uc_taxes/uc_taxes.js";i:23;s:59:"sites/all/modules/ubercart/payment/uc_payment/uc_payment.js";}',
))
->values(array(
  'name' => 'language_content_type_product',
  'value' => 's:1:"2";',
))
->values(array(
  'name' => 'language_content_type_product_kit',
  'value' => 's:1:"2";',
))
->values(array(
  'name' => 'language_count',
  'value' => 'i:2;',
))
->values(array(
  'name' => 'language_negotiation',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'menu_expanded',
  'value' => 'a:0:{}',
))
->values(array(
  'name' => 'menu_masks',
  'value' => 'a:30:{i:0;i:127;i:1;i:126;i:2;i:125;i:3;i:124;i:4;i:122;i:5;i:118;i:6;i:117;i:7;i:63;i:8;i:62;i:9;i:61;i:10;i:60;i:11;i:59;i:12;i:58;i:13;i:31;i:14;i:30;i:15;i:29;i:16;i:24;i:17;i:23;i:18;i:21;i:19;i:15;i:20;i:14;i:21;i:11;i:22;i:10;i:23;i:7;i:24;i:6;i:25;i:5;i:26;i:4;i:27;i:3;i:28;i:2;i:29;i:1;}',
))
->values(array(
  'name' => 'node_options_forum',
  'value' => 'a:1:{i:0;s:6:"status";}',
))
->values(array(
  'name' => 'node_options_page',
  'value' => 'a:1:{i:0;s:6:"status";}',
))
->values(array(
  'name' => 'node_options_product',
  'value' => 'a:2:{i:0;s:6:"status";i:1;s:7:"promote";}',
))
->values(array(
  'name' => 'node_options_product_kit',
  'value' => 'a:2:{i:0;s:6:"status";i:1;s:7:"promote";}',
))
->values(array(
  'name' => 'node_options_ship',
  'value' => 'a:2:{i:0;s:6:"status";i:1;s:7:"promote";}',
))
->values(array(
  'name' => 'site_mail',
  'value' => 's:25:"awesome_stuff@example.com";',
))
->values(array(
  'name' => 'site_name',
  'value' => 's:13:"Awesome stuff";',
))
->values(array(
  'name' => 'theme_default',
  'value' => 's:7:"garland";',
))
->values(array(
  'name' => 'theme_settings',
  'value' => 'a:1:{s:21:"toggle_node_info_page";b:0;}',
))
->values(array(
  'name' => 'uc_address_format_124',
  'value' => "s:100:\"!company\r\n!first_name !last_name\r\n!street1\r\n!street2\r\n!city, !postal_code\r\n!zone_name, !country_name\";",
))
->values(array(
  'name' => 'uc_address_format_840',
  'value' => "s:102:\"!company\r\n!first_name !last_name\r\n!street1\r\n!street2\r\n!city, !zone_code !postal_code\r\n!country_name_if\";",
))
->values(array(
  'name' => 'uc_catalog_description',
  'value' => 's:0:"";',
))
->values(array(
  'name' => 'uc_catalog_name',
  'value' => 's:7:"Catalog";',
))
->values(array(
  'name' => 'uc_catalog_vid',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_check_mailing_city',
  'value' => 's:10:"Betelgeuse";',
))
->values(array(
  'name' => 'uc_check_mailing_company',
  'value' => 's:13:"Awesome Stuff";',
))
->values(array(
  'name' => 'uc_check_mailing_country',
  'value' => 's:3:"840";',
))
->values(array(
  'name' => 'uc_check_mailing_name',
  'value' => 's:6:"Marvin";',
))
->values(array(
  'name' => 'uc_check_mailing_postal_code',
  'value' => 's:4:"4242";',
))
->values(array(
  'name' => 'uc_check_mailing_street1',
  'value' => 's:16:"123 First Street";',
))
->values(array(
  'name' => 'uc_check_mailing_street2',
  'value' => 's:17:"456 Second Street";',
))
->values(array(
  'name' => 'uc_check_mailing_zone',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_check_policy',
  'value' => 's:121:"Personal and business checks will be held for up to 10 business days to ensure payment clears before an order is shipped.";',
))
->values(array(
  'name' => 'uc_cod_delivery_date',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_cod_max_order',
  'value' => 's:1:"0";',
))
->values(array(
  'name' => 'uc_cod_policy',
  'value' => 's:59:"Full payment is expected upon delivery or prior to pick-up.";',
))
->values(array(
  'name' => 'uc_credit_accepted_types',
  'value' => "s:44:\"Visa\r\nMastercard\r\nDiscover\r\nAmerican Express\";",
))
->values(array(
  'name' => 'uc_credit_amex',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_credit_bank_enabled',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_credit_checkout_process',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_credit_clear_status',
  'value' => 's:9:"completed";',
))
->values(array(
  'name' => 'uc_credit_cvv_enabled',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_credit_debug',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_credit_discover',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_credit_encryption_path',
  'value' => 's:12:"/var/www/key";',
))
->values(array(
  'name' => 'uc_credit_fail_message',
  'value' => 's:154:"We were unable to process your credit card payment. Please verify your details and try again.  If the problem persists, contact us to complete your order.";',
))
->values(array(
  'name' => 'uc_credit_issue_enabled',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_credit_mastercard',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_credit_number_duration',
  'value' => 's:1:"3";',
))
->values(array(
  'name' => 'uc_credit_number_unit',
  'value' => 's:4:"days";',
))
->values(array(
  'name' => 'uc_credit_owner_enabled',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_credit_policy',
  'value' => 's:135:"Your billing information must match the billing address for the credit card entered below or we will be unable to process your payment.";',
))
->values(array(
  'name' => 'uc_credit_start_enabled',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_credit_type_enabled',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_credit_validate_numbers',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_credit_visa',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_currency_code',
  'value' => 's:3:"NZD";',
))
->values(array(
  'name' => 'uc_currency_dec',
  'value' => 's:1:".";',
))
->values(array(
  'name' => 'uc_currency_prec',
  'value' => 's:1:"2";',
))
->values(array(
  'name' => 'uc_currency_sign',
  'value' => 's:1:"$";',
))
->values(array(
  'name' => 'uc_currency_thou',
  'value' => 's:1:",";',
))
->values(array(
  'name' => 'uc_date_format_default',
  'value' => 's:5:"d/m/y";',
))
->values(array(
  'name' => 'uc_file_base_dir',
  'value' => 's:34:"sites/default/files/ubercart_files";',
))
->values(array(
  'name' => 'uc_file_download_limit_addresses',
  'value' => 's:0:"";',
))
->values(array(
  'name' => 'uc_file_download_limit_duration_granularity',
  'value' => 's:4:"week";',
))
->values(array(
  'name' => 'uc_file_download_limit_duration_qty',
  'value' => 's:1:"2";',
))
->values(array(
  'name' => 'uc_file_download_limit_number',
  'value' => 's:2:"42";',
))
->values(array(
  'name' => 'uc_file_duplicate_warning',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_image_',
  'value' => 'N;',
))
->values(array(
  'name' => 'uc_image_product',
  'value' => 's:17:"field_image_cache";',
))
->values(array(
  'name' => 'uc_image_product_kit',
  'value' => 's:17:"field_image_cache";',
))
->values(array(
  'name' => 'uc_image_ship',
  'value' => 's:17:"field_image_cache";',
))
->values(array(
  'name' => 'uc_length_format_cm',
  'value' => 's:9:"!value cm";',
))
->values(array(
  'name' => 'uc_length_format_ft',
  'value' => 's:9:"!value ft";',
))
->values(array(
  'name' => 'uc_length_format_in',
  'value' => 's:9:"!value in";',
))
->values(array(
  'name' => 'uc_length_format_mm',
  'value' => 's:9:"!value mm";',
))
->values(array(
  'name' => 'uc_length_unit',
  'value' => 's:2:"cm";',
))
->values(array(
  'name' => 'uc_payment_credit_gateway',
  'value' => 's:12:"test_gateway";',
))
->values(array(
  'name' => 'uc_payment_method_check_checkout',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_payment_method_check_weight',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_payment_method_cod_checkout',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_payment_method_cod_weight',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_payment_method_credit_checkout',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_payment_method_credit_weight',
  'value' => 's:1:"2";',
))
->values(array(
  'name' => 'uc_payment_method_other_checkout',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_payment_method_other_weight',
  'value' => 's:2:"10";',
))
->values(array(
  'name' => 'uc_product_add_to_cart_qty',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_product_add_to_cart_teaser',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_product_add_to_cart_text',
  'value' => 's:11:"Add to cart";',
))
->values(array(
  'name' => 'uc_product_enable_nodes',
  'value' => 'b:0;',
))
->values(array(
  'name' => 'uc_product_image_widget',
  'value' => 's:0:"";',
))
->values(array(
  'name' => 'uc_product_kit_enable_nodes',
  'value' => 'b:0;',
))
->values(array(
  'name' => 'uc_product_shippable_product',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_product_shippable_product_kit',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_quote_enabled',
  'value' => 'a:2:{s:10:"flatrate_1";b:1;s:10:"flatrate_2";b:1;}',
))
->values(array(
  'name' => 'uc_quote_method_weight',
  'value' => 'a:2:{s:10:"flatrate_1";i:0;s:10:"flatrate_2";i:0;}',
))
->values(array(
  'name' => 'uc_roles_default_by_quantity',
  'value' => 'i:0;',
))
->values(array(
  'name' => 'uc_roles_default_end_expiration',
  'value' => 's:3:"rel";',
))
->values(array(
  'name' => 'uc_roles_default_end_time',
  'value' => 'a:3:{s:5:"month";s:1:"4";s:3:"day";s:2:"25";s:4:"year";s:4:"2017";}',
))
->values(array(
  'name' => 'uc_roles_default_expiration_header',
  'value' => 's:14:"Expiring roles";',
))
->values(array(
  'name' => 'uc_roles_default_expiration_message',
  'value' => 's:30:"This role will expire on !date";',
))
->values(array(
  'name' => 'uc_roles_default_expiration_title',
  'value' => 's:10:"!role_name";',
))
->values(array(
  'name' => 'uc_roles_default_granularity',
  'value' => 's:5:"never";',
))
->values(array(
  'name' => 'uc_roles_default_length',
  'value' => 's:0:"";',
))
->values(array(
  'name' => 'uc_roles_default_role',
  'value' => 's:1:"3";',
))
->values(array(
  'name' => 'uc_roles_default_role_choices',
  'value' => 'a:2:{i:3;i:0;i:4;i:0;}',
))
->values(array(
  'name' => 'uc_roles_default_show_expiration',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_roles_reminder_granularity',
  'value' => 's:5:"never";',
))
->values(array(
  'name' => 'uc_roles_reminder_length',
  'value' => 's:0:"";',
))
->values(array(
  'name' => 'uc_sign_after_amount',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_store_city',
  'value' => 's:10:"Betelgeuse";',
))
->values(array(
  'name' => 'uc_store_country',
  'value' => 's:3:"840";',
))
->values(array(
  'name' => 'uc_store_email',
  'value' => 's:25:"awesome_stuff@example.com";',
))
->values(array(
  'name' => 'uc_store_email_include_name',
  'value' => 'i:1;',
))
->values(array(
  'name' => 'uc_store_fax',
  'value' => 's:7:"555-fax";',
))
->values(array(
  'name' => 'uc_store_help_page',
  'value' => 's:0:"";',
))
->values(array(
  'name' => 'uc_store_name',
  'value' => 's:13:"Awesome Stuff";',
))
->values(array(
  'name' => 'uc_store_owner',
  'value' => 's:17:"Zaphod Beeblebrox";',
))
->values(array(
  'name' => 'uc_store_phone',
  'value' => 's:9:"555-phone";',
))
->values(array(
  'name' => 'uc_store_postal_code',
  'value' => 's:4:"4242";',
))
->values(array(
  'name' => 'uc_store_street1',
  'value' => 's:16:"123 First Street";',
))
->values(array(
  'name' => 'uc_store_street2',
  'value' => 's:17:"456 Second Street";',
))
->values(array(
  'name' => 'uc_store_zone',
  'value' => 's:1:"1";',
))
->values(array(
  'name' => 'uc_teaser_add_to_cart_text',
  'value' => 's:11:"Add to cart";',
))
->values(array(
  'name' => 'uc_weight_format_g',
  'value' => 's:8:"!value g";',
))
->values(array(
  'name' => 'uc_weight_format_kg',
  'value' => 's:9:"!value kg";',
))
->values(array(
  'name' => 'uc_weight_format_lb',
  'value' => 's:9:"!value lb";',
))
->values(array(
  'name' => 'uc_weight_format_oz',
  'value' => 's:9:"!value oz";',
))
->values(array(
  'name' => 'uc_weight_unit',
  'value' => 's:2:"kg";',
))
->values(array(
  'name' => 'user_email_verification',
  'value' => 'b:1;',
))
->execute();

$connection->schema()->createTable('views_display', array(
  'fields' => array(
    'vid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'id' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
    'display_title' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
    'display_plugin' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
    'position' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'normal',
      'default' => '0',
    ),
    'display_options' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
  ),
  'primary key' => array(
    'vid',
    'id',
  ),
  'indexes' => array(
    'vid' => array(
      'vid',
      'position',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('views_object_cache', array(
  'fields' => array(
    'sid' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '64',
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '32',
    ),
    'obj' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '32',
    ),
    'updated' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'data' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
  ),
  'indexes' => array(
    'sid_obj_name' => array(
      'sid',
      'obj',
      'name',
    ),
    'updated' => array(
      'updated',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('views_view', array(
  'fields' => array(
    'vid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
    'description' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '255',
      'default' => '',
    ),
    'tag' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '255',
      'default' => '',
    ),
    'base_table' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '64',
      'default' => '',
    ),
    'core' => array(
      'type' => 'int',
      'not null' => FALSE,
      'size' => 'normal',
      'default' => '0',
    ),
    'human_name' => array(
      'type' => 'varchar',
      'not null' => FALSE,
      'length' => '255',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'vid',
  ),
  'unique keys' => array(
    'name' => array(
      'name',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->schema()->createTable('vocabulary', array(
  'fields' => array(
    'vid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
      'unsigned' => TRUE,
    ),
    'name' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'description' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'big',
    ),
    'help' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'relations' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'hierarchy' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'multiple' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'required' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'tags' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'module' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'weight' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
    ),
    'language' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '12',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'vid',
  ),
  'indexes' => array(
    'list' => array(
      'weight',
      array(
        'name',
        '191',
      ),
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('vocabulary')
->fields(array(
  'vid',
  'name',
  'description',
  'help',
  'relations',
  'hierarchy',
  'multiple',
  'required',
  'tags',
  'module',
  'weight',
  'language',
))
->values(array(
  'vid' => '1',
  'name' => 'Catalog',
  'description' => '',
  'help' => 'Hold Ctrl while clicking to select multiple categories.',
  'relations' => '1',
  'hierarchy' => '0',
  'multiple' => '1',
  'required' => '0',
  'tags' => '0',
  'module' => 'uc_catalog',
  'weight' => '0',
  'language' => '',
))
->execute();

$connection->schema()->createTable('vocabulary_node_types', array(
  'fields' => array(
    'vid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '32',
      'default' => '',
    ),
  ),
  'primary key' => array(
    'type',
    'vid',
  ),
  'indexes' => array(
    'vid' => array(
      'vid',
    ),
  ),
  'mysql_character_set' => 'utf8',
));

$connection->insert('vocabulary_node_types')
->fields(array(
  'vid',
  'type',
))
->values(array(
  'vid' => '1',
  'type' => 'product',
))
->values(array(
  'vid' => '1',
  'type' => 'product_kit',
))
->values(array(
  'vid' => '1',
  'type' => 'ship',
))
->execute();

$connection->schema()->createTable('watchdog', array(
  'fields' => array(
    'wid' => array(
      'type' => 'serial',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'uid' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
    'type' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '16',
      'default' => '',
    ),
    'message' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'big',
    ),
    'variables' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'big',
    ),
    'severity' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'tiny',
      'default' => '0',
      'unsigned' => TRUE,
    ),
    'link' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '255',
      'default' => '',
    ),
    'location' => array(
      'type' => 'text',
      'not null' => TRUE,
      'size' => 'normal',
    ),
    'referer' => array(
      'type' => 'text',
      'not null' => FALSE,
      'size' => 'normal',
    ),
    'hostname' => array(
      'type' => 'varchar',
      'not null' => TRUE,
      'length' => '128',
      'default' => '',
    ),
    'timestamp' => array(
      'type' => 'int',
      'not null' => TRUE,
      'size' => 'normal',
      'default' => '0',
    ),
  ),
  'primary key' => array(
    'wid',
  ),
  'indexes' => array(
    'type' => array(
      'type',
    ),
  ),
  'mysql_character_set' => 'utf8',
));
